var myStudioItemToHomeJSON = {total_num:0,list:[]};

var appPageAttr = {
    toPage:2,
    prevPage: {},
    get toPageSelector() {return '.page_' + this.toPage},
    get toPageMainSelector() {return '.page_' + this.toPage + ' > .page_main'},
    get toSelector() {return '#content .page_' + this.toPage + ' > .page_main'},
};
//-------放到studio_server.jstpl里的---------\


function parseLang(tplHTML) {
    if (isValidStr(tplHTML) && tplHTML.indexOf('[[') !== -1) {
        tplHTML = tplHTML.replace(/\{\{/g, '{-{');
		tplHTML = tplHTML.replace(/\}\}/g, '}-}');
        
        //tplHTML = tplHTML.replace(/\[\[\[/g, '{{{');
		//tplHTML = tplHTML.replace(/\]\]\]/g, '}}}');
        tplHTML = tplHTML.replace(/\[\[/g, '{{');
		tplHTML = tplHTML.replace(/\]\]/g, '}}');
		//Mustache.tags = ["[[", "]]"];
		tplHTML = Mustache.to_html(tplHTML, usingLang);
		tplHTML = tplHTML.replace(/\{\-\{/g, '{{');
		tplHTML = tplHTML.replace(/\}\-\}/g, '}}');
    }
    
    return tplHTML;
}


//-----------------------------------------/




function getDeviceInfo(){
	var returnObj = new Object();
	var devicePlatform = navigator.platform;
	//必须使用一种更准确的办法来找到设备类型
	if (devicePlatform.indexOf("iPhone") != -1){
		returnObj.device = "iPhone";
	} else if (devicePlatform.indexOf("iPod") != -1){
		returnObj.device = "iPod";
	} else if (devicePlatform.indexOf("iPad") != -1 || devicePlatform.indexOf("MacIntel") != -1){
		returnObj.device = "iPad";
		howManyPagesShowedLimit = 4;
	} else {
		var ua = navigator.userAgent.toLowerCase();
		var isAndroid = ua.indexOf("android") > -1;
		if (isAndroid) {
			returnObj.device = "android";
		} else {
			returnObj.device = "other";
		}
	}
	var deviceOri = window.orientation;
	if (deviceOri == 90 || deviceOri == -90){
		returnObj.orientation = "landscape";
	} else {
		returnObj.orientation = "portrait";
	}
	if (returnObj.device == "android") {
		returnObj.width = $(window).width();
		returnObj.height = $(window).height()
	} else {
		returnObj.width = document.documentElement.clientWidth;
		returnObj.height = document.documentElement.clientHeight;
	}
	
	return returnObj;
}
deviceInfo = getDeviceInfo();

var num_of_pics_each_row = 3;						//beware the order of this line and line below
var image_width_of_list;




function addCustomExt(fullPath, extName) {
	if (fullPath.lastIndexOf('.' + extName) > -1) {
		return fullPath;
	} else {
		return fullPath + "." + extName;
	}
}

function removeCustomExt(fullPath, extName){
	return fullPath.substr(0, fullPath.lastIndexOf('.' + extName)) || fullPath;
}



var longTouch = {
	element: null,
	since: null
};

var touchHandlers = {
	start: function(e){
		var now = +(new Date());
		longTouch.element = e.target;
		longTouch.since = now;
	},
	end: function(e){
		var now = +(new Date()), duration;
		if (longTouch.element == e.target){
			duration = now - longTouch.since;
			longTouch = {};
			if (duration > 500) longTouchHandler(e.target);
			
		}
	}
};

function longTouchHandler(obj){
	
}

function showBackupURL(stealth, versionMatchCallback) {
	var backupURLArr = getBackupURLArr(activeURL);
	if (backupURLArr.length > 1) {
		var html = '<div id="backup_url_layer">' + usingLang.backup_url_layer1 + usingLang.backup_url_layer2 + '<br /> ' + usingLang.backup_url_layer3;
		for (var i in backupURLArr) {
			html += '	<div class="backup_url_link" switchToURL="' + backupURLArr[i] + '">' + usingLang.backup_url_layer4 + (parseInt(i, 10) + 1) + ': ' + backupURLArr[i] + '</div> ';
		}
		html += '		<div class="backup_url_link backup_url_link_offline">' + usingLang.offline_mode_btn + '</div>';
		html += '	</div>';
		bb_layer(html, {layerId: 'url_layer', uniqueNumber:18});
		var backupURLLayerDOM = $('#backup_url_layer');
		backupURLLayerDOM.find('.backup_url_link').each(function(){
			$(this).bind('click', function(){
				disablePopup('url_layer', 'url_layer_bg', 18);
				if ($(this).hasClass('backup_url_link_offline')) {
					loadAPPCode(function(){
						initOfflineData();
						//--------弹出离线模式说明并直接进入已下载视频页面---------\
						bb_alert(usingLang.offline_mode_message);
						getDownloadVideoPage('downloaded');
						//--------------------------------------------------/
						index_init(offlineData);
					});
				} else {
					var switchToURL = $(this).attr('switchToURL');
					activeURL = switchToURL;
					checkAppVersion(false, versionMatchCallback);
				}
			});
		});
	} else if (backupURLArr.length == 1){
		var html = usingLang.backup_url_confirm2 + '<br />' + usingLang.backup_url_confirm1;
		html += '<br /><br /><br />';
		html += '<div id="url_layer_yes" class="ft_button ft_button_purple" style="width:35%; float:left;">' + usingLang.yes + '</div><div id="url_layer_offline" class="ft_button ft_button_red" style="width:35%; float:right;">' + usingLang.offline_mode_btn + '</div>';
		bb_layer(html, {layerId: 'url_layer', uniqueNumber:18}, undefined, function(){
			$('#url_layer_yes').bind('click', function(){
				disablePopup('url_layer', 'url_layer_bg', 18);
				checkAppVersion(stealth, versionMatchCallback);
			});
			$('#url_layer_offline').bind('click', function(){
				disablePopup('url_layer', 'url_layer_bg', 18);
				loadAPPCode(function(){
					initOfflineData();
					//--------弹出离线模式说明并直接进入已下载视频页面---------\
					bb_alert(usingLang.offline_mode_message);
					getDownloadVideoPage('downloaded');
					//--------------------------------------------------/
					index_init(offlineData);
				});
			});
		});
		
	} else {
		alert('程序错误：没有备用网址可用。');
	}
}

function getBackupURLArr(activeOne) {
	backupURLArr = new Array();
	if (URLArr.length > 1) {
		for (var i in URLArr) {
			if (URLArr[i].indexOf(activeOne) == -1) {
				if (!isValidStr(notShareableKey) || URLArr[i].indexOf(notShareableKey) === -1) {
					backupURLArr.push(URLArr[i]);
				}
			}
		}
	}
	return backupURLArr;
}

var failedNum = 0;
var loadingTimeOut = 60000;

var hotLoadInterval;




function hotLoad(allFiles, completedCallback) {
	//-----------------热加载-------------\
	var loadScriptArr = new Array();
	if (allFiles.length) {
		for (var i in allFiles) {
			if (isValidStr(allFiles[i].path) && allFiles[i].path.indexOf('.tpl') === -1) {
				loadScriptArr.push({'url': activeURL + allFiles[i].path, 'ready': 0});
			}
		}
	} else {
		alert('错误:没有要加载的文件');
	}
	$.each(loadScriptArr, function(i, thisScriptOBJ) {
		//console.log(i + ' -> ' + thisScriptOBJ.url);
		if (thisScriptOBJ.url.indexOf('.jstpl') !== -1) {
			$.getScript(thisScriptOBJ.url, function(data, textStatus, jqxhr) {
				loadScriptArr[i].ready = 1;
				//console.log('js done: ' + thisScriptOBJ.url);
			});
		} else if (thisScriptOBJ.url.indexOf('.css') !== -1) {
    		if (thisScriptOBJ.url.indexOf('night_mode') === -1) {
        		$('head').append('<link rel="stylesheet" href="' + thisScriptOBJ.url + '" />');
    		}
			loadScriptArr[i].ready = 1;
			//console.log('css done: ' + thisScriptOBJ.url);
		}
	});
	
	hotLoadInterval = setInterval(function() {
		var loadCompleted = 1;
		for (var i in loadScriptArr) {
			if (!loadScriptArr[i].ready) {
				loadCompleted = 0;
			}
		}
		if (loadCompleted) {
			clearInterval(hotLoadInterval);
			completedCallback();
		}
	}, 100);
	
	//-----------------------------------/
}

var checkServerFileArr = new Array();
function getFolderFileList(path, eachFolderCallback){
	window.resolveLocalFileSystemURL(path, function(fileSystem) {
		var reader = fileSystem.createReader();
		reader.readEntries(function (entries) {
			if (entries && entries.length) {
				var returnFiles = new Array();
				for (var i in entries) {
					if (entries[i].isFile && entries[i].name.indexOf('.') === 0) {		//文件类型不对，不计算进去
						//entries[i] = undefined;
						continue;
					} else if (entries[i].isDirectory) {		//文件夹进去遍历一下
						getFolderFileList(entries[i].nativeURL, eachFolderCallback);
						//entries[i] = undefined;
						continue;
					} else {
						returnFiles.push(entries[i]);
					}
				}
				if (returnFiles.length) {
					eachFolderCallback(returnFiles);
				}
			}
		}, function(err) {});
	}, function(err) {});
}
function calcAppCodeSyncFileNum(appCheckFileNum, appCheckfileIndex, allScanedCallback) {
	if (appCheckfileIndex < appCodeCheckFolderArr.length) {
		var path = appCodeCheckFolderArr[appCheckfileIndex];
		window.resolveLocalFileSystemURL(path, function(fileSystem) {
			var reader = fileSystem.createReader();
			reader.readEntries(function (entries) {
				if (entries.length > 0) {
					for (var i = 0; i < entries.length; i++) {
						if (entries[i].name.indexOf('.') > 0) {		//目录的子目录不会被收录进来
							var fileName = entries[i].name;
							var ext = fileName.substr(fileName.lastIndexOf('.') + 1).toLowerCase();
							if (fileName == 'topup_card.jstpl') {
								entries[i].remove(function(){}, function(){});
							} else if (ext != 'jstpl' && ext != 'tpl' && ext != 'css' && ext != 'jpg' && ext != 'jpeg' && ext != 'gif' && ext != 'png') {
								entries[i].remove(function(){}, function(){});
							} else {
								appCheckFileNum++;
							}
							
							//alert('scaned name: ' + appCheckFileNum + ' > ' + entries[i].name);
						}
					}
				}
				appCheckfileIndex++;
				calcAppCodeSyncFileNum(appCheckFileNum, appCheckfileIndex, allScanedCallback);
			});
		});
	} else {
		allScanedCallback(appCheckFileNum);
	}
}

var loadedCodeFileArr = new Array();
function avoidRepeatAPPCodeLoading(path) {
	var canLoad = true;
	if (loadedCodeFileArr.length) {
		for (var i in loadedCodeFileArr) {
			if (loadedCodeFileArr[i] == path) {
				canLoad = false;
				break;
			}
		}
	}
	if (canLoad) {
		loadedCodeFileArr.push(path);
	}
	return canLoad;
}


var loadedCodeNum = 0;
var loadAPPCodeFinished = 0;








//-------------------新的加载界面代码-----------------\
function oneAPPCodeLoaded(foundFileNum, filePath, callback) {
	//-------给读取app程序n秒时间，如果超过这个时间都无法读取完，就强制callback------\
	/*if (!loadedCodeNum) {
		setTimeout(function(){
			if (!loadAPPCodeFinished) {
				loadAPPCodeFinished = 1;
				//alert('强制执行了');
				loadServerLang();
				loadedCodeNum = 0;
				$('#main_navi').html('');
				if (appLoadVueOBJ != undefined) appLoadVueOBJ.$destroy();
				callback();
			}
		}, 2000);
	}*/
	//----------------------------------------------------------------------/
	loadedCodeNum++;
	console.log('loadedCodeNum = ' + loadedCodeNum + ' foundFileNum = ' + foundFileNum + ' filePath = ' + filePath);
	appLoadJSON.loaded = loadedCodeNum;
	if (loadedCodeNum >= foundFileNum && !loadAPPCodeFinished) {
		loadServerLang();
		loadedCodeNum = 0;
		loadAPPCodeFinished = 1;
		//alert('正常读完了');
		$('#main_navi').html('');
		if (appLoadVueOBJ != undefined) appLoadVueOBJ.$destroy();
		//$('.download_code_container').remove();
		
		callback();
	}
}

var appLoadVueOBJ;
var appLoadJSON = {total:0, loaded:0};
var initAppLoadProgress = function(totalNum) {
	initTemplate("load_app_template", function(appLoadTPL){
		//appLoadTPL = parseLang(appLoadTPL);
		$('#content .page_1 .page_main').html(appLoadTPL);
		$('#main_navi').html('<div style="height:70px; line-height:70px; font-size:18px; text-align:center;">' + usingLang.app_code_loading + '</div>');
		appLoadJSON.loaded = 0;
		appLoadJSON.total = totalNum;
		if (appLoadVueOBJ == undefined) {
			appLoadVueOBJ = new Vue({
				el: '.app_load_container',
				data: {
					app_load_data: appLoadJSON,
				},
			});
		}
		
	});
}

function loadAPPCode(allLoadedCallback) {
	if (isValidStr(deviceCodePath)) {
		loadAPPCodeFinished = 0;
		//console.log(deviceCodePath);
		calcAppCodeSyncFileNum(0, 0, function(foundFileNum){
			console.log('init foundFileNum = ' + foundFileNum);
			if (foundFileNum > 0) {
				
				initAppLoadProgress(foundFileNum);
				
				
				getFolderFileList(deviceCodePath, function(fileEntryArr){
					if (fileEntryArr != undefined && fileEntryArr.length) {
						for (var x in fileEntryArr) {
							//console.log(foundFileNum + ' >> ' + loadedCodeNum + ': ' + fileEntryArr[x].fullPath);
							if (fileEntryArr[x] != undefined && isValidStr(fileEntryArr[x].fullPath)) {
								var fileEntry = fileEntryArr[x];
								var rawURI = fileEntry.nativeURL;
								if (fileEntry.fullPath.indexOf('.jstpl') !== -1) {
									//console.log('js:::::' + fileEntry.fullPath);
									if (avoidRepeatAPPCodeLoading(fileEntry.fullPath)) {
										//alert(rawURI);
										if (deviceInfo.device != 'android') {
											rawURI = activeURL + '/assets/app/v2020' + rawURI.substr(rawURI.indexOf('/smloft/code') + 12) ;
										}
										$.getScript(rawURI, function(returnData, textStatus, jqxhr) {
											//如果导入的js有错误，将无法进入这里
											//console.log(data);
											oneAPPCodeLoaded(foundFileNum, fileEntry.fullPath, allLoadedCallback);
										});
										//oneAPPCodeLoaded(foundFileNum, fileEntry.fullPath, allLoadedCallback);
									} else {
										oneAPPCodeLoaded(foundFileNum, fileEntry.fullPath, allLoadedCallback);
									}
									//console.log(fileEntry.fullPath + ' >>> ' + loadedCodeNum);
								} else if (fileEntry.fullPath.indexOf('.css') !== -1) {
									if (avoidRepeatAPPCodeLoading(fileEntry.fullPath)) {
										if (rawURI.indexOf('night_mode') === -1) {
											$('head').append('<link rel="stylesheet" href="' + rawURI + '" />');
										}
									}
									oneAPPCodeLoaded(foundFileNum, fileEntry.fullPath, allLoadedCallback);
									//console.log(fileEntry.fullPath + ' >>> ' + loadedCodeNum);
								} else if (fileEntry.fullPath.indexOf('.tpl') !== -1) {
									if (avoidRepeatAPPCodeLoading(fileEntry.fullPath)) {
										fileEntry.file(function (file){
											var reader = new FileReader();
											reader.onloadend = function(evt) {
												var tplContent = evt.target.result;
												//console.log(tplContent);
												$('body').append(tplContent);
												oneAPPCodeLoaded(foundFileNum, fileEntry.fullPath, allLoadedCallback);
												console.log(fileEntry.fullPath + ' >>> ' + loadedCodeNum);
											};
											reader.readAsText(file);
										}, function(){});
									} else {
										oneAPPCodeLoaded(foundFileNum, fileEntry.fullPath, allLoadedCallback);
									}
								} else {
								}
							} else {
							}
						}
					}
				});
			} else {
				allLoadedCallback();
			}
			
		});
	}
}
var downloadCodeVueOBJ;
var downloadCodeJSON = {list:[]};
function initDownloadCodeProgress(fileArr) {
	
	initTemplate("download_code_template", function(downloadCodeTPL){
		$('#content .page_1 .page_main').html(downloadCodeTPL);
		//alert('wait');
		$('#main_navi').html('<div style="height:70px; line-height:70px; font-size:18px; text-align:center;">' + usingLang.app_code_downloading + '</div>');
		downloadCodeJSON.list = fileArr;
		if (downloadCodeJSON.list.length) {
			for (var i in downloadCodeJSON.list) {
				var path = downloadCodeJSON.list[i].app_path;
				var fileName = path.substring(path.lastIndexOf('/') + 1); 
				if (isValidStr(fileName) && mySetting.uid && parseInt(mySetting.uid, 10) > 0) {
					downloadCodeJSON.list[i].name = fileName.substring(0, fileName.lastIndexOf('.')).toUpperCase().replace('_', ' ');
				} else {
					downloadCodeJSON.list[i].name = 'Code #' + i;
				}
				downloadCodeJSON.list[i].percentage = 0;
			}
		}
		if (downloadCodeVueOBJ == undefined) {
			downloadCodeVueOBJ = new Vue({
				el: '.download_code_container',
				data: {
					download_code_data: downloadCodeJSON,
				},
				mounted: function () {
					var height = $('.download_code_container').height();
					$('.download_code_container').css('top', 'calc(50% - ' + Math.ceil(height / 2) + 'px)');
				},
				updated: function () {
					var height = $('.download_code_container').height();
					$('.download_code_container').css('top', 'calc(50% - ' + Math.ceil(height / 2) + 'px)');
				},
			});
		}
	});
}



var downloadDiffCodeCnt = 0;
function downloadDiffCodeToAPP(fileArr, completedCallback) {
	if (fileArr != undefined && fileArr.length > 0) {
		initDownloadCodeProgress(fileArr);
		for (var i in fileArr) {
			var url = activeURL + fileArr[i].path;
			var toFolder = fileArr[i].folder;
			var appPath = fileArr[i].app_path;
			downloadCodeToAPP2(url, toFolder, appPath, i, function(returnAppPath, returnFullPath){
				if (downloadDiffCodeCnt >= fileArr.length) {
					if (downloadCodeVueOBJ != undefined) downloadCodeVueOBJ.$destroy();
					completedCallback();
				}
			});
		}
	}
}

var downloadCodeToAPP2 = function(url, toFolder, appPath, fileArrIndex, processedCallback) {
	if (isValidStr(url)) {
		var filename = url.substring(url.lastIndexOf('/') + 1);
		window.resolveLocalFileSystemURL(deviceCodePath, function (targetDir) {
			var fullPath = deviceCodePath + '/' + toFolder + '/' + filename;
			targetDir.getDirectory(toFolder, {create: true, exclusive: false}, function(targetDir){
				var codeFT = new FileTransfer();
				var uri = encodeURI(url) + '?t=' + new Date().getTime();
				fullPath = formatLocalURI(fullPath);
				codeFT.onprogress = function(progressEvent) {
					if (progressEvent.lengthComputable) {
						var percentage = progressEvent.loaded / progressEvent.total;
						var percentage = parseInt(percentage * 100, 10);
						downloadCodeJSON.list[fileArrIndex].percentage = percentage;
					}
				};
				codeFT.download(uri, fullPath,
					function (entry) {
						codeFT = undefined;
						downloadDiffCodeCnt++;
						appLoadJSON.loaded = downloadDiffCodeCnt;
						processedCallback(appPath, fullPath);
					},
					function (error) {
						codeFT = undefined;
						downloadDiffCodeCnt++;
						appLoadJSON.loaded = downloadDiffCodeCnt;
						processedCallback(appPath, fullPath);
					}
				);
			}, function(error){
				alert('文件夹写入到' + toFolder + '失败: 错误代码' + error.code);
				downloadDiffCodeCnt++;
				processedCallback(appPath, fullPath);
			});
		});
	} else {
		downloadDiffCodeCnt++;
		processedCallback();
	}
}
//-------------------------------------------------/








function downloadCodeToAPP(url, toFolder, appPath, processedCallback) {	
	if (isValidStr(url)) {
		var filename = url.substring(url.lastIndexOf('/') + 1);
		window.resolveLocalFileSystemURL(deviceCodePath, function (targetDir) {
			var fullPath = deviceCodePath + '/' + toFolder + '/' + filename;
			targetDir.getDirectory(toFolder, {create: true, exclusive: false}, function(targetDir){
				var codeFT = new FileTransfer();
				var uri = encodeURI(url) + '?t=' + new Date().getTime();
				fullPath = formatLocalURI(fullPath);
				codeFT.download(uri, fullPath,
					function (entry) {
						codeFT = undefined;
						downloadDiffCodeCnt++;
						processedCallback(appPath, fullPath);
					},
					function (error) {
						codeFT = undefined;
						downloadDiffCodeCnt++;
						processedCallback(appPath, fullPath);
					}
				);
			}, function(error){
				alert('文件夹写入到' + toFolder + '失败: 错误代码' + error.code);
				downloadDiffCodeCnt++;
				processedCallback(appPath, fullPath);
			});
		});
	} else {
		downloadDiffCodeCnt++;
		processedCallback();
	}
}

var checkAllAppFileLoadedInterval;
var appCodeCheckFolderArr = new Array();
function getAPPCodeNumAndSize(allLoadedCallback) {
	console.log(deviceCodePath);
	if (isValidStr(deviceCodePath)) {
		/*检查app内部目录里的所有文件和扩展名，有正确格式的文件就保留这些文件的名字和大小*/
		calcAppCodeSyncFileNum(0, 0, function(foundFileNum){
			if (foundFileNum > 0) {
				for (var i = 0; i < appCodeCheckFolderArr.length; i++) {
					getFolderFileList(appCodeCheckFolderArr[i], function(fileEntryArr){
						if (fileEntryArr != undefined && fileEntryArr.length) {
							for (var x in fileEntryArr) {
								if (fileEntryArr[x] != undefined && isValidStr(fileEntryArr[x].fullPath)) {
									var fileEntry = fileEntryArr[x];
									if (fileEntry.fullPath.indexOf('/') === 0) {
										fileEntry.fullPath = fileEntry.fullPath.substr(1);
									}
									if (typeof fileEntry.file == 'function') {
										fileEntry.file(function(file) {
											var pathToServer = file.localURL.substring(file.localURL.indexOf('/code') + 5);
											checkServerFileArr.push({'size': file.size, 'path':pathToServer});
										});
									}
								}
							}
						}
					});
				}
				
				checkAllAppFileLoadedInterval = setInterval(function() {
					if (checkServerFileArr.length > 0) {
						if (checkServerFileArr.length >= foundFileNum) {
							//console.log(checkServerFileArr);
							//console.log(checkServerFileArr.length);
							clearInterval(checkAllAppFileLoadedInterval);
							allLoadedCallback();
						}
					}
				}, 50);
			} else {
				allLoadedCallback();
			}
			
			
		});
	}
		
}

var offlineData = new Array();
var offlineMode = 0;
function initOfflineData() {
	offlineMode = 1;
	offlineData.stats = new Array();
}

function loadServerLang() {
	if (typeof server_cn != 'undefined' && server_cn != undefined) {
		$.each(server_cn, function(key, value) {
			cn[key] = value;
		});
	}
	if (typeof server_en != 'undefined' && server_en != undefined) {
		$.each(server_en, function(key, value) {
			en[key] = value;
		});
	}
}

var appCodePathReadyInterval;
function checkAppVersion(stealth, versionMatchCallback) {
	if (deviceInfo.device != 'android') {
		//loadServerCode = 1;
	}
	
	/*
	代码自动更新方案说明
		检查设备上css，js和tpl三个文件夹。如果有合法文件就加载。
		加载完设备代码，将设备代码和服务器相应代码进行比对，文件大小不同或者设备上不存在这个文件，就下载下来。
		只要从服务器上下载了文件，就弹出提示窗口说有自动更新，建议用户重启app以应用更新。
	*/
	//----app代码检查的初始化-----\
	appCodeCheckFolderArr = new Array();
	checkServerFileArr = new Array();
	downloadDiffCodeCnt = 0;
	loadedCodeNum = 0;
	//-------------------------/
	appCodePathReadyInterval = setInterval(function(){		//deviceXXXPath可能还没准备好
		if (deviceCssPath != undefined && deviceJsPath != undefined && deviceTplPath != undefined) {
			clearInterval(appCodePathReadyInterval);
			
			appCodeCheckFolderArr.push(deviceCssPath);
			appCodeCheckFolderArr.push(deviceJsPath);
			appCodeCheckFolderArr.push(deviceTplPath);
			
			getAPPCodeNumAndSize(function(){
				console.log('找到个' + checkServerFileArr.length + '代码文件');
				
				//console.log(activeURL + "/api/check_version.php?app_version=" + appVersion + "." + subVersionNo);
				loadAPPCode(function(){
					//console.log('main_navi_new_template length = ' + $('#main_navi_new_template').length);
					offlineData.stats = new Array();
					if (typeof index_init == 'function') {		//因为index_init本身是在服务器上，所以如果代码还没有从服务器下载下来并加载的话，他的typeof不会是function。如果已经下载了就可以执行进去了。
						index_init(offlineData);
					}
					
					
					
					
					
					loadingTimeOut = loadingTimeOut + 0;
					
					var query = '?agent=' + encodeURI(navigator.userAgent) + '';
					
					var cateCacheExpireTime = 3600 * 24 * 12;			//每周从服务器取一次标签来更新本地
					var lastCateCacheTime = mySetting.last_update_cate_time;
					var nowSec = Math.floor(Date.now() / 1000);
					query += '&need_cate=1&need_discount_num=1';
					if (loadServerCode) {
						query += '&need_tpl=1';
					}
					//console.log(query);
					//console.log(checkServerFileArr);
					var extraPost = {sync_files:checkServerFileArr};
					
					//-----------------------获得缓存在本地的站点图片数量------------------\
					if (!offlineMode) {
						loadUrl(activeURL + '/api/check_version.php' + query, function(data){
							if (data.success){
								offlineMode = 0;
								if (loadServerCode) {
									hotLoad(data.diff_file_arr, function(){
										loadServerLang();
										processResponseDataFromCheckAPPVersion(data, versionMatchCallback);
									});
								} else {
									if (data.not_exist_file_arr != undefined && data.not_exist_file_arr.length > 0) {
										for (var i in data.not_exist_file_arr) {
											var thisReturnFile = data.not_exist_file_arr[i];
											if (thisReturnFile.indexOf('/') === 0) thisReturnFile = thisReturnFile.substring(1);
											var thisJunkFilePath = deviceCodePath + thisReturnFile;
											var thisFileName = thisJunkFilePath.substring(thisJunkFilePath.lastIndexOf('/') + 1);
											var thisFolder = thisJunkFilePath.replace('/' + thisFileName, '');
											window.resolveLocalFileSystemURL(thisFolder, function (fromDirEntry) {
												fromDirEntry.getFile(thisFileName, {create:false}, function(fileEntry) {
													fileEntry.remove(function(file) {}, function (error) {
										                console.log("删除文件" + thisFileName + "的时候发生了错误：code" + error.code);
										            }, function () {
											            console.log("删除文件文件的时候发生了错误，" + thisFileName + "不存在");
										            });
												});
											});
										}
									}
									if (data.diff_file_arr != undefined && data.diff_file_arr.length > 0) {
										//alert(data.diff_file_arr.length);
										downloadDiffCodeToAPP(data.diff_file_arr, function(){
											loadAPPCode(function(){
												processResponseDataFromCheckAPPVersion(data, versionMatchCallback);
											});
										});
									} else {
										//console.log('<<<<<<<<');
										console.log('second load loop start');
										loadAPPCode(function(){
											//console.log('!!!!!!!!!!!!!!!!!!');
											processResponseDataFromCheckAPPVersion(data, versionMatchCallback);
											
										});
									}
								}
								
								
							} else if (data.error) {
								bb_alert(data.error);
								loadAPPCode(function() {
									initOfflineData();
									index_init(offlineData);
								});
							} else {
								loadAPPCode(function(){
									initOfflineData();
									bb_alert('服务器没有返回正确数据，可能是服务器故障，请稍后再试。The server did not return the correct data. Please try again later.');
									index_init(offlineData);
								});
							}
						}, 'post', true, stealth, extraPost, function(){
							if (internetConnect != 'none') {		//有联网
								if (URLArr.length > 1 && failedNum <= URLArr.length) {
									showBackupURL(stealth, versionMatchCallback);
									failedNum++;
								} else {
									loadAPPCode(function() {
										initOfflineData();
										//--------弹出离线模式说明并直接进入已下载视频页面---------\
										bb_alert(usingLang.offline_mode_message);
										getDownloadVideoPage('downloaded');
										//--------------------------------------------------/
										index_init(offlineData);
									});
								}
							} else {							//网都没连
								loadAPPCode(function(){
									initOfflineData();
									//--------弹出离线模式说明并直接进入已下载视频页面---------\
									bb_alert(usingLang.no_internet1 + usingLang.offline_mode_message);
									getDownloadVideoPage('downloaded');
									//--------------------------------------------------/
									index_init(offlineData);
								});
							}
						});
					
						//---------------------------------------------------------------/
						
						loadingTimeOut = loadingTimeOut - 0;
					} else {
						ft_confirm(usingLang.offline_mode_disable, function(result){
							if (result == true) {
								offlineMode = 0;
								checkAppVersion(stealth, versionMatchCallback);
							}
						}, usingLang.offline_mode_btn);
					}
					
					
					
					
					
				});
				//return false;
					
				
					
					
				
				
				
					
				
				
			});
			
			
			
			
		}
	}, 20);
	
	
	
}



var afterCheckInterval;
function processResponseDataFromCheckAPPVersion(data, versionMatchCallback){
	afterCheckInterval = setInterval(function(){
		if (typeof checkAppVersionCallback == 'function') {
			clearInterval(afterCheckInterval);
			if (isValidStr(data.core)) {
				$('body').append(data.core);
			}
			checkAppVersionCallback(data);
			//navigator.share('test share message','test share title','plain/text');
			regNeedMobile = data.reg_need_mobile;
			loginNeedCapcha = data.login_need_capcha;
			capchaImageURL = data.capcha_image_url;
			//console.log(capchaImageURL);
			
			siteIP = data.site_ip;
			siteFolder = data.site_folder;
			videoUploadURL = data.video_upload_url;
			videoUploadScript = data.video_upload_script;
			pictureUploadURL = data.picture_upload_url;
			pictureUploadScript = data.picture_upload_script;
			
			saveActiveURL(activeURL);
			var serverVersion = data.version;
			var versionDescription = data.description;
			
			goldVIPPriceArr = data.gold_vip;
			diamondVIPPriceArr = data.diamond_vip;
			
			if (data.pgd_zffs_hen && parseInt(data.pgd_zffs_hen, 10) === 1 && deviceInfo.device != 'android') {
				iosIapEnabled = 1;
			}
			if (data.paypal_currency_usd_cny && parseFloat(data.paypal_currency_usd_cny) > 0) {
				currencyUSDToCNY = data.paypal_currency_usd_cny;
			}
			if (data.paypal_fee && parseFloat(data.paypal_fee) > 0) {
				paypalFee = data.paypal_fee;
			}
			
			if (data.chunk_download_num != undefined && parseInt(data.chunk_download_num, 10) > 0) {
				gChunkDownloadNum = parseInt(data.chunk_download_num, 10);
			}
			if (data.chunk_size != undefined && parseInt(data.chunk_size, 10) > 0) {
				gChunkSize = parseInt(data.chunk_size, 10);
			}
			if (data.max_downloading_num != undefined && parseInt(data.max_downloading_num, 10) > 0) {
				gMaxDownloadingNum = parseInt(data.max_downloading_num, 10);
			}
			
			
			if (data.featured_video) gFeaturedContent = data.featured_video;
			//console.log(gFeaturedContent);
			
			goldVideoSummaryJSON = data.gold_video_summary;
			diamondVideoSummaryJSON = data.diamond_video_summary;
			
			if (isValidStr(data.country_code)) {
				myCountryCode = data.country_code;
			}/* else {
				alert('服务器未能成功返回country code，麻烦您向站长反映此问题');
			}*/
			if (isValidStr(data.bbs_url)) gHasBBS = 1;
			if (data.me != undefined) {
				if (parseInt(data.email_verify_gold, 10) > 0) {
					gEmailVerifyGold = data.email_verify_gold;
					$('.home_notification_btn .home_btn_subtitle').find('.verify_reward_amount').html(gEmailVerifyGold);
					if (!hideAppStoreRelated) {
						$('.home_notification_btn .home_btn_subtitle').show();
					}
				} else {
					$('.home_notification_btn .home_btn_subtitle').hide().find('.verify_reward_amount').html('');
				}
			}
			if (data.discount_num != undefined && parseInt(data.discount_num, 10) > 0) {
				gDiscountNum = parseInt(data.discount_num, 10);
				$('#index_discount_num_container').show().find('#index_discount_num').html(gDiscountNum);
			}
			
			inviteGold = parseInt(data.invite_gold, 10);
			inviteDiamond = parseFloat(data.invite_diamond);
			
			wechatEnabled = parseInt(data.wechat_enabled, 10);
			alipayEnabled = parseInt(data.alipay_enabled, 10);
			topupCardEnabled = parseInt(data.topup_card_enabled, 10);
			paypalEnabled = parseInt(data.paypal_enabled, 10);
			
			upVideoCostGold = parseInt(data.up_video_cost_gold, 10);
			upVideoLevel = parseInt(data.up_video_level, 10);
						
			if (parseFloat(serverVersion) == parseFloat(appVersion) || serverVersion == appVersion || appVersion == undefined || appVersion == null || serverVersion.toString() == appVersion.toString()){
				versionMatchCallback(data);
			} else { 			//version not match, asking for update
				if (deviceInfo.device == 'android') {
					var dialogContent = ""
					dialogContent += "<div style='padding:4px;'>" + usingLang.new_version + serverVersion + usingLang.version_update + ".</div>";
					if (versionDescription != undefined && versionDescription != null && versionDescription != ""){
						dialogContent += "<div style='padding:4px 4px 0 4px; font-size:12px; font-size:bold;'>" + usingLang.app_upgrade_title + "</div>";
						dialogContent += "<div style='padding:0px 4px 4px 8px; font-size:12px;'>" + versionDescription + "</div>";
					}
					dialogContent += '<div id="app_upgrade_button" class="ft_button ft_button_purple">' + usingLang.app_upgrade_button + '</div>';
					bb_layer(dialogContent, {layerId:"update"});
					setTimeout(function(){
						$("#app_upgrade_button").bind(TAP, function(){
							if (data.url.indexOf('?') === -1) {
								window.open(data.url + '?lang=' + usingLang.lang_tag, '_system', 'location=yes');
							} else {
								window.open(data.url + '&lang=' + usingLang.lang_tag, '_system', 'location=yes');
							}
						});
					}, 200);
				} else {
					versionMatchCallback(data);
				}
				
			}
			if (hideAppStoreRelated) {
				//$('#main_navi').hide();
				//$('.main_navi_item_picture').trigger('click');
			} else {
				
			}
			
		} else {
			//console.log('checkAppVersionCallback not found');
		}
	}, 50);
	
}


function chinaTime() {
	//东8区，东时区记做正数
    var zoneOffset = 8;
    //算出时差,并转换为毫秒：
    var offset2 = new Date().getTimezoneOffset() * 60 * 1000;
    //算出现在的时间：
    var nowDate2 = new Date().getTime();
    //此时东8区的时间
    var currentZoneDate = new Date(nowDate2 + offset2 + zoneOffset * 60 * 60 * 1000);
    
    //console.log("北京时间：" + currentZoneDate);
    return currentZoneDate.getHours();
}

function loadUrl(url, callback, method, isUserData, stealth, extraPost, failCallback, loadingID){
	//-------如果设备时间和北京时间的数据库备份时间一致，给个提示--------\
	var hourInChina = parseInt(chinaTime(), 10);
	var exportDBMins = 5;		//备份时间大概为5分钟
	var inExportTime = 0;
	var waitTimeRemainDesc = '';
	var exportHourDescArr = new Array();
	if (!isNaN(hourInChina) && hourInChina >= 0) {
		if (mySetting != undefined && isValidStr(mySetting.export_db_time)) {
			if (mySetting.export_db_time.indexOf(',') !== -1) {
				var exportHourArr = mySetting.export_db_time.split(',');
			} else {
				var exportHourArr = new Array(mySetting.export_db_time);
			}
			if (exportHourArr.length) {
				for (var i in exportHourArr) {
					var thisExportHour = parseInt(exportHourArr[i], 10);
					if (!isNaN(thisExportHour)) {
						exportHourDescArr.push(thisExportHour + usingLang.export_hour_desc);
						if (hourInChina == thisExportHour) {		//当设备当前北京小时和数据库备份小时一致
							var thisMin = parseInt(new Date().getMinutes(), 10);
							if (!isNaN(thisMin) && thisMin <= exportDBMins) {
								waitTimeRemainDesc = (exportDBMins - thisMin > 0?(exportDBMins - thisMin) + usingLang.export_wait_time_remain_desc1:usingLang.export_wait_time_remain_desc2);
								inExportTime = 1;
							}
						}
					}
				}
			}
		}
	}
	if (inExportTime) {
		bb_alert(usingLang.export_desc1 + exportHourDescArr.join(', ') + usingLang.export_desc2 + exportDBMins + usingLang.export_desc3 + waitTimeRemainDesc + usingLang.export_desc4);
		return false;
	}
	//----------------------------------------------------------/
	
	if (loadingID == undefined) {
		var tmpID = getURLFileName(url);
		if (tmpID) {
			var thisCornerLoadingID = tmpID;
		} else {
			var thisCornerLoadingID = $('.corner_loading_container').length;
		}
	} else {
		var thisCornerLoadingID = loadingID;
	}
	if (method == undefined || method == null){
		var method = "get";
	} else {
		method = "post";
	}
	var dataObj = new Object();
	//var logMsg = '即将传递到' + url + '的数据 - ';
	if (isUserData != undefined && isUserData != null) {
		if (mySetting.uuid == null || mySetting.uuid == undefined || mySetting.uuid == "" || mySetting.uuid == "null" || mySetting.uuid == "undefined") {
			mySetting.uuid = deviceInfo.uuid;
		}
		dataObj = {"uuid":mySetting.uuid, "name":device.model + "-" + device.platform, "password":mySetting.password};
		if (mySetting.username != undefined && mySetting.username != null && mySetting.username != "" && mySetting.username != "null" && mySetting.username != "undefined") {
			dataObj.username = mySetting.username;
		} else {
			dataObj.username = "";
		}
	}
	dataObj.device = deviceInfo.device;
	if (isValidStr(mySetting.password) && mySetting.password.length < 64 && isValidStr(mySetting.plain_password)) {		//如果用户的密码还在使用旧式的MD5加密方式（length < 64）同时有保存明文密码
		dataObj.plain_password = mySetting.plain_password;	//将明文密码发送到服务器用来应用新的加密方式
	}
	if (extraPost != undefined) {
		for (var prop in extraPost) {
			dataObj[prop] = extraPost[prop];
		}
	}
	dataObj.max_loading_time = loadingTimeOut / 1000;
	/*for (var key in dataObj) {
		logMsg += key + ':' + dataObj[key] + '; ';
	}*/
	if (usingLang != undefined && usingLang.lang_tag == 'en') {
		if (url.indexOf('?') === -1) {
			url += '?lang=en';
		} else {
			url += '&lang=en';
		}
	} else {
		if (url.indexOf('?') === -1) {
			url += '?lang=cn';
		} else {
			url += '&lang=cn';
		}
	}
	if (url.indexOf('?') === -1) {
		url += '?app_version=' + appVersion + '.' + subVersionNo;
	} else {
		url += '&app_version=' + appVersion + '.' + subVersionNo;
	}
	if (isValidStr(notShareableKey) && activeURL.indexOf(notShareableKey) !== -1) {
		dataObj.api_token = apiToken;
	}
	
	//alert(url);
	//console.log(logMsg);
	//if (url.indexOf('localhost') !== -1) {
		console.log('get: ' + url);
	//}
	for (var key in dataObj) {
		console.log(key + '		:' + dataObj[key]);
	}
	if (ajaxLock != 1 || stealth == true) {
		$.ajax({
			url: url,
			type: method,
			data: dataObj,
			dataType: 'json',
			//timeout: 45000,
			timeout: loadingTimeOut,
			error: function(jqXHR, textStatus, errorThrown){
				console.log('response error: ');
				console.log(jqXHR);
				if (jqXHR && jqXHR.responseJSON) {
					if (jqXHR.responseJSON.code == 79) {
						alert(jqXHR.responseJSON.message);
					}
				}
				
				if (textStatus == "timeout" || textStatus == 'error') {
					
				}
				cornerLoading('reload', thisCornerLoadingID, function(loadingID){
					loadUrl(url, callback, method, isUserData, stealth, extraPost, failCallback, loadingID);
				});
				if ((typeof failCallback) == "function") {
					failCallback();
				}
				
				ajaxLock = 0;
			},
			beforeSend: function() {
				cornerLoading('start', thisCornerLoadingID);
				
				if (stealth == undefined || stealth == false) {
					//pageLoading(true);
				} else if (typeof stealth == 'function') {
					stealth(true);
				}
				if (stealth != true) {
					ajaxLock = 1;
				} else if (stealth === true) {
					
				}
			},
			complete: function(jqXHR, textStatus) {
				ajaxLock = 0;
				if (stealth == undefined || stealth == false) {
					//pageLoading(false);
				} else if (typeof stealth == 'function') {
					stealth(false);
				}
				//console.log(jqXHR);
			},
			success: function(data) {
				ajaxLock = 0;
				if (data != undefined) {
					//所有返回回来的数据单反包含得有有效金币数量的,立即更新本地缓存的金币数量
					if (data.money != undefined && data.money != null) {
						updateMyMoney(data.money);
					}
					if (data.diamond != undefined && data.diamond != null) {
						updateMyDiamond(data.diamond);
					}
					if (data.amIInTheme != undefined && data.amIInTheme != null) {
						if (parseInt(data.amIInTheme, 10) === 1 || parseInt(data.amIInTheme, 10) === 0) {
							amIInTheme = parseInt(data.amIInTheme, 10);
						}
					}
					//如果从服务器返回要求隐藏/打开视频区，就执行这个
					if (data.api_ycspq != undefined && data.api_ycspq != null && parseInt(data.api_ycspq, 10) === 1) {
						hideAppStoreRelated = 1;
					} else {
						hideAppStoreRelated = 0;
					}
					saveSetting({hide_appstore_related:hideAppStoreRelated}, function(){
						mySetting.hide_appstore_related = hideAppStoreRelated;
						toggleAppStoreRelated();
					});
					if (url.indexOf('localhost') !== -1) {
						console.log('response: ');
						console.log(data);
					}
				}
				
				cornerLoading('stop', thisCornerLoadingID);
				callback(data);
			}
		});
	}
	
}



function matrixToArray(matrix) {
    return matrix.substr(7, matrix.length - 8).split(', ');
}

function getURLFileName(url) {
	var tmpArr = url.split('/');
	var filename = '';
	if (tmpArr.length) {
		for (var i in tmpArr) {
			if (tmpArr[i].indexOf('.php') > -1) {
				if (tmpArr[i].indexOf('?') > -1) {
					var tmpArr2 = tmpArr[i].split('?');
					filename = tmpArr2[0];
				} else {
					filename = tmpArr[i];
				}
				break;
			}
		}
	}
	if (filename) {
		filename = filename.replace('.php', '');
	}
	return filename;
}

var defaultRightBottomPos = 0;
function rightBottomCornerPos() {	//自动调整右下角图标位置，使不重叠
	var rightBottomCornerDOM = $('.right_bottom_corner');
	if (rightBottomCornerDOM.length) {
		var thisBottom = 0;
		var domCnt = 1;
		rightBottomCornerDOM.each(function(){
			var thisCornerDOM = $(this);
			if (domCnt > 1) {
				thisBottom = defaultRightBottomPos * domCnt;
				thisBottom += Math.floor(thisCornerDOM.height() / 6) * domCnt;
				thisCornerDOM.css('bottom', thisBottom + 'px');
			} else {
				defaultRightBottomPos = parseInt(thisCornerDOM.css('bottom'), 10);
			}
			domCnt++;
		});
	}
}

function cornerLoading(process, thisCornerLoadingID, clickCallback) {		//process = 'start', 'stop', 'reload'
	var html = $('#corner_loading_template').html();
	html = doRendTemplate(html, {id:thisCornerLoadingID, loading_timeout:loadingTimeOut / 1000});
	if (process == 'start') {
		//console.log('start thisCornerLoadingID: ' + thisCornerLoadingID);
		//var numOfLoadingDOM = $('.corner_loading_container').length;
		var thisCornerLoadingDOM = $('#corner_loading_' + thisCornerLoadingID);
		if (thisCornerLoadingDOM.length) {
			var counterDOM = thisCornerLoadingDOM.find('.corner_loading_txt');
			counterDOM.html(loadingTimeOut / 1000);
		} else {
			$('body').append(html);		//这行必须放前面才会有thisCornerLoadingDOM
			rightBottomCornerPos();
			thisCornerLoadingDOM = $('#corner_loading_' + thisCornerLoadingID);
			var counterDOM = thisCornerLoadingDOM.find('.corner_loading_txt');
		}
		thisCornerLoadingDOM.unbind('click').removeClass('corner_loading_container_reload').addClass('corner_loading_container_is_loading');
		startLoadingCountDown(counterDOM);
	} else if (process == 'stop') {
		if (thisCornerLoadingID === 'ALL') {
			var thisCornerLoadingDOM = $('.corner_loading_container');
		} else {
			var thisCornerLoadingDOM = $('#corner_loading_' + thisCornerLoadingID);
		}
		//console.log('cornerLoadingID on stop: ' + thisCornerLoadingID);
		
		thisCornerLoadingDOM.remove();
	} else if (process == 'reload') {
		//console.log('reload thisCornerLoadingID: ' + thisCornerLoadingID);
		var thisCornerLoadingDOM = $('#corner_loading_' + thisCornerLoadingID);
		thisCornerLoadingDOM.removeClass('corner_loading_container_is_loading').addClass('corner_loading_container_reload');
		var counterDOM = thisCornerLoadingDOM.find('.corner_loading_txt');
		counterDOM.html(usingLang.corner_loading1 + '<br />' + usingLang.corner_loading2);
		$('.css3_loading_container').remove();
		var intervalID = counterDOM.attr('intervalID');
		if (intervalID != undefined) {
			clearInterval(intervalID);
		}
		if (typeof clickCallback == 'function') {
			thisCornerLoadingDOM.bind('click', function() {
				clickCallback(thisCornerLoadingID);
			});
		}
	}
}

function startLoadingCountDown(counterDOM) {
	if (counterDOM.length) {
		var thisCornerLoadingID = counterDOM.attr('cornerCounterID');
		var currentCount = parseInt(counterDOM.html(), 10);
		if (currentCount != null && !isNaN(currentCount) && currentCount > 0) {
			var tmpIntervalID = setInterval(function() {
				if (currentCount > 0) {
					currentCount--;
					counterDOM.attr('intervalID', tmpIntervalID);
					counterDOM.html(currentCount);
				}
			}, 1000);
		}
	}
}


function isValidStr(variable){
	if (variable == "" || variable == null || variable == undefined || variable == "null" || variable == "undefined") {
		return false;
	} else {
		return true;
	}
}




function copyFile(fromDir, fileName, toDir, callback, remoteURL) {
	var targetDir = gFileSystem.root;
	targetDir.getDirectory("smloft", {create: true, exclusive: false}, function(rootDir){		//create image root folder
		var fromDirFullPath = targetDir.toURL() + rootDir.fullPath + '/' + fromDir;
		var toDirFullPath = targetDir.toURL() + rootDir.fullPath + '/' + toDir;
		
		window.resolveLocalFileSystemURL(fromDirFullPath, function (fromDirEntry) {
			fromDirEntry.getFile(fileName,{create:false},function(){
				window.resolveLocalFileSystemURL(toDirFullPath, function (toDirEntry) {
					window.resolveLocalFileSystemURL(fromDirFullPath + '/' + fileName, function (fromFileEntry) {
						fromFileEntry.copyTo(toDirEntry, fileName, function(newFileEntry) {
							if (typeof callback == 'function') callback(newFileEntry.toURL());
						}, function() {
							if (typeof callback == 'function') callback(toDirFullPath + '/' + fileName);
						});
					});
				});
			},function(){
				if (remoteURL != undefined) {
					downloadImage(toDirFullPath + '/' + fileName, 'video_preview', remoteURL, function(fullPath){
						if (typeof callback == 'function') callback(fullPath);
					});
				}
			});
		});
		
		
		
	}, fail);
}

function getFreeSpace(callback) {
	cordova.exec(
		function(freeSpace) {
			var freeSpaceBytes = 0;
			if (deviceInfo.device == 'android') {		//安卓机返回的数据是以kilobytes为单位, 而苹果是返回bytes
				freeSpaceBytes = freeSpace * 1024;
			} else {
				freeSpaceBytes = freeSpace;
			}
			var freeSpaceMB = Math.floor(parseInt(freeSpaceBytes, 10) / 1024 / 1024);
			callback(freeSpaceMB, parseInt(freeSpaceBytes, 10));
		},
		function() {
			alert(usingLang.get_free_space_error);
			callback(0, 0);
		}, 
		"File", "getFreeDiskSpace", []
	);
}

var deviceFullPath, deviceVideoFullPath;
var deviceCodePath, deviceCssPath, deviceJsPath, deviceTplPath;

function getDeviceImageDir() {
	var targetDir = gFileSystem.root;
	targetDir.getDirectory("smloft", {create: true, exclusive: false}, function(rootDir){		//create image root folder
		//alert('device = ' + deviceInfo.device + '; name = ' + targetDir.name + '; fullPath = ' + rootDir.fullPath);
		deviceFullPath = targetDir.toURL() + rootDir.fullPath;
		//alert(deviceFullPath);
		rootDir.getDirectory("tag", {create: true, exclusive: false}, function(tagDir){		//create gallery folder
			tagDir.getDirectory("picture", {create: true, exclusive: false}, function(tagPictureDir){		//create gallery thumb folder
				
			}, fail);
		}, fail);
		rootDir.getDirectory("gallery", {create: true, exclusive: false}, function(galleryDir){		//create gallery folder
			galleryDir.getDirectory("mip", {create: true, exclusive: false}, function(galleryThumbDir){		//create gallery thumb folder
				
			}, fail);
		}, fail);
	}, fail);
}

function getDeviceVideoDir(){
	var targetDir = gFileSystem.root;
	targetDir.getDirectory("smloft", {create: true, exclusive: false}, function(rootDir){		//create image root folder
		rootDir.getDirectory("video", {create: true, exclusive: false}, function(videoDir){		//create video folder
			deviceVideoFullPath = targetDir.toURL() + videoDir.fullPath;
		}, fail);
	}, fail);
}

function getDeviceCodeDir(){
	var targetDir = gFileSystem.root;
	targetDir.getDirectory("smloft", {create: true, exclusive: false}, function(rootDir){
		rootDir.getDirectory("code", {create: true, exclusive: false}, function(codeDir){
			deviceCodePath = targetDir.toURL() + codeDir.fullPath;
			codeDir.getDirectory("css", {create: true, exclusive: false}, function(cssDir){
				deviceCssPath = targetDir.toURL() + cssDir.fullPath;
			}, fail);
			codeDir.getDirectory("js", {create: true, exclusive: false}, function(jsDir){
				deviceJsPath = targetDir.toURL() + jsDir.fullPath;
			}, fail);
			codeDir.getDirectory("tpl", {create: true, exclusive: false}, function(tplDir){
				deviceTplPath = targetDir.toURL() + tplDir.fullPath;
			}, fail);
		}, fail);
	}, fail);
}



function pageLoading(show) {
	if (show == undefined) {
		var show = true;
	}
	var bgDOM = $("body").find(".trans_bg");
	
	if (show) {
		if (bgDOM.length > 0) {
			bgDOM.fadeIn(300);
		} else {
			var html = $("#loading_template").html();
			var tplData = {
				width:deviceInfo.width, 
				height:$(document.body).prop('scrollHeight'), 
				margintop: ($(window).height() / 2) + $(window).scrollTop() - 60
			};
			html = doRendTemplate(html, tplData);
			$("body").append(html);
			$("body").find(".trans_bg").fadeIn(300);
		}
	} else {
		bgDOM.fadeOut("fast", function(){bgDOM.remove()});
		//check 300ms for 
	}
}



function initTemplate(tplID, callback, passingData) {
	var tplHTML = $("#" + tplID).html();
	if (tplHTML != "") {
		//check client language
		if (usingLang == undefined) {
			//usingLang = cn;
			//callback(tplHTML, passingData);
			navigator.globalization.getPreferredLanguage(
				function (languageOBJ) {
					//alert('当前系统使用的语言: ' + languageOBJ.value + '');
					if (languageOBJ.value.toLowerCase().indexOf('cn') != -1) {
						usingLang = cn;
					} else {
						usingLang = en;
					}
					callback(tplHTML, passingData);
				},
				function () {
					//error callback
					usingLang = cn;
					callback(tplHTML, passingData);
				}
			);
		} else {
			callback(tplHTML, passingData);
		}
		
	} else {
		navigator.notification.alert("Template ID does not exist", null, "ERROR");
	}
}

function rendTemplate(tplHTML, tplData, options) {			//replaceIntoSelector has "+" at the end means prepend, "-" means append, default is replace
	if (usingLang != undefined) {
		if (options != undefined) {
			var replaceIntoSelector = options.replaceIntoSelector;
			var partialSourceID = options.partial_source_id;
			var partialTargetID = options.partial_target_id
		}
		
		if (tplData == undefined) {
			var tplData = {};
		}
		if (partialSourceID != undefined && partialTargetID != undefined) {
			if (typeof partialSourceID == 'object') {
				var resultTPLHTMLArr = new Array();
				for (var i in partialSourceID) {
					initTemplate(partialSourceID[i], function(html, thisTPLData){
						var partialHTML = rendTemplate(html, thisTPLData);
						var partialOBJ = {};
						partialOBJ[partialTargetID[i]] = partialHTML;
						tplHTML = doRendTemplate(tplHTML, thisTPLData, replaceIntoSelector, partialOBJ);
						//alert(tplHTML);
						resultTPLHTMLArr.push(tplHTML);
					}, tplData);
				}
				return resultTPLHTMLArr;
			} else {
				initTemplate(partialSourceID, function(html, tplData){
					var partialHTML = rendTemplate(html, tplData);
					var partialOBJ = {};
					partialOBJ[partialTargetID] = partialHTML;
					
					var thisReplaceIntoSelector = replaceIntoSelector;
					if (isValidStr(thisReplaceIntoSelector)) {
						
						var lastChar = thisReplaceIntoSelector.slice(-1);
						if (lastChar == '+' || lastChar == '-') {
							//replaceIntoSelector = replaceIntoSelector.substring(0, replaceIntoSelector.length - 1);
							thisReplaceIntoSelector = undefined;
						}
					}
					
					return doRendTemplate(tplHTML, tplData, thisReplaceIntoSelector, partialOBJ);
				}, tplData);
			}
			
		}
		var finalHTML = doRendTemplate(tplHTML, tplData, replaceIntoSelector);
		return finalHTML;
	} else {
		navigator.notification.alert("Language package not loaded", null, "ERROR");
	}
	
}

function doRendTemplate(tplHTML, tplData, replaceIntoSelector, partialOBJ) {
	var langSwitch = 0;
	if (!isValidStr(tplHTML)) {
		return false;
	}
	if (tplHTML.indexOf('[[') !== -1) {
		langSwitch = 1;
	}
	if (tplData != undefined) {
		if (partialOBJ != undefined) {
			tplHTML = Mustache.to_html(tplHTML, tplData, partialOBJ);
		} else {
			tplHTML = Mustache.to_html(tplHTML, tplData);
		}
	}
	
	if (langSwitch) {
		tplHTML = tplHTML.replace(/\[\[/g, '{{');
		tplHTML = tplHTML.replace(/\]\]/g, '}}');
		//Mustache.tags = ["[[", "]]"];
		tplHTML = Mustache.to_html(tplHTML, usingLang);
		//Mustache.tags = ["{{", "}}"];
	}
	
	
	if (replaceIntoSelector != undefined) {
		var lastChar = replaceIntoSelector.slice(-1);
		if (lastChar == "+") {
			replaceIntoSelector = replaceIntoSelector.slice(0, -1);
			$(replaceIntoSelector).prepend(tplHTML);
		} else if (lastChar == "-") {
			replaceIntoSelector = replaceIntoSelector.slice(0, -1);
			$(replaceIntoSelector).append(tplHTML);
		} else {
			$(replaceIntoSelector).html(tplHTML);
		}
	}
	return tplHTML;
}



var gFileSystem;
var quitWithoutSetPassword;
document.addEventListener("deviceready", function(){
	internetConnect = checkConnection();
	
	//if (deviceInfo.device != 'android') {
	//	window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, gotFS, fail);
	//} else {
		window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, gotFS, fail);
	//}
	
	
	isSupport3d = has3d();
	bindBackEvent(quitApp);
	
	//window.open = cordova.InAppBrowser.open;
}, false);

function checkConnection() {
    var networkState = navigator.connection.type;

    var states = {};
    states[Connection.UNKNOWN]  = 'unknown';
    states[Connection.ETHERNET] = 'ethernet';
    states[Connection.WIFI]     = 'wiFi';
    states[Connection.CELL_2G]  = '2g';
    states[Connection.CELL_3G]  = '3g';
    states[Connection.CELL_4G]  = '4g';
    states[Connection.CELL]     = 'generic';
    states[Connection.NONE]     = 'none';
	
	return states[networkState];
}

var quitApp = function(){
	if (currentPageNo != 1) {		//在退出应用前要检查是否在第一页, 否则先往前退
		goToPage();
		bindBackEvent(quitApp);
	} else {
		//给猴机绑定back按钮事件(不要直接退出程序)
		ft_confirm(usingLang.quit_app1, function(result){
			if (result == true) {
				navigator.app.exitApp();
			}
		}, usingLang.quit_app2);
	}
}

function bindBackEvent(exeFunc) {
	if (deviceInfo.device == "android") {
		$(document).unbind('backbutton');
		$(document).bind('backbutton', function(e){
			exeFunc();
		});
	}
}

function getThumbPath(url, folderName){
	if (folderName == undefined) var folderName = "mip";
	if (url != undefined && url != "" && url != null){
		var tmpArr = url.split("/");
		var fileName = tmpArr[(tmpArr.length - 1)];
		if (fileName.indexOf('.') != -1) {
			var tbfileName = folderName + "/" + fileName;
			return url.replace(fileName, tbfileName);
		} else {
			return activeURL + '/images/no_photo.jpg';
		}
	}else{
		return null;
	}
}

function delFromJSON(id, jsonOBJ){
	if (jsonOBJ.length) {
		for (var i in jsonOBJ) {
			if (jsonOBJ[i].id == id) {
				jsonOBJ.splice(i, 1);
				//console.log(jsonOBJ);
				return jsonOBJ;
			}
		}
	}
}

function updateJSON(id, jsonOBJ, dataOBJ) {
	if (jsonOBJ.length) {
		for (var i in jsonOBJ) {
			if (jsonOBJ[i].id == id) {
				for (var key in dataOBJ) {
					var updateFlag = 0;
					for (var key2 in jsonOBJ[i]) {
						if (key == key2) {
							jsonOBJ[i][key2] = dataOBJ[key];
							updateFlag = 1;
						}
					}
					if (!updateFlag) {
						jsonOBJ[i][key] = dataOBJ[key];
					}
				}
			}
		}
	}
	return jsonOBJ;
}

function findJSON(jsonOBJ, id, offset, bothSide) {
	var itemNum = jsonOBJ.length;
	if (itemNum) {
		var cnt = 0;
		for (var i in jsonOBJ) {
			if (jsonOBJ[i].id == id) {
				jsonOBJ[i].postion = cnt;
				jsonOBJ[i].rPosition = (itemNum - 1) - cnt;		//从最后一个倒着数的数值,最后一个的值为0
				jsonOBJ[i].noLeft = undefined;
				jsonOBJ[i].noRight = undefined;
				
				if (bothSide != undefined) {
					//console.log("id: " + id + "; i: " + i);
					//console.log(jsonOBJ);
					var leftOffset = parseInt(i) - 1;
					var rightOffset = parseInt(i) + 1;
					var rightRightOffset = parseInt(i) + 2;
					
					var leftOBJ = jsonOBJ[leftOffset];
					var rightOBJ = jsonOBJ[rightOffset];
					var rightRightOBJ = jsonOBJ[rightRightOffset];
					
					//console.log(rightOBJ);
					if (leftOBJ == null || leftOBJ == undefined) {
						jsonOBJ[i].noLeft = 1;
					} else {
						jsonOBJ[i].left = leftOBJ;
					}
					if (rightOBJ == null || rightOBJ == undefined) {
						jsonOBJ[i].noRight = 1;
					} else {
						jsonOBJ[i].right = rightOBJ;
					}
					if (rightRightOBJ == null || rightRightOBJ == undefined) {
						jsonOBJ[i].noRightRight = 1;
					} else {
						jsonOBJ[i].rightRight = rightRightOBJ;
					}
				}
				if (offset != undefined) {
					var offsetI = parseInt(i) + parseInt(offset);
					
					if (jsonOBJ[offsetI] != undefined && jsonOBJ[offsetI] != null) {
						jsonOBJ[offsetI].noNext = undefined;
						if (offset < 0) {
							var nextOffset = offsetI - 1;
						} else {
							var nextOffset = offsetI + 1;
						}
						if (jsonOBJ[nextOffset] == undefined || jsonOBJ[nextOffset] == null) {
							jsonOBJ[offsetI].noNext = 1;
						}
						return jsonOBJ[offsetI];
					} else {
						return null;
					}
				} else {
					return jsonOBJ[i];
				}
			}
			cnt++;
		}
	}
	return null;
}

function gotFS(fileSystem) {
	gFileSystem = fileSystem;
	getDeviceImageDir();
	getDeviceVideoDir();
	getDeviceCodeDir();
}

function fail(evt) {
    console.log(evt.target.error.code);
}

/*function syncCode() {
	loadUrl(activeURL + '/api/change_setting.php?act=sync_code', function(data){
		if (data.success) {
	    	
	    } else {
	        bb_alert(data.error);
	    }
	});
}*/



$(function(){
	FastClick.attach(document.body);
	/* 
	Bind an event to window.orientationchange that, when the device is turned, 
	gets the orientation
	*/
	$(window).on('orientationchange', function(event){
		if (deviceInfo.device == 'android') {
			setTimeout(function(){
				orientationChangeHandler(event);
			}, 100);
		} else {
			orientationChangeHandler(event);
		}
	});
	
	var mainNaviDOM = $('#main_navi');
	var mainNaviHeight = mainNaviDOM.height();
	
	//----------当设备改变方向的时候会执行这个----------\
	function orientationChangeHandler(event) {
		deviceInfo = getDeviceInfo();
		
		if (deviceInfo.device == 'android') {
			//var tmpWidth = deviceInfo.width;
			//deviceInfo.width = deviceInfo.height;
			//deviceInfo.height = tmpWidth;
		}
		$('.page_main').width(deviceInfo.width);
		if ($('.current_page .page_top').length) {
			$('.current_page .page_main').height(deviceInfo.height - $('#main_navi').height() - 40);
		} else {
			$('.current_page .page_main').height(deviceInfo.height - $('#main_navi').height());
		}
		
		
		//console.log("orientation: " + deviceInfo.orientation);
		//console.log("width: " + deviceInfo.width + "; height: " + deviceInfo.height);
	}
	//--------------------------------------------/
}); 



function arrayCompare(a1, a2) {
    if (a1.length != a2.length) return false;
    var length = a2.length;
    for (var i = 0; i < length; i++) {
        if (a1[i] !== a2[i]) return false;
    }
    return true;
}

function in_array(needle, haystack) {
    var length = haystack.length;
    for(var i = 0; i < length; i++) {
        if(typeof haystack[i] == 'object') {
            if(arrayCompare(haystack[i], needle)) return true;
        } else {
            if(haystack[i] == needle) return true;
        }
    }
    return false;
}
function nl2br (str, is_xhtml) {
    var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br />' : '<br>';
    return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + breakTag + '$2');
}


function has3d() {
    var el = document.createElement('p'), 
        has3d,
        transforms = {
            'webkitTransform':'-webkit-transform',
            'OTransform':'-o-transform',
            'msTransform':'-ms-transform',
            'MozTransform':'-moz-transform',
            'transform':'transform'
        };

    // Add it to the body to get the computed style.
    document.body.insertBefore(el, null);
    for (var t in transforms) {
        if (el.style[t] !== undefined) {
            el.style[t] = "translate3d(1px,1px,1px)";
            has3d = window.getComputedStyle(el).getPropertyValue(transforms[t]);
        }
    }

    document.body.removeChild(el);

    return (has3d !== undefined && has3d.length > 0 && has3d !== "none");
}



$.fn.serializeObject = function()
{
   var o = {};
   var a = this.serializeArray();
   $.each(a, function() {
       if (o[this.name]) {
           if (!o[this.name].push) {
               o[this.name] = [o[this.name]];
           }
           o[this.name].push(this.value || '');
       } else {
           o[this.name] = this.value || '';
       }
   });
   return o;
};


function processQuery(prevQuery, removeQuery) {
	var newQueryArr = new Array();
	if (isValidStr(prevQuery)) {
		var prevQueryArr = prevQuery.split('&');
		for (var i in prevQueryArr) {
			if (prevQueryArr[i] != removeQuery) {
				newQueryArr.push(prevQueryArr[i]);
			} else if (removeQuery.indexOf('[d]') != -1) {		//[d]表示数字匹配
				var removeQueryArr = removeQuery.split('=');
				var removeQueryKey = removeQueryArr[0];
				var removeQueryValue = removeQueryArr[1];
				
				if (prevQueryArr[i].indexOf(removeQueryKey + '=') == -1) {
					newQueryArr.push(prevQueryArr[i]);
				}
			}
		}
	}
	if (newQueryArr.length) {
		return newQueryArr.join('&');
	} else {
		return '';
	}
}
triggerScrollToBottomTime = undefined;
function bindScrollToBottom(pageSelector, scrollSelector, contentSelector, bindFlag, callback) {
	if (pageSelector == undefined && bindFlag != true) {
		$(scrollSelector).off('scroll');
	} else {
		var scrollDOM = $(pageSelector).find(scrollSelector);
		if (scrollSelector != contentSelector) {
			var contentDOM = scrollDOM.find(contentSelector);
		} else {
			var contentDOM = scrollDOM;
		}
		if (contentDOM.length) {
			if (bindFlag == true) {
				scrollDOM.off('scroll');
				scrollDOM.on('scroll', function() {
					//console.log('contentDOM.height = ' + contentDOM.height());
					//console.log('$(this).scrollTop = ' + $(this).scrollTop());
					//console.log('$(this).height = ' + $(this).height());
					if (parseInt(contentDOM.height(), 10) > 0 && $(this).height() < contentDOM.height() && $(this).scrollTop() + $(this).height() > contentDOM.height() - 100) {
						//alert($(this).scrollTop() + '+' + $(this).height() + '>' + contentDOM.height() + '- 100');
						var thisTime = new Date().getTime();
						if (triggerScrollToBottomTime == undefined || (triggerScrollToBottomTime > 0 && thisTime - triggerScrollToBottomTime > 5000)) {		//避免短时间内重复触发事件
							//console.log('触发事件！！！' + (thisTime - triggerScrollToBottomTime));
							triggerScrollToBottomTime = thisTime;
							if (typeof callback == 'function') callback();
						} else {
							//console.log('没有触发事件，间隔时间：' + (thisTime - triggerScrollToBottomTime)) + '毫秒';
						}
					}
				});
			}
		}
	}
}

function calcScrollableHeight(pageDOM) {
	if (pageDOM.length) {
		//----------返回可滚动层的高度--------\
		var topDOM = pageDOM.find('.page_top');
		var topHeight = 0;
		if (topDOM.length) {
			topHeight = topDOM.height();
		}
		
		var bottomHeight = 0;
		var bottomDOM = $('#main_navi');
		if (bottomDOM.length) {
			bottomHeight = bottomDOM.height();
		}
		
		//alert("topHeight: " + topHeight + " - bottomHeight: " + bottomHeight);
		
		var contentHeight = deviceInfo.height - topHeight - bottomHeight - 10;
		if (deviceInfo.device == 'android') {
			if (topDOM.length) {
				contentHeight = contentHeight + 25;		//安卓底部有奇怪的白边
			} else {
				contentHeight = contentHeight + 38;		//安卓底部有奇怪的白边
			}
		} else {
			if (topDOM.length) {
			
			} else {
				contentHeight = deviceInfo.height - topHeight - bottomHeight + 10;
			}
		}
		return contentHeight;
		//--------------------------------/
	}
}

function toggleAppStoreRelated() {
	if (mySetting != undefined && mySetting.hide_appstore_related != undefined && parseInt(mySetting.hide_appstore_related, 10) === 1) {	//之前有设置隐藏的情况
		hideAppStoreRelated = 1;
	} else if (mySetting != undefined && mySetting.hide_appstore_related != undefined && parseInt(mySetting.hide_appstore_related, 10) === 0) {		//之前设置不隐藏
		hideAppStoreRelated = 0;
	} else {
		if (deviceInfo.device == 'android') {		//默认安卓不隐藏
			hideAppStoreRelated = 0;
		} else {									//苹果设备隐藏
			hideAppStoreRelated = 1;
		}
	}
	var mainNaviAppStoreRelatedDOM = $('.main_navi_appstore_related');
	var homeBtnAppStoreRelatedDOM = $('.home_btn_appstore_related');
	//var homeSlideAppStoreRelatedDOM = $('.home_slide_appstore_related');
	var optionAppStoreRelatedDOM = $('.option_appstore_related');
	var picListAppStoreRelatedDOM = $('.pic_list_appstore_related');
	var profileAppStoreRelatedDOM = $('.profile_appstore_related');
	var lingirlAppStoreRelatedDOM = $('.lingirl_appstore_related');
	var tagSearchAppStoreRelatedDOM = $('.tag_search_appstore_related');
	if (!hideAppStoreRelated) {
		mainNaviAppStoreRelatedDOM.show();
		homeBtnAppStoreRelatedDOM.show();
		//homeSlideAppStoreRelatedDOM.show();
		optionAppStoreRelatedDOM.show();
		picListAppStoreRelatedDOM.show();
		profileAppStoreRelatedDOM.show();
		lingirlAppStoreRelatedDOM.show();
		tagSearchAppStoreRelatedDOM.show();
	} else {
		mainNaviAppStoreRelatedDOM.hide();
		homeBtnAppStoreRelatedDOM.hide();
		//homeSlideAppStoreRelatedDOM.hide();
		optionAppStoreRelatedDOM.hide();
		picListAppStoreRelatedDOM.hide();
		profileAppStoreRelatedDOM.hide();
		lingirlAppStoreRelatedDOM.hide();
		tagSearchAppStoreRelatedDOM.hide();
	}
}

function bindLazyLoad(toSelector, renderMethod, saveToLocal, allowBrowserCache) {
	var lazyDOM = $(toSelector).find('.lazy');
	if (lazyDOM.length > 0) {
		$('.lazy_binded').removeClass('lazy').addClass('tmp_lazy_unbind').removeClass('lazy_binded');		//解绑其他页面的lazyload功能，同时也删除了这个页面的lazy class，所以下面要加回来
		lazyDOM.lazyload({container:$(toSelector), appear:function($elements, elements_left, options){
	        if (renderMethod == undefined) renderMethod = 'src';
	        var thisURL = $elements.attr('data-lazy');
	        if (saveToLocal) {
		        var thisLocalImageArr = new Array();
		        thisLocalImageArr.push({
					selector: $elements, 
					url: thisURL
				});
				renderLocalImage(thisLocalImageArr, "gallery/mip", renderMethod);
	        } else {
		        //---------禁止webview缓存图片--------\
		        if (allowBrowserCache == undefined) {
			        if (thisURL.indexOf('?') === -1) {
				        thisURL = thisURL + '?t=' + new Date().getTime();
			        }
		        }
		        //----------------------------------/
		        //console.log(thisURL);
		        if (renderMethod == 'src') {
			        $elements.attr('src', thisURL);
		        } else {
			        $elements.css("background-image", "url(" + thisURL + ")");
		        }
	        }
	        
	        return false;
	    }});
	    lazyDOM.each(function() {
		    //----因为上面$('.lazy_binded').removeClass('lazy')可能删除了本页DOM的lazy，所以这里要把本页的加回来----\
		    if (!$(this).hasClass('lazy')) {
			    $(this).addClass('lazy');
		    }
		    //----------------------------------------------------------------------------------------------/
			$(this).addClass('lazy_binded');
		});
	}
}

function updateBlockUser(btnDOM, toUID) {
	var isBlocked = parseInt(btnDOM.attr('is_blocked'), 10);
	if (isBlocked === 1 || isBlocked === 0) {
		if (isBlocked) {
			var blockType = 'unblock';
		} else {
			var blockType = 'block';
		}
		if (parseInt(toUID, 10) > 0) {
			if (blockType == 'block') {
				var msgTitle = usingLang.confirm_block_title;
				var msgContent = usingLang.confirm_block_content;
			} else {
				var msgTitle = usingLang.confirm_unblock_title;
				var msgContent = usingLang.confirm_unblock_content;
			}
			ft_confirm(msgContent, function(result) {
				if (result) {
					loadUrl(activeURL + "/api/change_setting.php?act=update_block_user&block_type=" + blockType + "&to_uid=" + toUID, function(data){
			    	if (data.success) {
				    	//document.location.reload(true);
				    	bb_alert(usingLang.update_block_done);
				    	if (isBlocked) {
					    	btnDOM.attr('is_blocked', '0');
					    	btnDOM.find('.interact_to_user_icon').removeClass('interact_to_user_icon_unblock').addClass('interact_to_user_icon_block');
					    	btnDOM.find('.interact_to_user_button_txt').html(usingLang.interact_to_user_block);
				    	} else {
					    	btnDOM.attr('is_blocked', '1');
					    	btnDOM.find('.interact_to_user_icon').removeClass('interact_to_user_icon_block').addClass('interact_to_user_icon_unblock');
					    	btnDOM.find('.interact_to_user_button_txt').html(usingLang.interact_to_user_unblock);
				    	}
			        } else {
			            bb_alert(data.error);
			        }
			    }, "get", true, true);
				}
			}, msgTitle);
		} else {
			alert('程序错误：参数不存在');
		}
	} else {
		alert('程序错误：没有设置is_blocked参数');
	}
}

function getRemoteContent(url, callback) {
	$.ajax({
		url: url,
		timeout: 6000,
		error: function(jqXHR, textStatus, errorThrown){
			callback(null, errorThrown);
		},
		success: function(data) {
			callback(data);
		}
	});
}
