function getArticleList() {
	var toPage = 2;
	var toPageSelector = '.page_' + toPage;
	var toPageMainSelector = toPageSelector + ' > .page_main .message_page_frame';
	
	var targetDOM = $('.current_page > .page_main .message_page_frame');
	if (!targetDOM.length) {
		targetDOM = genMessageFrame(toPage);
	}
	
	var stealth = true;
	
	var rowsperpage = 10;
	if (num_of_pics_each_row >= 5) {
		rowsperpage = 20;
	}
	var nextPage = 1;
	
	if ($('.current_page .article_container').length) {		//只有下一页才会进入
		var moreForm = $('.current_page .more_form');
		var pageDOM = moreForm.find("#current_page");
		if (pageDOM.length) {
			nextPage = parseInt(pageDOM.val(), 10) + 1;
		}
		btnLoading(true);
	}
	
	var url = activeURL + "/api/articles.php?page=" + nextPage + "&rowsperpage=" + rowsperpage;
	loadUrl(url, function(data){
		if (data.success) {
			if (data.email_verified != undefined) saveSetting({email_verified:data.email_verified}, function(){mySetting.email_verified = parseInt(data.email_verified, 10)});
			
			var articleList = data.list;
			
			if (articleList != undefined && articleList.length) {
				for (var i in articleList) {
					var timeArr = articleList[i].posttime.split(' ');
					articleList[i].short_time = timeArr[0];
				}
			}
			var tplObj = {article_list:articleList};
			if (nextPage === 1) {
				initTemplate("article_template", function(tpl){
					tplObj.show_more = data.show_more;
					tplObj.page = data.page;
					rendTemplate(tpl, tplObj, {replaceIntoSelector:toPageMainSelector,partial_source_id:"article_list_template",partial_target_id:"article_list_template_partial"});
					
					if (data.show_more) {		//如果还有下一页视频, 绑定页面滚动快到底部时的自动加载下一页功能
						runningScrollToBottomArr[toPage] = function(){
							if (checkHasMore()) {
								getArticleList();
							}
						};
						bindScrollToBottom('.page_' + toPage, '.message_page_frame', '.article_container', true, runningScrollToBottomArr[toPage]);
					} else {					//如果没有下一页了, 取消自动加载绑定
						runningScrollToBottomArr[toPage] = undefined;
						bindScrollToBottom('.page_' + toPage, '.message_page_frame', '.article_container', false);
					}
					
					var scrollHeight = calcScrollableHeight($('.page_' + toPage));
					$(toPageMainSelector).css('height', (scrollHeight - 32) + 'px');
					
					hideNewsNotify($('.home_header_news_container'));
					
					setContentPageScroll(toPage);
					
					var profileAccountDOM = $('.article_header');
					profileAccountDOM.unbind('click').bind('click', function(){
						profileAccountClickNum++;
						if (profileAccountClickNum >= 10) {
							if (hideAppStoreRelated) {		//已经隐藏了，释放
								ft_confirm(usingLang.content_unlock_confirm1, function(result){
									if (result) {
										loadUrl(activeURL + "/api/change_setting.php?act=add&update_theme_id=1", function(data){
											if (data.success) {
												hideAppStoreRelated = 0;
												bb_alert(usingLang.content_unlock_success);
												gHomeSlideInterval = setInterval(function(){
													homeSliding('left');
												}, 8000);
												bindHomeSlideTouch();
												if (data.cates != undefined && data.cates.length) {
													formatTags(data.cates, function(){
														initSearchTag();
													});
												}
												onlyLoadedTopCate = 1;
											} else {
												bb_alert(data.error);
											}
										}, "get", true);
										profileAccountClickNum = 0;
									}
								}, usingLang.content_unlock_confirm2);
							} else {						//隐藏起来
								ft_confirm(usingLang.content_lock_confirm1, function(result){
									if (result) {
										loadUrl(activeURL + "/api/change_setting.php?act=del&update_theme_id=1", function(data){
											if (data.success) {
												hideAppStoreRelated = 1;
												bb_alert(usingLang.content_lock_success);
												unbindHomeSlideTouch();
												if (data.cates != undefined && data.cates.length) {
													formatTags(data.cates, function(){
														initSearchTag();
													});
												}
												onlyLoadedTopCate = 1;
											} else {
												bb_alert(data.error);
											}
										}, "get", true);
										profileAccountClickNum = 0;
									}
								}, usingLang.content_lock_confirm2);
							}
						}
					});
				});
			} else {
				initTemplate("article_list_template", function(tpl){
					if (parseInt(data.show_more, 10) === 1) {
						pageDOM.val(data.page);
						btnLoading(false);
					} else {
						$(".current_page .show_more_clear").removeClass('bb_clear');
						moreForm.hide();
					}
					rendTemplate(tpl, tplObj, {replaceIntoSelector:'.current_page .article_container-'});
				});
			}
			
			
			
		} else {
			bb_alert(data.error);
		}
	}, "post", true, stealth);
	
	$('.message_top_item').removeClass('message_top_item_on');
	$('.message_top_item_news').addClass('message_top_item_on');
}