homeSliderDOM = undefined;
totalHomeSlideNo = 5;
totalHomeSliderMoved = undefined;
hsTouchStartX = undefined;
hsTouchEndX = undefined;
hsTouchDirection = undefined;
hsPrevDirection = undefined;
function homeSlideTouch(e) {
	if ($(e.target).attr('class') != 'hs_go_to_detail') {
		if (deviceInfo.device != 'android') {
			e.preventDefault();
		}
		var matrix = matrixToArray(homeSliderDOM.css("-webkit-transform"));
		var currentSlideX = parseInt(matrix[4], 10);
	    var x = event.touches[0].pageX;
	    if (hsTouchEndX != undefined){
		    var movedHowMuch = hsTouchEndX - x;
		    if (movedHowMuch){
			    var newSlideX = currentSlideX - movedHowMuch;
		    	if (isSupport3d == true) {
		    		homeSliderDOM.css("-webkit-transform", 'translate3d(' + newSlideX + 'px, 0px, 0px)');
		    	} else {
		    		homeSliderDOM.css("-webkit-transform", 'translate(' + newSlideX + 'px, 0px)');
		    	}
		    }
	    } else {
	    	hsTouchStartX = x;    
		    homeSliderDOM.css('-webkit-transition-duration', 'inherit');
	    }
	    hsTouchEndX = x;
	}
}
function resetSlideTouch() {
	hsTouchStartX = undefined;
	hsTouchEndX = undefined;
	hsTouchDirection = undefined;
}

function bindHomeSlideTouch() {
	homeSliderDOM.bind("touchstart touchmove", function(e) {
		clearInterval(gHomeSlideInterval);
		homeSlideTouch(e);
	});
	homeSliderDOM.bind("touchend", function(e) {
		homeSliding(undefined, function(returnedDirection){
			resetSlideTouch();
		});
	});
}
function unbindHomeSlideTouch() {
	homeSliderDOM.unbind("touchstart").unbind('touchmove').unbind('touchend');
}

function homeSliding(direction, callback) {
	unbindHomeSlideTouch(); //开始位移，停止响应touchstart touchmove touchend事件
	var dontMove = 0;
	var speedMS = 400;
	var currentSlideDOM = homeSliderDOM.find('.hs_item_current_slide');
	var currentHomeSlideNo = parseInt(currentSlideDOM.attr('slide_no'), 10);
	if (direction == undefined) {
		//console.log('hsTouchStartX: ' + hsTouchStartX);
		//console.log('hsTouchEndX: ' + hsTouchEndX);
		if (hsTouchStartX > hsTouchEndX) {
			direction = 'left';
		} else if (hsTouchStartX < hsTouchEndX) {
			direction = 'right';
		} else {			//没有划动动作，画面不动，停止滚动
			dontMove = 1;
		}
	}
	if (dontMove) {
		bindHomeSlideTouch(); //绑定回touch事件
		var currentSlideContentID = currentSlideDOM.attr('content_id');
		var currentSlideContentType = currentSlideDOM.attr('content_type');
		if (currentSlideContentType == 'album') {
			getGalleryPics(undefined, {group_id:currentSlideContentID,reload:1,title:usingLang.home_featured});
		} else {
			getGalleryVideos(undefined, {reload:1, video_id:currentSlideContentID, title:usingLang.home_featured});
		}
		if (typeof callback == 'function') {
			callback();
		}
		return false;
	}
	//console.log('direction: ' + direction);
	if (totalHomeSliderMoved == undefined) { 		//初始化totalHomeSliderMoved
		if (direction == 'left') {
			totalHomeSliderMoved = -currentHomeSlideNo * deviceInfo.width;
		} else {
			totalHomeSliderMoved = -(currentHomeSlideNo - 2) * deviceInfo.width;
		}
	} else {
		//这里很奇怪，本来应该对totalHomeSliderMoved进行一个屏幕宽度的加减来更新新的位移值，结果，可能因为DOM位移了，所以这里更新位移值反而不对了。
		if (direction != hsPrevDirection) {		//很无语，因为上面说的奇怪位移问题，在换方向的时候得对位移值进行两屏的增减，算是hack的办法吧。感觉不稳定
			if (direction == 'left') {
				totalHomeSliderMoved = totalHomeSliderMoved - (deviceInfo.width * 2);
			} else {
				totalHomeSliderMoved = totalHomeSliderMoved + (deviceInfo.width * 2);
			}
		}
	}
	
	//---------设置hs dot的显示效果----------\
	var dotContainer = $('#home_slideshow_dot_container');
	var currentDotDOM = dotContainer.find('.hs_dot_current_item');
	if (direction == 'left') {
		var nextDotDOM = currentDotDOM.next();
		if (nextDotDOM.length <= 0) {
			nextDotDOM = dotContainer.find('.hs_dot_item:first');
		}
	} else {
		var nextDotDOM = currentDotDOM.prev();
		if (nextDotDOM.length <= 0) {
			nextDotDOM = dotContainer.find('.hs_dot_item:last');
		}
	}
	currentDotDOM.removeClass('hs_dot_current_item');
	nextDotDOM.addClass('hs_dot_current_item');
	//-------------------------------------/
	
	homeSliderDOM.css('-webkit-transition-duration', speedMS + 'ms');		//设置动画时间
	if (isSupport3d == true) {
		homeSliderDOM.css("-webkit-transform", 'translate3d(' + totalHomeSliderMoved + 'px, 0px, 0px)');		//totalHomeSliderMoved的值是负数就是朝左边位移
	} else {
		homeSliderDOM.css("-webkit-transform", 'translate(' + totalHomeSliderMoved + 'px, 0px)');
	}
	hsPrevDirection = direction;
	//console.log(totalHomeSliderMoved);
	setTimeout(function(){
		homeSliderDOM.css('-webkit-transition-duration', 'inherit');
		//-------设置当前slide no并添加下下个slide------\
		currentSlideDOM.removeClass('hs_item_current_slide');
		if (direction == 'left') {
			var nextSlideDOM = currentSlideDOM.next();
			nextSlideDOM.addClass('hs_item_current_slide');
			var mostLeftDOM = homeSliderDOM.find('.hs_item_container:first');
			mostLeftDOM.appendTo('#home_slideshow_slider');		//因为是向左移动，所以把容器最左边的那个移到最右边去
			var adjustX = totalHomeSliderMoved + deviceInfo.width;
		} else {
			var prevSlideDOM = currentSlideDOM.prev();
			prevSlideDOM.addClass('hs_item_current_slide');
			var mostRigthDOM = homeSliderDOM.find('.hs_item_container:last');
			mostRigthDOM.prependTo('#home_slideshow_slider');	//因为是向右移动，所以把容器最右边的那个移到最左边去
			var adjustX = totalHomeSliderMoved - deviceInfo.width;
		}
		
		//alert(homeSliderDOM.html());
		//因为dom有位移，所以将容器做相应的位移transform
		if (isSupport3d == true) {
			homeSliderDOM.css("-webkit-transform", 'translate3d(' + adjustX + 'px, 0px, 0px)');
		} else {
			homeSliderDOM.css("-webkit-transform", 'translate(' + adjustX + 'px, 0px)');
		}
		//-------------------------------------------/
		bindHomeSlideTouch(); //位移动作完成，重新绑定回touch事件
		if (typeof callback == 'function') {
			callback(direction);
		}
	}, speedMS + 50);

}


function loadFeaturedVideoIntoHomeSlide() {
	homeSliderDOM = $('#home_slideshow_slider');
	var dotContainer = $('#home_slideshow_dot_container');
	if (gFeaturedContent != undefined && gFeaturedContent.length) {
		//if (hideAppStoreRelated) {
		//	$('#home_slideshow_container').hide();
		//} else {
		//	$('#home_slideshow_container').show();
			
			var slideAmount = gFeaturedContent.length;
			if (slideAmount % 2 === 1) {			//单数取中间
				var midNum = Math.floor(slideAmount / 2);
			} else {										//双数取中间的前一个
				var midNum = (slideAmount / 2) - 1;
			}
			if (homeSliderDOM.find('.hs_item_container').length <= 0) {
				
				for (var i = 0; i < slideAmount; i++) {
					var currentSlideClass = '';
					if ( i === midNum ) {
						currentSlideClass = 'hs_item_current_slide';
					}
					homeSliderDOM.append('<div slide_no="' + (i + 1) + '" content_id="" content_type="" class="hs_item_container hs_item_container_' + (i + 1) + ' ' + currentSlideClass + '"></div>');
					var currentDotClass = '';
					if (i === 0) {
						currentDotClass = 'hs_dot_current_item';
					}
					dotContainer.append('<div class="hs_dot_item ' + currentDotClass + '"></div>');
				}
			}
			
			
			
			if (homeSliderDOM.find('.hsc_title').length <= 0) {		//已经装载了不要重复装
				var html = $('#home_slide_content_template').html();
				for (var i in gFeaturedContent) {
					var contentNo = parseInt(i, 10) + 1;
					var thisContent = gFeaturedContent[i];
					//console.log(thisContent);
					var tplOBJ = {id:thisContent.id, title:thisContent.title, post_by:thisContent.postBy};
					if (thisContent.content_type == 'album') {
						tplOBJ.hsc_type_class = 'hsc_type_album';
					} else {
						tplOBJ.hsc_type_class = 'hsc_type_video';
					}
					var thisHTML = doRendTemplate(html, tplOBJ);
					
					var toSlideNo = ((contentNo + midNum > slideAmount)?(contentNo + midNum - slideAmount):(contentNo + midNum));
					homeSliderDOM.css('-webkit-transform', 'translate3d(-' + (20 * midNum) + '%, 0px, 0px)');
					//alert('toSlideNo: ' + toSlideNo);
					homeSliderDOM.find('.hs_item_container_' + toSlideNo).attr('content_id', thisContent.id).attr('content_type', thisContent.content_type).html(thisHTML);
					//---------下载或加载视频截图到本机-----------\
					var thisLocalImageArr = new Array();
					for (var x = 0; x < 5; x++) {
						var thisContentImage = thisContent.images[x];
						if (thisContentImage) {
							var thisSelector = '#home_slideshow_slider .hs_item_container_' + toSlideNo + ' .hsc_image_item_' + x;
							if (deviceInfo.device == 'android') {
								thisLocalImageArr.push({
									selector: thisSelector, 
									url: thisContentImage
								});
							} else {
								$(thisSelector).css('background-image', 'url("' + thisContentImage + '")');
							}
						}
					}
					if (thisLocalImageArr.length) {
						if (deviceInfo.device == 'android') {
							renderLocalImage(thisLocalImageArr, "gallery/mip", 'background');
						}
					}
					//---------------------------------------/
				}
			}
		//}
	} else {
		$('#home_slideshow_container').hide();
	}
}



