var cn = {
	lang_tag							: 'cn',
	title								: "神木林",
	me									: '我',
	error								: "出错了?",
	quit								: "退出",
	upload_pic							: "上传照片",
	profile								: "个人账户",
	setting								: "设置",
	help								: "帮助信息",
	new_version							: "新版本",
	version_update						: "已经发布, 您需要升级到最新版本",
	pictures							: "图片",
	videos								: "视频",
	gold								: '金币',
	diamond								: '钻石',
	add_fav								: '加收藏',
	remove_fav							: "取消收藏",
	login								: "登录",
	logout								: "退出登录",
	register							: '注册账号',
	login_failed						: "无效的用户名或密码",
	setup_before_logout					: "在退出前请先设置账号信息",
	username							: "用户名",
	email								: "电子邮箱",
	mobile								: '手机号码',
	password							: "密码",
	change_password						: '修改密码',
	rep_password						: "确认密码",
	auto_login							: "自动登录",
	optional							: "选填",
	vip_account							: '高级账号',
	vip_account_short					: '高级账号',
	gold_account						: '金币会员',
	diamond_account						: '钻石会员',
	empty_txt							: "空",
	yes									: "是",
	no									: "否",
	cancel								: '取消',
	save_change							: "保存修改",
	change_done							: "设置更改完成!",
	welcome_back						: "欢迎回来",
	tag									: '标签',
	show_tags							: "展开标签",
	hide_tags							: "收回标签",
	edit_tags							: "修改标签",
	tag_related							: '相关标签',
	tag_related_video					: '相关的视频',
	need_username						: "请输入用户名",
	invalid_email						: "电子邮箱格式错误",
	need_password						: "请输入密码",
	need_rep_password					: "请再输入一次密码",
	password_not_same					: "两次输入的密码不相同",
	no_change							: "无任何改动",
	more								: '更多',
	loading								: '读取中',
	loading_from_server					: '与服务器交换数据中',
	in_junk								: '已下架',
	new_today							: '24小时',
	need_login							: '请先登录',
	
	home_free							: "免费视频",
	home_diamond						: "钻石视频",
	home_original						: "原创首发",
	home_online_watch					: '在线播放',
	home_video_today					: '今日视频',
	home_download						: '下载管理',
	home_featured						: '特别企划',
	home_discount						: '视频促销',
	home_picture_today					: '今日新图',
	home_picture_week					: '本周新图',
	home_picture_org					: '原创套图',
	home_picture_discount				: '套图促销',
	home_picture_free					: '免费套图',
	home_picture_diamond				: '钻石套图',
	home_quick_payment					: '快速充值',
	home_playlist						: '连播剧集',
	home_producer						: '原创排名',
	home_fav_picture					: '图片收藏',
	home_purchased_picture				: '已购套图',
	home_fav_video						: '视频收藏',
	home_purchased_video				: '已购视频',
	
	profile_language					: '语言选择',
	profile_language_en					: '英文',
	profile_language_en_tip				: '【百度云资源将不可见】',
	profile_language_cn					: '简体中文',
	preferred_lang_changed				: '转换中文成功，退出APP可全部生效。',
	profile_only_show_translated_en		: '仅显示翻译过的视频',
	profile_translated_description_en	: '我们会定期将用户发布的视频的标题和描述翻译成英文。勾选此项将在列表中仅显示翻译过的视频。',
	
	main_navi_home						: '首页',
	main_navi_picture					: '图片库',
	main_navi_video						: '视频区',
	main_navi_studio					: '工作室',
	main_navi_message					: '消息',
	main_navi_profile					: '个人',
	
	home_org_title						: '网友原创，独家发布',
	home_org_new						: '最新发布',
	home_org_lowest_price				: '价格最低',
	home_org_best_seller				: '购买最多',
	home_org_most_fav					: '收藏最多',
	home_org_longest_duration			: '时间最长',
	
	home_header_news					: '有新公告！',
	home_header_search					: '搜索',
	
	home_video_area_title				: '视频区快速导航',
	
	id_prove_btn_title					: '请进行身份验证成为正式用户',
	id_prove_btn_desc1					: '验证成功后立即获得',
	id_prove_btn_desc2					: '金币, 还有每日金币可以领',
	
	fuli_text							: '领金币啦',
	
	virt_headline						: '您要投诉视频的问题是:',
	virt0								: '链接失效',
	virt1								: '视频盗链',
	virt2								: '资源重复',
	virt3								: '无法播放',
	virt4								: '色情露点',
	virt_text							: '追加描述，请在此详细描述问题。如果投诉原因是视频盗链或者资源重复，请填写原视频标题，否则无法处理。',
	virt_submit							: '提交投诉',
	
	how_to_use_click_text1				: '点击账户名10次',
	how_to_use_click_text2				: '开启/关闭隐藏功能',
	how_to_use_video_text				: '左右滑动这里，查看更多预览图',
	how_to_use_home_text1				: '左右滑动这里，查看更多专属视频',
	how_to_use_home_text2				: '点击图片查看详细',
	how_to_use_video_list1				: '点击左边直接购买或进入播放界面',
	how_to_use_video_list2				: '点击右边预览视频详细信息',
	how_to_use_pagination_text			: '左右滑动可选择更多分页',
	
	fp_header							: '忘记账号？',
	fp_email							: '请输入绑定过的邮箱地址',
	fp_email_submit						: '发送账号到邮箱',
	fp_mobile							: '请输入绑定过的手机号码',
	fp_mobile_submit					: '发送验证码到手机',
	
	login_fast_username					: '用户名：',
	login_fast_tip						: '切换账号',
	
	reg_tab_reg							: '创建账号',
	reg_tab_login						: '已有账号',
	reg_form_header1					: '当前账户为',
	reg_form_header2					: '需要注册新账户吗？',
	reg_form_header3					: '如果您已有账户，',
	reg_form_header4					: '请输入账户密码登录',
	reg_form_mobile						: '大陆手机号码',
	reg_form_mobile_code				: '四位数字验证码',
	reg_form_mobile_code_send_btn		: '发送短信验证码',
	reg_form_mobile_format_error		: '手机号码格式错误（仅支持大陆11位手机号码）。',
	reg_form_mobile_code_format_error	: '短信验证码格式错误。',
	email_input_tip						: '用于找回密码',
	profile_show_reg_btn				: '创建账号/切换账号',
	invite_new							: '邀请新用户',
	invite_code_input					: '邀请码(选填)',
	
	vip_about							: '关于高级账号',
	vip_days_remain1					: '高级账号还有',
	vip_days_remain2					: '天到期',
	not_vip								: '还不是',
	extend_vip							: '延期',
	upgrade_to_vip						: '升级高级账号',
	buy_gold							: '购买金币',
	buy_gold_grace						: '感谢您购买金币',
	buy_diamond							: '购买钻石',
	buy_diamond_grace					: '感谢您购买钻石',
	diamond_to_video					: '钻石兑换金币',
	convert								: '兑换',
	
	profile_username_empty_unsafe		: '不安全',
	profile_email_empty_unsafe			: '没有填写邮箱的用户无法找回密码',
	profile_password_empty_unsafe		: '没有隐私保护',
	profile_password_default_unsafe		: '默认密码',
	profile_email_input					: '请填写电子邮箱',
	profile_change_email				: '修改邮箱',
	profile_mobile_inut					: '请填写手机号码(仅限中国大陆地区)',
	profile_mobile_txt_verify			: '请输入短信验证码',
	profile_bind_mobile					: '绑定手机号码',
	profile_mobile_desc1				: '绑定的手机号码是',
	profile_mobile_desc2				: '，绑定后不能修改',
	profile_default_player				: '使用系统默认播放器',
	profile_player_issue1				: '视频无法全屏播放？',
	profile_player_issue2				: '系统默认播放器无法开启慢速播放，快进和快退功能，建议您仅在APP播放器无法全屏的情况下勾选。升级安卓版本到6.0以上即可解决APP播放器无法全屏的问题。',
	profile_change_cdn1					: '系统自动设置的在线播放线路不正确？',
	profile_change_cdn2					: '我们会自动检测您所在国家为您预设最快的在线播放线路。您也可以在此更换线路。',
	profile_cdn_server_cn				: '国内线路',
	profile_cdn_server_us				: '美国线路',
	profile_cdn_server_change_done		: '设置成功！',
	profile_night_mode					: '夜间模式',
	
	search_group_picture				: '搜套图',
	search_video						: '搜视频',
	search_keyword_input				: '输入关键词，多个词请用空格隔开',
	search_keyword_button				: '搜索关键词',
	search_keyword_empty				: '请输入要搜索的内容',
	
	tag_search_wait						: '请等待设备从服务器端读取到标签信息后即可进入搜索。',
	tag_search_not_ready				: '标签数据还未准备好,请等待片刻',
	tag_search_loading					: '标签信息读取中',
	tag_search_help1					: '按标签搜索，点击选中标签，可多选。',
	tag_search_help2					: '当前仅显示每组下的排名前十的热门标签。',
	tag_search_video_num_help			: '标签的视频数量',
	tag_search_pic_num_help				: '标签的图片数量',
	tag_search_load_all					: '加载所有标签',
	tag_search_footer_picture			: '搜图片',
	tag_search_footer_video				: '搜视频',
	
	invite_title						: '邀请新用户获得奖励',
	invite_body3						: '金币；被邀请方首次进行充值，您可获得对方充值金额的',
	invite_body4						: '%的钻石奖励。例如对方充值20元，您将获得',
	invite_body5						: '颗钻石；对方充值100元，您将获得',
	invite_body6						: '颗钻石。钻石奖励仅限首次充值。',
	invite_body7						: '邀请方式：将以下任一文字链接复制到其他网站，论坛，空间，QQ群，微信群或者朋友圈。如果有人通过点击这个链接注册并满足奖励机制，您的账号将立即获得奖励。',
	invite_body8						: '以上链接请先测试是否能够打开，另外网站的链接日后可能会更换，请关注网站公告。',
	invite_url							: '文字链接',
	
	update_tag_input					: '输入标签名',
	update_tag_new						: '添加标签',
	update_tag_title1					: '标签',
	update_tag_title2					: '触碰分类名展开标签。可添加标签或分类。',
	update_tag_report					: '投诉',
	
	update_cate_input					: '输入分类名',
	update_cate_new						: '添加分类',
	
	video_detail_play_btn				: '播放视频',
	video_detail_buy_btn				: '购买视频',
	video_detail_comment_btn			: '吐槽',
	video_detail_watch_preview			: '播放试看短片',
	
	cpov_playlist_info_preview1			: '第',
	cpov_playlist_info_preview2			: '集预览',
	cpov_playlist_info_full_episode1	: '第',
	cpov_playlist_info_full_episode2	: '集正剧',
	cpov_extra_info_price				: '售价',
	cpov_extra_info_duration			: '时长',
	cpov_extra_info_size				: '大小',
	cpov_extra_info_purchased			: '已售',
	cpov_extra_info_source				: '来源',
	has_more_video_in_list1				: '还有其他',
	has_more_video_in_list2				: '部视频',
	
	quick_payment_header				: '我掐指一算，您想？',
	quick_payment_gold1					: '充值金币',
	quick_payment_gold2					: '送高级账号',
	quick_payment_diamond1				: '充值钻石',
	quick_payment_diamond2				: '送金币和高级账号',
	quick_payment_vip1					: '升级高级账号',
	quick_payment_vip2					: '送金币',
	quick_payment_invite1				: '邀请新用户',
	quick_payment_invite2				: '获得奖励',
	
	povl_listnum_and_type1				: '第',
	povl_listnum_and_type2				: '集',
	povl_listnum_full					: '正剧',
	povl_listnum_preview				: '预览',
	
	up_video1							: '使用',
	up_video2							: '金币顶起视频',
	up_video_confirm1					: '本视频已经被顶过',
	up_video_confirm2					: '次, ',
	up_video_confirm3					: '当前您可以',
	up_video_confirm4					: '消耗',
	up_video_confirm5					: '金币',
	up_video_confirm6					: '将它顶到第一位, 在继续顶起它',
	up_video_confirm7					: '次',
	up_video_confirm8					: '后, 消耗的金币数会增加至',
	up_video_confirm9					: '金币, 请谨慎操作. 您确定要这么做吗?',
	up_video_confirm10					: '将该视频顶到第一位',
	up_video_not_enough1				: '顶视频需要使用',
	up_video_not_enough2				: '金币, 您当前只有',
	up_video_not_enough3				: '金币.',
	up_video_success					: '顶贴成功',
	
	follow_user_add_follow				: '关注我',
	follow_user_remove_follow			: '取消关注',
	follow_user_done					: '关注成功，TA发布新视频的时候你将会收到通知。',
	
	interact_to_user_message			: '发消息',
	interact_to_user_studio             : '工作室',
	interact_to_user_video				: '视频',
	interact_to_user_picture			: '图片',
	interact_to_user_fiction			: '小说',
	interact_to_user_block				: '屏蔽TA',
	interact_to_user_unblock			: '取消屏蔽',
	
	confirm_block_title					: '屏蔽此用户发布的资源',
	confirm_block_content				: '你确定要屏蔽该用户吗？屏蔽后将会遮挡住他发布的所有资源。',
	confirm_unblock_title				: '取消屏蔽此用户',
	confirm_unblock_content				: '你确定要取消屏蔽该用户吗？',
	update_block_done					: '更新完成',
	
	video_list_dispute1					: '视频被网友投诉，原因：',
	video_list_dispute2					: '。请谨慎购买',
	video_list_discount_line_tile1		: '现在购买节省',
	video_list_discount_line_tile2		: '促销活动',
	video_list_discount_line_tile3		: '，敬请期待',
	video_list_desc_readmore			: '显示全部',
	video_list_custom_purchased_day		: '（24小时内）',
	video_list_custom_purchased_week	: '（7天内）',
	video_list_custom_purchased_num1	: '购买',
	video_list_custom_purchased_num2	: '次',
	
	add_money_btn						: '充金币',
	add_diamond_btn						: '充钻石',
	
	pagination_prev_page				: '上一页',
	pagination_next_page				: '下一页',
	
	filter_on_list_sort					: '排序：',
	playlist_list_menu_item_posttime	: '最新剧集',
	playlist_list_menu_item_video_num	: '剧集最多',
	playlist_list_menu_item_update_time	: '最近更新',
	playlist_list_menu_item_uid			: '作者ID',
	
	producer_list_menu_item_post		: '最多发布',
	producer_list_menu_item_earned		: '最高收益',
	producer_list_menu_item_hot			: '最高人气',
	producer_list_menu_item_follower_num: '最多关注',
	
	producer_list_menu_item_non_filter	: '全部',
	producer_list_menu_item_my_follow	: '我关注的',
	producer_list_menu_item_my_blocked	: '我屏蔽的',
	producer_list_menu_item_today		: '当日排名',
	producer_list_menu_item_week		: '本周排名',
	producer_list_menu_item_month		: '本月排名',
	producer_list_menu_item_year		: '年度排名',
	
	producer_post_num					: '发布',
	producer_earned_num					: '收益',
	producer_hot_num					: '人气',
	producer_follower_num				: '关注',
	
	
	video_list_menu_item_default_order	: '默认',
	video_list_menu_item_newest			: '最新',
	video_list_menu_item_price			: '低价',
	video_list_menu_item_hot			: '购买次数',
	video_list_menu_item_fav			: '收藏最多',
	video_list_menu_item_duration		: '时长',
	video_list_menu_item_ranking_title	: '排行：',
	video_list_menu_item_day_purchased	: '24小时畅销榜',
	video_list_menu_item_week_purchased	: '7天畅销榜',
	
	filter_on_list_filter				: '过滤：',
	filter_on_list_period				: '时段：',
	video_list_menu_item_non_filter		: '全部',
	video_list_menu_item_has_wangpan	: '网盘',
	video_list_menu_item_has_cn_repo	: '国内线路',
	video_list_menu_item_has_us_repo	: '美国线路',
	video_list_menu_item_has_playlist	: '有剧集',
	video_list_menu_item_preview		: '试看',
	list_menu_item_has_tier		        : '可赞助',
	video_list_menu_item_gold			: '金币',
	video_list_menu_item_diamond		: '钻石',
	video_list_menu_item_yuanchuang		: '原创',
	video_list_item_has_repo			: '保管库',
	video_list_item_has_cn_repo			: '国内线路',
	video_list_item_has_us_repo			: '美国线路',
	video_list_item_double_repo			: '双线',
	video_list_item_watch_online		: '点播',
	video_list_item_play_only			: '【仅供在线播放】',
	video_list_item_preview				: '试看',
	video_list_menu_item_only_english	: '',
	
	
	pic_list_menu_item_newest			: '最新',
	pic_list_menu_item_hot				: '收藏最多',
	pic_list_menu_item_price			: '价格最低',
	pic_list_menu_item_purchased_num	: '购买次数最多',
	pic_list_menu_item_non_filter		: '默认',
	pic_list_menu_item_group_list		: '全部',
	pic_list_menu_item_free_group_list	: '免费',
	pic_list_menu_item_gold_group_list	: '金币',
	pic_list_menu_item_diamond_group_list: '钻石',
	pic_list_menu_item_org_group_list	: '原创',
	pic_list_menu_item_today			: '今日新增',
	pic_list_menu_item_week				: '本周新增',
	pic_list_menu_item_suggest			: '推荐',
	
	message_list_item_title_unread		: '【未读】',
	mla_report_title1					: '关于“',
	mla_report_title2					: '”的投诉',
	mla_report_to						: '站长',
	mla_report_content1					: '这是',
	mla_report_content2					: '发给我的私售资源消息，请站长核实。',
	mla_report_btn						: '举报私售消息',
	mla_reply_btn						: '写回复',
	
	option_title						: '个人中心',
	option_item_go						: '进入',
	option_item_customer_service		: '联系客服',
	option_item_money_history			: '资金账本',
	option_item_diamond_to_gold			: '兑换金币',
	option_item_favorate_picture		: "图片收藏",
	option_item_viewed_pics				: "已看图片",
	option_item_purchased_pics			: "已购套图",
	option_item_favorate_video			: '视频收藏',
	option_item_purchased_video			: '已购视频',
	option_item_downloaded_video		: '缓存视频',
	option_item_clear_cache				: '清除缓存',
	option_item_help					: '使用帮助',
	
	vdp_header							: '剧集',
	vdp_list_num1						: '第',
	vdp_list_num2						: '集',
	
	cn_user_connect_to_repo_warning		: '您当前使用的国内宽带线路，播放存放在国外服务器上的视频可能会比较缓慢甚至无法连接。你可以先试试相同线路的其他免费视频。',
	online_watch_only_warning			: '出于对盗链行为的顾虑，发布者禁止了该视频下载而仅供在线播放。一般情况下，新片上线2周后才会开启下载权限。',
	
	video_quality_label_low				: '流畅',
	video_quality_label_med				: '清晰',
	video_quality_label_high			: '高清',
	video_quality_label_org				: '原',
	video_quality_label_unknow			: '未知',
	video_dimension_org					: '原始大小',
	video_repo_download_status			: '版视频',
	video_repo_play_btn					: '在线播放',
	video_repo_download_btn				: '下载',
	video_repo_format_not_playable		: '格式视频无法客户端内播放,请投诉视频“无法播放”，管理员会将它转码成可以客户端播放的格式',
	video_detail_summary_size			: '大小',
	video_detail_summary_duration		: '时长',
	video_detail_summary_format			: '格式',
	video_detail_uploader_info_username1: '上传用户：',
	video_detail_uploader_info_username2: '',
	video_detail_report_video1			: '投诉视频',
	video_detail_report_error			: '必须购买视频后才能投诉该视频',
	
	player_showed_num1					: '播放',
	player_showed_num2					: '次',
	page_loaded_num1					: '访问',
	page_loaded_num2					: '次',
	
	comment_top							: '吐槽板',
	comment_submit_input				: '一句话吐槽',
	comment_submit_btn					: '我来说两句',
	comment_pagination1					: '上',
	comment_pagination2					: '条',
	comment_pagination3					: '下',
	comment_pagination4					: '条',
	comment_not_exceed					: '文字不能超过100个字符',
	comment_no_less_than				: '文字不能少于三个字符',
	comment_empty						: '你还什么都写呢',
	comment_del_confirm1				: '确定要删除此评论吗?',
	comment_del_confirm2				: '删除评论',
	
	dvi_delete							: '删除',
	dvi_pause							: '暂停',
	
	downloading_video_tab				: '部视频正在下载',
	downloaded_video_tab				: '部视频已下载',
	downloaded_video_header_txt1		: '总共',
	downloaded_video_header_txt2		: '部，',
	downloaded_video_header_txt3		: '显示',
	downloaded_video_header_txt4		: '剩余空间',
	downloaded_video_delete_btn			: '删除',
	downloaded_video_delete_confirm_btn	: '确认',
	downloaded_video_delete_choose_one	: '没有选择任何一部要删除的视频',
	downloaded_video_item_quality		: '版',
	downloading_downloaded				: '已下载',
	
	payment_gold_title					: '感谢您充值金币，',
	payment_gold_title2					: '充值金币',
	payment_diamond_title				: '感谢您充值钻石，',
	payment_diamond_title2				: '充值钻石',
	payment_vip_title					: '感谢您购买高级账号，',
	payment_vip_title2					: '购买高级账号',
	payment_gold_change_vip_confirm1	: '使用',
	payment_gold_change_vip_confirm2	: '金币换',
	payment_gold_change_vip_confirm3	: '天高级账号，您确定吗？',
	payment_gold_change_vip_confirm4	: '兑换高级账号',
	payment_gold_change_vip_done		: '兑换完成，高级账号已经生效。到期时间为',
	payment_title1						: '您可以选择使用支付宝',
	payment_title2						: '或者微信',
	payment_title3						: '付费。',
	payment_cny							: '元',
	payment_usd							: '美元',
	payment_url_not_set					: '支付网址未成功设置, 请将此错误汇报给管理员',
	
	gold_price_show_amount1				: '获得',
	gold_price_show_amount2				: '金币，加',
	gold_price_show_amount3				: '天高级账号',
	diamond_price_show_amount1			: '获得',
	diamond_price_show_amount2			: '钻石和',
	diamond_price_show_amount3			: '金币，加',
	diamond_price_show_amount3_1		: '金币。',
	diamond_price_show_amount4			: '天高级账号',
	iap_payment_title					: '请选择以下金额',
	
	payment_buy_vip_title				: '您可以通过以下两种办法升级高级账号：',
	vip_price_show_amount1				: '获得',
	vip_price_show_amount2				: '天高级账号加金币',
	payment_buy_vip_type2				: '2. 使用金币兑换高级账号',
	vip_gold_list1						: '使用',
	vip_gold_list2						: '金币换',
	vip_gold_list3						: '天高级账号',
	
	message_form_header1				: '回复',
	message_form_header2				: '发送站内消息',
	message_input_title					: '消息标题',
	message_form_textarea				: '消息正文',
	message_form_submit_go				: '发送',
	message_form_submit_cancel			: '取消',
	message_no_title					: '无标题',
	message_need_content				: '请填写消息内容',
	message_sent						: '站内消息已发送',
	message_sending						: '消息发送中',
	message_to_admin_sent1				: '消息发送成功, 管理员会尽快回复, 谢谢',
	message_to_admin_sent2				: '消息和截图发送成功, 管理员会尽快回复, 谢谢',
	message_to_admin_error				: '图片附件没有上传成功，请向管理员发站内消息反馈这个问题',
	
	diamond_to_gold_title1				: '您现有',
	diamond_to_gold_title2				: '钻石',
	diamond_to_gold_input1				: '1钻石兑换',
	diamond_to_gold_input2				: '金币',
	diamond_to_gold_submit_go			: '确定兑换',
	diamond_to_gold_submit_cancel		: '取消兑换',
	diamond_to_gold_no_diamond			: '兑换金币至少需要1钻石，您还没有钻石，请先充值。',
	diamond_to_gold_enter_diamond		: '请填写要兑换的钻石数量',
	diamond_to_gold_done1				: '兑换完成,您现有钻石 x ',
	diamond_to_gold_done2				: ', 金币 x ',
	
	message_frame_title					: '我的消息',
	message_top_item_send_admin			: '发给站长',
	message_top_item_news				: '查看公告',
	message_top_item_message_system		: '系统消息',
	message_top_item_message_user		: '私人信件',
	
	mail_form_title						: '消息标题',
	main_form_content					: '消息正文',
	mail_pic_btn						: '添加截图',
	mail_pic_selected					: '图片已选',
	mail_form_submit_btn				: '发送',
	
	photo_gallery_header_group_picture	: '套图',
	photo_gallery_header_picture		: '图片',
	photo_gallery_header_hidden_content	: '福利',
	
	foot_navi_group_item				: '看套图',
	foot_navi_group_zip_download_item	: '套图下载',
	foot_navi_full_item					: '浏览大图',
	foot_navi_fav_item					: '加收藏',
	foot_navi_tag_item					: '贴标签',
	
	picture_group_zip_download_btn		: '复制套图压缩包链接用于下载',
	picture_group_zip_purchase_btn1		: '消费',
	picture_group_zip_purchase_btn2		: '购买套图压缩包',
	
	picture_group_meta_item_type		: '类别',
	picture_group_meta_item_type_share	: '免费分享',
	picture_group_meta_item_type_non_org: '套图搬运',
	picture_group_meta_item_type_org	: '原创作品',
	picture_group_meta_item_pic_num		: '图片数量',
	picture_group_meta_item_pic_num_unit: '张',
	picture_group_meta_item_price		: '售价',
	picture_group_meta_item_free		: '免费浏览',
	picture_group_meta_item_zip_price1	: '【打包下载价',
	picture_group_meta_item_zip_price2	: '】',
	picture_group_meta_item_sold		: '售出',
	picture_group_meta_item_sold_unit	: '次',
	picture_group_meta_item_fav_num		: '收藏',
	picture_group_meta_item_fav_num_unit: '次',
	picture_group_meta_item_posttime	: '发布时间',
	picture_group_inbox_0				: '【发布中】',
	picture_group_inbox_1				: '【待审核】',
	picture_group_inbox_2				: '【已下架】',
	
	
	
	
	picture_group_buy_title				: '购买完整套图和压缩包',
	picture_group_zip_download_tip		: '友情提示：购买后会提供压缩文件的临时下载链接，您需要将此链接复制到第三方下载app或者网页浏览器里保存。',
	picture_group_buy_message1			: '购买完整套图和压缩包需要',
	picture_group_buy_message2			: '，确认购买吗？',
	picture_group_zip_buy_message1		: '给套图打包需要消耗服务器运算资源和流量，因此我们需要收取一点费用，请理解。根据此套图包含的图片数量，下载此压缩包需要使用',
	picture_group_zip_buy_message2		: '，确认购买吗？',
	picture_group_zip_buy_title			: '购买免费套图的压缩包',
	picture_group_not_enough			: '购买套图压缩包需要',
	picture_group_not_enough_gold		: '，您的金币不足。',
	picture_group_not_enough_diamond	: '，您的钻石不足。',
	picture_group_need_purchase			: '这是收费套图，点击购买显示所有图片',
	picture_group_zip_url_copied1		: '已经将下载链接',
	picture_group_zip_url_copied2		: '复制到剪贴板。',
	picture_group_zip_url_copied3		: '如果您有安装第三方下载器（例如迅雷app），请打开下载器，新建下载任务，然后在下载地址那里粘贴已经复制好的地址就可以开始下载了。',
	picture_group_zip_url_copied4		: '如果您想通过网页浏览器下载，请打开网页浏览器，在地址栏粘贴已经复制好的地址就可以下载。',
	picture_group_zip_url_copied5		: '下载的文件是zip格式压缩包，请安装解压缩app以后解压出来就是图片文件了。',
	picture_group_zip_copy_url			: '点击复制下载链接到剪贴板',
	picture_group_zip_url_copied		: '下载链接已复制',
	no_temp_zip_url						: '没有生成压缩包临时下载链接，请向站长反馈此错误',
	
	
	
	backup_url_layer1					: '当前线路',
	backup_url_layer2					: '可能无法和服务器连接',
	backup_url_layer3					: '请切换至',
	backup_url_layer4					: '线路',
	direct_regist						: '直接登录',
	backup_url_confirm1					: '是否切换到备用网址?',
	backup_url_confirm2					: '无法连接到服务器网址。',
	
	app_upgrade_title					: '版本升级说明：',
	app_upgrade_button					: '立即升级',
	
	corner_loading1						: '点击',
	corner_loading2						: '重载',
	get_free_space_error				: '无法获取设备剩余储存空间, 请联系管理员',
	no_internet1						: '好像你的设备没有连接到网络哦。没有联网只能使用离线模式。',
	no_internet2						: '没有网络连接。',
	
	quit_app1							: '将要退出应用，你确定吗？',
	quit_app2							: '退出应用',
	bb_alert_close_text					: '好的',
	bb_layer_close_text					: '朕知道了！',
	ft_confirm_yes						: '确定',
	ft_confirm_no						: '取消',
	
	download_status_prepared_text1		: '绳子已经准备好 ',
	download_status_prepared_text2		: '米',
	download_status_preparing_text1		: '正在准备绳子 ',
	download_status_preparing_text2		: '米',
	download_status_resume1				: '已下载',
	download_status_resume2				: '点击继续下载',
	download_status_done				: '下载完成',
	download_status_new_text			: '本地播放',
	download_status_num_thread			: '位助手',
	download_status_stage1				: '正在布景',
	download_status_stage2				: '正在捆绑',
	download_status_stage3				: '正在堵嘴',
	download_status_stage4				: '正在架相机，即将开始拍摄',
	download_status_pause				: '玩累了吗？先吃个包再点我继续。',
	download_status_appending			: '正在拍摄中，请勿关闭app',
	
	prefill_user_msg					: '请输入登录密码',
	loading_user_data_error				: '服务器没有返回正确的用户数据，可能是服务器繁忙。请退出APP重新打开。',
	loading_user_data_error1			: '服务器没有返回正确的用户数据，可能是服务器繁忙。您要尝试再次连接服务器吗？',
	loading_user_data_error2			: '服务器繁忙，请重试。',
	
	give_me_fuli_success				: '成功领取到金币',
	give_me_fuli_error					: '服务器没有返回正确的数据',
	give_me_fuli_done_before			: '今日金币已经领取完了，请明天再来。',
	
	report_tag_confirm1					: '即将投诉此标签可能不符合该图片/视频的问题, 确定吗?',
	report_tag_confirm2					: '投诉错误的标签',
	report_tag_done						: '投诉已发送, 谢谢',
	report_video_issue_error			: '请先选择要投诉的问题类型',
	report_video_issue_done				: '投诉已发送, 谢谢',
	
	no_picture							: '没有找到图片',
	no_video							: '没有找到视频',
	
	clear_cache_processing1				: '文件系统扫描中',
	clear_cache_processing2				: '依据文件数量和设备运行速度，可能会执行较长时间(超过十分钟)，在此过程中请勿退出应用。',
	clear_cache_processing3				: '扫描结束后系统会提示下一步操作。',
	clear_cache_confirm1				: '找到缓存图片',
	clear_cache_confirm2				: '张。删除这部分图片可以释放',
	clear_cache_confirm3				: 'MB的存储空间。你确定吗？',
	clear_cache_confirm4				: '清除缓存',
	clear_cache_deleting1				: '缓存删除中',
	clear_cache_deleting2				: '可能会执行较长时间，在此过程中请勿退出应用。',
	clear_cache_done					: '缓存清理完毕',
	clear_cache_empty					: '没有任何缓存图片需要清理',
	
	forgotten_password_email_sent1		: '重设密码邮件已发送到',
	forgotten_password_email_sent2		: '，请登录邮箱查看。',
	forgotten_password_email_sent3		: '一封含有修改密码链接的邮件已经发送到你的该邮箱,请登录邮箱查看',
	forgotten_password_no_email			: '您没有设置用于接收密码的电子邮件地址',
	forgotten_password_email_no_empty	: '请填写邮箱地址',
	
	logout_confirm1						: '退出登录后下次打开app需要输入您的密码才能进入。您确定要现在退出吗？',
	logout_confirm2						: '即将退出登录',
	
	content_unlock_confirm1				: '即将解锁隐藏内容，未满18岁请勿进入。解锁后再在您的用户名上点10次可以重新隐藏。您确定要解锁吗?',
	content_unlock_confirm2				: '释放洪荒之力',
	content_unlock_success				: '解锁成功！如果绅士内容没有出现，请退出app再进入一次。',
	content_lock_confirm1				: '即将开启内容隐藏。隐藏后再在您的用户名上点10次可以解锁隐藏。您确定吗?',
	content_lock_confirm2				: '玩够了，回家',
	content_lock_success				: '隐藏成功！您需要退出app才可以让隐藏生效。',
	
	email_verify1						: '，有一封验证邮件已经发送到',
	email_verify2						: '。只要按照邮件说明操作即可完成邮箱验证操作成为正式会员，',
	email_verify3						: '同时可获得',
	email_verify4						: '金币奖励。',
	email_verify5						: '如果找不到这封邮件，有可能是被放到垃圾箱或者回收站了。',
	
	edit_tag_need_verify1				: '普通账户贴的标签需要管理员审核通过后才会生效。',
	edit_tag_need_verify2				: '您获得本次奖励金币',
	edit_tag_need_verify3				: '，本日剩余奖励',
	edit_tag_need_verify4				: '次，您现有金币',
	edit_tag_done						: '标签已经更新了, 谢谢!',
	edit_cate_not_empty					: '类别名称不能为空',
	edit_tag_not_empty					: '标签名称不能为空',
	del_cate_confirm1					: '你真的要删除这个标签分类吗？该分类下的所有标签都将被删除。确认后需要提交表单才会生效。',
	del_cate_confirm2					: '确认删除标签分类',
	show_load_server_tags_confirm1		: '根据设备运行速度和标签数量，可能需要1-3分钟。',
	show_load_server_tags_confirm2		: '即将从服务器更新标签信息到本机',
	
	internet_connection_warning1		: '你的设备正在使用',
	internet_connection_warning2		: '上网, 观看视频会消耗大量流量并贡献不菲的流量费给电信, 你确定吗?',
	internet_connection_warning3		: '流量提醒',
	
	check_video_access_diamond			: '钻石',
	check_video_access_reported_confirm1: '【视频被网友投诉，原因：',
	check_video_access_reported_confirm2: '。请谨慎购买】',
	check_video_access_reported_confirm3: '【视频被网友投诉，请谨慎购买】',
	check_video_access_buy_confirm1		: '购买视频需要',
	check_video_access_buy_confirm_g_2	: '金币',
	check_video_access_buy_confirm_d_2	: '钻石',
	check_video_access_buy_confirm_g_3	: '，您现有金币',
	check_video_access_buy_confirm_d_3	: '，您现有钻石',
	check_video_access_buy_confirm_g_4	: '。',
	check_video_access_buy_confirm_d_4	: '。',
	check_video_access_buy_confirm5		: '该视频提供免费样片试看，购买前请确认样片可以播放。',
	check_video_access_buy_confirm6		: '确认购买吗?',
	check_video_access_buy_confirm_g_7	: '购买金币视频',
	check_video_access_buy_confirm_d_7	: '购买钻石视频',
	check_video_access_g_not_enough		: '金币，您的金币不足',
	check_video_access_g_not_enough2	: '您的金币不足',
	check_video_access_d_not_enough		: '钻石，您的钻石不足',
	check_video_access_purchased		: '已购',
	
	play_video_need_vip1				: '播放',
	play_video_need_vip2				: '版视频需要升级为高级账号。',
	download_video_need_vip1			: '下载',
	download_video_need_vip2			: '版视频需要升级为高级账号。',
	
	video_download_prompt_title1		: '下载',
	video_download_prompt_title2		: '版视频提醒',
	video_download_prompt1				: '请注意只能同时下载',
	video_download_prompt2				: '个文件',
	video_download_prompt3				: '您可以选择两种下载方式：',
	video_download_prompt4				: '一种是',
	video_download_prompt5				: '点击这里复制下载链接',
	video_download_prompt6				: '，并将此链接粘贴到迅雷之类的下载工具里下载。',
	video_download_prompt7				: '一种是直接下载，您的设备还有',
	video_download_prompt8				: 'MB的剩余空间。',
	video_download_prompt_has_size1		: '下载此文件需要',
	video_download_prompt_has_size2		: 'MB剩余空间。',
	video_download_prompt_no_space		: '您的剩余空间不足, 请先清理足够的空间以后再下载。',
	video_download_prompt9				: '下载任务创建时需要运行文件碎块计算程序，将要消耗内存和执行时间。请耐心等待计算完成，在开始下载前请不要关闭或退出app。',
	video_download_prompt10				: '您确定要使用客户端下载吗？',
	video_download_max_reached1			: '最多同时下载',
	video_download_max_reached2			: '部视频，请等待正在下载的视频完成下载以后再开始新的下载',
	video_download_done					: '视频已下载完成。如果它可以在线播放，你可以在客户端首页的“下载视频”栏目里找到这部视频。',
	video_download_corner1				: '下载',
	video_download_corner2				: '剩余',
	video_download_corner3				: '秒',
	video_download_corner4				: '分',
	video_download_cancel_confirm1		: '将要取消本视频的下载，你确定吗？',
	video_download_cancel_confirm2		: '取消下载',
	video_download_time_left1			: '约',
	video_download_time_left2			: '秒',
	video_download_time_left3			: '分',
	
	download_copy_url_btn				: '已复制到剪贴板',
	show_video_content_empty			: '无详细信息',
	
	copy_text_empty						: '要复制的文本内容为空，请向站长发站内消息反馈此问题。',
	copy_text_error						: '检测到您的设备无法自动复制文本，请向站长发站内消息反馈此问题。该文本是：',
	
	get_repo_file_size_fail1			: '没有能够成功从服务器获取下载文件的大小，可能是网络延迟，请稍后再试',
	get_repo_file_size_fail2			: '尝试从服务器获取下载文件大小的时候发生未知错误。请向站长反馈此问题，抱歉。',
	
	preview_ended_g_buy1				: '试看已结束, 欣赏完整版需要支付',
	preview_ended_g_buy2				: '金币, 您现有金币',
	preview_ended_g_buy3				: ', 确认购买吗?',
	preview_ended_g_buy4				: '购买完整版金币视频',
	preview_ended_g_not_enough1			: '试看已结束, 欣赏完整版需要支付',
	preview_ended_g_not_enough2			: '金币, 您现有金币不足, 想要充值金币吗?',
	preview_ended_g_not_enough3			: '充值金币',
	preview_ended_g_goto_topup1			: '购买视频需要',
	preview_ended_g_goto_topup2			: '金币, 您的金币不足',
	preview_ended_d_buy1				: '试看已结束, 欣赏完整版需要支付',
	preview_ended_d_buy2				: ', 您现有钻石',
	preview_ended_d_buy3				: ', 确认购买吗?',
	preview_ended_d_buy4				: '购买完整版钻石视频',
	preview_ended_d_not_enough1			: '试看已结束, 欣赏完整版需要支付',
	preview_ended_d_not_enough2			: ', 您现有钻石不足, 想要充值钻石吗?',
	preview_ended_d_not_enough3			: '充值钻石',
	preview_ended_d_goto_topup1			: '购买视频需要',
	preview_ended_d_goto_topup2			: ', 您的钻石不足',
	
	export_hour_desc					: '点',
	export_wait_time_remain_desc1		: '分钟',
	export_wait_time_remain_desc2		: '不到1分钟',
	export_desc1						: '服务器于每天',
	export_desc2						: '整进行维护，维护期间无法使用app和网站。维护时间大约',
	export_desc3						: '分钟。请再等待',
	export_desc4						: '。给您带来不便敬请谅解',
	
	profile_avatar_upload_btn			: '更新头像',
	profile_avatar_uploading			: '上传中',
	profile_avatar_upload_success		: '头像上传成功',
	profile_avatar_upload_error			: '上传头像失败，请给管理员发站内消息反馈此错误',
	
	prompt_night_mode_title				: '开启夜间模式',
	prompt_night_mode_content			: '夜深了，想要现在将颜色调整为夜间模式吗？也可以随时在个人账户页面开启。',
	prompt_night_mode_stop				: '不用再提示我。',
	
	capcha_input						: '请输入上面的4位字符',
	offline_mode_btn					: '离线模式',
	offline_mode_disable				: '当前处于离线模式下，您想要尝试连接服务器吗？',
	
	over_18 : '我同意app的使用条款和免责声明',
	must_agree_adult : '您必须勾选您同意app的使用条款和免责声明。',
	app_code_loading : '加载中，请稍候...',
	app_code_downloading : '正在更新代码，请稍候...',
};

cn.greeting = "感谢您使用" + cn.title + "";
cn.ok = "好";
cn.later = "以后再说";