var en = {
	lang_tag							: 'en',
	title								: "CBArt",
	me									: 'Myself',
	error								: "See errors?",
	quit								: "Logout",
	upload_pic							: "Upload",
	profile								: "Profile",
	setting								: "Setting",
	help								: "Help",
	new_version							: "New version ",
	version_update						: " released, please make an update",
	pictures							: "Pictures",
	videos								: "Videos",
	gold								: 'Gold',
	diamond								: 'Diamond',
	add_fav								: 'Add Fav',
	remove_fav							: "Remove Fav",
	login								: "Login",
	logout								: "Logout",
	register							: 'Create new account',
	login_failed						: "Incorrect username or password",
	setup_before_logout					: "Please setup your username and password before logout",
	username							: "Username",
	email								: "Email",
	mobile								: 'Mobile number',
	password							: "Password",
	change_password						: 'Change password',
	rep_password						: "Repeat password",
	auto_login							: "Auto login",
	optional							: "Optional",
	vip_account							: 'Premium membership',
	vip_account_short					: 'Premium',
	gold_account						: 'Gold member',
	diamond_account						: 'Diamond member',
	empty_txt							: "Empty",
	yes									: "Yes",
	no									: "No",
	cancel								: 'Cancel',
	save_change							: "Save Changes",
	change_done							: "Change setting done!",
	welcome_back						: "Welcome back",
	tag									: 'Tags',
	show_tags							: "Show Tags",
	hide_tags							: "Hide Tags",
	edit_tags							: "Edit Tags",
	tag_related							: 'Related tags',
	tag_related_video					: ' related videos',
	need_username						: "Please enter your account name",
	invalid_email						: "Email format invalid",
	need_password						: "Plase enter your password",
	need_rep_password					: "Please repeat your password",
	password_not_same					: "Password and repeat password must be the same",
	no_change							: "No changes have been made",
	more								: 'More',
	loading								: 'Loading',
	loading_from_server					: 'Retrieve data from server',
	in_junk								: 'Delete soon',
	new_today							: 'Today',
	need_login							: 'Please login first',
	
	home_free							: "Free Videos",
	home_diamond						: "Diamond Videos",
	home_original						: "Original Videos",
	home_online_watch					: 'Online Watch',
	home_video_today					: 'Videos today',
	home_download						: 'Downloaded Videos',
	home_featured						: 'Special Feature',
	home_discount						: 'Video Promotion',
	home_picture_today					: 'Pictures Today',
	home_picture_week					: 'Pictures Week',
	home_picture_org					: 'Original Albums',
	home_picture_discount				: 'Album Promotion',
	home_picture_free					: 'Free Albums',
	home_picture_diamond				: 'Diamond albums',
	home_quick_payment					: 'Topup',
	home_playlist						: 'Playlist',
	home_producer						: 'Our Producers',
	home_fav_picture					: 'Fav Pictures',
	home_purchased_picture				: 'Purchased Albums',
	home_fav_video						: 'Fav Videos',
	home_purchased_video				: 'Purchased Videos',
	
	profile_language					: 'Preferred language',
	profile_language_en					: 'English',
	profile_language_en_tip				: '',
	profile_language_cn					: 'Simplified Chinese',
	preferred_lang_changed				: 'Successfully change to English language. You will need to restart APP to take fully effect.',
	profile_only_show_translated_en		: 'English translated listing',
	profile_translated_description_en	: 'We regularly translate the title and description of the videos posted by non-English members into English. Tick this will only display the translated videos in the list.',
	
	main_navi_home						: 'Home',
	main_navi_picture					: 'Pictures',
	main_navi_video						: 'Videos',
	main_navi_studio					: 'Studios',
	main_navi_message					: 'Messages',
	main_navi_profile					: 'Profile',
	
	home_org_title						: 'Original videos uploaded by our members',
	home_org_new						: 'New release',
	home_org_lowest_price				: 'Lowest price',
	home_org_best_seller				: 'Best seller',
	home_org_most_fav					: 'Most popular',
	home_org_longest_duration			: 'Duration',
	
	home_header_news					: 'New bulletin',
	home_header_search					: 'Search',
	
	home_video_area_title				: 'Quick navigate our video content',
	
	id_prove_btn_title					: 'You will need to approve your email to become member',
	id_prove_btn_desc1					: 'You will get instant ',
	id_prove_btn_desc2					: ' golds reward and daily golds reward once your email get approved.',
	
	fuli_text							: 'Free golds',
	
	virt_headline						: 'The issue or error you have is:',
	virt0								: 'Broken links',
	virt1								: 'Pirate from CBA original',
	virt2								: 'Repeated from other CBA video',
	virt3								: 'Video format not playable',
	virt4								: 'Nudity',
	virt_text							: 'Please describe problem in details here',
	virt_submit							: 'Submit',
	
	how_to_use_click_text1				: 'Tap on your account 10 times',
	how_to_use_click_text2				: 'To hide or show bondage content',
	how_to_use_video_text				: 'Swipe left or right to view more screenshot',
	how_to_use_home_text1				: 'Swipe left or right to view more featured content',
	how_to_use_home_text2				: 'Tap on image to view details',
	how_to_use_video_list1				: 'Tap on left column to purchase or show player',
	how_to_use_video_list2				: 'Tap on right column for video preview',
	how_to_use_pagination_text			: 'Swipe left or right to view more paginations',
	
	fp_header							: 'Forgotten account?',
	fp_email							: 'Please enter email address you used with that account',
	fp_email_submit						: 'Send account info to this email',
	fp_mobile							: 'Please enter mobile number you used with that account',
	fp_mobile_submit					: 'Send PIN to this mobile number',
	
	login_fast_username					: 'Username: ',
	login_fast_tip						: 'Log in other account',
	
	reg_tab_reg							: 'Register',
	reg_tab_login						: 'Login',
	reg_form_header1					: 'You login as ',
	reg_form_header2					: 'Do you want create new account?',
	reg_form_header3					: 'If you already have an account,',
	reg_form_header4					: 'you can login here',
	reg_form_mobile						: 'Mobile number from China',
	reg_form_mobile_code				: '4 digits code send to your mobile',
	reg_form_mobile_code_send_btn		: 'Send verify code',
	reg_form_mobile_format_error		: 'Incorrect mobile number format.(11 digits start with 1)',
	reg_form_mobile_code_format_error	: 'Incorrect verify code format.(4 digits number)',
	email_input_tip						: 'for account recovery',
	profile_show_reg_btn				: 'Create/switch account',
	invite_new							: 'Invite new member',
	invite_code_input					: 'Invite code(optional)',
	
	vip_about							: 'What is Premium membership?',
	vip_days_remain1					: 'Premium membership will be expired in ',
	vip_days_remain2					: ' days',
	not_vip								: 'Not ',
	extend_vip							: 'Topup',
	upgrade_to_vip						: 'Upgrade Premium',
	buy_gold							: 'Buy golds',
	buy_gold_grace						: 'Thank you for purchase golds',
	buy_diamond							: 'Buy diamonds',
	buy_diamond_grace					: 'Thank you for purchase diamonds',
	diamond_to_video					: 'Diamonds convert golds',
	convert								: 'Convert',
	
	profile_username_empty_unsafe		: 'Unsafe',
	profile_email_empty_unsafe			: 'Without email you will not retrieve password',
	profile_password_empty_unsafe		: 'No password protection',
	profile_password_default_unsafe		: 'Default password not safe',
	profile_email_input					: 'Please enter email address',
	profile_change_email				: 'Submit email',
	profile_mobile_inut					: 'Please enter mobile number (Chinese mobile only)',
	profile_mobile_txt_verify			: 'Please enter PIN number that sent to you',
	profile_bind_mobile					: 'Submit',
	profile_mobile_desc1				: 'Mobile number to this account is ',
	profile_mobile_desc2				: ', this is not changeable.',
	profile_default_player				: 'Use system provided video player',
	profile_player_issue1				: 'Full screen play does not work?',
	profile_player_issue2				: 'If you have issue of full screen button disappear or not working on our customized player, please try tick this to allow playing video using default player.',
	profile_change_cdn1					: 'Online watch lag or slow?',
	profile_change_cdn2					: 'We will automatically assign the fastest connection CDN server based on your geo-location. However you can change CDN server if you have issue watching online video smoothly.',
	profile_cdn_server_cn				: 'China server',
	profile_cdn_server_us				: 'US server',
	profile_cdn_server_change_done		: 'Change has been made successfully',
	profile_night_mode					: 'Night(Dark) mode',
	
	search_group_picture				: 'Search pictures',
	search_video						: 'Search videos',
	search_keyword_input				: 'Enter keywords. Multiple words seperate by spaces',
	search_keyword_button				: 'Search keyword',
	search_keyword_empty				: 'Please enter search keyword',
	
	tag_search_wait						: 'Please wait until APP receives tag data from server for tag search.',
	tag_search_not_ready				: 'Tag data is not ready, please wait.',
	tag_search_loading					: 'Loading tag data',
	tag_search_help1					: 'Search tags. Tap to select tag',
	tag_search_help2					: 'Only top 10 hot tags are showing now.',
	tag_search_video_num_help			: 'Video amount',
	tag_search_pic_num_help				: 'Picture amount',
	tag_search_load_all					: 'Show all tags',
	tag_search_footer_picture			: 'Find Pictures',
	tag_search_footer_video				: 'Find Videos',
	
	invite_title						: 'Invite new member get rewards',
	invite_body3						: ' golds instantly; The first time your invitee buy golds or diamonds, you will also get ',
	invite_body4						: '% diamonds rewards based on his/her payment amount. For example, invitee buy 20 diamonds, then you can get ',
	invite_body5						: ' diamonds; Invitee buy 100 diamonds, you can get ',
	invite_body6						: ' diamonds. This reward limited to first time purchase.',
	invite_body7						: 'How to: Copy any URL below and paste to other forums, facebook, twitter or send to your friends. Once someone visits the URL and complete registration, when reward condition meets, you will get reward.',
	invite_body8						: 'Please try open above URL to check if it is reachable. We probably change URL in the future. URL change will be notified in news bulletin.',
	invite_url							: 'URL',
	
	update_tag_input					: 'Enter tag name',
	update_tag_new						: 'Add tag',
	update_tag_title1					: 'Tags',
	update_tag_title2					: 'Tap on cate name to expand tags, you can add cates or tags.',
	update_tag_report					: 'Wrong?',
	
	update_cate_input					: 'Enter cate name',
	update_cate_new						: 'Add cate',
	
	video_detail_play_btn				: 'Play',
	video_detail_buy_btn				: 'Buy now',
	video_detail_comment_btn			: 'Review',
	video_detail_watch_preview			: 'Watch preview',
	
	cpov_playlist_info_preview1			: 'Ep ',
	cpov_playlist_info_preview2			: ' preview',
	cpov_playlist_info_full_episode1	: 'Episode ',
	cpov_playlist_info_full_episode2	: '',
	cpov_extra_info_price				: 'Price',
	cpov_extra_info_duration			: 'Duration',
	cpov_extra_info_size				: 'Size',
	cpov_extra_info_purchased			: 'Purchased',
	cpov_extra_info_source				: 'Play source',
	has_more_video_in_list1				: '',
	has_more_video_in_list2				: ' more videos in this list',
	
	quick_payment_header				: 'Please select the following option',
	quick_payment_gold1					: 'Buy golds',
	quick_payment_gold2					: 'Plus premium membership',
	quick_payment_diamond1				: 'Buy diamonds',
	quick_payment_diamond2				: 'Plus golds and premium',
	quick_payment_vip1					: 'Upgrade premium',
	quick_payment_vip2					: 'Plus extra golds',
	quick_payment_invite1				: 'Invite new member',
	quick_payment_invite2				: 'Get reward',
	
	povl_listnum_and_type1				: 'Episode ',
	povl_listnum_and_type2				: '',
	povl_listnum_full					: '',
	povl_listnum_preview				: ' preview',
	
	up_video1							: 'Use ',
	up_video2							: ' golds up video',
	up_video_confirm1					: 'It has been sent to list top by ',
	up_video_confirm2					: ' times, ',
	up_video_confirm3					: ' You can ',
	up_video_confirm4					: ' spend ',
	up_video_confirm5					: ' golds ',
	up_video_confirm6					: ' to send it to top list, whilst after topping it ',
	up_video_confirm7					: ' times',
	up_video_confirm8					: ', The gold cost will be increased to ',
	up_video_confirm9					: ' golds. Are you sure you want to top it now?',
	up_video_confirm10					: 'Send it to the first place of list',
	up_video_not_enough1				: 'Send it to top will cost ',
	up_video_not_enough2				: ' golds. You only have ',
	up_video_not_enough3				: ' golds.',
	up_video_success					: ' Send to top successfully',
	
	follow_user_add_follow				: 'Follow me',
	follow_user_remove_follow			: 'Stop follow',
	follow_user_done					: 'You have followed him. You will be notified when he upload new video.',
	
	interact_to_user_message			: 'Message',
	interact_to_user_studio             : 'Studio',
	interact_to_user_video				: 'Videos',
	interact_to_user_picture			: 'Pictures',
	interact_to_user_fiction			: 'Fictions',
	interact_to_user_block				: 'Block',
	interact_to_user_unblock			: 'Unblock',
	update_block_done					: 'Update done!',
	
	confirm_block_title					: 'Block contents uploaded by this user',
	confirm_block_content				: 'Are you sure you want to block his contents? You will not see his contents in the future (You can unblock him).',
	confirm_unblock_title				: 'Unblock this user',
	confirm_unblock_content				: 'Are you sure you want to unblock his contents?',
	
	video_list_dispute1					: 'User reported this has issue: ',
	video_list_dispute2					: '',
	video_list_discount_line_tile1		: 'Discount ',
	video_list_discount_line_tile2		: 'Promotion will start ',
	video_list_discount_line_tile3		: '',
	video_list_desc_readmore			: 'Read More',
	video_list_custom_purchased_day		: '(Within 24 hours) ',
	video_list_custom_purchased_week	: '(Within 7 days) ',
	video_list_custom_purchased_num1	: ' ',
	video_list_custom_purchased_num2	: ' purchased',
	
	add_money_btn						: 'Buy gold',
	add_diamond_btn						: 'Buy diamond',
	
	pagination_prev_page				: 'Prev',
	pagination_next_page				: 'Next',
	
	filter_on_list_sort					: 'Sort: ',
	playlist_list_menu_item_posttime	: 'New release',
	playlist_list_menu_item_video_num	: 'Episodes',
	playlist_list_menu_item_update_time	: 'New update',
	playlist_list_menu_item_uid			: 'Author ID',
	
	producer_list_menu_item_post		: 'Top posted',
	producer_list_menu_item_earned		: 'Top earned',
	producer_list_menu_item_hot			: 'Most popular',
	producer_list_menu_item_follower_num: 'Top followed',
	
	producer_list_menu_item_non_filter	: 'All',
	producer_list_menu_item_my_follow	: 'My follows',
	producer_list_menu_item_my_blocked	: 'My blocked',
	producer_list_menu_item_today		: 'Today',
	producer_list_menu_item_week		: 'This week',
	producer_list_menu_item_month		: 'This month',
	producer_list_menu_item_year		: 'This year',
	
	producer_post_num					: 'Post',
	producer_earned_num					: 'Earn',
	producer_hot_num					: 'Hot',
	producer_follower_num				: 'Follow',
	
	video_list_menu_item_default_order	: 'Default, ',
	video_list_menu_item_newest			: 'New release, ',
	video_list_menu_item_price			: 'Price lowest, ',
	video_list_menu_item_hot			: 'Purchased, ',
	video_list_menu_item_fav			: 'Fav number, ',
	video_list_menu_item_duration		: 'Duration',
	video_list_menu_item_ranking_title	: 'Ranking: ',
	video_list_menu_item_day_purchased	: '24 hours best sellers',
	video_list_menu_item_week_purchased	: '7 days best sellers',
	
	filter_on_list_filter				: 'Filter: ',
	filter_on_list_period				: 'Time range: ',
	video_list_menu_item_non_filter		: 'Show all, ',
	video_list_menu_item_has_wangpan	: '',
	video_list_menu_item_has_cn_repo	: 'China CDN, ',
	video_list_menu_item_has_us_repo	: 'US CDN, ',
	video_list_menu_item_has_playlist	: 'Has playlist, ',
	video_list_menu_item_preview		: 'Has preview ',
	list_menu_item_has_tier	         	: 'Plans',
	video_list_menu_item_gold			: 'Gold, ',
	video_list_menu_item_diamond		: 'Diamond, ',
	video_list_menu_item_yuanchuang		: 'Original',
	video_list_item_has_repo			: ' source quality ',
	video_list_item_has_cn_repo			: ' China CDN ',
	video_list_item_has_us_repo			: ' US CDN ',
	video_list_item_double_repo			: ' US & China CDN ',
	video_list_item_watch_online		: ' multi-resolution ',
	video_list_item_play_only			: ' [Not allow download] ',
	video_list_item_preview				: ' Preview ',
	video_list_menu_item_only_english	: '[Only showed English translated videos]',
	
	pic_list_menu_item_newest			: 'New uploaded, ',
	pic_list_menu_item_hot				: 'Fav number, ',
	pic_list_menu_item_price			: 'Lowest price',
	pic_list_menu_item_purchased_num	: 'Best seller',
	pic_list_menu_item_non_filter		: 'Default, ',
	pic_list_menu_item_group_list		: 'All, ',
	pic_list_menu_item_free_group_list	: 'Free, ',
	pic_list_menu_item_gold_group_list	: 'Gold, ',
	pic_list_menu_item_diamond_group_list: 'Diamond, ',
	pic_list_menu_item_org_group_list	: 'Original, ',
	pic_list_menu_item_today			: 'Uploaded today, ',
	pic_list_menu_item_week				: 'Uploaded this week, ',
	pic_list_menu_item_suggest			: 'Suggest',
	
	message_list_item_title_unread		: '[Unread]',
	mla_report_title1					: 'Report selling video without authors permission ',
	mla_report_title2					: '',
	mla_report_to						: 'admin',
	mla_report_content1					: 'This is the message sent from ',
	mla_report_content2					: ' who is trying to sell CBArt original videos without authors permission.',
	mla_report_btn						: 'Report',
	mla_reply_btn						: 'Reply',
	
	option_title						: 'My options',
	option_item_go						: 'Enter',
	option_item_customer_service		: 'Contact customer service',
	option_item_money_history			: 'Cashflow',
	option_item_diamond_to_gold			: 'Change gold',
	option_item_favorate_picture		: "Favorate pictures",
	option_item_viewed_pics				: "Viewed pictures",
	option_item_purchased_pics			: "Purchased albums",
	option_item_favorate_video			: 'Favorate videos',
	option_item_purchased_video			: 'Purchased videos',
	option_item_downloaded_video		: 'Downloaded videos',
	option_item_clear_cache				: 'Clear picture cache',
	option_item_help					: 'How to use',
	
	vdp_header							: 'Playlist',
	vdp_list_num1						: 'Ep.',
	vdp_list_num2						: '',
	
	cn_user_connect_to_repo_warning		: '',
	online_watch_only_warning			: 'Author does not allow this video to be able to download. It is online watch only',
	
	video_quality_label_low				: 'Mobile',
	video_quality_label_med				: 'Median',
	video_quality_label_high			: 'High',
	video_quality_label_org				: 'Source',
	video_quality_label_unknow			: 'Unknown',
	video_dimension_org					: 'Original size',
	video_repo_download_status			: ' resolution',
	video_repo_play_btn					: 'Play',
	video_repo_download_btn				: 'Download',
	video_repo_format_not_playable		: ' format can not play in app. Please report this issue. we will change it to app playable format',
	video_detail_summary_size			: 'Size',
	video_detail_summary_duration		: 'Duration',
	video_detail_summary_format			: 'Format',
	video_detail_uploader_info_username1: 'Uploaded by ',
	video_detail_uploader_info_username2: '',
	video_detail_report_video1			: 'Report issue',
	video_detail_report_error			: 'You need to purchase this video before you can report issue.',
	
	player_showed_num1					: 'Played: ',
	player_showed_num2					: '',
	page_loaded_num1					: 'Loaded: ',
	page_loaded_num2					: '',
	
	comment_top							: 'Reviews',
	comment_submit_input				: 'Write your review here',
	comment_submit_btn					: 'Send',
	comment_pagination1					: 'Prev ',
	comment_pagination2					: '',
	comment_pagination3					: 'Next ',
	comment_pagination4					: '',
	comment_not_exceed					: 'No more than 100 letters',
	comment_no_less_than				: 'No less than 3 letters',
	comment_empty						: 'Please write something',
	comment_del_confirm1				: 'Are you sure you want to delete this review?',
	comment_del_confirm2				: 'Delete review',
	
	dvi_delete							: 'Del',
	dvi_pause							: 'Pause',
	
	downloading_video_tab				: ' video/s downloading',
	downloaded_video_tab				: ' video/s downloaded',
	downloaded_video_header_txt1		: '',
	downloaded_video_header_txt2		: ' videos in total, ',
	downloaded_video_header_txt3		: 'Showing ',
	downloaded_video_header_txt4		: 'Space available ',
	downloaded_video_delete_btn			: 'Delete',
	downloaded_video_delete_confirm_btn	: 'Confirm',
	downloaded_video_delete_choose_one	: 'Please select at least one video to delete',
	downloaded_video_item_quality		: ' resolution',
	downloading_downloaded				: '',
	
	payment_gold_title					: 'Thanks for topup golds, ',
	payment_gold_title2					: 'Topup golds',
	payment_diamond_title				: 'Thanks for topup diamonds, ',
	payment_diamond_title2				: 'Topup diamonds',
	payment_vip_title					: 'Thanks for upgrade premium, ',
	payment_vip_title2					: 'Go premium',
	payment_gold_change_vip_confirm1	: 'Use ',
	payment_gold_change_vip_confirm2	: ' golds exchange ',
	payment_gold_change_vip_confirm3	: ' days premium membership, are you sure?',
	payment_gold_change_vip_confirm4	: ' Gold exchange premium',
	payment_gold_change_vip_done		: 'Exchange done. Your premium membership will be valid until ',
	payment_title1						: 'We accept paypal payment',
	payment_title2						: '',
	payment_title3						: '',
	payment_cny							: ' CNY',
	payment_usd							: ' USD',
	payment_url_not_set					: 'Can not get payment URL from server, please report this error to admin',
	
	gold_price_show_amount1				: ' = ',
	gold_price_show_amount2				: ' golds + ',
	gold_price_show_amount3				: ' days premium',
	diamond_price_show_amount1			: ' = ',
	diamond_price_show_amount2			: ' diamonds + ',
	diamond_price_show_amount3			: ' golds + ',
	diamond_price_show_amount3_1		: ' golds.',
	diamond_price_show_amount4			: ' days premium',
	iap_payment_title					: 'Please tag one of following payment amount below:',
	
	payment_buy_vip_title				: 'You can upgrade to premium membership by following two ways:',
	vip_price_show_amount1				: ' = ',
	vip_price_show_amount2				: ' days premium + golds x ',
	payment_buy_vip_type2				: '2. buy premium membership using golds',
	vip_gold_list1						: '',
	vip_gold_list2						: ' golds buy ',
	vip_gold_list3						: ' days premium',
	
	message_form_header1				: 'Reply to ',
	message_form_header2				: 'Send message to moderator',
	message_input_title					: 'Message title',
	message_form_textarea				: 'Message content',
	message_form_submit_go				: 'Send',
	message_form_submit_cancel			: 'Cancel',
	message_no_title					: 'No title',
	message_need_content				: 'Please enter message content',
	message_sent						: 'Message has been sent',
	message_sending						: 'Sending',
	message_to_admin_sent1				: 'Message has been sent. We will reply as soon as possible. Thank you!',
	message_to_admin_sent2				: 'Message and picture has been sent. We will reply as soon as possible. Thank you!',
	message_to_admin_error				: 'Picture can not upload. Please report this issue to admin.',
	
	diamond_to_gold_title1				: 'You have ',
	diamond_to_gold_title2				: ' diamonds',
	diamond_to_gold_input1				: '1 diamond change ',
	diamond_to_gold_input2				: ' golds',
	diamond_to_gold_submit_go			: 'Confirm',
	diamond_to_gold_submit_cancel		: 'Cancel',
	diamond_to_gold_no_diamond			: 'You do not have any diamond yet. Please topup diamond first.',
	diamond_to_gold_enter_diamond		: 'Please enter diamond amount you want to change to golds (only number)',
	diamond_to_gold_done1				: 'Successfully change diamond to gold. You have diamonds x ',
	diamond_to_gold_done2				: ', golds x ',
	
	message_frame_title					: 'Messages',
	message_top_item_send_admin			: 'To admin',
	message_top_item_news				: 'News',
	message_top_item_message_system		: 'System',
	message_top_item_message_user		: 'User',
	
	mail_form_title						: 'Message title',
	main_form_content					: 'Message content',
	mail_pic_btn						: 'Add picture',
	mail_pic_selected					: 'Pic selected',
	mail_form_submit_btn				: 'Send',
	
	photo_gallery_header_group_picture	: 'Album',
	photo_gallery_header_picture		: 'Picture',
	photo_gallery_header_hidden_content	: '18+',
	
	foot_navi_group_item				: 'Album',
	foot_navi_group_zip_download_item	: 'Download Zip',
	foot_navi_full_item					: 'View Full',
	foot_navi_fav_item					: 'Add Fav',
	foot_navi_tag_item					: 'Tags',
	
	picture_group_zip_download_btn		: 'Copy album zip URL for download',
	picture_group_zip_purchase_btn1		: 'Use ',
	picture_group_zip_purchase_btn2		: 'purchase album zip file',
	
	picture_group_meta_item_type		: 'Type',
	picture_group_meta_item_type_share	: 'Free Share',
	picture_group_meta_item_type_non_org: 'Non-original Selling',
	picture_group_meta_item_type_org	: 'Original Selling',
	picture_group_meta_item_pic_num		: 'Picture number',
	picture_group_meta_item_pic_num_unit: 'P',
	picture_group_meta_item_price		: 'Price',
	picture_group_meta_item_free		: 'Free view',
	picture_group_meta_item_zip_price1	: '(ZIP download ',
	picture_group_meta_item_zip_price2	: ')',
	picture_group_meta_item_sold		: 'Sold',
	picture_group_meta_item_sold_unit	: '',
	picture_group_meta_item_fav_num		: 'Favorite',
	picture_group_meta_item_fav_num_unit: '',
	picture_group_meta_item_posttime	: 'Upload time',
	picture_group_inbox_0				: '[On sale]',
	picture_group_inbox_1				: '[In review]',
	picture_group_inbox_2				: '[About to be deleted]',
	
	
	
	
	picture_group_buy_title				: 'Buy full album plus zip file',
	picture_group_zip_download_tip		: 'Tip: A temporary download link for compressed files will be provided after purchase. You will need to copy this link to a third-party download app or a web browser to save it.',
	picture_group_buy_message1			: 'The cost to buy full content of this album plus zipped file is ',
	picture_group_buy_message2			: ', are you sure you want to buy?',
	picture_group_zip_buy_message1		: 'Packing album zip file consumes server computing resources and traffic, so we need to charge a little fee, please understand. According to picture amount in this album, we will charge you ',
	picture_group_zip_buy_message2		: ' to generate zip file of album. are you sure you want to buy?',
	picture_group_zip_buy_title			: 'Buy album zip file',
	picture_group_not_enough			: 'The cost of album zip file is ',
	picture_group_not_enough_gold		: ', you do not have enough gold.',
	picture_group_not_enough_diamond	: ', you do not have enough diamond',
	picture_group_need_purchase			: 'Click to purchase this album showing all pictures',
	picture_group_zip_url_copied1		: 'The download URL ',
	picture_group_zip_url_copied2		: ' has been copied to clipboard.',
	picture_group_zip_url_copied3		: 'If you have a third-party downloader installed in your device. Please create a new download job using downloader and paste the copied URL to start downloading.',
	picture_group_zip_url_copied4		: 'If you download via web browser, please paste the copied URL in the address bar to download.',
	picture_group_zip_url_copied5		: 'The downloaded file is a zip format compression package. Please install the unzip app and extract it.',
	picture_group_zip_copy_url			: 'Tap copy download URL to clipboard',
	picture_group_zip_url_copied		: 'URL has been copied',
	no_temp_zip_url						: 'Fail to generate temporary album zip download url, please report this error to the webmaster.',
	
	backup_url_layer1					: 'The URL ',
	backup_url_layer2					: ' which is using is not working or server is busy',
	backup_url_layer3					: 'You can try the following URL',
	backup_url_layer4					: 'URL',
	direct_regist						: 'Login/Register',
	backup_url_confirm1					: 'Do you want to switch to backup URL?',
	backup_url_confirm2					: 'Can not connect to server URL. ',
	
	app_upgrade_title					: 'New version APP available: ',
	app_upgrade_button					: 'Upgrade now',
	
	corner_loading1						: 'Tap',
	corner_loading2						: 'Reload',
	get_free_space_error				: 'Can not retrieve free storage space from your device. Please report this issue to admin',
	no_internet1						: 'App need to have internet connection. Please enable your internet and try again',
	no_internet2						: 'No internet connection',
	
	quit_app1							: 'It will close APP. Are you sure?',
	quit_app2							: 'Quit APP',
	bb_alert_close_text					: 'OK',
	bb_layer_close_text					: 'Got it!',
	ft_confirm_yes						: 'Yes',
	ft_confirm_no						: 'No',
	
	download_status_prepared_text1		: 'Preparing chunk data ',
	download_status_prepared_text2		: '',
	download_status_preparing_text1		: 'Preparing download ',
	download_status_preparing_text2		: '',
	download_status_resume1				: '',
	download_status_resume2				: 'Tap to resume download',
	download_status_done				: 'Download completed',
	download_status_new_text			: 'Play now',
	download_status_num_thread			: ' threads',
	download_status_stage1				: ' ',
	download_status_stage2				: ' ',
	download_status_stage3				: ' ',
	download_status_stage4				: ' Please wait ',
	download_status_pause				: 'Tap me resume download',
	download_status_appending			: 'Combining downloaded chunks ',
	
	prefill_user_msg					: 'Please enter login password',
	loading_user_data_error				: 'Server has no response for APP request. Please quit APP and launch again.',
	loading_user_data_error1			: 'Server has no response for APP request. Do you want me try send login request again?',
	loading_user_data_error2			: 'Server is busy',
	
	give_me_fuli_success				: 'Golds have been sent to your account',
	give_me_fuli_error					: 'Server error or busying, please try again later.',
	give_me_fuli_done_before			: 'You have received everyday gold today, please try tomorrow.',
	
	report_tag_confirm1					: 'You are about to report this tag is irrelaviant to picture/video, are you sure?',
	report_tag_confirm2					: 'Report incorrect tag',
	report_tag_done						: 'Report has been sent. Thank you!',
	report_video_issue_error			: 'Please select one of issue',
	report_video_issue_done				: 'Report has been sent. Thank you!',
	
	no_picture							: 'No picture available',
	no_video							: 'No video availabl',
	
	clear_cache_processing1				: 'Scanning cached pictures',
	clear_cache_processing2				: 'Depending on device performance, this may spend couple of minuts. Please do not quit APP during scanning.',
	clear_cache_processing3				: 'It will prompt next step after scanning finishes.',
	clear_cache_confirm1				: 'We found ',
	clear_cache_confirm2				: ' pictures in cache. Delete them will free up ',
	clear_cache_confirm3				: ' MB storage space, are you sure?',
	clear_cache_confirm4				: 'Clear picture cache',
	clear_cache_deleting1				: 'Deleting pictures',
	clear_cache_deleting2				: 'Please be patient. Do not quite APP during processing.',
	clear_cache_done					: 'Clear cache done',
	clear_cache_empty					: 'There is no cached picture that can be deleted',
	
	forgotten_password_email_sent1		: 'Reset password instruction has been sent to ',
	forgotten_password_email_sent2		: '. Please go to your email box to view details.',
	forgotten_password_email_sent3		: 'An email which contains information about change password has been sent to your email box. Please go to your email box to view details.',
	forgotten_password_no_email			: 'You have not setup email address to receive changing password email',
	forgotten_password_email_no_empty	: 'Please enter email address',
	
	logout_confirm1						: 'You will need your password to login next time when you open APP. Please remember your password. Are you sure you want to logout now?',
	logout_confirm2						: 'Logout',
	
	content_unlock_confirm1				: 'App will show hidden fetish/bondage content. Later you can tap on your username 10 times to hide them again. Are you sure?',
	content_unlock_confirm2				: 'Show fetish content',
	content_unlock_success				: 'Hidden content revealed. If you still can not view full contents, please reopen APP.',
	content_lock_confirm1				: 'App will hide fetish/bondage content to protect your privacy. Later you can tap on your username 10 times to show them again. Are you sure?',
	content_lock_confirm2				: 'Hide fetish content',
	content_lock_success				: 'Content hide done. Please reopen APP.',
	
	email_verify1						: ', We have sent an email to ',
	email_verify2						: '. Please follow instruction in the email to complete identity verification, ',
	email_verify3						: ' and get ',
	email_verify4						: ' golds rewards. ',
	email_verify5						: ' If you can not find this email, please try to find it in your email junkbox/spam mails.',
	
	edit_tag_need_verify1				: 'Tag assignment will be reviewed by moderator.',
	edit_tag_need_verify2				: 'You got ',
	edit_tag_need_verify3				: ' gold reward. Rewards left for today is ',
	edit_tag_need_verify4				: '. You have golds ',
	edit_tag_done						: 'Tag has been updated. Thank you!',
	edit_cate_not_empty					: 'Please enter cate name',
	edit_tag_not_empty					: 'Please enter tag name',
	del_cate_confirm1					: 'Cate and tags under this cate will be deleted, are you sure?',
	del_cate_confirm2					: 'Delete cate',
	show_load_server_tags_confirm1		: 'Depending on device and server performance, it may takes 1 to 3 minutes.',
	show_load_server_tags_confirm2		: 'Load all tag data from server',
	
	internet_connection_warning1		: 'You are using ',
	internet_connection_warning2		: ' connection instead of WIFI. We suggest you to use WIFI for cost saving of data transferring. Are you sure you still want stay in current non-WIFI connection?',
	internet_connection_warning3		: ' connection reminder',
	
	check_video_access_diamond			: ' diamonds',
	check_video_access_reported_confirm1: '[It has issue that reported by other user:',
	check_video_access_reported_confirm2: '.]',
	check_video_access_reported_confirm3: '[It has issue that reported by other user]',
	check_video_access_buy_confirm1		: 'The price is ',
	check_video_access_buy_confirm_g_2	: ' golds ',
	check_video_access_buy_confirm_d_2	: ' diamonds ',
	check_video_access_buy_confirm_g_3	: ', You have ',
	check_video_access_buy_confirm_d_3	: ', You have ',
	check_video_access_buy_confirm_g_4	: ' golds.',
	check_video_access_buy_confirm_d_4	: ' diamonds.',
	check_video_access_buy_confirm5		: 'It has free preview available.',
	check_video_access_buy_confirm6		: 'Are you sure you want buy?',
	check_video_access_buy_confirm_g_7	: 'Buy gold video/resource',
	check_video_access_buy_confirm_d_7	: 'Buy diamond video/resource',
	check_video_access_g_not_enough		: ' golds and you do not have enough golds.',
	check_video_access_g_not_enough2	: 'You do not have enough golds.',
	check_video_access_d_not_enough		: ' diamonds and you do not have enough diamonds.',
	check_video_access_purchased		: 'Purchased',
	
	play_video_need_vip1				: 'Play ',
	play_video_need_vip2				: ' resolution needs premium membership.',
	download_video_need_vip1			: 'Download ',
	download_video_need_vip2			: ' resolution needs premium membership.',
	
	video_download_prompt_title1		: 'Download ',
	video_download_prompt_title2		: ' resolution',
	video_download_prompt1				: 'You can download ',
	video_download_prompt2				: ' files simultaneously. ',
	video_download_prompt3				: 'There are two download options: ',
	video_download_prompt4				: 'Opt1. ',
	video_download_prompt5				: 'Tap copy download URL',
	video_download_prompt6				: ' then paste it to other download APP. ',
	video_download_prompt7				: 'Opt2. Download using APP build-in tool. Your device has ',
	video_download_prompt8				: 'MB free spaces.',
	video_download_prompt_has_size1		: 'The size of this file is ',
	video_download_prompt_has_size2		: 'MB. ',
	video_download_prompt_no_space		: 'You do not have enough spaces. Please free up more spaces before download. ',
	video_download_prompt9				: 'APP will generate and calculate download data chunks. Please do not minimize APP before download starts.',
	video_download_prompt10				: 'Start download using Opt2? ',
	video_download_max_reached1			: 'The maximum simultaneously download number is ',
	video_download_max_reached2			: ', Please wait for the other download threads finish before you can start new download.',
	video_download_done					: 'File download completed. It can be found in "My Download" section if it is playable.',
	video_download_corner1				: 'D',
	video_download_corner2				: '',
	video_download_corner3				: ' Sec left',
	video_download_corner4				: ' Min left',
	video_download_cancel_confirm1		: 'This will cancel file download, are you sure?',
	video_download_cancel_confirm2		: 'Cancel download',
	video_download_time_left1			: 'Approx ',
	video_download_time_left2			: ' Secs',
	video_download_time_left3			: ' Mins',
	
	download_copy_url_btn				: 'Copied to Clipboard',
	show_video_content_empty			: 'No description',
	
	copy_text_empty						: 'The content of text is empty. Please report this issue to admin.',
	copy_text_error						: 'Copy action are prohibited by device. Please report this issue to admin. The content of copying text is: ',
	
	get_repo_file_size_fail1			: 'Failed get file size from server. It may caused by server busy or connection issue. Please try again later.',
	get_repo_file_size_fail2			: 'Unknow error when retrieve file size from server. Please report this issue to admin.',
	
	preview_ended_g_buy1				: 'Preview has finished. To enjoy full video you need to pay ',
	preview_ended_g_buy2				: ' golds. You have ',
	preview_ended_g_buy3				: ' golds. Are you sure you want to buy this video?',
	preview_ended_g_buy4				: 'Buy full gold video',
	preview_ended_g_not_enough1			: 'Preview has finished. To enjoy full video you need to pay ',
	preview_ended_g_not_enough2			: ' golds. You do not have enough gold. Do you want to topup gold?',
	preview_ended_g_not_enough3			: 'Topup gold',
	preview_ended_g_goto_topup1			: 'You need to have ',
	preview_ended_g_goto_topup2			: ' golds to purchase video.',
	preview_ended_d_buy1				: 'Preview has finished. To enjoy full video you need to pay ',
	preview_ended_d_buy2				: '. You have ',
	preview_ended_d_buy3				: ' diamonds. Are you sure you want to buy this video?',
	preview_ended_d_buy4				: 'Buy full diamond video',
	preview_ended_d_not_enough1			: 'Preview has finished. To enjoy full video you need to pay ',
	preview_ended_d_not_enough2			: '. You do not have enough diamond. Do you want to topup diamond?',
	preview_ended_d_not_enough3			: 'Topup diamond',
	preview_ended_d_goto_topup1			: 'You need to have ',
	preview_ended_d_goto_topup2			: ' diamonds to purchase video.',
	
	export_hour_desc					: ':00',
	export_wait_time_remain_desc1		: ' minutes',
	export_wait_time_remain_desc2		: ' less than 1 minute',
	export_desc1						: 'Our server is maintained at ',
	export_desc2						: ' every day. During maintenance the app and website cannot be used. Maintenance time is approximately ',
	export_desc3						: ' minutes. Please wait for ',
	export_desc4						: '. Sorry for the incovenience',
	
	profile_avatar_upload_btn			: 'Upload avatar',
	profile_avatar_uploading			: 'Uploading',
	profile_avatar_upload_success		: 'Avatar uploaded successfully',
	profile_avatar_upload_error			: 'Upload error, please try again later',
	
	prompt_night_mode_title				: 'Enable night mode',
	prompt_night_mode_content			: 'Its late night already. Would you like to adjust color to night mode? You can also enable it on your profile page at any time.',
	prompt_night_mode_stop				: 'Please stop ask me about night mode in the future',
	
	capcha_input						: 'Please enter 4 characters above',
	offline_mode_btn					: 'Offline mode',
	offline_mode_disable				: 'Current under offline mode. Do you want to try connect to the server?',
	over_18 : 'I agree to the apps terms of use and disclaimer.',
	must_agree_adult : 'You must check the statement that you agree to the apps terms of use and disclaimer.',
	app_code_loading : 'Loading, please wait...',
	app_code_downloading : 'App updating, please wait...',
};

en.greeting = "Thanks for using " + en.title + "";
en.ok = "OK";
en.later = "Later";