//0 means disabled; 1 means enabled;
var popupStatus = new Array();
popupStatus[0] = 0;

//loading popup with jQuery magic!
function loadPopup(popupBoxId, bgId, multipleId, presetOpacity){
	//loads popup only if it is disabled
	if(popupStatus[multipleId]==0){
		$("#" + bgId).css({
			"opacity": (presetOpacity == undefined?"0.7":presetOpacity)
		});
		$("#" + bgId).fadeIn("slow");
		$("#" + popupBoxId).fadeIn("slow");
		popupStatus[multipleId] = 1;
	}
}

//disabling popup with jQuery magic!
function disablePopup(popupBoxId, bgId, multipleId, callback){
	//disables popup only if it is enabled
	if(popupStatus[multipleId] == 1){
		var bgDOM = $("#" + bgId);
		if (bgDOM.length) {
			bgDOM.fadeOut("slow");
		} else {
			$(".bb_layer_bg").fadeOut("slow");
		}
		
		$("#" + popupBoxId).fadeOut("slow");
		popupStatus[multipleId] = 0;
		//console.log(typeof callback);
		bindBackEvent(quitApp);
		
		if ((typeof callback) == "function") callback();
	}
}

//centering popup
function centerPopup(popupBoxId, bgId){
	$("#" + popupBoxId).center();
	var windowHeight = document.documentElement.clientHeight;
	//only need force for IE6
	
	$("#" + bgId).css({
		"height": windowHeight
	});
	
}
function showPopup(popupBoxId, bgId, closeId, preventClose, multipleId, presetOpacity, closeCallback, showCallback, baseZIndex){
	if (multipleId != undefined && multipleId !== null && multipleId != ""){
		popupStatus[multipleId] = 0;
		multipleId = parseInt(multipleId);
	}else{
		multipleId = 0;
	}
	if(popupStatus[multipleId]==1){
		disablePopup(popupBoxId, bgId, multipleId, closeCallback);
	}
	var popupBoxObj = $("#" + popupBoxId);
	var bgObj = $("#" + bgId);
	var closeObj = $("#" + closeId);
	//init css
	//popupBoxObj.append("<div style='width:50px; height:50px; background:white;'></div>");
	if (baseZIndex == undefined || baseZIndex <= 0) {
		baseZIndex = 9999;
	}
	popupBoxObj.css("position","fixed");
	popupBoxObj.css("z-index", baseZIndex + 12);
	popupBoxObj.css("font-size","13px");
	
	bgObj.css("position","fixed");
	bgObj.css("height","100%");
	bgObj.css("width","100%");
	bgObj.css("top","0");
	bgObj.css("left","0");
	bgObj.css("background","#000000");
	bgObj.css("border","0px solid #cecece");
	bgObj.css("z-index", baseZIndex);
	//bgObj.css("z-index","10010");
	
	closeObj.click(function(){
		disablePopup(popupBoxId, bgId, multipleId, closeCallback);
	});
	if (preventClose != 1){
		//Click out event!
		bgObj.click(function(){
			disablePopup(popupBoxId, bgId, multipleId, closeCallback);
		});
		
		//Press Escape event!
		$(document).keypress(function(e){
			if(e.keyCode==27 && popupStatus[multipleId]==1){
				disablePopup(popupBoxId, bgId, multipleId, closeCallback);
			}
		});
	}
	
	if (typeof showCallback == 'function') showCallback();
	
	centerPopup(popupBoxId, bgId);
	loadPopup(popupBoxId, bgId, multipleId, presetOpacity);
}

jQuery.fn.center = function () {
    this.css("position","absolute");
    this.css("top", (($(window).height() - this.outerHeight()) / 2) + $(window).scrollTop() + "px");
    this.css("left", (($(window).width() - this.outerWidth()) / 2) + $(window).scrollLeft() + "px");
    return this;
}

function bb_alert(msg, multiId, supplyBtnHtml, closeBtnText, closeCallback){
	var alertId = "bb_alert";
	var bgId = "bb_bg";
	var closeId = "bb_close";
	var closeText = usingLang.bb_alert_close_text;
	if (closeBtnText != undefined && closeBtnText != null && closeBtnText != ""){
		closeText = closeBtnText;
	}
	if (multiId != undefined && multiId != null && multiId != ""){
		alertId += "" + multiId;
		bgId += "" + multiId;
		closeId += "" + multiId;
	}
	$("#" + alertId).remove();
	$("#" + bgId).remove();
	var frameHtml = "";
	
	frameHtml += "<div class='bb_alert_container' id='" + alertId + "'>";
	frameHtml += "	<div class='bb_alert_content'></div>";
	frameHtml += "	<div style='text-align:center; margin-top:12px;'>";
	if (supplyBtnHtml != undefined && supplyBtnHtml != null && supplyBtnHtml != ""){
		frameHtml += 	"" + supplyBtnHtml + "";
	}
	frameHtml += "		<div style='width:30%;' class='bb_alert_close ft_button ft_button_purple' id='" + closeId + "'>" + closeText + "</div>";
	frameHtml += "	</div>";
	frameHtml += "</div>";
	frameHtml += "<div id='" + bgId + "'></div>";
	$('body').append(frameHtml);
	$("#" + alertId).find(".bb_alert_content").html(msg);
	showPopup(alertId, bgId, closeId, 0, multiId, undefined, closeCallback);
	
	//绑定猴机的后退按钮
	bindBackEvent(function(){
		disablePopup(alertId, bgId, (multiId != undefined && multiId != null && multiId != ""?multiId:"0"), function(){
			//当这个弹出层关闭后, 重新绑定按后退按钮退出app
			bindBackEvent(quitApp);
		});
	});
}

function bb_layer(content, options, closeCallback, showCallback){
	var layerId = "bb_layer";
	var layerBgId = "bb_bg";
	var layerCloseId = "bb_close";
	if (deviceInfo != undefined && deviceInfo.width != undefined) {
		var layerWidth = parseInt(deviceInfo.width, 10) - 24;
	} else {
		var layerWidth = 270;
	}
	var noFrame = false;
	var enableClose = true;
	var layerMinHeight = "100";
	var layerUId = 0;
	var appendTo = 'body';
	if (options != undefined) {
		if (options.layerId != undefined) {		//layerId is preId
			layerId = options.layerId;
			layerBgId = layerId + "_bg";
			layerCloseId = layerId + "_close";
		}
		if (options.width != undefined) {
			layerWidth = options.width;
		}
		if (options.appendTo != undefined) appendTo = options.appendTo;
		if (options.height != undefined) layerMinHeight = options.height;
		if (options.uniqueNumber != undefined) layerUId = options.uniqueNumber;
		if (options.noFrame != undefined) noFrame = true;		//不显示默认的白色有弧度的边框
		if (options.enableClose != undefined) enableClose = options.enableClose;
	}
	$("#" + layerId).remove();
	$("#" + layerBgId).remove();
	//------------------生成底部关闭按钮HTML-------------------\
	var bottomCloseBtnText = usingLang.bb_layer_close_text;
	var bottomCloseBtnHTML = '';
	if (options != undefined && options.bottom_close_btn) {
		if (options.bottom_close_btn_text) {
			bottomCloseBtnText = options.bottom_close_btn_text;
		}
		if (options.bottom_close_btn_style == 'trans') {
			bottomCloseBtnHTML = '<div id="' + layerCloseId + '" class="bb_layer_bottom_close_trans_btn">' + bottomCloseBtnText + '</div>';
		} else {
			bottomCloseBtnHTML = '<div class="bb_layer_bottom_close_btn_container"><div id="' + layerCloseId + '" class="bb_layer_bottom_close_btn">' + bottomCloseBtnText + '</div></div>';
		}
		
	}
	//-----------------------------------------------------/
	var frameHtml = "";
	frameHtml += "<div class='bb_layer_container " + (noFrame == true?'':'bb_layer_container_with_frame') + "' id='" + layerId + "' style='width:" + layerWidth + "px;'>";
	if (noFrame == true) {
		frameHtml += "	<div style='width:100%; position:relative; z-index:" + (options != undefined && options.zIndex > 0?options.zIndex:'10009') + ";'>";
		frameHtml += "		<div class='bb_layer_content' style='width:" + layerWidth + "px; min-height:" + layerMinHeight + "px;'>";
		
		frameHtml += "		</div>";
		frameHtml += "	</div>";
	} else {
		var contentMaxHeight = parseInt(deviceInfo.height, 10) - 160;
		frameHtml += '	<div class="bb_layer_content" style="width:100%; min-height:' + layerMinHeight + 'px; max-height:' + contentMaxHeight + 'px; overflow-y:auto;">';
		frameHtml += '	</div>';
	}
	frameHtml += bottomCloseBtnHTML;
	frameHtml += "</div>";
	if (noFrame == true) {
		$('.bb_layer_bg').remove();
		var bbLayerBGDOM = $('.bb_layer_bg');
		if (bbLayerBGDOM.length <= 0) {
			$('body').append("<div class='bb_layer_bg' id='" + layerBgId + "'></div>");
		}
	} else {
		frameHtml += "<div id='" + layerBgId + "'></div>";
	}
	$(appendTo).append(frameHtml);
	var layerDOM = $("#" + layerId);
	layerDOM.find(".bb_layer_content").html(content);
	
	var presetOpacity = undefined;
	if (noFrame == true) {
		presetOpacity = 0.9;
		var noFrameLayerCloseDOM = layerDOM.find('.no_bg_layer_close');
		if (noFrameLayerCloseDOM.length) {
			if (!isValidStr(noFrameLayerCloseDOM.attr('id'))) {
				noFrameLayerCloseDOM.attr('id', layerCloseId);
			} else {
				alert('程序错误, noFrame_layer的close已经被指定ID, 替换ID可能会出现异常问题, 请检查代码');
			}
		} else {
			//alert('程序错误, noFrame_layer的close DOM找不到, 请检查代码');
			if (options.closeId) {
				layerCloseId = options.closeId;
			}
		}
		
	}
	
	var zIndex = undefined;
	if (options != undefined && options.zIndex > 0) {
		zIndex = options.zIndex;
	}
	showPopup(layerId, layerBgId, layerCloseId, (enableClose?0:1), layerUId, presetOpacity, function(){
		$('.current_page .video-js').show();		//关闭层的时候的事件
		if (typeof closeCallback == 'function') closeCallback();
	}, function(){									//显示层的时候的事件
		$('.current_page .video-js').hide();		//视频播放器会覆盖在浮动窗口之上导致浮动窗口的事件失效
		if (typeof showCallback == 'function') showCallback();
	}, zIndex);
	//popupBoxId, bgId, closeId, preventClose, multipleId, presetOpacity, closeCallback, showCallback, baseZIndex
	//alert(deviceInfo.height + ' >> ' + layerDOM.height() + ' >> ' + layerDOM.css('top'));
	//绑定猴机的后退按钮
	bindBackEvent(function(){
		if (noFrame == true && layerCloseId) {
			$('#' + layerCloseId).trigger('click');
			bindBackEvent(quitApp);
		} else {
			disablePopup(layerId, layerBgId, layerUId, function(){
				//当这个弹出层关闭后, 重新绑定按后退按钮退出app
				bindBackEvent(quitApp);
			});
		}
		
	});
}

function ft_confirm(message, callback, title, preWidth, uniqueNumber, showCallback) {
    var confirmButton, cancelButton;
    if (uniqueNumber == undefined){
	    var ft_confirm_id = 73
    } else {
	    var ft_confirm_id = uniqueNumber;
    }
    if (title == undefined){
	    var ft_confirm_title = "Confirm Message";
    } else {
	    var ft_confirm_title = title;
    }
    var layerWidth = (preWidth == undefined?(deviceInfo.width - parseInt(deviceInfo.width / 5, 10)):preWidth);
    message = "<div class='ft_confirm_title_container'><div class='ft_confirm_title'>" + ft_confirm_title + "</div>" + message;
    
    confirmButton = "<div id='ft_confirm_yes' class='ft_button ft_button_purple' style='width:35%; float:left;'>" + usingLang.ft_confirm_yes + "</div>";
    cancelButton = "<div id='ft_confirm_no' class='ft_button' style='width:35%; float:right;'>" + usingLang.ft_confirm_no + "</div>";
    // Create user interface, display message, etc.
    message += "<div style='width:100%; text-align:center; margin-top:18px;'>" + confirmButton + "" + cancelButton + "<div class='bb_clear'></div></div></div>";
    bb_layer(message, {layerId:"ft_confirm", width:layerWidth, height:60, uniqueNumber:ft_confirm_id}, undefined, showCallback);
    
    $("#ft_confirm_yes").bind("click", function(e){
    	disablePopup("ft_confirm", "ft_confirm_bg", ft_confirm_id);
    	$('.current_page .video-js').show();
	    callback(true);
    });
    
    $("#ft_confirm_no").bind("click", function(e){
    	disablePopup("ft_confirm", "ft_confirm_bg", ft_confirm_id);
    	$('.current_page .video-js').show();
	    callback(false);
    });
}



function bb_alert2(msg, onshow, onhide) {
    $('#bb_alert_template').on('show.bs.modal', function (e) {
		$(this).find('.modal-body').html(msg);
		$(this).find('.modal-footer .alert-close').html(usingLang.bb_alert_close_text);
	}).on('shown.bs.modal', function (e) {
		if (typeof onshow == 'function') {
			onshow();
		}
	}).on('hide.bs.modal', function (e) {
		if (typeof onhide == 'function') {
			onhide();
		}
	}).modal('show');
	
	
	
}

function ft_confirm2(options) {
	$('#ft_confirm_template').on('show.bs.modal', function (e) {
		$(this).find('#ft_confirm_title').html(options.title);
		$(this).find('.modal-body').html(options.body);
		if (options.close_text) {
            $(this).find('#ft_confirm_close_btn').html(options.close_text);
        } else {
            $(this).find('#ft_confirm_close_btn').html(usingLang.ft_confirm_no);
        }
        if (options.confirm_text) {
            $(this).find('#ft_confirm_btn').html(options.confirm_text);
        } else {
            $(this).find('#ft_confirm_btn').html(usingLang.ft_confirm_yes);
        }
	}).on('shown.bs.modal', function (e) {
		if (typeof options.onShow == 'function') {
			options.onShow();
		}
		$(this).find('.model_confirm').unbind('click').bind('click', function(){
			options.confirmCallback();
		});
	}).modal('show');
    if (typeof options.onHide == 'function') {
        $('#ft_confirm_template').on('hidden.bs.modal', function (e) {
    		options.onHide();
    	});
    }
}

function loading(show) {
	if (show) {
		if ($('#loading').length <= 0) {
    		var html = $('#loading_template').html();
			$('body').prepend(html);
		}
	} else {
    	$('#loading').remove();
	}
}