var startX;
var prevX;
var currentSlideNo = 1;
var slideMarginLeftBeforeMove;
slideDOM = undefined;
var touchStartTime;

totalMoved = 0;

var moveMe = function(e) {
	if ($(e.target).attr('class') != 'video_thumb_item_pic') {
		if (deviceInfo.device != 'android') {
			e.preventDefault();
		}
	    var x = event.touches[0].pageX;
	    if (prevX != undefined){
		    var movedHowMuch = prevX - x;
			totalMoved -= movedHowMuch;
		    
		    if (movedHowMuch){
		    	if (isSupport3d == true) {
		    		slideDOM.css("-webkit-transform", 'translate3d(' + (totalMoved) + 'px, 0px, 0px)');
		    	} else {
		    		slideDOM.css("-webkit-transform", 'translate(' + (totalMoved) + 'px, 0px)');
		    	}
		    }
	    } else {
	    	startX = x;
		    slideMarginLeftBeforeMove = -((currentSlideNo - 1) * deviceInfo.width);
		    
		    touchStartTime = new Date().getTime();
	    }
	    prevX = x;
	}
};


var slideMe = function(e, callback) {
    if (prevX != undefined){
    	var validMove = 1;
    	var moveDirect;
    	var swipedHowMuch = Math.abs(startX - prevX);
    	if ((startX - prevX) > 0){
	    	moveDirect = "left";
    	} else if (startX - prevX < 0) {
	    	moveDirect = "right";
    	} else {
	    	validMove = 0;
    	}
    	var goBackFlag = 0;
    	if (validMove) {
	    	if (swipedHowMuch > (deviceInfo.width / 10)){
	    		var currentFrameDOM = slideDOM.find('.ft_slider_cur_frame');
	    		if (moveDirect == 'left') {
		    		var validNextFrameDOM = currentFrameDOM.next();
	    		} else {
		    		var validNextFrameDOM = currentFrameDOM.prev();
	    		}
	    		if (!validNextFrameDOM.hasClass('ft_slider_frame') || (!isValidStr(validNextFrameDOM.attr('picID')) && !isValidStr(validNextFrameDOM.attr('videoID')))) {
	    			goBackFlag = 1;
    			}
	    	} else {
	    		goBackFlag = 1;
	    	}
	    	if (goBackFlag){
	    		slideDOM.css('-webkit-transition-duration', '600ms');
	    		if (isSupport3d == true) {
	    			slideDOM.css("-webkit-transform", 'translate3d(' + (slideMarginLeftBeforeMove) + 'px, 0px, 0px)');
		    	} else {
		    		slideDOM.css("-webkit-transform", 'translate(' + (slideMarginLeftBeforeMove) + 'px, 0px)');
		    	}
		    	totalMoved = slideMarginLeftBeforeMove;
		    	
	    		setTimeout(function(){
					slideDOM.css('-webkit-transition-duration', 'inherit');
				},610);
	    	} else {
		    	if (moveDirect == "left"){
			    	slideToLeft(swipedHowMuch, callback);
		    	} else {
			    	slideToRight(swipedHowMuch, callback);
		    	}
	    	}
    	}
    	
    	prevX = undefined;
		startX = undefined;
		touchStartTime = undefined;
    }

	
}

function calcSwipeSpeed(swipedHowMuch) {
	if (swipedHowMuch != undefined && swipedHowMuch > 0) {
		if (touchStartTime != undefined && touchStartTime > 0) {
			var touchEndTime = new Date().getTime();
			var touchElapsed = touchEndTime - touchStartTime;			//milliseconds that swiped
			if (touchElapsed > 0) {
				var howManyPXPerMS = (swipedHowMuch / touchElapsed).toFixed(3);				//how many pxs moved every milliseconds;
				var howManyPXToGo = deviceInfo.width - swipedHowMuch;
				if (howManyPXToGo > 0) {
					var speedMS = parseInt(howManyPXToGo / howManyPXPerMS, 10);
					return speedMS;
				}
			}
		}
	}
	
	return 0;
}



function slideToLeft(swipedHowMuch, callback) {
	var slidePx = currentSlideNo * deviceInfo.width;
	
	var speedMS = calcSwipeSpeed(swipedHowMuch);
	if (speedMS <= 0) speedMS = 600;
	slideDOM.css('-webkit-transition-duration', speedMS + 'ms');
	
	if (isSupport3d == true) {
		slideDOM.css("-webkit-transform", 'translate3d(' + (-slidePx) + 'px, 0px, 0px)');
	} else {
		slideDOM.css("-webkit-transform", 'translate(' + (-slidePx) + 'px, 0px)');
	}
	totalMoved = -slidePx;
	
	setTimeout(function(){
		slideDOM.css('-webkit-transition-duration', 'inherit');
		
		currentSlideNo++;
		slideMarginLeftBeforeMove = -((currentSlideNo - 1) * deviceInfo.width);
		
		if (typeof callback == 'function') {
			var currentFrameDOM = slideDOM.find('.ft_slider_cur_frame');
			showingDOM = currentFrameDOM.next();
			callback('left', showingDOM, slideDOM);
		}
	},speedMS + 10);	

}

function slideToRight(swipedHowMuch, callback) {
	var slidePx = (currentSlideNo - 2) * deviceInfo.width;
	
	var speedMS = calcSwipeSpeed(swipedHowMuch);
	if (speedMS <= 0) speedMS = 600;
	slideDOM.css('-webkit-transition-duration', speedMS + 'ms');
	
	if (isSupport3d == true) {
		slideDOM.css("-webkit-transform", 'translate3d(' + (-slidePx) + 'px, 0px, 0px)');
	} else {
		slideDOM.css("-webkit-transform", 'translate(' + (-slidePx) + 'px, 0px)');
	}
	totalMoved = -slidePx;
	
	setTimeout(function(){
		slideDOM.css('-webkit-transition-duration', 'inherit');
		
		currentSlideNo--;
		slideMarginLeftBeforeMove = -((currentSlideNo - 1) * deviceInfo.width);
		
		if (typeof callback == 'function') {
			var currentFrameDOM = slideDOM.find('.ft_slider_cur_frame');
			showingDOM = currentFrameDOM.prev();
			callback('right', showingDOM, slideDOM);
		}
	},speedMS + 10);
}


function iniSlide(selector, callback) {
	if (selector == undefined) {
		selector = '#ft_slider_container';
	}
	//初始化common.js里面关于滚动功能的几个静态变量
	startX = prevX = slideMarginLeftBeforeMove = undefined;
	currentSlideNo = 1;
	totalMoved = 0;
	
	slideDOM = $(selector);
	
	var transClassName = (isSupport3d == true?"my_translate3d":"my_translate");
	slideDOM.addClass(transClassName);
	
	slideDOM.bind("touchstart touchmove", moveMe);
	slideDOM.bind("touchend", function(e) {
		slideMe(e, callback);
	});
}