document.addEventListener("deviceready", function(){
	$('.page_main').css('width', deviceInfo.width + 'px');
	var scrollHeight = calcScrollableHeight($('.page_1'));
	
	if (deviceInfo.device == 'android') {
		$('.page_1 .page_main').css('height', deviceInfo.height + 'px');
		$('.page_main').css('overflow-x','hidden');
	} else {
		$('.page_1 .page_main').css('height', scrollHeight + 'px');
	}
	startTime = Date.now();
	initDatabase(function(){
		loadActiveURL(function(URLFromDB){
			if (isValidStr(URLFromDB)) {
				activeURL = URLFromDB;
			} else {
				activeURL = URLArr[0];
			}
			console.log("active url is " + activeURL);
			initApp(true);
		});
	});
	
	$(document).on('mozfullscreenchange webkitfullscreenchange fullscreenchange',function(){
		if (document.webkitIsFullScreen) {
			screen.orientation.lock('landscape');
		} else {
			screen.orientation.unlock();
		}
	});
	
	
});






var appStoreRelatedInterval;
function initApp(stealth, noPrivacyCheck) {
	mySetting = new Object();
	gCates = [];
	currentQuery = [];
	picRelatedVideoJSON = [];
	loadSetting(function(savedSetting) {
		//setTimeout(function(){
			//从这里开始就可以用gotFS的本地缓存文件夹路径了deviceCssPath deviceJsPath deviceTplPath
			//这里执行的是获取保存在本机上的用户信息
			mySetting = savedSetting;
			if (parseInt(mySetting.night_mode, 10) === 1) {
				updateNightMode(undefined, 1);
			}
			//console.log(mySetting);
			
			toggleAppStoreRelated();
			if (deviceInfo.device != 'android') {
				clearInterval(appStoreRelatedInterval);
				appStoreRelatedInterval = setInterval(function(){
					toggleAppStoreRelated();
				}, 500);
			}
			
			if (mySetting != undefined && mySetting.uid != undefined && parseInt(mySetting.uid, 10) > 0) {		//必须登录后才出现切换夜间模式选项
				promptNightMode();
			}
			
			if (mySetting.uuid == null || mySetting.uuid == undefined || mySetting.uuid == "" || mySetting.uuid == "undefined" || mySetting.uuid == "null") {
				if (device == undefined || device == null) {
					alert('device对象不存在, 请检查config.xml是否将device导入进来');
				}
				mySetting.uuid = device.uuid;
				saveSetting({uuid:mySetting.uuid});
			}
			if (mySetting.password != undefined && mySetting.password != null && mySetting.password != "") {
			} else {
				mySetting.password = '';
			}
			
			if (mySetting.currency) {
				currency = mySetting.currency;
			}
			if (mySetting.bonus) {
				bonus = mySetting.bonus;
			}
			if (mySetting.vip_cash) {
				vip_cash = mySetting.vip_cash;
			}
			if (mySetting.vip_gold) {
				vip_gold = mySetting.vip_gold;
			}
			if (mySetting.preferred_lang == 'cn') {
				usingLang = cn;
			} else if (mySetting.preferred_lang == 'en') {
				usingLang = en;
			}
			//console.log("current uuid: " + mySetting.uuid);
			if (mySetting.privacy == 1) {
				if (mySetting.theme_id != undefined && parseInt(mySetting.theme_id, 10) > 0) {
					getTheme(mySetting.theme_id, function(themeData){
						if (themeData != null) {
							gTheme = themeData;
						}
						//index_init();
					});
				}
			}
			
			loadVIPEndTime(function(unixVIPEndTime){
				if (unixVIPEndTime != null && unixVIPEndTime != undefined) {
					myVIPEndTime = unixVIPEndTime;
				}
			});
			loadGoldVIPEndTime(function(unixGoldVIPEndTime){
				if (unixGoldVIPEndTime != null && unixGoldVIPEndTime != undefined) {
					myGoldVIPEndTime = unixGoldVIPEndTime;
				}
			});
			loadDiamondVIPEndTime(function(unixDiamondVIPEndTime){
				if (unixDiamondVIPEndTime != null && unixDiamondVIPEndTime != undefined) {
					myDiamondVIPEndTime = unixDiamondVIPEndTime;
				}
			});
			vip_prize_rate = 1.5;		//默认值
			
			//---------设置语言包----------\
			if (usingLang == undefined) {
				navigator.globalization.getPreferredLanguage(
					function (languageOBJ) {
						if (languageOBJ.value.toLowerCase().indexOf('cn') != -1) {
							usingLang = cn;
						} else {
							usingLang = en;
						}
					},
					function () {
						//error callback
						usingLang = cn;
					}
				);
			}
			//---------------------------/
			
			setTimeout(function(){	//这行必须加在checkAppVersion前面，不然真机打开app会在loadURL里面出现usingLang = undefined的bug
				checkAppVersion(stealth, function(data){		//data.me是从服务器反馈回来的用户信息
    				
    				//-------------考虑更新到服务器的代码--------------\
    				
    				//---------------------------------------------/
    				
					//console.log(data);
					//-------更新数据库中站点列表--------\
					if (data.themes != undefined && data.themes.length) {
						for (var i in data.themes) {
							if (data.themes[i].current != undefined && parseInt(data.themes[i].current) === 1) {
								gTheme = data.themes[i];
							}
							updateTheme(data.themes[i], function(themeData) {
								//console.log(themeData.cn_name + '>>>' + themeData.url);
							});
						}
					}
					//-------------------------------/
					vip_prize_rate = data.vip_prize_rate;
					
					if (data.theme_id) {
						mySetting.theme_id = data.theme_id;
					} else {
						mySetting.theme_id = 1;
					}
					mySetting.payment_gateway_url = data.alipay_api;
					paymentGatewayURLFromServer = data.alipay_api;
					//--------服务器也返回系统设置参数-------------\
					if (isValidStr(data.currency)) {
						mySetting.currency = data.currency;
						currency = data.currency;
					}
					if (isValidStr(data.bonus)) {
						mySetting.bonus = data.bonus;
						bonus = data.bonus;
					}
					if (isValidStr(data.vip_cash)) {
						mySetting.vip_cash = data.vip_cash;
						vip_cash = data.vip_cash;
					}
					if (isValidStr(data.vip_gold)) {
						mySetting.vip_gold = data.vip_gold;
						vip_gold = data.vip_gold;
					}
					//----------------------------------------/
					//initIAP();
					var me = data.me;
					if (me != undefined) {
						mySetting.avatar = me.avatar;
						mySetting.email_verified = parseInt(me.email_verified, 10);
						mySetting.is_tmp = me.is_tmp;
						mySetting.phone = me.phone;
					}
					if (me != undefined && me.uid != mySetting.uid && me.username != mySetting.username) {
						mySetting.uid = me.uid;
						mySetting.username = me.username;
						mySetting.password = me.password;
						mySetting.privacy = me.privacy;
						mySetting.email = (isValidStr(me.email)?me.email:'');
					} else if (me != undefined && me.uid == mySetting.uid) {
						mySetting.privacy = me.privacy;
						mySetting.email = (isValidStr(me.email)?me.email:'');
					} else {
						
					}
					if (isValidStr(data.export_db_time)) {
						mySetting.export_db_time = data.export_db_time;
					}
					if (isValidStr(data.plain_password)) mySetting.plain_password = data.plain_password;
					saveSetting(mySetting);
					//从服务器取回的用户金币数量存入数据库并赋值给全局变量, 如果取回失败则读取本地存储的金币数量
					if (me != undefined) {
						updateMyMoney(me.money);
						updateMyDiamond(me.diamond);
					}
					//loadLoadingTime(function(result){
						//gPrevLoadingTime = result;
						loadViewedPicId(function(result){
							if (result != null) myViewedPicIdArr = result;
							//检查从服务器传回来的me数据和本机储存的用户数据是否match
							//mySetting.username = '';
							if (me != undefined) {
								if (me.isNew) {		//完全新用户的情况
									//alert("1 " + me.username);
									showRegisterLayer(me);
									saveSetting({old_user:1});
									index_init(data);
								} else if (me.privacy == 0 && (noPrivacyCheck == undefined || noPrivacyCheck == null || !noPrivacyCheck)) {
									//alert("3 " + me.username);
									var tplOBJ = {
										prefill_user_msg	:usingLang.prefill_user_msg + "<br />",
										username 			:me.username,
										uid					:me.uid,
										auto_login			:me.privacy
									};
									showLoginLayer(function(){
										initApp(undefined, true);
									}, tplOBJ);
								} else if (me.privacy == 1 || noPrivacyCheck) {
									//alert("4 " + mySetting.username);
									//if ($('.main_navi_item').length <= 0) {		//页面一片空白
										index_init(data);
									//} else {			//已经装载了框架了
									//	updateIndexCacheFromServer(data);		//装饰现有框架
									//}
								}
							} else {
								//bb_alert(usingLang.loading_user_data_error);
								showRegisterLayer();
								index_init(data);
							}
						});
					//});
					
				});
			}, 50);
			
		//}, 50);
		
	});
}


function ft_image_layout(containerSelector, itemSelector, options, callback) {
	if (options != undefined) {
		var rebuild = options.rebuild;
		var append = options.append;
		var appendItemDOM = options.appendItemDOM;
	}
	if (rebuild != undefined) {
		$(containerSelector).isotope('destroy');
	}
	if (append != undefined && appendItemDOM != undefined) {
		$(containerSelector).imagesLoaded( function() {
			$(this).isotope('appended', appendItemDOM, callback);
		});
	} else {
		ft_do_image_layout(containerSelector, itemSelector, callback);
	}
	
	
}

function ft_do_image_layout(containerSelector, itemSelector, callback) {
	$(containerSelector).imagesLoaded( function() {
		$(this).isotope({
			// options
			itemSelector : itemSelector
		}, function(){
			if (typeof callback == 'function') callback();
		});
	});
}



function sortByOrder(a, b) {
  if (a.order < b.order)
    return -1;
  else if (a.order > b.order)
    return 1;
  else 
    return 0;
}

function sortByViewedNum(a, b) {
  var aName = parseInt(a.viewed_num, 10);
  var bName = parseInt(b.viewed_num, 10); 
  return ((aName > bName) ? -1 : ((aName < bName) ? 1 : 0));
}



function classChangeOnMainNavi(activeClassKeyword) {
	if (!activeClassKeyword) return false;
	$('.main_navi_item').each(function() {
		var thisClassKeyword = $(this).attr('classKeyword');
		if (thisClassKeyword) {
			if (thisClassKeyword == activeClassKeyword) {
    			$(this).addClass('main_navi_item_' + thisClassKeyword + '_on').removeClass('main_navi_item_' + thisClassKeyword);
                $(this).addClass('main_navi_item_on');
			} else {
                $(this).removeClass('main_navi_item_' + thisClassKeyword + '_on').addClass('main_navi_item_' + thisClassKeyword);
                $(this).removeClass('main_navi_item_on');
			}
			
		}
	});
	$('.main_navi_item_new').each(function() {
    	var thisClassKeyword = $(this).attr('classKeyword');
		if (thisClassKeyword) {
    		if (thisClassKeyword == activeClassKeyword) {
        		$(this).addClass('main_navi_item_new_on');
            } else {
                $(this).removeClass('main_navi_item_new_on');
            }
        }
    });
}



function deleteInvalidDownloadingVideo(callback) {
	getTableRows('downloading_videos', '', undefined, function(downloadingVideoRows){
		var foundNull = false;
		if (downloadingVideoRows != null && downloadingVideoRows != undefined && downloadingVideoRows.length > 0) {
			for (var i in downloadingVideoRows) {
				var thisVideo = downloadingVideoRows[i];
				if (thisVideo.tid === null) {
					foundNull = true;
					break;
				}
			}
		}
		if (foundNull) {
			var sql = 'DELETE FROM downloading_videos WHERE tid IS null';
			doQuery(sql, null, function(){
				if ((typeof callback) == "function") callback();
			});
		} else {
			if ((typeof callback) == "function") callback();
		}
	});
}

function updateNumOfDownloadVideoOnIndex() {
	var downloadBTNDOM = $('.home_navi_download');
	var numDownloadingDOM = downloadBTNDOM.find('.round_red_num');
	var numDownloadedDOM = downloadBTNDOM.find('.round_green_num');
	deleteInvalidDownloadingVideo(function(){
		getTableRows('downloading_videos', '', undefined, function(downloadingVideoRows){
			if (downloadingVideoRows != null && downloadingVideoRows != undefined && downloadingVideoRows.length > 0) {
				//有正在下载的视频，所以优先显示正在下载
				downloadBTNDOM.unbind('click').bind('click', function(){
					getDownloadVideoPage('downloading');
				});
				numDownloadingDOM.html(downloadingVideoRows.length).show();
			} else {
				downloadBTNDOM.unbind('click').bind('click', function(){
					getDownloadVideoPage('downloaded');
				});
				numDownloadingDOM.html('').hide();
			}
			getDownloadedVideo(undefined, undefined, undefined, undefined, function(downloadedVideoRows){
				if (downloadedVideoRows != null && downloadedVideoRows != undefined && downloadedVideoRows.length > 0) {
					numDownloadedDOM.html(downloadedVideoRows.length).show();
				} else {
					numDownloadedDOM.html('').hide();
				}
			});
		});
	});
}
var onlyLoadedTopCate = 0;




function genLocalFlatCateItem(cateOBJ) {
	if (cateOBJ == undefined || cateOBJ == null) return null;
	var returnOBJ = {};
	for (var fieldName in cateOBJ) {
		if (fieldName != 'sub_cate') {
			returnOBJ[fieldName] = cateOBJ[fieldName];
		}
	}
	return returnOBJ;
}








function checkHasMore() {
	var hasMoreBtnDOM = $(".page_" + currentPageNo + " .show_more_button");
	if (hasMoreBtnDOM.length <= 0 || !hasMoreBtnDOM.is(':visible')) {
		return false;
	} else {
		return true;
	}
}


var allCatesJSON = [];
function getCatesByCateIDStr(cateIDStr){
	var returnArr = null;
	if (cateIDStr != undefined && cateIDStr != null && cateIDStr != "") {
		var cateIDArr = cateIDStr.split(",");
		returnArr = new Array();
		for (var i in cateIDArr) {
			if (parseInt(cateIDArr[i], 10) > 0) {
				var cateObj = findJSON(allCatesJSON, cateIDArr[i]);
				if (cateObj != undefined && cateObj != null && cateObj.id) {
					returnArr.push(cateObj);
				}
			}
		}
	}
	return returnArr;
}


function showInfoPage(titleSearch, replaceStrArr) {
	var query = '';
	if (titleSearch != undefined) {
		query += '?search=' + titleSearch;
	}
	loadUrl(activeURL + "/api/info.php" + query, function(data){
		if (data.success) {
			if (data.info) {
				if (data.info.content && replaceStrArr != undefined && replaceStrArr.length) {
					for (var i in replaceStrArr) {
						data.info.content = data.info.content.replace('{{' + replaceStrArr[i] + '}}', window[replaceStrArr[i]]);
					}
				}
			}
			var html = "<div class='info_container' style='width:100%; height:" + (deviceInfo.height - 180) + "px;'>" + data.info.content + "</div>";
			bb_layer(html, {bottom_close_btn:1});
		} else {
			bb_alert(data.error);
		}
	}, 'post', true);
}



function showNewsNotify(nnDOM) {
	nnDOM.show();
}
function hideNewsNotify(nnDOM) {
	nnDOM.hide();
}

function showFuli(fuliDOM) {
	fuliDOM.removeClass('fuli_slide_out').addClass('fuli_slide_in');
}
function hideFuli(fuliDOM) {
	fuliDOM.removeClass('fuli_slide_in').addClass('fuli_slide_out');
}

function goToQuickPaymentPage() {
	classChangeOnMainNavi('profile');
	var pageNo = 2;
	var html = $('#quick_payment_template').html();
	html = doRendTemplate(html);
	goToPage(pageNo, usingLang.home_quick_payment);
	$('#content .page_' + pageNo + ' .page_main').html(html);
	$('.quick_payment_btn').each(function(){
		var thisWidth = $(this).width();
		$(this).height(thisWidth);
	});
}

function giveMeFuli(fuliNum) {
	if (fuliNum != undefined) {
		if (fuliNum > 0) {
			loadUrl(activeURL + "/api/fuli.php?act=getDaily", function(data){
				if (data.success) {
					if (data.email_verified != undefined) saveSetting({email_verified:data.email_verified}, function(){mySetting.email_verified = parseInt(data.email_verified, 10)});
					if (data.result) {
						if (isValidStr(data.msg)) {
							bb_alert(data.msg);
						} else {
							bb_alert(usingLang.give_me_fuli_success);
						}
						if (parseInt(data.result.prize_left, 10) <= 0) {
							hideFuli($('#fuli_container'));
						}
					} else {
						bb_alert(usingLang.give_me_fuli_error);
					}
				} else {
					bb_alert(data.error);
				}
			}, "post", true, false);
		} else {
			bb_alert(usingLang.give_me_fuli_done_before);
		}
	}
}


function initFuli(fuli_num, fuli_amount) {
	var fuliDOM = $('#fuli_container');
	fuliDOM.find('.fuli_text').html(usingLang.fuli_text);
	fuliDOM.unbind('click');
	if (fuli_num != undefined && parseInt(fuli_num, 10) > 0) {
		showFuli(fuliDOM);
		fuliDOM.bind('click', function(){
			giveMeFuli(fuli_num);
		});
	} else {
		hideFuli(fuliDOM);
	}
}

function showHomeHowToUse() {
	//---------显示how_to_use---------\
	getTableRows('how_to_use', '', undefined, function(howToUseRows){
		if (howToUseRows != null && howToUseRows != undefined && howToUseRows.length > 0) {
			var howToUseData = howToUseRows[0];
			var showHomeSlideHowToUse = (howToUseData['home_slide']?0:1);
		} else {
			var showHomeSlideHowToUse = 1;
		}
		if (showHomeSlideHowToUse) {
		//if (true) {
			var htuHTML = $('#how_to_use_home_template').html();
			var homeDOM = $('#home_slideshow_container');
			if (homeDOM.length && homeDOM.is(':visible')) {
				var fromTopDistance = homeDOM.offset().top;
				htuHTML = doRendTemplate(htuHTML, {top: fromTopDistance, full_height: deviceInfo.height});
				$('body').prepend('<div class="how_to_use_bg" style="height:' + deviceInfo.height + 'px;"></div>');
				$('.how_to_use_bg').html('' + htuHTML + '');
				var ftuDOM = $('.how_to_use_home_container');
				ftuDOM.find('.how_to_use_home_left').css('top', (ftuDOM.height() - 24) + 'px');
				ftuDOM.find('.how_to_use_home_right').css('top', (ftuDOM.height() - 24) + 'px');
				updateTable('how_to_use', '1', {home_slide:1}, undefined);
			}
		}
	});
	//-------------------------------/
}



