function showMessageLayer(toUID, preTitle, fromMessageID, toUsername, preContent) {
	var content = $('#message_template').html();
	var tplOBJ = {toUID:toUID, title:(isValidStr(preTitle)?preTitle:'')};
	if (fromMessageID != undefined && parseInt(fromMessageID, 10) > 0) {
		tplOBJ.fromMessageID = fromMessageID;
	}
	if (isValidStr(toUsername)) {
		tplOBJ.reply_to_username = toUsername;
	}
	if (isValidStr(preContent)) {
		tplOBJ.pre_content = preContent;
	}
	content = doRendTemplate(content, tplOBJ);
	var layerWidth = deviceInfo.width - parseInt(deviceInfo.width / 5, 10);
	bb_layer(content, {layerId:"message_panel", width:layerWidth, uniqueNumber:22}, function(){
		
	});
}

function genMessageFrame(toPage) {
	//--------必要的页面元素清理----------\
	$('.current_page .below_title_container').remove();
	$('#my_money_amount').remove(); $('#my_diamond_amount').remove(); $('#add_money_btn').remove(); $('#add_diamond_btn').remove();
	removePaginationDOM();
	//--------------------------------/
	if (toPage == undefined) toPage = 2;
	goToPage(toPage, usingLang.message_frame_title);
	var toPageMainSelector = '.page_' + toPage + ' > .page_main';
	var contentDOM = $("#content " + toPageMainSelector);
	var frameHTML = $('#message_frame_template').html();
	frameHTML = doRendTemplate(frameHTML);
	contentDOM.html(frameHTML);
	renderMessageIndicator(unreadFromAdminMsgNum, unreadFromUserMsgNum);
	return $(toPageMainSelector + ' .message_page_frame');
}
function showMessageSendToAdminPage() {
	var toPage = 2;
	var toPageMainSelector = '.current_page > .page_main';
	var targetDOM = $(toPageMainSelector + ' .message_page_frame');
	if (!targetDOM.length) {
		targetDOM = genMessageFrame(toPage);
	}
	var html = $('#message_send_to_admin_template').html();
	html = doRendTemplate(html);
	targetDOM.html(html);
	$('.message_top_item').removeClass('message_top_item_on');
	$('.message_top_item_send_admin').addClass('message_top_item_on');
}

function submitMessageForm(formID, popup) {
	if (formID == undefined) formID = "message_form";
	var formDOM = $("#" + formID);
	var messagePost = formDOM.serializeObject();
	
	var titleDOM = formDOM.find('.message_input_title');
	if (popup != undefined) {
		if (messagePost.title == "" || titleDOM.val() == titleDOM.attr('defaultVal')) {
			messagePost.title = usingLang.message_no_title;
		}
	}
	if (messagePost.content == "") {
		bb_alert(usingLang.message_need_content);
		return false;
	}
	//console.log(messagePost);
	loadUrl(activeURL + "/api/report.php", function(data){
		if (data.success) {
			bb_alert(usingLang.message_sent);			
			disablePopup("message_panel", "message_panel_bg", 22);
			return true;
		} else {
			bb_alert(data.error);
			return false;
		}
	}, "post", true, false, messagePost);
}

function submitMailForm() {
	var formDOM = $("#mail_form");
	var mailPost = formDOM.serializeObject();
	if (!isValidStr(mailPost.title)) {
		if (mySetting.username) {
			
		}
	}
	if (mailPost.content == "") {
		bb_alert(usingLang.message_need_content);
		return false;
	}
	//------上传图片附件和正文------\
	var mailPicURI = $('#mail_form_pic_uri').val();
	if (isValidStr(mailPicURI)) {
		mailPost.upload_pic_from_app = 1;
		if (isValidStr(notShareableKey) && activeURL.indexOf(notShareableKey) !== -1) {
			mailPost.api_token = apiToken;
		}
		var options = new FileUploadOptions();
        options.fileKey = "reportPicFromApp";
        options.fileName = mailPicURI.substr(mailPicURI.lastIndexOf('/') + 1);
        options.mimeType = "image/jpeg";
        
        options.params = mailPost;
        options.chunkedMode = false;
		
		$('#mail_form').find('.mail_form_submit_btn').html(usingLang.message_sending);
        var ft = new FileTransfer();
        ft.upload(mailPicURI, activeURL + "/api/report.php", mailPicUploadSuccess, mailPicUploadFail, options);
	}
	//--------------------------/
	//-----只发送文字-----\
	else {
		loadUrl(activeURL + "/api/report.php", function(data){
			if (data.success) {
				bb_alert(usingLang.message_to_admin_sent1);
				resetMailForm();
			} else {
				bb_alert(data.error);
			}
		}, "post", true, false, mailPost);
	}
	//----------------/
}

function mailPicUploadSuccess() {
	bb_alert(usingLang.message_to_admin_sent2);
	resetMailForm();
}

function mailPicUploadFail() {
	alert(usingLang.message_to_admin_error);
}

function resetMailForm(){
	var formDOM = $("#mail_form");
	formDOM.find("#mail_form_title").val('');
	formDOM.find("#main_form_content").val('');
	formDOM.find('#mail_form_pic_uri').val('');
	formDOM.find('.mail_form_submit_btn').html(usingLang.mail_form_submit_btn);
	formDOM.find('.mail_pic_btn').html(usingLang.mail_pic_btn);
}


function reportVideoIssue(vID) {
	if (!in_array(vID, myVideoIDArr)) {
		bb_alert(usingLang.video_detail_report_error);
	} else {
		initTemplate("video_issue_report_template", function(tplHTML){
			var videoJSON = findJSON(videoDataInMemory[currentPageNo], vID, undefined, 1);
			var tplOBJ = {id:vID};
			if (parseInt(videoJSON.has_preview, 10) === 1 && parseInt(videoJSON.has_wangpan, 10) !== 1) {
				tplOBJ.can_not_report_borken_link = 1;
			}
			var html = rendTemplate(tplHTML, tplOBJ);
			bb_layer(html, {layerId:"virt_layer"});
		});
	}
	
}


function reportTagIssue(tagID) {
	ft_confirm(usingLang.report_tag_confirm1, function(result) {
		if (result == true) {
			//这个程序必须tag_edit_form显示才能起作用
			var formDOM = $("#tag_edit_form");
			var inputDOM = formDOM.find(".media_id_input");
			var mediaType = inputDOM.attr("mediaType");
			var mediaID = inputDOM.val();
			//alert("TAG ID: " + tagID + "; Media ID: " + mediaID + "; Media Type: " + mediaType);
			if (parseInt(mediaID, 10) && isValidStr(mediaType)) {
				var queryObj = {report_tag_issue_type:1, tag_id:tagID, media_id:mediaID, media_type:mediaType};
				loadUrl(activeURL + "/api/report.php", function(data){
					if (data.success) {
						bb_alert(usingLang.report_tag_done, 21);
					} else {
						if (data.error) {
							bb_alert(data.error, 21);
						} else {
							bb_alert("Unknow error", 21);
						}
					}
				},"post", true, false, queryObj);
			} else {
				bb_alert("mediaID或mediaType错误");
			}
		}
	}, usingLang.report_tag_confirm2);
	
}

function submitReportVideoIssue() {
	var formDOM = $("#virt_form");
	var checkedReportTypeDOM = formDOM.find(".virt_radio:checked");
	if (checkedReportTypeDOM.length) {
		var queryObj = formDOM.serializeObject();
		loadUrl(activeURL + "/api/report.php", function(data){
			if (data.success) {
				bb_alert(usingLang.report_video_issue_done, 21);
				disablePopup("virt_layer", "virt_layer_bg", 0);
			} else {
				if (data.error) {
					bb_alert(data.error, 21);
				} else {
					bb_alert("Unknow error", 21);
				}
			}
		},"post", true, false, queryObj);
	} else {
		bb_alert(usingLang.report_video_issue_error, 21);
	}
}

function renderMessageIndicator(unread_from_admin_msg_num, unread_from_user_msg_num) {
	var msgNumAdminDOM = $(".unread_from_admin_msg_num");
	if (unread_from_admin_msg_num != undefined && !isNaN(parseInt(unread_from_admin_msg_num, 10)) && parseInt(unread_from_admin_msg_num, 10) > 0) {
		msgNumAdminDOM.show().html(unread_from_admin_msg_num);
		unreadFromAdminMsgNum = parseInt(unread_from_admin_msg_num, 10);
	} else {
		msgNumAdminDOM.hide().html('');
		unreadFromAdminMsgNum = 0;
	}
	var msgNumUserDOM = $(".unread_from_user_msg_num");
	if (unread_from_user_msg_num != undefined && !isNaN(parseInt(unread_from_user_msg_num, 10)) && parseInt(unread_from_user_msg_num, 10) > 0) {
		msgNumUserDOM.show().html(unread_from_user_msg_num);
		unreadFromUserMsgNum = parseInt(unread_from_user_msg_num, 10);
	} else {
		msgNumUserDOM.hide().html('');
		unreadFromUserMsgNum = 0;
	}
}

function readMessage(msgID) {
	var msgItemDOM = $('.message_list_item_' + msgID);
	if (msgItemDOM.length) {
		var contentDOM = msgItemDOM.find('.message_list_item_content');
		if (!contentDOM.is(':visible')) {
			contentDOM.slideDown('fast');
			
			var url = activeURL + "/api/get_message.php?mark_read=1&id=" + msgID;
			loadUrl(url, function(data){
				if (data.success) {
					msgItemDOM.find('.message_list_item_title_unread').remove();
					msgItemDOM.removeClass('message_list_item_unread');
					//-------未读数字减一-------\
					var fromRole = msgItemDOM.attr('from_role');
					if (fromRole) {
						if (fromRole == 'system') {
							var orgNum = parseInt($(".main_navi_container .unread_from_admin_msg_num").html(), 10);
							var newNum = orgNum - 1;
							if (newNum > 0) {
								$(".unread_from_admin_msg_num").html(newNum);
							} else {
								$(".unread_from_admin_msg_num").html('').hide();
							}
						} else if (fromRole == 'user') {
							var orgNum = parseInt($(".main_navi_container .unread_from_user_msg_num").html(), 10);
							var newNum = orgNum - 1;
							if (newNum > 0) {
								$(".unread_from_user_msg_num").html(newNum);
							} else {
								$(".unread_from_user_msg_num").html('').hide();
							}
						}
					}
					//------------------------/
				}
			}, "get", true, true);
		}
	}
}

