var inAnimate = false;
var prevPageNo = 1;
var currentPageNo = 1;
function goToPage(pageNo, title, reloadPrevPage) {			//pageNo: 跳转到页面ID, title:新页面标题, reloadPrevPage:如果回退到上一页, 是否重载上一页的内容
	inDownloadingVideoPage = 0;
    if (checkOrderStatusInterval != undefined) {
        clearInterval(checkOrderStatusInterval);
    }
	if (!inAnimate) {
		var currentPageDOM = $('#content .current_page');
		if (pageNo == undefined) {		//回退到上一页, 上一页的值是prevPageID
			pageNo = prevPageNo;
		}
		var nextPageDOM = $('#content .page_' + pageNo);
		if (!nextPageDOM.length) {
			//alert('创建下一页');
			var html = $('#app_page_template').html();
			html = doRendTemplate(html, {page_no:pageNo});
			$('#content').append(html);
			nextPageDOM = $('#content .page_' + pageNo);
			nextPageDOM.find('.page_top_search').on('click', function(){
				getSearchPage();
			});
		}
		
		if (title != undefined && nextPageDOM.find('.page_title').length) {
			nextPageDOM.find('.page_title').html(title);
		}
		
		var thisCurrentPageNo = currentPageDOM.data('page');
		var nextPageNo = nextPageDOM.data('page');
		
		//bindScrollToBottom(undefined, '.page_main');		//取消掉所有页面的滚动事件
		
		if (thisCurrentPageNo != nextPageNo) {
			if (thisCurrentPageNo < nextPageNo) {		//前进到下一页
				nextPageDOM.scrollTop(0);
				
				pageOnLoad(nextPageDOM.find('.page_main'));
				inAnimate = true;
				prevPageNo = thisCurrentPageNo;
				currentPageDOM.addClass('page_move_to_left').on('webkitAnimationEnd', function() {
					currentPageDOM.off('webkitAnimationEnd').removeClass('current_page').removeClass('page_move_to_left');
					currentPageNo = nextPageNo;
					inAnimate = false;
				});
				
				nextPageDOM.addClass('current_page').addClass('page_move_from_right').on('webkitAnimationEnd', function() {
					nextPageDOM.off('webkitAnimationEnd').removeClass('page_move_from_right');
				});
			} else {								//后退到上一页, 将当前页内容清空以免影响其他页的内容
				disposePagePlayer(currentPageDOM);
				
				//bindScrollToBottom('.page_' + nextPageNo, '.page_main', '.gallery_container', true, runningScrollToBottomArr[nextPageNo]);	//将上一页被取消的scroll事件重新绑定回来
				
				if (reloadPrevPage != undefined && reloadPrevPage == true) {
					pageOnLoad(nextPageDOM.find('.page_main'));
				}
				
				inAnimate = true;
				if (nextPageNo > 1) prevPageNo = nextPageNo - 1;
				
				videoDataInMemory[thisCurrentPageNo] = null;		//清空当前页的json数据
				delete videoDataInMemory[thisCurrentPageNo];
				
				pictureDataInMemory[thisCurrentPageNo] = null;		//清空当前页的json数据
				delete pictureDataInMemory[thisCurrentPageNo];
				
				bindLazyOptOnPage[thisCurrentPageNo] = null;
				delete bindLazyOptOnPage[thisCurrentPageNo];
				
				removePaginationDOM(thisCurrentPageNo);
				
				currentPageDOM.addClass('page_move_to_right').on('webkitAnimationEnd', function() {
					currentPageDOM.off('webkitAnimationEnd').removeClass('current_page').removeClass('page_move_to_right');
					currentPageNo = nextPageNo;
					//-----清理当前页的内容----\
					//currentPageDOM.find('.page_top > *').not('.back, .page_title').remove();
					//currentPageDOM.find('.page_main').empty();
					currentPageDOM.remove();
					removeFileTransferIFrame();
					//---------------------/
					inAnimate = false;
					
					appPageAttr.toPage = currentPageNo;
				});
				nextPageDOM.addClass('current_page').addClass('page_move_from_left').on('webkitAnimationEnd', function() {
					if (nextPageNo !== 2) {
						showMoneyLayer('hide');		//隐藏金币数据和加金币按钮
					}
					nextPageDOM.off('webkitAnimationEnd').removeClass('page_move_from_left');
					
					if (bindLazyOptOnPage[nextPageNo] != undefined) {
						//将之前执行的bindLazyLoad里addClass('tmp_lazy_unbind')被解绑的lazy class加回来
						$(bindLazyOptOnPage[nextPageNo].selector + ' .tmp_lazy_unbind').addClass('lazy').removeClass('tmp_lazy_unbind');
						bindLazyLoad(bindLazyOptOnPage[nextPageNo].selector, bindLazyOptOnPage[nextPageNo].method);
					} else {
						//alert('bindLazyOptOnPage[nextPageNo]未定义');
					}
					
				});
				//-----------对main_navi进行高亮切换--------------\
				if (nextPageDOM.find('#page_indicator').length) {
					var indicatorName = nextPageDOM.find('#page_indicator').attr('indicator');
					if (indicatorName) {
						classChangeOnMainNavi(indicatorName);
					}
				}
				//---------------------------------------------/
			}
		} else {
			disposePagePlayer(currentPageDOM);
		}
	}
}

function disposePagePlayer(thisPageDOM) {
	
	//---------------在换页动画开始前就删除视频实例, 不然即使删除video的DOM, videojs的instance会停留在内存里造成很多错误-------------\
	var allVideoJSDOM = thisPageDOM.find('.video-js');
	allVideoJSDOM.each(function(){
		var videoJSID = $(this).attr('id');
		if (parseInt(mySetting.use_default_player, 10) !== 1 && (typeof videojs == 'function')) {
			var thisPlayer = videojs(videoJSID);
			thisPlayer.src([{type: "video/mp4", src: 'http://www.baidu.com'}]);		//要将播放器的视频文件指向别的地方，不然会一直和点播服务器保持连接并且消耗流量
			if (thisPlayer != undefined && thisPlayer != null) {
				thisPlayer.dispose();
			}
		} else {
			var thisPlayer = document.getElementById(videoJSID);
		    thisPlayer.pause();
		    $('#' + videoJSID).find('source').attr('src', 'http://www.baidu.com');
		    thisPlayer.load();
			$('#' + videoJSID).remove();
		}
	});
	//----------------------------------------------------------------------------------------------------------------/
	screen.orientation.unlock();
	
}

function pageOnLoad(toDOM) {
	var html = $('#page_on_load').html();
	toDOM.html(html);
	var loadingHeight = calcLoadingHeight(toDOM);
	toDOM.find('.css3_loading_container').css('height', loadingHeight);
	if (!hideAppStoreRelated && amIInTheme) {
		toDOM.find('.lingirl_on_loading').show();
	} else {
		toDOM.find('.lingirl_on_loading').hide();
	}
	//------------------------------/
}

function calcLoadingHeight(toDOM) {
	if (!toDOM.hasClass('page_main')) {
		toDOM = toDOM.parent();
	}
	
	var topDOM = toDOM.parent().find('.page_top');
	var topHeight = 0;
	if (topDOM.length) {
		topHeight = topDOM.height();
	}
	
	var bottomHeight = 0;
	var bottomDOM = $('#main_navi');
	if (bottomDOM.length) {
		bottomHeight = bottomDOM.height();
	}
	
	return deviceInfo.height - topHeight - bottomHeight;	
}

function setContentPageScroll(pageNo, extraHeight) {			//重新设置内容页面的高度以实现滚动效果
	var pageTopDOM = $('.page_' + pageNo + ' .page_top');
	var toPageSelector = '.page_' + pageNo + ' > .page_main';
	var contentDOM = $("#content " + toPageSelector);
	var mainPageHeight = deviceInfo.height - pageTopDOM.height() - $('.main_navi_container').height();
	if (extraHeight != undefined && parseInt(extraHeight, 10) > 0) mainPageHeight = mainPageHeight - extraHeight;
	contentDOM.height(mainPageHeight).css('overflow-y', 'auto');
}



function removePaginationDOM(pageNo) {
	if (pageNo != undefined) {
		var paginationDOM = $('.page_' + pageNo + ' #pagination_container');
	} else {
		var paginationDOM = $('#pagination_container');
	}
	if (paginationDOM.length) {
		var paginationDOMHeight = paginationDOM.height();
		paginationDOM.remove();
		var fuliDOM = $('#fuli_container');
		if (fuliDOM.length && paginationDOMHeight > 0) {
			fuliDOM.css('bottom', parseInt(fuliDOM.css('bottom'), 10) - paginationDOMHeight);
		}
		var appPageDOM = $('.current_page > .page_main');
		appPageDOM.height(appPageDOM.height() + paginationDOMHeight);
	}
}
function addPaginationDOM(paginationData, pageNo) {
	removePaginationDOM();
    initPagination();       //旧的pagination和新的有兼容性问题，把新的初始化
	if (paginationData.pagination_list && paginationData.pagination_list.length > 1) {
		var paginationHTML = $('#pagination_template').html();
		paginationHTML = doRendTemplate(paginationHTML, paginationData);
		if (pageNo != undefined && pageNo > 0) {
			var appPageClass = '.page_' + pageNo;
		} else {
			var appPageClass = '.current_page';
		}
		$(appPageClass).append(paginationHTML);
		var paginationDOM = $('#pagination_container');
		var paginationDOMHeight = paginationDOM.height();
		var fuliDOM = $('#fuli_container');
		if (fuliDOM.length && paginationDOMHeight > 0) {
			fuliDOM.css('bottom', parseInt(fuliDOM.css('bottom'), 10) + paginationDOMHeight);
		}
		var appPageDOM = $(appPageClass + ' > .page_main');
		appPageDOM.height(appPageDOM.height() - paginationDOMHeight);
		return paginationDOM;
	}
	
}

function addPageIndicator(tplID, selector) {
	var pageIndicator = $('#' + tplID).attr('id');
	$(selector).attr('id', 'page_indicator').attr('indicator', pageIndicator);
}

function getAutoNextPageNo(tplID) {
	//----------总是前进一页---------\
	var currentPageNo = parseInt($('#content .current_page').attr('data-page'), 10);
	if (currentPageNo < 4) {
		if ($('#content .current_page #page_indicator').length) {
			var indicatorName = $('#content .current_page #page_indicator').attr('indicator');
			//alert(indicatorName);
			if (indicatorName == tplID) {		//本身就在tplID页就不要前进页面了
				var toPageNo = currentPageNo;
			} else {
				var toPageNo = currentPageNo + 1;
			}
		} else {
			var toPageNo = currentPageNo + 1;
		}
	} else {
		var toPageNo = currentPageNo;
	}
	//-----------------------------/
	return toPageNo;
}

