

function orderPic(btnDOM, act) {			//这个函数只可以在图片列表显示状态下才会生效
	$('.current_page .pic_list_menu_item').removeClass('pic_list_menu_item_on');
	btnDOM.addClass('pic_list_menu_item_on');
	if (act == 'newest') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', order:'posttime', add_query:1}); 
	} else if (act == 'hot') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', order:'hot', add_query:1});
	} else if (act == 'price') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', order:'price', add_query:1});
	} else if (act == 'purchased_num') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', order:'purchased_num', add_query:1});
	}
}
function filterPic(btnDOM, act) {			//这个函数只可以在图片列表显示状态下才会生效
	$('.current_page .pic_list_menu_item').removeClass('pic_list_menu_item_filter_on');
	btnDOM.addClass('pic_list_menu_item_filter_on');
	if (act == 'group_list') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', group_list:1, add_query:1}); 
	} else if (act == 'suggest') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', suggest:1});
	} else if (act == 'show_all') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', show_all:1, add_query:1});
	} else if (act == 'free') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', free:1, add_query:1});
	} else if (act == 'gold') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', gold:1, add_query:1});
	} else if (act == 'diamond') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', diamond:1, add_query:1});
	} else if (act == 'org') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', org:1, add_query:1});
	} else if (act == 'discount') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', discount:1, add_query:1});
	} else if (act == 'has_tier') {
		getGalleryPics(undefined, {reload:1, toSelector:'.gallery_container', has_tier:1, add_query:1});
	}
}

function getGroupPics(gID) {
	if (gID) {
		$('#photo_gallery_close').trigger('click');
		var options = {gID:gID,reload:1,title:usingLang.photo_gallery_header_group_picture, toPage:3};
		getGalleryPics(undefined, options);
	}
}

function btnLoading(loadingFlag) {
	var moreBtnDOM = $(".page_" + currentPageNo + " .show_more_button");
	if (moreBtnDOM.length) {
		if (loadingFlag) {
			moreBtnDOM.html(usingLang.loading);
		} else {
			moreBtnDOM.html(usingLang.more);
		}
	}
}



function addImageShowingDIM(imgOBJ) {
	var max_width = image_width_of_list;
	
	if (imgOBJ.image_width) {
		var dimOptions = {
			layer_top_margin:0, 
			real_width:imgOBJ.image_width, 
			real_height:imgOBJ.image_height, 
			max_width:max_width
		};
		var dimOBJ = calcBestImageWidth(dimOptions);
		
		imgOBJ.showing_image_width = dimOBJ.layer_width;
		imgOBJ.showing_image_height = dimOBJ.layer_height;
		
	} else {
		imgOBJ.showing_image_width = max_width;
		imgOBJ.showing_image_height = max_width;
	}
	/*if (isValidStr(imgOBJ.show_title)) {
		imgOBJ.container_height = imgOBJ.showing_image_height + 18;
	} else {
		imgOBJ.container_height = imgOBJ.showing_image_height;
	}*/
	
	return imgOBJ;
}



function readImage(fullPath, selector, imageUrl, successCallback, failCallback){
	var filename = fullPath.substr(fullPath.lastIndexOf('/') + 1);
	//rename file to remove its custom extension
	var dirPath = fullPath.substr(0, fullPath.lastIndexOf('/'));
	window.resolveLocalFileSystemURL(dirPath, function (dirEntry) {
	    //检查文件是否存在
		dirEntry.getFile(filename,{create:false},function(fileEntry) {
			//found file, saved call back.
			fileEntry.file(function (file){
				var reader = new FileReader();
				reader.onloadend = function(evt) {
				    var imageData = evt.target.result;
				    successCallback(imageData, selector);
				};
				reader.readAsDataURL(file);
			}, function(){
				//alert("newFileEntry.file读取文件失败: " + fullPath + '，请向管理员反馈此问题');
				failCallback(fullPath, selector, imageUrl);
			});
		},function(){
			//not found file
			//alert('下载的文件' + fullPath + '不存在，请向管理员反馈此问题');
		});
	}, function(){
		alert('error on resolveLocalFileSystemURL');
	});
}

function renderLocalImage(imageObjArr, folder, renderMethod, downloadOnProgressCallback, allComplateCallback){
	var loadingLocalImageCnt = imageObjArr.length;
	var cnt = 0;
	if (imageObjArr.length) {
		for (var i in imageObjArr) {
			//如果URL里面没有文件名
			if (imageObjArr[i].url == undefined || imageObjArr[i].url == null || imageObjArr[i].url.indexOf('.') === -1) {
				imageObjArr[i].url = activeURL + '/images/no_photo.jpg';
			}
			checkFileCached(imageObjArr[i].url, folder, imageObjArr[i].selector, 
				function(fullPath, selector, imageUrl){	//already saved call back
					//console.log('saved: ' + fullPath);
					readImage(fullPath, selector, imageUrl,
						function(imageData, selector){	//success read call back
							if (typeof selector === 'string') {
								var imgDOM = $(selector);
							} else {
								//console.log('saved 1');
								var imgDOM = selector;
							}
							
							if (imgDOM.length && (typeof renderMethod != "function")) {
								//alert("图片以前就下载了, 直接从本地读取");
								//console.log('>>>>' + renderMethod + '>>>>' + imageUrl);
								if (renderMethod == "background") {
									imgDOM.css("background-image", "url(" + imageData + ")");
									//alert(imgDOM.css("background-image"));
								} else if (renderMethod == "href") {
									imgDOM.attr("href", imageData);
								} else if (renderMethod == "src") {
									imgDOM.attr("src", imageData);
								}
							} else if (typeof renderMethod == 'function') {
								renderMethod(imageData, selector, fullPath);
							}
							cnt++;
							if (cnt >= loadingLocalImageCnt) {
								if (typeof allComplateCallback == 'function') allComplateCallback();
							}
						}, 
						function(fullPath, selector, imageUrl){	//image read failed
							//alert("图片名存在于文件系统, 但是读取失败因此还是从服务器下载");
							if (typeof selector === 'string') {
								var imgDOM = $(selector);
							} else {
								var imgDOM = selector;
							}
							if (imgDOM.length && (typeof renderMethod != "function")) {
								if (renderMethod == "background") {
									imgDOM.css("background-image", "url(" + imageUrl + ")");
								} else if (renderMethod == "href") {
									imgDOM.attr("href", imageUrl);
								} else if (renderMethod == "src") {
									imgDOM.attr("src", imageUrl);
								}
							} else if (typeof renderMethod == 'function') {
								renderMethod(imageUrl, selector, fullPath);
							}
							
							downloadImage(fullPath, selector, imageUrl, function(fullPath, selector, imageUrl){
								//alert("又下载一次");
								cnt++;
								if (cnt >= loadingLocalImageCnt) {
									if (typeof allComplateCallback == 'function') allComplateCallback();
								}
							}, downloadOnProgressCallback);
						}
					);
				}, 
				function(fullPath, selector, imageUrl){	//not saved call back
					//fullPath = fullPath.replace('files//', 'files/');
					//alert('not saved: ' + fullPath);
					downloadImage(fullPath, selector, imageUrl, function(fullPath, selector, imageUrl){
						//after download successed
						//alert(fullPath + "====");
						readImage(fullPath, selector, imageUrl, function(imageData, selector){
							//console.log("图片下载后从本地读取的");
							if (typeof selector === 'string') {
								var imgDOM = $(selector);
							} else {
								//console.log('not saved 1');
								var imgDOM = selector;
							}
							if (imgDOM.length && (typeof renderMethod != "function")) {
								if (renderMethod == "background") {
									imgDOM.css("background-image", "url(" + imageData + ")");
								} else if (renderMethod == "href") {
									imgDOM.attr("href", imageData);
								} else if (renderMethod == "src") {
									imgDOM.attr("src", imageData);
								}
							} else if (typeof renderMethod == 'function') {
								renderMethod(imageData, selector, fullPath);
							}
							cnt++;
							if (cnt >= loadingLocalImageCnt) {
								if (typeof allComplateCallback == 'function') allComplateCallback();
							}
						});
					}, downloadOnProgressCallback, function(selector, imageUrl){
						//--------如果下载失败, 将图片链接还原回原DOM, 让系统从服务器去读取图片-----------\
						if (typeof selector === 'string') {
							var imgDOM = $(selector);
						} else {
							var imgDOM = selector;
						}
						if (imgDOM.length && (typeof renderMethod != "function")) {
							if (renderMethod == "background") {
								imgDOM.css("background-image", "url(" + imageUrl + ")");
							} else if (renderMethod == "href") {
								imgDOM.attr("href", imageUrl);
							} else if (renderMethod == "src") {
								imgDOM.attr("src", imageUrl);
							}
						} else if (typeof renderMethod == 'function') {
							renderMethod(imageUrl, selector, fullPath);
						}
						cnt++;
						if (cnt >= loadingLocalImageCnt) {
							if (typeof allComplateCallback == 'function') allComplateCallback();
						}
						//--------------------------------------------------------------------/
					});
				}
			);
		}
	}
}

function formatLocalURI(localURI) {
	localURI = localURI.replace('file:///', '[tmp]');
	localURI = localURI.replace(/([^:]\/)\/+/g, "$1");
	localURI = localURI.replace('[tmp]', 'file:///');
	return localURI;
}

var ftDownloadImageInstances = {};
function downloadImage(fullPath, selector, imageUrl, successCallback, onprogressCallback, failCallback){
	if (typeof selector === 'string') {
		var selectorKey = 'key_' + md5(selector);
	} else {
		var selectorKey = 'key_' + md5(fullPath);
	}
	if (ftDownloadImageInstances[selectorKey] != undefined) {
		ftDownloadImageInstances[selectorKey].abort();
	}
	//alert(fullPath);
	ftDownloadImageInstances[selectorKey] = new FileTransfer();
	
	var uri = encodeURI(imageUrl);
	
	if ((typeof onprogressCallback) == "function") {		
		ftDownloadImageInstances[selectorKey].onprogress = function(progressEvent) {
			if (progressEvent.lengthComputable) {
				var percentage = progressEvent.loaded / progressEvent.total;
				var percentage = parseInt(percentage * 100, 10);
				onprogressCallback(percentage);
			}
		};
	}
	
	fullPath = formatLocalURI(fullPath);
	//检查下载到的目标文件夹是否存在
	var toFolder = fullPath.substring(0, fullPath.lastIndexOf('/') + 1);
	
	ftDownloadImageInstances[selectorKey].download(uri, fullPath,
		function (entry) {
			ftDownloadImageInstances[selectorKey] = undefined;
			//alert('fullPath=' + fullPath + ', selector=' + selector + ', imageUrl=' + imageUrl);
			successCallback(fullPath, selector, imageUrl);
		},
		function (error) {
			//alert('下载图片失败：' + imageUrl + ', 请向管理员反馈此问题');
			ftDownloadImageInstances[selectorKey] = undefined;
			failCallback(selector, imageUrl);
		}
	);
}



function calcBestImageWidth(options) {
	var returnObj = {};
	var layer_top_margin = 60;
	if (options.layer_top_margin != undefined) {
		layer_top_margin = options.layer_top_margin;
	}
	
	var rightColWidth = 0;
	if (options.right_col_width != undefined) {
		rightColWidth = options.right_col_width;
	}
	
	if (options.real_width == undefined || options.real_height == undefined) {
		console.log("real_width or real_height not passed to calcBestImageWidth");
		return false;
	}
	var real_width = options.real_width;
	var real_height = options.real_height;
	
	
	if (options.max_width == undefined) {
		//var image_max_width = $(window).width() - (rightColWidth * 2);
		var image_max_width = deviceInfo.width - (rightColWidth * 2);
	} else {
		var image_max_width = options.max_width;
	}
	if (options.max_height == undefined) {
		//var image_max_height = $(window).height() - (layer_top_margin * 2);
		var image_max_height = deviceInfo.height - (layer_top_margin * 2);
	} else {
		var image_max_height = options.max_height;
	}
	
	
	
	var px_width_shrinked = real_width - image_max_width;
	var percentage_width_shrinked = 1 - (px_width_shrinked / real_width);
	var px_height_shrinked = real_height - image_max_height;
	var percentage_height_shrinked = 1 - (px_height_shrinked / real_height);
		
	returnObj.image_max_width = image_max_width;
	returnObj.image_max_height = image_max_height;
	returnObj.right_col_width = rightColWidth;
	
	if (percentage_width_shrinked < 1 || percentage_height_shrinked < 1) {
		//small number is the actual scale number
		if (percentage_width_shrinked > percentage_height_shrinked) {
			var showing_image_width = Math.ceil(real_width * percentage_height_shrinked);
			var layer_width = showing_image_width + rightColWidth;
			var layer_height = image_max_height;
		} else {
			var showing_image_width = image_max_width;
			var layer_width = showing_image_width + rightColWidth;
			var layer_height = Math.ceil(real_height * percentage_width_shrinked);
		}
	} else {
		var showing_image_width = real_width;
		var layer_width = real_width + rightColWidth;
		var layer_height = real_height;
	}
	
	returnObj.layer_width = layer_width;
	returnObj.layer_height = layer_height;
	returnObj.showing_image_width = showing_image_width;
	//console.log(returnObj);
	return returnObj;
}



function autoLoadNextPicPage(photoJSON, callback) {
	if (checkHasMore()) {
		if (photoJSON.rPosition != undefined && photoJSON.rPosition < 2) {
			getGalleryPics('.current_page .more_form', undefined, function(){
				cookPhotoJSON(photoJSON.id, 
				function(picID, cookedPhotoJSON){
					if (typeof callback == 'function') callback(cookedPhotoJSON);
				}, 
				function(picID, cookedPhotoJSON){
					if (typeof callback == 'function') callback(cookedPhotoJSON);
				});
				
			});
		} else {
			if (typeof callback == 'function') callback(photoJSON);
		}
	} else {
		if (typeof callback == 'function') callback(photoJSON);
	}
}

function showPhotoGallery(picID) {
	hideFuli($('#fuli_container'));
	saveViewedPicId(picID, function(saveResult){
		if (saveResult !== null) {
			myViewedPicIdArr.push(picID);
		}
	});
	
	cookPhotoJSON(picID, function(picID, cookedPhotoJSON) {
		//photo cached
		autoLoadNextPicPage(cookedPhotoJSON, function(returnPhotoJSON){
			var popupDOM = rendPhotoLayer(picID, returnPhotoJSON, {layer_width:returnPhotoJSON.layer_width, layer_height:returnPhotoJSON.layer_height});
			cacheSidePhoto(returnPhotoJSON);
		});
	}, function(picID, cookedPhotoJSON){
		//photo not cached
		autoLoadNextPicPage(cookedPhotoJSON, function(returnPhotoJSON){
			var popupDOM = rendPhotoLayer(picID, returnPhotoJSON, {layer_width:returnPhotoJSON.layer_width, layer_height:returnPhotoJSON.layer_height});
			cachePopupImage(picID, returnPhotoJSON.path, popupDOM, function(){
				cacheSidePhoto(returnPhotoJSON);
			});
		});
	});
	
}

function cacheSidePhoto(photoJSON, popupDOM) {
	//cache right/next image of current showing image
	if (photoJSON.right != undefined) {
		var cachingPhotoJSON = photoJSON.right;
		cachePopupImage(cachingPhotoJSON.id, cachingPhotoJSON.path, popupDOM, function(){
			//cache right x 2 image of current showing image
			if (photoJSON.rightRight != undefined) {
				var cachingPhotoJSON = photoJSON.rightRight;
				cachePopupImage(cachingPhotoJSON.id, cachingPhotoJSON.path, popupDOM, function(){
					//cache left/prev image of current showing image
					if (photoJSON.left != undefined) {
						var cachingPhotoJSON = photoJSON.left;
						cachePopupImage(cachingPhotoJSON.id, cachingPhotoJSON.path, popupDOM);
					}
				});
			} else if (photoJSON.left != undefined) {
				var cachingPhotoJSON = photoJSON.left;
				cachePopupImage(cachingPhotoJSON.id, cachingPhotoJSON.path, popupDOM);
			}
		});
	} else if (photoJSON.left != undefined) {
		var cachingPhotoJSON = photoJSON.left;
		cachePopupImage(cachingPhotoJSON.id, cachingPhotoJSON.path, popupDOM);
	}
}

function rendPhotoLayer(picID, photoJSON, options) {
	var tplHTML = $("#picture_template").html();
	
	var appendToSelector = '.ft_slider_cur_frame';
	var layerID = 'photo_gallery_' + picID;
	var layerUniqueNumber = 96;
	if (options != undefined && options.offset != undefined && options.offset != '') {
		currentDOM = $('#ft_slider_container').find('.ft_slider_cur_frame');
		if (options.offset == 'left') {
			var leftDOM = currentDOM.prev();
			appendToSelector = '#' + leftDOM.attr('id');
			//layerID = 'photo_gallery_left';
			layerUniqueNumber = 95;
		} else {
			var rightDOM = currentDOM.next();
			appendToSelector = '#' + rightDOM.attr('id');
			//layerID = 'photo_gallery_right';
			layerUniqueNumber = 97;
		}
	}
	//---------------生成三张图的框架--------------\
	if (options != undefined && options.offset != 'left' && options.offset != 'right') {
		$('#ft_slider').remove();
		
		var moveRightOneSlideStyle = (isSupport3d?'-webkit-transform: translate3d(0px, 0px, 0px);':'-webkit-transform: translate(0px, 0px);');
		moveRightOneSlideStyle += ' -webkit-perspective: 1000; -webkit-backface-visibility: hidden;';
		
		var html = "";
		html += "<div id='ft_slider' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; overflow:hidden; position:absolute; top:0px; left:0px; z-index:10000;'>";
		html += "	<div id='ft_slider_container' style='" + moveRightOneSlideStyle + " position:relative; top:0px; left:0px; z-index:10001; width:" + (deviceInfo.width) + "px; height:" + $('body')[0].scrollHeight + "px'>";
		
		if (photoJSON.left != undefined) {
			//----因为该死的往前面加框会导致画面闪烁的问题, 只好一次性先往前面加19个框来暂时解决这个毛病------\
			for (var i = 20; i > 1; i--) {
				html += "	<div class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:-" + (i * deviceInfo.width) + "px; top:0px; z-index:10002;'></div>";
			}
			//------------------------------------------------------------------------------/
			html += "	<div id='ft_slider_" + photoJSON.left.id + "' picID='" + photoJSON.left.id + "' class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:-" + deviceInfo.width + "px; top:0px; z-index:10002;'></div>";
		}
		
		html += "		<div id='ft_slider_" + picID + "' picID='" + picID + "' class='ft_slider_frame ft_slider_cur_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:0px; top:0px; z-index:10002;'></div>";
		
		if (photoJSON.right != undefined) {
			html += "	<div id='ft_slider_" + photoJSON.right.id + "' picID='" + photoJSON.right.id + "'  class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:" + deviceInfo.width + "px; top:0px; z-index:10002;'></div>";
		}
		
		
		html += "	</div>";
		html += "</div>"
		$('body').append(html);
	}
	//-----------------------------------------/
	var newSliderDOM = $("#ft_slider");
	var parsedHTML = rendTemplate(tplHTML, photoJSON, {partial_source_id:"image_loading_template",partial_target_id:"image_loading_template_partial"});
	bb_layer(parsedHTML, {layerId:layerID, appendTo:appendToSelector, width:options.layer_width, height:options.layer_height, uniqueNumber:layerUniqueNumber, noFrame:true, closeId:'photo_gallery_close'}, function(){
		hideWithPhotoGallery();
	});
	
	var popupDOM = $("#" + layerID);
	//-------左边和右边的缓存------\
	if (options != undefined && (options.offset == 'left' || options.offset == 'right')) {
		cachePopupImage(picID, photoJSON.path, popupDOM);
	}
	//-------------------------/
	
	//-----------绑定手势滑动效果和把图片装进左右两边的框------------\
	if (options != undefined && options.offset != 'left' && options.offset != 'right') {
		iniSlide(undefined, function(moveDirection, showingDOM, slideDOM){
			afterSlide(moveDirection, showingDOM, slideDOM);
		});
		
		if (photoJSON.left) {
			cookPhotoJSON(photoJSON.left.id, function(thisPicID, cookedPhotoJSON){
				//left cached
				rendPhotoLayer(thisPicID, cookedPhotoJSON, {offset:'left', layer_width:cookedPhotoJSON.layer_width, layer_height:cookedPhotoJSON.layer_height});
			}, function(thisPicID, cookedPhotoJSON){
				//left not cached
				rendPhotoLayer(thisPicID, cookedPhotoJSON, {offset:'left', layer_width:cookedPhotoJSON.layer_width, layer_height:cookedPhotoJSON.layer_height});
			});
		}
		if (photoJSON.right) {
			cookPhotoJSON(photoJSON.right.id, function(thisPicID, cookedPhotoJSON){
				//right cached
				rendPhotoLayer(thisPicID, cookedPhotoJSON, {offset:'right', layer_width:cookedPhotoJSON.layer_width, layer_height:cookedPhotoJSON.layer_height});
			}, function(thisPicID, cookedPhotoJSON){
				//right not cached
				rendPhotoLayer(thisPicID, cookedPhotoJSON, {offset:'right', layer_width:cookedPhotoJSON.layer_width, layer_height:cookedPhotoJSON.layer_height});
			});
		}
	}
	//------------------------------------------------------/
	
	
	if (options != undefined && options.offset != 'left' && options.offset != 'right') {
		showHideGalleryNavi(photoJSON);
		
		var closeDOM = $('#photo_gallery_close');
		//showGalleryClose(closeDOM);
		
		newSliderDOM.on("click", ".ft_slider_frame", function(e){
			if ($(e.target).hasClass('ft_slider_frame')) {
				closeDOM.trigger('click');
			}
		});
		renderGalleryHeadFoot(photoJSON);
		doMoveGalleryHeadFoot('show');
	}
	return popupDOM;
}

function renderGalleryHeadFoot(photoJSON) {
	//console.log(photoJSON);
	var photoGalleryHeaderDOM = $('#photo_gallery_header');
	var photoGalleryFooterDOM = $('#photo_gallery_footer');
	var ribbonDOM = photoGalleryHeaderDOM.find('.ribbon');
	var viewFullDOM = photoGalleryFooterDOM.find('.fni_full_icon').parent();
	var favDOM = photoGalleryFooterDOM.find('.fni_fav_icon').parent();
	var groupDOM = photoGalleryFooterDOM.find('.fni_group_icon').parent();
	var groupZipDownloadDOM = photoGalleryFooterDOM.find('.fni_group_zip_download_icon').parent();
	//var buyGroupDOM = photoGalleryFooterDOM.find('.fni_buy_group_icon').parent();
	var videoDOM = photoGalleryFooterDOM.find('.fni_video_icon').parent();
	var tagDOM = photoGalleryFooterDOM.find('.fni_tag_icon').parent();
	var tagContainerDOM = photoGalleryFooterDOM.find('.fni_tag_container');
	
	//------显示图片顶部标题------\
	if (photoJSON != undefined && photoJSON.group != undefined && photoJSON.group != null) {
		if (parseInt(photoJSON.hide, 10) == 1) {
			ribbonDOM.find('h1').html(usingLang.photo_gallery_header_hidden_content);
		} else {
			ribbonDOM.find('h1').html(usingLang.photo_gallery_header_group_picture);
		}
		var headerHTML = photoJSON.group.title;
		if (photoJSON.group.description) {
			headerHTML += ' <span style="color:gray;">' + photoJSON.group.description + '</span>'
		}
		photoGalleryHeaderDOM.find('h2').show().html(headerHTML);
		
	} else if (photoJSON != undefined && photoJSON.related_video != undefined && photoJSON.related_video != null) {
		var headerHTML = photoJSON.related_video.title;
		photoGalleryHeaderDOM.find('h2').show().html(headerHTML);
	} else {
		if (parseInt(photoJSON.hide, 10) == 1) {
			ribbonDOM.find('h1').html(usingLang.photo_gallery_header_hidden_content);
		} else {
			ribbonDOM.find('h1').html(usingLang.photo_gallery_header_picture);
		}
		var tagTopTxt = '';
		var tagTopShowNum = 3;			//顶部显示几个标签
		if (photoJSON.cates && photoJSON.cates.length) {
			var tagTopCnt = 0;
			var tagTopHasMore = 0;
			for (var i in photoJSON.cates) {
				if (tagTopCnt < tagTopShowNum) {
					tagTopTxt += photoJSON.cates[i].name + ' ';
				} else {
					tagTopHasMore = 1;
				}
				tagTopCnt++;
			}
			tagTopTxt = tagTopTxt.trim();
			if (tagTopHasMore) {
				tagTopTxt += '...';
			}
		}
		if (isValidStr(tagTopTxt)) {
			photoGalleryHeaderDOM.find('h2').html(tagTopTxt);
		} else {
			photoGalleryHeaderDOM.find('h2').hide();
		}
	}
	//------------------------/
	if (hideAppStoreRelated) {
		photoGalleryHeaderDOM.find('.photo_gallery_share').unbind('click').bind('click', function(){
			var picURL = photoJSON.mPath.replace('/mip/', '/org/');
			var sharePhotoTitle = usingLang.share_photo_title;
			if (photoJSON.group != undefined && photoJSON.group != null) {
				sharePhotoTitle += ' ' + photoJSON.group.title + ' ';
			}
			navigator.share(picURL, sharePhotoTitle, 'image/jpeg');
		}).show();
	} else {
		photoGalleryHeaderDOM.find('.photo_gallery_share').unbind('click').hide();
	}
	//----显示/隐藏/重构底部按钮-----\
	if (photoJSON.has_added_fav) {
		rendFavBtn(favDOM, true);
	} else {
		rendFavBtn(favDOM, false);
	}
	if (photoJSON != undefined && photoJSON.group != undefined && photoJSON.group != null) {
		groupDOM.show();
		if (!hideAppStoreRelated) {
			groupZipDownloadDOM.show();
			viewFullDOM.hide();
		} else {
			groupZipDownloadDOM.hide();
			viewFullDOM.show();
		}
	} else {
		groupDOM.hide();
		groupZipDownloadDOM.hide();
		viewFullDOM.show();
	}
	
	/*if (photoJSON != undefined && parseInt(photoJSON.hide, 10) == 1) {
		buyGroupDOM.show();
	} else {
		buyGroupDOM.hide();
	}*/
	if (photoJSON.related_video) {
		videoDOM.show();
		if (photoJSON.is_video_playable) {
			videoDOM.find('.fni_txt').html(usingLang.video_detail_play_btn);
		} else {
			videoDOM.find('.fni_txt').html(usingLang.video_detail_buy_btn);
		}
	} else {
		videoDOM.hide();
	}
	/*console.log('---->');
	for (var key in photoJSON) {
		console.log(key);
	}
	console.log('<----');*/
	rendOwnerInfo(photoJSON);
	if (photoJSON.cates && photoJSON.cates.length) {
		tagContainerDOM.show();
		var showTagNum = photoJSON.cates.length;
		if (showTagNum > 9) {
			showTagNum = 'N';
		}
		tagContainerDOM.find('.fni_tag').html(showTagNum);
	} else {
		tagContainerDOM.hide();
	}
	photoGalleryFooterDOM.find('.foot_navi_group_item .fni_txt').html(usingLang.foot_navi_group_item);
	photoGalleryFooterDOM.find('.foot_navi_group_zip_download_item .fni_txt').html(usingLang.foot_navi_group_zip_download_item);
	photoGalleryFooterDOM.find('.foot_navi_full_item .fni_txt').html(usingLang.foot_navi_full_item);
	photoGalleryFooterDOM.find('.foot_navi_fav_item .fni_txt').html(usingLang.foot_navi_fav_item);
	photoGalleryFooterDOM.find('.foot_navi_tag_item .fni_txt').html(usingLang.foot_navi_tag_item);
	//----------------------/
	
	//-----------------------绑定按钮事件-----------------------\
	//---绑定浏览大图---\
	viewFullDOM.unbind('click');
	var viewFullPath = '';
	if (isValidStr(photoJSON.orgPath)) {
		viewFullPath = photoJSON.orgPath;
	} else {
		viewFullPath = photoJSON.path;
	}
	viewFullPath = viewFullPath.replace('org/org', 'org');
	viewFullDOM.bind('click', function(){
		window.open(viewFullPath, '_blank', 'location=no');
	});
	//---------------/
	//---绑定收藏/取消收藏---\
	favDOM.unbind('click');
	if (photoJSON.has_added_fav) {
		favDOM.bind('click', function(){
			removePicFromFav(photoJSON.id, mySetting.uid, favDOM);
		});
	} else {
		favDOM.bind('click', function(){
			addPicToFav(photoJSON.id, mySetting.uid, favDOM);
		});
	}
	//-------------------/
	//---绑定浏览套图事件---\
	groupDOM.unbind('click');
	groupZipDownloadDOM.unbind('click');
	if (photoJSON != undefined && photoJSON.group != undefined && photoJSON.group != null) {
		groupDOM.bind('click', function(){
			getGroupPics(photoJSON.group.id);
		});
		groupZipDownloadDOM.bind('click', function(){
			checkGroupAccess(photoJSON.group);
		});
	}
	//-------------------/
	//---绑定视频事件---\
	videoDOM.unbind('click');
	if (photoJSON.related_video) {
		if (photoJSON.is_video_playable) {
			videoDOM.bind('click', function(){
				sendVideoAccess(photoJSON.related_video.id, 3, picRelatedVideoJSON);
			});
		} else {
			videoDOM.bind('click', function(){
				checkVideoAccess(photoJSON.related_video.id, picRelatedVideoJSON);
			});
		}
	}
	//---------------/
	//---绑定标签编辑---\
	tagDOM.unbind('click').bind('click', function(){
		showEditTagLayer(photoJSON.id);
	});
	
	//---------------/
	//-------------------------------------------------------/
}

function rendOwnerInfo(photoJSON) {
	/*for (var key in photoJSON) {
		console.log(key + ' = ' + photoJSON[key]);
	}*/
	var ownerInfoContainerDOM = $('#owner_info_container');
	if (photoJSON.studio != undefined) {
    	ownerInfoContainerDOM.find('.interact_to_user_studio').show().unbind('click').bind('click', function(){
        	goToStudioHome({id:photoJSON.studio.id});
        	$('#photo_gallery_close').trigger('click');
    	}).find('.interact_to_user_button_txt').html(usingLang.interact_to_user_studio);
	} else {
    	ownerInfoContainerDOM.find('.interact_to_user_studio').hide().unbind('click').find('.interact_to_user_button_txt').html('');
	}
	
	ownerInfoContainerDOM.find('.interact_to_user_msg .interact_to_user_button_txt').html(usingLang.interact_to_user_message);
	ownerInfoContainerDOM.find('.interact_to_user_video .interact_to_user_button_txt').html(usingLang.interact_to_user_video);
	ownerInfoContainerDOM.find('.interact_to_user_pic .interact_to_user_button_txt').html(usingLang.interact_to_user_picture);
	if (!hideAppStoreRelated) {
		ownerInfoContainerDOM.find('.owner_info_avatar_img').css('background-image', 'url(' + photoJSON.avatar + ')');
	} else {
		ownerInfoContainerDOM.find('.owner_info_avatar_img').css('background-image', 'url(' + activeURL + '/images/logo/smt.png' + ')');
	}
	ownerInfoContainerDOM.find('.owner_info_username').html(photoJSON.username);
	ownerInfoContainerDOM.find('.interact_to_user_msg').unbind('click').bind('click', function(){
		showMessageLayer(photoJSON.uid);
	});
	var ownerFollowDOM = ownerInfoContainerDOM.find('.owner_info_follow');
	if (hideAppStoreRelated) {
		ownerInfoContainerDOM.find('.interact_to_user_video').hide();
		ownerFollowDOM.hide();
	} else {
		ownerInfoContainerDOM.find('.interact_to_user_video').show().unbind('click').bind('click', function(){
			$('#photo_gallery_close').trigger('click');
			getGalleryVideos(undefined, {reload:1, reload_prev_page:1, uid:photoJSON.uid});
		});
		if (photoJSON.followable != undefined && parseInt(photoJSON.followable, 10) === 1) {
			ownerFollowDOM.show().unbind('click').bind('click', function(){
				submitFollow(photoJSON.uid, ownerFollowDOM, 1);
			});
			if (photoJSON.is_followed != undefined && parseInt(photoJSON.is_followed, 10) === 1) {
				ownerFollowDOM.html(usingLang.follow_user_remove_follow).attr('isFollowed', 1).removeClass('owner_info_add_follow').addClass('owner_info_remove_follow');
			} else {
				ownerFollowDOM.html(usingLang.follow_user_add_follow).attr('isFollowed', 0).removeClass('owner_info_remove_follow').addClass('owner_info_add_follow');
			}
		} else {
			ownerFollowDOM.hide();
		}
		
	}
	ownerInfoContainerDOM.find('.interact_to_user_pic').unbind('click').bind('click', function(){
		$('#photo_gallery_close').trigger('click');
		getGalleryPics(undefined, {reload:1, reload_prev_page:1, uid:photoJSON.uid});
	});
}


function pictureGroupShare(pictureGroupID) {
	var shareableURL = getShareableURL();
	if (!shareableURL) {
		bb_alert('暂时没有可用分享链接。There is no shareable URL available, sorry.');
		return false;
	}
	navigator.share(shareableURL + '/group_pics.php?id=' + pictureGroupID, usingLang.share_pic_group_btn, 'plain/text');
}

function rendFavBtn(favDOM, isFaved) {
	if (isFaved) {
		favDOM.find('.fni_fav_icon img').attr('src', './images/common/heart.png');
		favDOM.find('.fni_txt').html(usingLang.remove_fav);
	} else {
		favDOM.find('.fni_fav_icon img').attr('src', './images/common/heart_blank.png');
		favDOM.find('.fni_txt').html(usingLang.add_fav);
	}
}

function addPicToFav(picID, uid, favDOM) {
	if (picID == undefined || uid == undefined || uid == "null" || uid == null || uid == "undefined") {
		bb_alert("请先在个人面板登录");
		return false;
	}
	loadUrl(activeURL + "/api/add_to_favorite.php?picId=" + picID, function(data){
		if (data.success) {
			favDOM.unbind('click').bind('click', function(){
				removePicFromFav(picID, uid, favDOM);
			});
			rendFavBtn(favDOM, true);
			for (var i in pictureDataInMemory[currentPageNo]) {
				if (pictureDataInMemory[currentPageNo][i].id == picID) {
					pictureDataInMemory[currentPageNo][i].has_added_fav = 1;
				}
			}
		} else {
			bb_alert(data.error);
		}
	}, "post", true);
}

function removePicFromFav(picID, uid, favDOM) {
	if (picID == undefined || uid == undefined || uid == "null" || uid == null || uid == "undefined") {
		bb_alert("请先在个人面板登录");
		return false;
	}
	loadUrl(activeURL + "/api/add_to_favorite.php?picId=" + picID + "&act=remove", function(data){
		if (data.success) {
			favDOM.unbind('click').bind('click', function(){
				addPicToFav(picID, uid, favDOM);
			});
			rendFavBtn(favDOM, false);
			for (var i in pictureDataInMemory[currentPageNo]) {
				if (pictureDataInMemory[currentPageNo][i].id == picID) {
					pictureDataInMemory[currentPageNo][i].has_added_fav = 0;
				}
			}
		} else {
			bb_alert(data.error);
		}
	}, "post", true);
}


function isGalleryHeadFootShowing(photoGalleryHeaderDOM, photoGalleryFooterDOM) {
	var headerMovedPix = getTranslateY(photoGalleryHeaderDOM);
	var footerMovedPix = getTranslateY(photoGalleryFooterDOM);
	if (headerMovedPix > 0 && footerMovedPix < 0) {			//显示中
		return true;
	} else {
		return false;
	}
}

function doMoveGalleryHeadFoot(act) {
	var photoGalleryHeaderDOM = $('#photo_gallery_header');
	var photoGalleryFooterDOM = $('#photo_gallery_footer');
	var photoGalleryCloseDOM = $('#photo_gallery_close');
	if (act == undefined) {
		if (isGalleryHeadFootShowing(photoGalleryHeaderDOM, photoGalleryFooterDOM)) {
			//隐藏顶部和底部菜单
			hideGalleryHeadFoot(photoGalleryHeaderDOM, photoGalleryFooterDOM, photoGalleryCloseDOM);
		} else {
			showGalleryHeadFoot(photoGalleryHeaderDOM, photoGalleryFooterDOM, photoGalleryCloseDOM);
		}
	} else {
		if (act == 'show') {			//强制显示
			showGalleryHeadFoot(photoGalleryHeaderDOM, photoGalleryFooterDOM, photoGalleryCloseDOM);
		} else {						//强制隐藏
			hideGalleryHeadFoot(photoGalleryHeaderDOM, photoGalleryFooterDOM, photoGalleryCloseDOM);
		}
	}
	
}

function showGalleryHeadFoot(photoGalleryHeaderDOM, photoGalleryFooterDOM, photoGalleryCloseDOM) {
	//photoGalleryFooterDOM.show();
	photoGalleryHeaderDOM.removeClass('gallery_head_slide_out').addClass('gallery_head_slide_in').show();
	photoGalleryFooterDOM.removeClass('gallery_foot_slide_out').addClass('gallery_foot_slide_in');
	
	var ownerInfoDOM = $('#owner_info_container');
	ownerInfoDOM.removeClass('gallery_left_slide_out').addClass('gallery_left_slide_in');
	
	showGalleryClose(photoGalleryCloseDOM);
}

function hideGalleryHeadFoot(photoGalleryHeaderDOM, photoGalleryFooterDOM, photoGalleryCloseDOM) {
	photoGalleryHeaderDOM.removeClass('gallery_head_slide_in').addClass('gallery_head_slide_out').hide();
	photoGalleryFooterDOM.removeClass('gallery_foot_slide_in').addClass('gallery_foot_slide_out');
	
	var ownerInfoDOM = $('#owner_info_container');
	ownerInfoDOM.removeClass('gallery_left_slide_in').addClass('gallery_left_slide_out');
	
	hideGalleryClose(photoGalleryCloseDOM)
}

function showGalleryClose(photoGalleryCloseDOM) {
	photoGalleryCloseDOM.removeClass('gallery_close_slide_out').addClass('gallery_close_slide_in');
}
function hideGalleryClose(photoGalleryCloseDOM) {
	photoGalleryCloseDOM.removeClass('gallery_close_slide_in').addClass('gallery_close_slide_out');
}



function showHideGalleryNavi(photoJSON) {
	var footerDOM = $('#photo_gallery_footer');
	var prevBtnDOM = footerDOM.find(".fni_prev").parent();
	var nextBtnDOM = footerDOM.find(".fni_next").parent();
		
	//-----init-----\
	prevBtnDOM.show().unbind('click');
	nextBtnDOM.show().unbind('click');
	//--------------/
	
	if (photoJSON.noLeft == 1) {
		prevBtnDOM.hide();
	} else {
		//--------绑定上下张图片按钮------------\
		prevBtnDOM.bind('click', function(){
			gallery_navi(-1, photoJSON.id);
		});
		//----------------------------------/
	}
	if (photoJSON.noRight == 1) {
		//console.log("noright");
		nextBtnDOM.hide();
	} else {
		//--------绑定上下张图片按钮------------\
		nextBtnDOM.bind('click', function(){
			gallery_navi(1, photoJSON.id);
		});
		//----------------------------------/
	}
	
}

function afterSlide(moveDirection, showingDOM, slideDOM) {
	//---------------滑动完成后执行的代码--------------------\
	oppsMoveDirection = (moveDirection == 'left'?'right':'left');
	var prevCurFrame = slideDOM.find('.ft_slider_cur_frame');
	prevCurFrame.removeClass('ft_slider_cur_frame');
	showingDOM.addClass('ft_slider_cur_frame');
	
	var showingPicID = showingDOM.attr('picID');
	var showingPhotoJSON = findJSON(pictureDataInMemory[currentPageNo], showingPicID, 0, 1);
	
	saveViewedPicId(showingPicID, function(saveResult){
		if (saveResult !== null) {
			myViewedPicIdArr.push(showingPicID);
		}
	});
	
	var addPicID;
	if (moveDirection == 'left') {
		if (showingPhotoJSON.right != undefined) {
			addPicID = showingPhotoJSON.right.id;
		}
	} else {
		if (showingPhotoJSON.left != undefined) {
			addPicID = showingPhotoJSON.left.id;
		}
	}
	
	var addedTo;
	if (addPicID != undefined) {
		if (moveDirection == 'left') {
			if (showingDOM.next().length <= 0) {			//避免重复插入
				var addHTML = "	<div id='ft_slider_" + addPicID + "' picID='" + addPicID + "'  class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:" + (currentSlideNo * deviceInfo.width) + "px; top:0px; z-index:10002;'></div>";
				slideDOM.append(addHTML);
				addedTo = 'right';
				//var addFrameDOM = showingDOM.next();
			}
		} else {
			var addFrameDOM = showingDOM.prev();
			if (addFrameDOM.length <= 0) {			//避免重复插入, 从前面插入画面会有闪烁						
				var addHTML = "	<div id='ft_slider_" + addPicID + "' picID='" + addPicID + "'  class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:" + ((currentSlideNo - 2) * deviceInfo.width) + "px; top:0px; z-index:10002;'>&nbsp;</div>";
				slideDOM.prepend(addHTML);
			} else {
				addFrameDOM.attr("id", "ft_slider_" + addPicID + "").attr("picID", addPicID);
			}
			
			addedTo = 'left';
		}
		
	}
	
	//-----------至此框架已经更新完毕了-----------------/
	
	//-----------开始往框架里添加新的图片一张---------------\
	if (addedTo != undefined) {
		cookPhotoJSON(addPicID, 
		function(thisAddPicID, cookedAddPhotoJSON) {			//cached
			rendPhotoLayer(thisAddPicID, cookedAddPhotoJSON, {offset:addedTo, layer_width:cookedAddPhotoJSON.layer_width, layer_height:cookedAddPhotoJSON.layer_height});
		}, 
		function(thisAddPicID, cookedAddPhotoJSON){			//photo not cached
			rendPhotoLayer(thisAddPicID, cookedAddPhotoJSON, {offset:addedTo, layer_width:cookedAddPhotoJSON.layer_width, layer_height:cookedAddPhotoJSON.layer_height});
		});
	}
	
	//------------------------------------------------/
	
	//-----------更新目前显示图片的控制按钮, 比如图片浏览按钮, 标签按钮和标签更新等----------------\
	
	//--------更新上下张图片浏览按钮的显示----------\
	showHideGalleryNavi(showingPhotoJSON);
	//----------------------------------------/
	
	//-------更新当前顶部和底部菜单的事件和文字等------\
	renderGalleryHeadFoot(showingPhotoJSON);
	//-----------------------------------------/
		
	//--------------------------------------------------------------------------------/
	
	
	//------------检查是否看到倒数第二张图片了, 如果是则开始读入下一页---------------------\
	autoLoadNextPicPage(showingPhotoJSON, function(returnPhotoJSON){
		if (returnPhotoJSON.rPosition == 0) {
			showPhotoGallery(returnPhotoJSON.id);
		}
	});
	//--------------------------------------------------------------------------/
}

function cachePopupImage(picID, url, popupDOM, successCallback, backgroundSize) {
	//-----------cache full sized image---------------\
	var localImageArr = new Array();
	url = url.replace('/org/', '/');
	localImageArr.push({
		selector: ".page_" + currentPageNo + " #popup_image_" + picID, 
		url: (url.indexOf('album_preview') === -1?getThumbPath(url, 'iPhone'):url), 				//所有移动设备的图片来源都是iPhone文件夹, 可以加快读取速度和免除难看的水印, 但是GIF除外
	});
	if (popupDOM != undefined) {
		var popupImagePlaceholderDOM = popupDOM.find("#popup_image_placeholder_" + picID);
		//alert(picID + ' ---> ' + $("#popup_image_placeholder_" + picID).length);
		var bigImageLoadingDOM = popupImagePlaceholderDOM.find(".bigImageLoading");
		var percentageDOM = bigImageLoadingDOM.find(".bigImageLoadingProgress span");
	}
	renderLocalImage(localImageArr, "gallery", function(imageData, selector){
		if (popupDOM != undefined) {
			//var tmpArr = selector.split("_");
			//var picID = tmpArr[tmpArr.length - 1];
			popupImagePlaceholderDOM.css("background","url('" + imageData + "')").empty();
			//popupImagePlaceholderDOM.html('<img src="' + imageData + '" style="width:100px; heigh:100px;" />');
			if (backgroundSize == undefined) {
				popupImagePlaceholderDOM.css("background-size", "cover");
			} else if (backgroundSize == 'contain') {
				popupImagePlaceholderDOM.css("background-size", "contain");
				popupImagePlaceholderDOM.css("background-position", "center center");
				popupImagePlaceholderDOM.css("background-repeat", "no-repeat");
			}
			
		}
		if (typeof successCallback == "function") successCallback();
	}, function(percentage){
		if (popupDOM != undefined) {
			percentageDOM.html(percentage);
		}
	});
	//-----------------------------------------------/
}


function gallery_navi(offset, picID){
	if (offset > 0) {
		slideToLeft(undefined, function(moveDirection, showingDOM, slideDOM){
			afterSlide(moveDirection, showingDOM, slideDOM);
		});
	} else {
		slideToRight(undefined, function(moveDirection, showingDOM, slideDOM){
			afterSlide(moveDirection, showingDOM, slideDOM);
		});
	}
}


function hideWithPhotoGallery() {
	$('#ft_slider').remove();
	doMoveGalleryHeadFoot('hide');
	hideGalleryClose($('#photo_gallery_close'));
}

function fileReadSuccessCallback(indexOfPic, totalPicNum, totalBytes, finishedCallback) {
	if (indexOfPic >= totalPicNum) {
		finishedCallback(totalPicNum, totalBytes);
	}
}

function getFileNumAndSize2(dirEntry, folder, finishedCallback) {
	var totalBytes = 0;
	if (dirEntry) {
		var directoryReader = dirEntry.createReader();
		directoryReader.readEntries(function(entries){
			if (entries && entries.length) {
				var totalPicNum = 0;
				for (var i = 0; i < entries.length; i++) {
					if (entries[i].name.indexOf('.') > 0) {
						totalPicNum++;
					}
				}
				if (totalPicNum > 0) {
					var indexOfPic = 0;
					for (var i = 0; i < entries.length; i++) {
						if (entries[i].name.indexOf('.') > 0) {
							var fileReaderCallback = function (file) {
								indexOfPic++;
								totalBytes += file.size;
								fileReadSuccessCallback(indexOfPic, totalPicNum, totalBytes, finishedCallback);
							};
							entries[i].file(fileReaderCallback, function(){});
						}
					}
				} else {
					finishedCallback(0, 0);
				}
				
			} else {
				finishedCallback(0, 0);
			}
			
		}, function(){
			finishedCallback(0, 0);
		});
	} else {
		finishedCallback(0, 0);
	}
}

function getFileNumAndSize(folder, finishedCallback) {
	window.resolveLocalFileSystemURL(deviceFullPath + "/" + folder, function (dirEntry) {
		getFileNumAndSize2(dirEntry, folder, finishedCallback);
	});
}

function doClearCache2(dirEntry, folder, finishedCallback) {
	var directoryReader = dirEntry.createReader();
	directoryReader.readEntries(function(entries){
		if (entries && entries.length) {
			var totalPicNum = 0;
			for (var i = 0; i < entries.length; i++) {
				if (entries[i].name.indexOf('.') > 0) {
					totalPicNum++;
				}
			}
			
			if (totalPicNum > 0) {
				var indexOfPic = 0;
				for (var i = 0; i < entries.length; i++) {
					if (entries[i].name.indexOf('.') > 0) {
						indexOfPic++;
						
						entries[i].remove(function(){}, function(){});
						
						if (indexOfPic >= totalPicNum) {
							finishedCallback();
						}
					}
				}
			} else {
				finishedCallback();
			}
			
		} else {
			finishedCallback();
		}
		
	}, function(){
		finishedCallback();
	});
}

function doClearCache(folder, finishedCallback) {
	window.resolveLocalFileSystemURL(deviceFullPath + "/" + folder, function (dirEntry) {
		doClearCache2(dirEntry, folder, finishedCallback);
	});
}


function clearCache() {
	bb_alert('...' + usingLang.clear_cache_processing1 + '...<br />' + usingLang.clear_cache_processing2 + '<br />' + usingLang.clear_cache_processing3 + '<br />', 69);
	$('#bb_alert69 .bb_alert_close').hide();
	
	setTimeout(function(){
		
		getFileNumAndSize('gallery', function(numOfPic, totalBytes){
			getFileNumAndSize('gallery/mip', function(numOfPicMIP, totalBytesMIP){
				getFileNumAndSize('avatar', function(numOfAvatarPic, totalBytesAvatar){
					getFileNumAndSize('tag/picture', function(numOfTagPic, totalBytesTag){
						disablePopup('bb_alert69', 'bb_bg69', 69);
						
						var numOfPicFinal = numOfPic + numOfPicMIP + numOfAvatarPic + numOfTagPic;
						var totalBytesFinal = totalBytes + totalBytesMIP + totalBytesAvatar + totalBytesTag;
						
						if (numOfPicFinal > 0 && totalBytesFinal > 0) {
							totalMB = (totalBytesFinal / 1024 / 1024).toFixed(1);
							ft_confirm(usingLang.clear_cache_confirm1 + numOfPicFinal + usingLang.clear_cache_confirm2 + totalMB + usingLang.clear_cache_confirm3, function(result){
								if (result == true) {
									
									bb_alert('...' + usingLang.clear_cache_deleting1 + '...<br />' + usingLang.clear_cache_deleting2 + '', 69);
									$('#bb_alert69 .bb_alert_close').hide();
									
									setTimeout(function(){
										doClearCache('gallery', function(){
											doClearCache('gallery/mip', function(){
												doClearCache('avatar', function(){
													doClearCache('tag/picture', function(){
														$('#bb_alert69 .bb_alert_close').show();
														$('#bb_alert69 .bb_alert_content').html(usingLang.clear_cache_done);
													});
												});
											});
										});
									}, 500);
									
								}
							}, usingLang.clear_cache_confirm4);
						} else {
							bb_alert(usingLang.clear_cache_empty);
						}
					});
					
				});
				
				
			});
			
		});
	}, 500);
	
	
}

function getPhoto(type) {
	// Retrieve image file location from specified source
	var options = {
        quality: 50,
        destinationType: Camera.DestinationType.FILE_URI,
        sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,
        encodingType: Camera.EncodingType.JPEG,
        mediaType: Camera.MediaType.PICTURE,
        allowEdit: false,
        correctOrientation: true  //Corrects Android orientation quirks
    }	
    if (type == 'message') {
	    navigator.camera.getPicture(onMessagePhotoUploadSuccess, function(){}, options);
    } else if (type == 'avatar') {
	    navigator.camera.getPicture(onAvatarPhotoSelected, function(){}, options);
    }
	
}

function onMessagePhotoUploadSuccess(photoURI) {
	var picContainerDOM = $('#mail_form');
	picContainerDOM.find('.mail_pic_btn').html(usingLang.mail_pic_selected);
	picContainerDOM.find('#mail_form_pic_uri').val(photoURI);
}
function onAvatarPhotoSelected(photoURI) {
	$('#avatar_uri').val(photoURI);
	submitAvatar();
}


function submitAvatar() {
	//------上传图片附件和正文------\
	var avatarURI = $('#avatar_uri').val();
	if (isValidStr(avatarURI)) {
		var avatarPost = {upload_pic_from_app:1};
		if (isValidStr(notShareableKey) && activeURL.indexOf(notShareableKey) !== -1) {
			avatarPost.api_token = apiToken;
		}
		var btnDOM = $('.profile_avatar_upload_btn');
		var options = new FileUploadOptions();
        options.fileKey = "avatar_file";
        options.fileName = avatarURI.substr(avatarURI.lastIndexOf('/') + 1);
        options.mimeType = "image/jpeg";
        options.params = avatarPost;
        options.chunkedMode = false;
		btnDOM.html(usingLang.profile_avatar_uploading);
        var ft = new FileTransfer();
        ft.upload(avatarURI, activeURL + "/api/change_setting.php?act=update_avatar", function(response){
		    var returnJSON = JSON.parse(response.response);
		    if (returnJSON != undefined && parseInt(returnJSON.success, 10) === 1 && returnJSON.url) {
			    bb_alert(usingLang.profile_avatar_upload_success);
			    $('.profile_avatar_container').css('background-image', 'url(' + returnJSON.url + ')');
		    } else if (returnJSON != undefined && isValidStr(returnJSON.error)) {
			    bb_alert(returnJSON.error);
		    } else {
			    bb_alert(usingLang.profile_avatar_upload_error);
		    }
		    btnDOM.hide();
		    //console.log("Code = " + response.responseCode);
		    //console.log("Response = " + response.response);
		    //console.log("Sent = " + response.bytesSent);
        }, function(error){
	        bb_alert(usingLang.profile_avatar_upload_error + '. Code: ' + error.code);
		    btnDOM.hide();
		    //console.log("upload error source " + error.source);
		    //console.log("upload error target " + error.target);
        }, options);
	}
}

function showPicGroupZipDownload(tempZipURL) {
	if (isValidStr(tempZipURL)) {
		copyText(tempZipURL, function(resultText){
			var contentHTML = '<div class="picture_group_zip_download_tip">';
			contentHTML += '<span style="color:green">' + usingLang.picture_group_zip_url_copied1 + '';
			contentHTML += tempZipURL + ' <span class="picture_group_zip_download_tip_btn">' + usingLang.picture_group_zip_copy_url + '</span>';
			contentHTML += usingLang.picture_group_zip_url_copied2 + '</span><br /><br />';
			contentHTML += usingLang.picture_group_zip_url_copied3 + '<br />';
			contentHTML += usingLang.picture_group_zip_url_copied4 + '<br /><br />';
			contentHTML += usingLang.picture_group_zip_url_copied5 + '<br />';
			contentHTML += '</div>';
			bb_layer(contentHTML, {layerId:"picture_group_zip_download", uniqueNumber:297, bottom_close_btn:1}, function(){}, function(){
				var tempCopyBtn = $('#picture_group_zip_download .picture_group_zip_download_tip_btn');
				tempCopyBtn.bind('click', function(){
					copyText(tempZipURL, function(resultText){
						tempCopyBtn.html(usingLang.picture_group_zip_url_copied);
					});
				});
			});
		});
	} else {
		bb_alert(usingLang.no_temp_zip_url);
	}
}

function buyPicGroupZip(groupID, groupData, onlyZIP, showDownloadLayer, disputeDesc) {
	if (groupData.price_type == 'd') {
		var priceStr = '<span class="diamond">' + groupData.price + usingLang.diamond + '</span>';
	} else {
		var priceStr = '<span class="gold">' + groupData.price + usingLang.gold + '</span>';
	}
	if (groupData.price_type == 'd' && myDiamond < groupData.price) {		//钻石不够，直接跳转到钻石充值页面
		$('#photo_gallery_close').trigger('click');
		showBuyDiamondPage("" + usingLang.picture_group_not_enough + priceStr + usingLang.picture_group_not_enough_diamond + "");
		return false;
	} else if (groupData.price_type == 'g' && myMoney < groupData.price) {
		$('#photo_gallery_close').trigger('click');
		showBuyGoldPage("" + usingLang.picture_group_not_enough + priceStr + usingLang.picture_group_not_enough_gold + "");
		return false;
	}
	
	var content = '';
	if (groupData.lowest_studio_tier != undefined && groupData.lowest_studio_tier.id != undefined) {
    	content += '<div class="payment_has_tier">';
    	content += '<b>' + usingLang.studio_has_tier_name.replace('%s', groupData.lowest_studio_tier.name) + '</b>';
    	content += '(' + usingLang.studio_has_tier_price.replace('%s', groupData.lowest_studio_tier.price) + ')';
    	content += '<div onclick="gotoStudioTier({id:' + groupData.lowest_studio_tier.studio_id + ', tier_id:' + groupData.lowest_studio_tier.id + '}); $(\'#ft_confirm_no\').trigger(\'click\'); $(\'#photo_gallery_close\').trigger(\'click\');" class="btn btn-warning" style="display:block; width:100%; margin:4px 0;">' + usingLang.studio_go_support_btn + '</div>';
    	content += '<div class="payment_has_tier_divide">' + usingLang.studio_payment_or + '</div>';
    	content += '</div>';
    	content += '<div class="payment_buy_it">';
    	content += '<b>' + usingLang.studio_payment_buy + '</b>';
    	content += '</div>';
	}
	
	if (onlyZIP) {
		var title = usingLang.picture_group_zip_buy_title;
		content += '<span style="color:green;">' + usingLang.picture_group_zip_download_tip + '</span><br />';
		if (disputeDesc != undefined) {
			content += '<b style="color:red;">' + usingLang.picture_group_zip_download_dispute1 + disputeDesc + usingLang.picture_group_zip_download_dispute2 + '</b><br />';
		}
		content += usingLang.picture_group_zip_buy_message1 + priceStr + usingLang.picture_group_zip_buy_message2;
	} else {
		var title = usingLang.picture_group_buy_title;
		content += '<span style="color:green;">' + usingLang.picture_group_zip_download_tip + '</span><br />';
		if (disputeDesc != undefined) {
			content += '<b style="color:red;">' + usingLang.picture_group_zip_download_dispute1 + disputeDesc + usingLang.picture_group_zip_download_dispute2 + '</b><br />';
		}
		content += usingLang.picture_group_buy_message1 + priceStr + usingLang.picture_group_buy_message2;
	}
	ft_confirm(content, function(result){
		if (result) {
			if (showDownloadLayer) {
				var url = activeURL + "/api/group_pics.php?id=" + groupID + '&gen_zip=1';
				loadUrl(url, function(data) {
					if (data.success) {
						if (isValidStr(data.url)) {
							showPicGroupZipDownload(data.url);
						}
					} else if (data.not_enough_money != undefined) {
						bb_alert(data.not_enough_money);
					} else if (data.error != undefined) {
						bb_alert(data.error);
					}
				}, "get", true);
			} else {
				$('#photo_gallery_close').trigger('click');
				var options = {gID:groupID,reload:1,title:usingLang.photo_gallery_header_group_picture, toPage:3, buy:1};
				getGalleryPics(undefined, options);
			}
		}
	}, title);
}







