function getPlaylist(formSelector, options) {
	classChangeOnMainNavi('video');
	var toPage = 2;		//默认都是载入到第二页
	var query = '';
	var toPageSelector = '.page_' + toPage + ' > .page_main';
	var toPageTopSelector = '.page_' + toPage + ' > .page_top';
	var contentDOM = $("#content " + toPageSelector);
	
	var prevQuery = currentQuery[toPage];
	var tplObj = {};
	tplObj.has_item_list_menu = 1;
	
	var nextPage = 1;
	
	if (options != undefined && options.page) {			//跳转到页
		nextPage = options.page;
	}
	
	if (formSelector != undefined) {			//读下一页才会进入这里
		var formOBJ = $(formSelector);
		var pageDOM = formOBJ.find("#current_page");
		if (pageDOM.length) {
			var nextPage = parseInt(formOBJ.find("#current_page").val(), 10) + 1;
		}
		
		var query = currentQuery[toPage];
		var toSelector = "#content " + toPageSelector + "-";
		
		if (options != undefined) {
			if (options.reload) {
				query = formOBJ.serialize();
				currentQuery[toPage] = query;
				toSelector = "#content " + toPageSelector + "";
			}
		}
	} else {
		var query = "";
		var toSelector = "#content " + toPageSelector;
		if (options != undefined && options.pagination) {		//点击顶部分页的话还是要保留上次query的状态的
			
		} else {
			currentQuery[toPage] = '';
		}
	}
	
	var stealth = function(loadingFlag){
		if (loadingFlag == false) {
			
			btnLoading(false);
		}
		if (checkHasMore() && formSelector != undefined) {		//有下一页并且页面不是重新加载才不出现全屏loading
			if (loadingFlag) {
				btnLoading(true);
			}
		} else {
			if (loadingFlag) {
				
			}
		}
	}
	
	if (options != undefined) {
		if (options.add_query) {
			query = prevQuery;
		}
		
		toSelector = "#content " + toPageSelector;
		
		//--------------排序的操作------------\
		if (options.posttime) {
			query = processQuery(query, "order=uid");
			query = processQuery(query, "order=video_num");
			query = processQuery(query, "order=update_time");
			
			query += (isValidStr(query)?"&":"") + "order=posttime";
			currentQuery[toPage] = query;
		}
		if (options.video_num) {
			query = processQuery(query, "order=posttime");
			query = processQuery(query, "order=uid");
			query = processQuery(query, "order=update_time");
			
			query += (isValidStr(query)?"&":"") + "order=video_num";
			currentQuery[toPage] = query;
		}
		if (options.update_time) {
			query = processQuery(query, "order=posttime");
			query = processQuery(query, "order=video_num");
			query = processQuery(query, "order=uid");
			
			query += (isValidStr(query)?"&":"") + "order=update_time";
			currentQuery[toPage] = query;
		}
		if (options.uid) {
			query = processQuery(query, "order=posttime");
			query = processQuery(query, "order=video_num");
			query = processQuery(query, "order=update_time");
			
			query += (isValidStr(query)?"&":"") + "order=uid";
			currentQuery[toPage] = query;
		}
		//----------------------------------/
		
		if (options.toSelector) {
			toSelector = options.toSelector;
			pageOnLoad($(toSelector));
			
			contentDOM.find(".show_more_clear").removeClass('bb_clear');
			contentDOM.find(".more_form").hide();
			stealth = true;
		}
	} else if (options == undefined || options.reload == undefined) {
		toSelector = '.playlist_container-';
	}
	
	var rowsperpage = 5;
	if (num_of_pics_each_row >= 5) {
		rowsperpage = 10;
	}
	var url = activeURL + "/api/playlist.php?page=" + nextPage + "&rowsperpage=" + rowsperpage + "";
	if (isValidStr(query)) {
		url = url + "&" + query;
	}
	showSearchTagFooter('hide');
	
	var title = usingLang.home_playlist;
	if (options != undefined && isValidStr(options.title)) {
		title = options.title;
	}
	
	if (toSelector.indexOf('#content') != -1) {			//整个页面完全重载
		howManyPagesShowed = 1;
		if (currentPageNo == toPage) {		//如果不进行页面跳转, 则显示layer读取效果
			stealth = false;
		} else {				//跳转到指定页面
			if (options != undefined && options.reload_prev_page) {		//说明读取的内容在上一页, 要重新载入上一页的内容.(一般情况下是不会去重载上一页的, 像回退)
				goToPage(toPage, title, true);
			} else {
				goToPage(toPage, title);
			}
		}
	} else if (options != undefined && options.reload) {	//也是重载的一种, 点顶部的分页会这样
		howManyPagesShowed = 1;
	} else {
		howManyPagesShowed++;
	}
	cornerLoading('stop', 'ALL');
	//alert(url);
	loadUrl(url, function(data){
		//---------因为当前页是读入视频json数据，所以删除当前页的其他json数据---------\
		pictureDataInMemory[toPage] = null;
		delete pictureDataInMemory[toPage];
		//-------------------------------------------------------------------/
		$('.css3_loading_container').remove();
		//-------------playlist的数据准备------------\
		if (data.playlist != undefined && data.playlist.length) {
			if (formSelector != null && formSelector != undefined && formSelector.indexOf('more_form') !== -1) {
				var pagintationContainerDOM = $('.current_page .pagination_page_container');
				pagintationContainerDOM.find('.pagination_current').removeClass('pagination_current').next().addClass('pagination_current');
			}
			
			if (options != undefined && options.reload) {
				videoDataInMemory[toPage] = new Array();
			}
			for (var i in data.playlist) {
				var thisPlaylist = data.playlist[i];
				if (isValidStr(thisPlaylist.description)) {
					data.playlist[i].has_description = 1;
				}
				//-----playlist的视频-----\
				if (thisPlaylist.video_list && thisPlaylist.video_list.length) {
					for (var x in thisPlaylist.video_list) {
						var thisPlaylistVideo = thisPlaylist.video_list[x];
						
						videoDataInMemory[toPage].push(thisPlaylistVideo);
						
						if (thisPlaylistVideo.images && thisPlaylistVideo.images[0] && thisPlaylistVideo.images[0].path) {
							data.playlist[i].video_list[x].thumb_url_0 = getThumbPath(thisPlaylistVideo.images[0].path, 'iPhone');
						}
						if (thisPlaylistVideo.images && thisPlaylistVideo.images[1] && thisPlaylistVideo.images[1].path) {
							data.playlist[i].video_list[x].thumb_url_1 = getThumbPath(thisPlaylistVideo.images[1].path);
						}
						if (thisPlaylistVideo.images && thisPlaylistVideo.images[2] && thisPlaylistVideo.images[2].path) {
							data.playlist[i].video_list[x].thumb_url_2 = getThumbPath(thisPlaylistVideo.images[2].path);
						}
						
						if (parseInt(thisPlaylistVideo.playlist_type, 10) === 0) {
							data.playlist[i].video_list[x].is_preview = 1;
						}
						if (thisPlaylistVideo.title && thisPlaylistVideo.title.length > 60) {
							data.playlist[i].video_list[x].title = thisPlaylistVideo.title.substr(0, 60) + '...';
						}
						if (thisPlaylistVideo.content && thisPlaylistVideo.content.length > 200) {
							data.playlist[i].video_list[x].content = thisPlaylistVideo.content.substr(0, 200) + '...';
						}
					}
					//--------列表是否有其他视频未显示--------\
					if (parseInt(thisPlaylist.video_num, 10) > 0 && (parseInt(thisPlaylist.video_num, 10) - thisPlaylist.video_list.length) > 0) {
						data.playlist[i].more_video_num = parseInt(thisPlaylist.video_num, 10) - thisPlaylist.video_list.length;
						
					}
					//------------------------------------/
				}
				
				//----------------------/
				
			}
			
			
			//------------处理分页对象------------\
			var tplPaginationOBJ = {pagination_source_type:'playlist'};
			var totalPages = Math.ceil(parseInt(data.total_playlist_num, 10) / rowsperpage);
			var pagination_list = new Array();
			for (var paginationNumber = 1; paginationNumber <= totalPages; paginationNumber++) {
				var paginationOBJ = {page_num:paginationNumber};
				if (data.page != undefined && parseInt(data.page, 10) > 0 && paginationNumber == data.page) {
					paginationOBJ.pagination_current_class = 'pagination_current';
				}
				pagination_list.push(paginationOBJ);
			}
			if (pagination_list.length) {
				tplPaginationOBJ.pagination_list = pagination_list;
			}
			//---------------------------------/
			var paginationDOM = $('#pagination_container');
			
		}
		//-----------------------------------------/
		tplObj.show_more = data.show_more;
		tplObj.page = data.page;
		tplObj.lists = data.playlist;
		
		//----------同时显示的页面太多了的话就设置为重载------------\
		if (howManyPagesShowed > howManyPagesShowedLimit) {
			toSelector = '.playlist_container';
			if (options == undefined) {
				options = {reload:1};
			} else {
				options.reload = 1;
			}
			howManyPagesShowed = 1;
		}
		//----------------------------------------------------/
		if (options != undefined && options.reload) {
			if (data.playlist != undefined && data.playlist.length) {
				if (toSelector.indexOf('#content') != -1) {			//整个页面完全重载
					contentDOM.find(".show_more_clear").remove();
					contentDOM.find(".more_form").remove();
					/*if (headlineDOM.length) {
						pageTopDOM.find('*').not('.back, .page_title').remove();
					}*/
					
					initTemplate("playlist_top_template", function(topTPL){
						$('.current_page .below_title_container').remove();
						rendTemplate(topTPL, tplObj, {replaceIntoSelector:toPageTopSelector + '-'});
						
						//-----必须要计算toPageSelector的高度并设置才能出现滚动条------\
						var scrollHeight = calcScrollableHeight($('.page_' + toPage));
						$(toPageSelector).css('height', scrollHeight + 'px');
						//-------------------------------------------------------/
					});
					
					initTemplate("playlist_template", function(playlistTPL){
						rendTemplate(playlistTPL, tplObj, {replaceIntoSelector:toSelector,partial_source_id:"playlist_item_template",partial_target_id:"playlist_item_template_partial"});
						showMoneyLayer('show');
						
						if (data.show_more) {		//如果还有下一页视频, 绑定页面滚动快到底部时的自动加载下一页功能
							runningScrollToBottomArr[toPage] = function(){
								if (checkHasMore()) {
									getPlaylist('.current_page .more_form');
								}
							};
							bindScrollToBottom('.page_' + toPage, '.page_main', '.playlist_container', true, runningScrollToBottomArr[toPage]);
						} else {					//如果没有下一页了, 取消自动加载绑定
							runningScrollToBottomArr[toPage] = undefined;
							bindScrollToBottom('.page_' + toPage, '.page_main', '.playlist_container', false);
						}
						
						//-----------顶部排序的高亮效果--------------\
						$('.playlist_list_menu_item').removeClass('playlist_list_menu_item_on');
						if (options.uid) {
							$('.playlist_list_menu_item_uid').addClass('playlist_list_menu_item_on');
						} else if (options.video_num) {
							$('.playlist_list_menu_item_video_num').addClass('playlist_list_menu_item_on');
						} else if (options.update_time) {
							$('.playlist_list_menu_item_update_time').addClass('playlist_list_menu_item_on');
						} else {
							$('.playlist_list_menu_item_default_order').addClass('playlist_list_menu_item_on');
						}
						//---------------------------------------/
						paginationDOM = addPaginationDOM(tplPaginationOBJ, toPage);
					});
				} else  {
					initTemplate("playlist_item_template", function(playlistTPL){
						$('.page_' + toPage + ' .page_main').scrollTop(0);		//将可滚动页面的滚动条置于顶部, 避免接下来页面重载的时候, 滚动条高度任何保留着重载前的很低的位置, 导致bindScrollToBottom被触发, 读取到下下一页
						if (parseInt(data.show_more, 10) == 1) {
							$("#current_page").val(data.page);
							contentDOM.find(".show_more_clear").addClass('bb_clear');
							contentDOM.find(".more_form").show();
						} else {
							contentDOM.find(".show_more_clear").removeClass('bb_clear');
							contentDOM.find(".more_form").hide();
						}
						rendTemplate(playlistTPL, tplObj, {replaceIntoSelector:toSelector});
					});
				}
				
			}
		} else {
			initTemplate("playlist_item_template", function(playlistTPL){
				if (parseInt(data.show_more, 10) == 1) {
					$("#current_page").val(data.page);
				} else {
					contentDOM.find(".show_more_clear").removeClass('bb_clear');
					contentDOM.find(".more_form").hide();
				}
				rendTemplate(playlistTPL, tplObj, {replaceIntoSelector:toSelector});
			});
		}
	}, "post", true, stealth);
}

function orderPlaylist(btnDOM, act) {			//这个函数只可以在列表显示状态下才会生效
	$('.playlist_list_menu_item').removeClass('playlist_list_menu_item_on');
	btnDOM.addClass('playlist_list_menu_item_on');
	//-----------切换排序都从第一页开始显示-------------\
	var pagintationContainerDOM = $('.current_page .pagination_page_container');
	pagintationContainerDOM.find('.pagination_current').removeClass('pagination_current');
	pagintationContainerDOM.find('.pagination_1').addClass('pagination_current');
	//----------------------------------------------/
	if (act == 'posttime') {
		getPlaylist(undefined, {reload:1, page:1, toSelector:'.playlist_container', posttime:1, add_query:1}); 
	} else if (act == 'video_num') {
		getPlaylist(undefined, {reload:1, page:1, toSelector:'.playlist_container', video_num:1, add_query:1});
	} else if (act == 'update_time') {
		getPlaylist(undefined, {reload:1, page:1, toSelector:'.playlist_container', update_time:1, add_query:1});
	} else if (act == 'uid') {
		getPlaylist(undefined, {reload:1, page:1, toSelector:'.playlist_container', uid:1, add_query:1});
	}
}

function loadVideoPlaylist(videoID) {
	if (videoID > 0) {
		var url = activeURL + "/api/playlist.php?video_id=" + videoID + "";
		var videoDetailPageNo = 3;
		var scrollNum = 0;
		loadUrl(url, function(data) {
			if (data.success) {
				if (data.playlist) {
					var thisPlaylist = data.playlist;
					if (thisPlaylist.video_list && thisPlaylist.video_list.length) {
						for (var i in thisPlaylist.video_list) {
							var thisPlaylistVideo = thisPlaylist.video_list[i];
							if (thisPlaylistVideo.playlist_type) {
								if (parseInt(thisPlaylistVideo.playlist_type, 10) === 1) {
									data.playlist.video_list[i].playlist_type_desc = usingLang.povl_listnum_full;
									data.playlist.video_list[i].playlist_type_class = 'vdp_list_type_full';
								} else {
									data.playlist.video_list[i].playlist_type_desc = usingLang.povl_listnum_preview;
									data.playlist.video_list[i].playlist_type_class = 'vdp_list_type_preview';
								}
							}
							if (thisPlaylistVideo.images && thisPlaylistVideo.images.length && thisPlaylistVideo.images[0] && thisPlaylistVideo.images[0].path) {
								data.playlist.video_list[i].title_thumb = getThumbPath(thisPlaylistVideo.images[0].path);
							}
							if (thisPlaylistVideo.id == videoID) {
								if (i >= 1) {
									scrollNum = i - 1;
								}
								data.playlist.video_list[i].is_current_video = 1;
							} else {
								videoDataInMemory[videoDetailPageNo].push(thisPlaylistVideo);
							}
							if (myVideoIDArr.length && in_array(thisPlaylistVideo.id, myVideoIDArr)) {
								data.playlist.video_list[i].title = '<span style="color:green;">[✓]</span>' + thisPlaylistVideo.title;
							}
						}
					}
				}
				var html = $('#playlist_on_video_detail_page').html();
				html = doRendTemplate(html, data.playlist);
				var targetDOM = $('.video_detail_playlist_container');
				targetDOM.html(html);
				
				if (scrollNum > 0) {
					var scrollWidth = $('.vdp_video_item_container:first').width() * scrollNum + (scrollNum * 6);
					$('.vdp_scrollable').scrollLeft(scrollWidth);
				}
			} else {
				alert('读取剧集失败');
			}
			
		}, "post", true, true);
	}
}