function getProducer(formSelector, options) {
	classChangeOnMainNavi('video');
	var toPage = 2;		//默认都是载入到第二页
	var query = '';
	var toPageSelector = '.page_' + toPage + ' > .page_main';
	var toPageTopSelector = '.page_' + toPage + ' > .page_top';
	var contentDOM = $("#content " + toPageSelector);
	
	var prevQuery = currentQuery[toPage];
	var tplObj = {};
	
	var nextPage = 1;
	
	if (options != undefined && options.page) {			//跳转到页
		nextPage = options.page;
	}
	
	if (formSelector != undefined) {			//读下一页才会进入这里
		var formOBJ = $(formSelector);
		var pageDOM = formOBJ.find("#current_page");
		if (pageDOM.length) {
			var nextPage = parseInt(formOBJ.find("#current_page").val(), 10) + 1;
		}
		
		var query = currentQuery[toPage];
		var toSelector = "#content " + toPageSelector + "-";
		
		if (options != undefined) {
			if (options.reload) {
				query = formOBJ.serialize();
				currentQuery[toPage] = query;
				toSelector = "#content " + toPageSelector + "";
			}
		}
	} else {
		var query = "";
		var toSelector = "#content " + toPageSelector;
		if (options != undefined && options.pagination) {		//点击顶部分页的话还是要保留上次query的状态的
			
		} else {
			currentQuery[toPage] = '';
		}
	}
	var stealth = function(loadingFlag){
		if (loadingFlag == false) {
			
			btnLoading(false);
		}
		if (checkHasMore() && formSelector != undefined) {		//有下一页并且页面不是重新加载才不出现全屏loading
			if (loadingFlag) {
				btnLoading(true);
			}
		} else {
			if (loadingFlag) {
				
			}
		}
	}
	
	if (options != undefined) {
		if (options.add_query) {
			query = prevQuery;
		}
		
		toSelector = "#content " + toPageSelector;
		
		//--------------排序的操作------------\
		if (options.post) {
			query = processQuery(query, "order=post");
			query = processQuery(query, "order=earned");
			query = processQuery(query, "order=hot");
			query = processQuery(query, "order=follower_num");
			
			query += (isValidStr(query)?"&":"") + "order=post";
			currentQuery[toPage] = query;
		}
		if (options.earned) {
			query = processQuery(query, "order=earned");
			query = processQuery(query, "order=post");
			query = processQuery(query, "order=hot");
			query = processQuery(query, "order=follower_num");
			
			query += (isValidStr(query)?"&":"") + "order=earned";
			currentQuery[toPage] = query;
		}
		if (options.hot) {
			query = processQuery(query, "order=hot");
			query = processQuery(query, "order=post");
			query = processQuery(query, "order=earned");
			query = processQuery(query, "order=follower_num");
			
			query += (isValidStr(query)?"&":"") + "order=hot";
			currentQuery[toPage] = query;
		}
		if (options.follower_num) {
			query = processQuery(query, "order=follower_num");
			query = processQuery(query, "order=post");
			query = processQuery(query, "order=hot");
			query = processQuery(query, "order=earned");
			
			query += (isValidStr(query)?"&":"") + "order=follower_num";
			currentQuery[toPage] = query;
		}
		//----------------------------------/
		
		//-------------过滤的选择-----------\
		if (options.all) {
			query = processQuery(query, "my_follow=1");
			query = processQuery(query, "my_blocked=1");
			
			currentQuery[toPage] = query;
		}
		if (options.my_follow) {
			query = processQuery(query, "my_follow=1");
			query = processQuery(query, "my_blocked=1");
			query += (isValidStr(query)?"&":"") + "my_follow=1";
			
			currentQuery[toPage] = query;
		}
		if (options.my_blocked) {
			query = processQuery(query, "my_blocked=1");
			query = processQuery(query, "my_follow=1");
			query += (isValidStr(query)?"&":"") + "my_blocked=1";
			
			currentQuery[toPage] = query;
		}
		//---------------------------------/
		//-------------时间段的选择-----------\
		if (options.today) {
			query = processQuery(query, "period=today");
			query = processQuery(query, "period=week");
			query = processQuery(query, "period=month");
			query = processQuery(query, "period=year");
			query += (isValidStr(query)?"&":"") + "period=today";
			
			currentQuery[toPage] = query;
		}
		if (options.week) {
			query = processQuery(query, "period=week");
			query = processQuery(query, "period=today");
			query = processQuery(query, "period=month");
			query = processQuery(query, "period=year");
			query += (isValidStr(query)?"&":"") + "period=week";
			
			currentQuery[toPage] = query;
		}
		if (options.month) {
			query = processQuery(query, "period=month");
			query = processQuery(query, "period=today");
			query = processQuery(query, "period=week");
			query = processQuery(query, "period=year");
			query += (isValidStr(query)?"&":"") + "period=month";
			
			currentQuery[toPage] = query;
		}
		if (options.year) {
			query = processQuery(query, "period=year");
			query = processQuery(query, "period=today");
			query = processQuery(query, "period=week");
			query = processQuery(query, "period=month");
			query += (isValidStr(query)?"&":"") + "period=year";
			
			currentQuery[toPage] = query;
		}
		
		//-------------------------------------/
		
		if (options.toSelector) {
			toSelector = options.toSelector;
			pageOnLoad($(toSelector));
			
			contentDOM.find(".show_more_clear").removeClass('bb_clear');
			contentDOM.find(".more_form").hide();
			stealth = true;
		}
	} else if (options == undefined || options.reload == undefined) {
		toSelector = '.producer_container-';
	}
	
	var rowsperpage = 20;
	
	var url = activeURL + "/api/producer.php?page=" + nextPage + "&rowsperpage=" + rowsperpage + "";
	if (isValidStr(query)) {
		url = url + "&" + query;
	}
	showSearchTagFooter('hide');
	var title = usingLang.home_producer;
	if (options != undefined && isValidStr(options.title)) {
		title = options.title;
	}
	if (toSelector.indexOf('#content') != -1) {			//整个页面完全重载
		howManyPagesShowed = 1;
		if (currentPageNo == toPage) {		//如果不进行页面跳转, 则显示layer读取效果
			stealth = false;
		} else {				//跳转到指定页面
			if (options != undefined && options.reload_prev_page) {		//说明读取的内容在上一页, 要重新载入上一页的内容.(一般情况下是不会去重载上一页的, 像回退)
				goToPage(toPage, title, true);
			} else {
				goToPage(toPage, title);
			}
		}
	} else if (options != undefined && options.reload) {	//也是重载的一种, 点顶部的分页会这样
		howManyPagesShowed = 1;
	} else {
		howManyPagesShowed++;
	}
	cornerLoading('stop', 'ALL');
	//alert(url);
	
	var stats_period = 'week';
	if (url.indexOf('period=today') !== -1) {
		stats_period = 'today';
	} else if (url.indexOf('period=week') !== -1) {
		stats_period = 'week';
	} else if (url.indexOf('period=month') !== -1) {
		stats_period = 'month';
	} else if (url.indexOf('period=year') !== -1) {
		stats_period = 'year';
	}
	loadUrl(url, function(data){
		//---------因为当前页是读入视频json数据，所以删除当前页的其他json数据---------\
		pictureDataInMemory[toPage] = null;
		delete pictureDataInMemory[toPage];
		videoDataInMemory[toPage] = null;
		delete videoDataInMemory[toPage];
		//-------------------------------------------------------------------/
		$('.css3_loading_container').remove();
		//---------------------数据准备------------------\
		if (data.producers != undefined && data.producers.length) {
			if (formSelector != null && formSelector != undefined && formSelector.indexOf('more_form') !== -1) {
				var pagintationContainerDOM = $('.current_page .pagination_page_container');
				pagintationContainerDOM.find('.pagination_current').removeClass('pagination_current').next().addClass('pagination_current');
			}
			for (var i in data.producers) {
				var thisProducer = data.producers[i];
				data.producers[i].post_bar_width = parseInt(thisProducer.percentage[stats_period + '_post'] * 100, 10);
				if (data.producers[i].post_bar_width > 18) data.producers[i].post_bar_width = 18;
				data.producers[i].post_num = thisProducer[stats_period + '_post'];
				data.producers[i].earned_bar_width = parseInt(thisProducer.percentage[stats_period + '_earned'] * 100, 10);
				if (data.producers[i].earned_bar_width > 18) data.producers[i].earned_bar_width = 18;
				data.producers[i].earned_percentage = parseInt(thisProducer.percentage[stats_period + '_earned'] * 100, 10);
				data.producers[i].hot_bar_width = parseInt(thisProducer.percentage.hot * 100, 10);
				if (data.producers[i].hot_bar_width > 18) data.producers[i].hot_bar_width = 18;
				data.producers[i].hot_percentage = parseInt(thisProducer.percentage.hot * 100, 10);
				//alert(data.producers[i].post_bar_width);
			}
			
			
			//------------处理分页对象------------\
			var tplPaginationOBJ = {pagination_source_type:'producer'};
			var totalPages = Math.ceil(parseInt(data.total_producer_num, 10) / rowsperpage);
			var pagination_list = new Array();
			for (var paginationNumber = 1; paginationNumber <= totalPages; paginationNumber++) {
				var paginationOBJ = {page_num:paginationNumber};
				if (data.page != undefined && parseInt(data.page, 10) > 0 && paginationNumber == data.page) {
					paginationOBJ.pagination_current_class = 'pagination_current';
				}
				pagination_list.push(paginationOBJ);
			}
			if (pagination_list.length) {
				tplPaginationOBJ.pagination_list = pagination_list;
			}
			//---------------------------------/
			var paginationDOM = $('#pagination_container');
			
		}
		//-----------------------------------------/
		tplObj.show_more = data.show_more;
		tplObj.page = data.page;
		tplObj.producer_list = data.producers;
		
		//----------同时显示的页面太多了的话就设置为重载------------\
		if (howManyPagesShowed > howManyPagesShowedLimit) {
			toSelector = '.producer_container';
			if (options == undefined) {
				options = {reload:1};
			} else {
				options.reload = 1;
			}
			howManyPagesShowed = 1;
		}
		//----------------------------------------------------/
		if (options != undefined && options.reload) {
			if (data.producers != undefined && data.producers.length) {
				if (toSelector.indexOf('#content') != -1) {			//整个页面完全重载
					contentDOM.find(".show_more_clear").remove();
					contentDOM.find(".more_form").remove();
					
					initTemplate("producer_top_template", function(topTPL){
						$('.current_page .below_title_container').remove();
						rendTemplate(topTPL, tplObj, {replaceIntoSelector:toPageTopSelector + '-'});
						
						//-----必须要计算toPageSelector的高度并设置才能出现滚动条------\
						var scrollHeight = calcScrollableHeight($('.page_' + toPage));
						$(toPageSelector).css('height', scrollHeight + 'px');
						//-------------------------------------------------------/
					});
					
					initTemplate("producer_template", function(producerTPL){
						rendTemplate(producerTPL, tplObj, {replaceIntoSelector:toSelector, partial_source_id:"producer_item_template",partial_target_id:"producer_item_template_partial"});
						showMoneyLayer('hide');
						if (data.show_more) {		//如果还有下一页, 绑定页面滚动快到底部时的自动加载下一页功能
							runningScrollToBottomArr[toPage] = function(){
								if (checkHasMore()) {
									getProducer('.current_page .more_form');
								}
							};
							bindScrollToBottom('.page_' + toPage, '.page_main', '.producer_container', true, runningScrollToBottomArr[toPage]);
						} else {					//如果没有下一页了, 取消自动加载绑定
							runningScrollToBottomArr[toPage] = undefined;
							bindScrollToBottom('.page_' + toPage, '.page_main', '.producer_container', false);
						}
						//-----------顶部排序的高亮效果--------------\
						$('.producer_list_menu_order_container .producer_list_menu_item').removeClass('producer_list_menu_item_on');
						if (options.post) {
							$('.producer_list_menu_item_post').addClass('producer_list_menu_item_on');
						} else if (options.earned) {
							$('.producer_list_menu_item_earned').addClass('producer_list_menu_item_on');
						} else if (options.hot) {
							$('.producer_list_menu_item_hot').addClass('producer_list_menu_item_on');
						} else if (options.follower_num) {
							$('.producer_list_menu_item_follower_num').addClass('producer_list_menu_item_on');
						} else {
							$('.producer_list_menu_item_default_order').addClass('producer_list_menu_item_on');
						}
						//---------------------------------------/
						
						//-----------顶部过滤菜单的高亮效果--------------\
						$('.producer_list_menu_filter_container .producer_list_menu_item').removeClass('producer_list_menu_item_filter_on');
						if (options != undefined) {
							if (options.my_follow) {
								$('.producer_list_menu_item_my_follow').addClass('producer_list_menu_item_filter_on');
							} else if (options.my_blocked) {
								$('.producer_list_menu_item_my_blocked').addClass('producer_list_menu_item_filter_on');
							} else {
								$('.producer_list_menu_item_default_filter').addClass('producer_list_menu_item_filter_on');
							}
						} else {
							$('.producer_list_menu_item_default_filter').addClass('producer_list_menu_item_filter_on');
						}
						//------------------------------------------/
						
						//-----------顶部时段菜单的高亮效果--------------\
						$('.producer_list_menu_period_container .producer_list_menu_item').removeClass('producer_list_menu_item_period_on');
						if (options != undefined) {
							if (options.today) {
								$('.producer_list_menu_item_today').addClass('producer_list_menu_item_period_on');
							} else if (options.week) {
								$('.producer_list_menu_item_week').addClass('producer_list_menu_item_period_on');
							} else if (options.month) {
								$('.producer_list_menu_item_month').addClass('producer_list_menu_item_period_on');
							} else if (options.year) {
								$('.producer_list_menu_item_year').addClass('producer_list_menu_item_period_on');
							} else {
								$('.producer_list_menu_item_default_period').addClass('producer_list_menu_item_period_on');
							}
						} else {
							$('.producer_list_menu_item_default_period').addClass('producer_list_menu_item_period_on');
						}
						//------------------------------------------/
						paginationDOM = addPaginationDOM(tplPaginationOBJ, toPage);
					});
					
				} else  {
					initTemplate("producer_item_template", function(producerTPL){
						$('.page_' + toPage + ' .page_main').scrollTop(0);		//将可滚动页面的滚动条置于顶部, 避免接下来页面重载的时候, 滚动条高度任何保留着重载前的很低的位置, 导致bindScrollToBottom被触发, 读取到下下一页
						if (parseInt(data.show_more, 10) == 1) {
							$("#current_page").val(data.page);
							contentDOM.find(".show_more_clear").addClass('bb_clear');
							contentDOM.find(".more_form").show();
						} else {
							contentDOM.find(".show_more_clear").removeClass('bb_clear');
							contentDOM.find(".more_form").hide();
						}
						rendTemplate(producerTPL, tplObj, {replaceIntoSelector:toSelector});
						
						if (!options.pagination) {		//不是点击的分页, 那就是来自过滤按钮
							//因为是过滤了内容, 所以分页界面要重新渲染
							paginationDOM = addPaginationDOM(tplPaginationOBJ, toPage);
						}
					});
				}
				
			}
		} else {
			initTemplate("producer_item_template", function(producerTPL){
				if (parseInt(data.show_more, 10) == 1) {
					$("#current_page").val(data.page);
				} else {
					contentDOM.find(".show_more_clear").removeClass('bb_clear');
					contentDOM.find(".more_form").hide();
				}
				rendTemplate(producerTPL, tplObj, {replaceIntoSelector:toSelector});
			});
		}
	}, "post", true, stealth);
}

function orderProducer(btnDOM, act) {			//这个函数只可以在列表显示状态下才会生效
	var producerOptions = {reload:1, page:1, toSelector:'.producer_container', add_query:1};
	$('.producer_list_menu_order_container .producer_list_menu_item').removeClass('producer_list_menu_item_on');
	btnDOM.addClass('producer_list_menu_item_on');
	//-----------切换排序都从第一页开始显示-------------\
	var pagintationContainerDOM = $('.current_page .pagination_page_container');
	pagintationContainerDOM.find('.pagination_current').removeClass('pagination_current');
	pagintationContainerDOM.find('.pagination_1').addClass('pagination_current');
	//----------------------------------------------/
	if (act == 'post') {
		producerOptions.post = 1;
	} else if (act == 'earned') {
		producerOptions.earned = 1;
	} else if (act == 'hot') {
		producerOptions.hot = 1;
	} else if (act == 'follower_num') {
		producerOptions.follower_num = 1;
	}
	getProducer(undefined, producerOptions); 
}

function filterProducer(btnDOM, act) {			//这个函数只可以在视频列表显示状态下才会生效
	var producerOptions = {reload:1, page:1, toSelector:'.producer_container', add_query:1};
	$('.producer_list_menu_filter_container .producer_list_menu_item').removeClass('producer_list_menu_item_filter_on');
	btnDOM.addClass('producer_list_menu_item_filter_on');
	
	//-----------切换排序都从第一页开始显示-------------\
	var pagintationContainerDOM = $('.current_page .pagination_page_container');
	pagintationContainerDOM.find('.pagination_current').removeClass('pagination_current');
	pagintationContainerDOM.find('.pagination_1').addClass('pagination_current');
	//----------------------------------------------/
	if (act == 'my_follow') {
		producerOptions.my_follow = 1;
	} else if (act == 'my_blocked') {
		producerOptions.my_blocked = 1;
	} else {
		producerOptions.all = 1;
	}
	getProducer(undefined, producerOptions); 
}

function periodProducer(btnDOM, act) {
	var producerOptions = {reload:1, page:1, toSelector:'.producer_container', add_query:1};
	$('.producer_list_menu_period_container .producer_list_menu_item').removeClass('producer_list_menu_item_period_on');
	btnDOM.addClass('producer_list_menu_item_period_on');
	
	//-----------切换排序都从第一页开始显示-------------\
	var pagintationContainerDOM = $('.current_page .pagination_page_container');
	pagintationContainerDOM.find('.pagination_current').removeClass('pagination_current');
	pagintationContainerDOM.find('.pagination_1').addClass('pagination_current');
	//----------------------------------------------/
	if (act == 'today') {
		producerOptions.today = 1;
	} else if (act == 'week') {
		producerOptions.week = 1;
	} else if (act == 'month') {
		producerOptions.month = 1;
	} else if (act == 'year') {
		producerOptions.year = 1;
	}
	getProducer(undefined, producerOptions); 
}

