function showThemePage() {
	var toPage = 2;
	var toPageSelector = '.page_' + toPage;
	var toPageTopSelector = toPageSelector + ' > .page_top';
	var toPageMainSelector = toPageSelector + ' > .page_main';
	var contentDOM = $("#content " + toPageMainSelector);
	goToPage(toPage, '切换站点');
	
	getThemes(10, 1, function(result, num, more){
		if (result != undefined && result.length) {
			for (var i in result) {
				if (mySetting != undefined && mySetting.theme_id != undefined && result[i].id == mySetting.theme_id) {
					result[i].is_current = 1;
				}
			}
			var tplOBJ = {theme_list: result};
			initTemplate("theme_list_template", function(themeTPL){
				var themeTPL = rendTemplate(themeTPL, tplOBJ, {replaceIntoSelector:'#content ' + toPageMainSelector});
			});
		} else {
			contentDOM.html('<div style="text-align:center; padding-top:32px;">没有其他站点可用</div>');
		}
	});
}

function switchTheme(themeID) {
	getTheme(themeID, function(themeData){
		if (themeData != null) {
			saveSetting({theme_id:themeID}, function(){
				if (isValidStr(themeData.url)) {
					var themeURLArr = themeData.url.split(',');
					URLArr = themeURLArr;
					activeURL = URLArr[0];
					saveActiveURL(activeURL, function(){
						goToPage(1);
						initApp(false);
					});
				} else {
					alert('程序错误, 站点没有设置网址');
				}
			});
		} else {
			alert('程序错误, 无法找到站点数据');
		}
	});
}