

function getVideoListThumbDim() {
	var width1 = parseInt(deviceInfo.width * 0.382, 10);
	var width2 = parseInt(width1 / 2, 10);
	var height2 = parseInt(width2 * 3 / 4, 10);		//就按照4:3的比例
	return {width1:width1, width2:width2, height2:height2};
}

function submitFollow(toUID, btnDOM, changeColor, textPrefix) {
	if (toUID > 0) {
		var isFollowed = parseInt(btnDOM.attr('isFollowed'), 10);
		if (isFollowed === 0 || isFollowed === 1) {
			if (isFollowed) {
				var postType = 2;
			} else {
				var postType = 1;
			}
			var extraPost = {type:postType, from_uid:mySetting.uid, to_uid:toUID};
			loadUrl(activeURL + "/ajax/user_originator_follow.php", function(data){
				if (data.code > 0) {
					if (isFollowed) {
						btnDOM.attr('isFollowed', '0').html((textPrefix != undefined?'+ ':'') + usingLang.follow_user_add_follow);
						if (changeColor === 1) {
							btnDOM.css('color', 'green');
						}
					} else {
						bb_alert(usingLang.follow_user_done);
						btnDOM.attr('isFollowed', '1').html((textPrefix != undefined?'- ':'') + usingLang.follow_user_remove_follow);
						if (changeColor === 1) {
							btnDOM.css('color', 'red');
						}
					}
				} else {
	                bb_alert(data.info);
	                if (isFollowed) {
						btnDOM.attr('isFollowed', '0').html((textPrefix != undefined?'+ ':'') + usingLang.follow_user_add_follow);
						if (changeColor === 1) {
							btnDOM.css('color', 'green');
						}
					} else {
						btnDOM.attr('isFollowed', '1').html((textPrefix != undefined?'- ':'') + usingLang.follow_user_remove_follow);
						if (changeColor === 1) {
							btnDOM.css('color', 'red');
						}
					}
	            }
			}, "post", true, false, extraPost);
		} else {
			alert('程序错误，submitFollow的btnDOM缺少isFollowed');
		}
	}
	
}

function addDownloadedStatusToVideoList(videoList) {
	if (videoList != undefined && videoList.length) {
		for (var i in videoList) {
			var serverID = videoList[i].id;
			getDownloadedVideo(undefined, serverID, undefined, undefined, function(downloadedVideos){
				if (downloadedVideos != undefined && downloadedVideos != null && downloadedVideos.length) {
					var videoItemDOM = $("#video_list_item_" + downloadedVideos[0].tid);
					videoItemDOM.find('.video_list_video_downloaded').show();
				}
			});
			getTableRows('downloading_videos', ' tid = ' + serverID + ' ', undefined, function(downloadingVideoRows){
				if (downloadingVideoRows != false && downloadingVideoRows != null) {
					var thisDownloadingVideo = downloadingVideoRows[0];
					var videoItemDOM = $("#video_list_item_" + thisDownloadingVideo.tid + ' .video_list_thumb_container');
					renderVideoDownloadingStatus(thisDownloadingVideo.tid, thisDownloadingVideo.quality, undefined, videoItemDOM, undefined, usingLang.downloading_downloaded + thisDownloadingVideo.percentage + '%' + '');
				}
			});
		}
	}
}


function orderVideo(btnDOM, act) {			//这个函数只可以在视频列表显示状态下才会生效
	$('.video_list_menu_order_container .video_list_menu_item').removeClass('video_list_menu_item_on');
	btnDOM.addClass('video_list_menu_item_on');
	if (act == 'newest') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', newest:1, add_query:1}); 
	} else if (act == 'price') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', price:1, add_query:1});
	} else if (act == 'hot') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', hot:1, add_query:1});
	} else if (act == 'fav') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', order_fav:1, add_query:1});
	} else if (act == 'default_order') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', default_order:1, add_query:1});
	} else if (act == 'duration') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', duration:1, add_query:1});
	}
}

function bestSellerVideo(btnDOM, act) {			//这个函数只可以在视频列表显示状态下才会生效
	$('.video_list_menu_best_seller_container .video_list_menu_item').removeClass('video_list_menu_item_on');
	btnDOM.addClass('video_list_menu_item_on');
	if (act == 'day_purchased') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', day_purchased:1, add_query:1}); 
	} else if (act == 'week_purchased') {
		getGalleryVideos(undefined, {reload:1, toSelector:'.gallery_container', week_purchased:1, add_query:1});
	}
}

function filterVideo(btnDOM) {			//这个函数只可以在视频列表显示状态下才会生效
	var listMenuGroupNo = parseInt(btnDOM.attr('listMenuGroupNo'), 10);
	if (isNaN(listMenuGroupNo) && listMenuGroupNo == null) listMenuGroupNo = 0;
	
	var videoOptions = {reload:1, toSelector:'.gallery_container', add_query:1};
	
	var containerDOM = $('.video_list_menu_filter_container');
	var menuItemDOM = containerDOM.find('.video_list_menu_item');
	menuItemDOM.each(function(){
		var thisListMenuGroupNo = parseInt($(this).attr('listMenuGroupNo'), 10);
		if ($(this).text() !== btnDOM.text()) {
			if (listMenuGroupNo === 0 || thisListMenuGroupNo === 0 || thisListMenuGroupNo === listMenuGroupNo) {
				$(this).removeClass('video_list_menu_item_filter_on');
			}
		}
	});
	if (!btnDOM.hasClass('video_list_menu_item_filter_on')) {
		btnDOM.addClass('video_list_menu_item_filter_on');
	} else {
		var howManyOn = containerDOM.find('.video_list_menu_item_filter_on').length;
		if (howManyOn > 1) {		//原先选中，而且还选了其他的，那就取消当前的选择
			btnDOM.removeClass('video_list_menu_item_filter_on');
			videoOptions.remove_query = btnDOM.attr('filterAction');
		}
	}
	var filterOnDom = containerDOM.find('.video_list_menu_item_filter_on');
	filterOnDom.each(function(){
		var thisAction = $(this).attr('filterAction');
		videoOptions[thisAction] = 1;
	});
	getGalleryVideos(undefined, videoOptions); 
}



function showMoneyLayer(act){
	$('#my_money_amount').remove();
	$('#my_diamond_amount').remove();
	$('#add_money_btn').remove();
	$('#add_diamond_btn').remove();
	
	if (act == 'show') {
		showCreateLiveStream('hide');
		
		if (!hideAppStoreRelated) {
			initTemplate("my_money_template", function(myMoneyTPL){
				var moneyObj = {};
				if (myMoney != undefined && myMoney != null && myMoney != '') {
					moneyObj.my_money = parseInt(myMoney, 10);
				} else {
					moneyObj.my_money = 0;
				}
				rendTemplate(myMoneyTPL, moneyObj, {replaceIntoSelector:'.current_page .page_top+'});
			});
			initTemplate("my_diamond_template", function(myDiamondTPL){
				var diamondObj = {};
				if (myDiamond != undefined && myDiamond != null && myDiamond != '') {
					diamondObj.my_diamond = parseInt(myDiamond, 10);
				} else {
					diamondObj.my_diamond = 0;
				}
				rendTemplate(myDiamondTPL, diamondObj, {replaceIntoSelector:'.current_page .page_top+'});
			});
			initTemplate("how_to_get_money_template", function(htgmTPL){
				htgmTPL = doRendTemplate(htgmTPL);
				$('.current_page .page_top').prepend(htgmTPL);
			});
			initTemplate("how_to_get_diamond_template", function(htgmTPL){
				htgmTPL = doRendTemplate(htgmTPL);
				$('.current_page .page_top').prepend(htgmTPL);
			});
		}
		
	}
}



function showVideoDetail(vID) {
	hideFuli($('#fuli_container'));
	cookVideoJSON(vID, function(vID, cookedVideoJSON) {
		//photo cached
		autoLoadNextVideoPage(cookedVideoJSON, function(returnVideoJSON){
			var popupDOM = rendVideoLayer(vID, returnVideoJSON, {layer_width:returnVideoJSON.layer_width, layer_height:returnVideoJSON.layer_height});
			cacheSidePhoto(returnVideoJSON);			//这是图片区的功能, 暂时可以通用
			showVideoDetailHowToUse(vID);
		});
	}, function(vID, cookedVideoJSON){
		//photo not cached
		autoLoadNextVideoPage(cookedVideoJSON, function(returnVideoJSON){
			var popupDOM = rendVideoLayer(vID, returnVideoJSON, {layer_width:returnVideoJSON.layer_width, layer_height:returnVideoJSON.layer_height});
			cachePopupImage(vID, returnVideoJSON.path, popupDOM, function(){
				cacheSidePhoto(returnVideoJSON);
				showVideoDetailHowToUse(vID);
			});
		});
	});
	
}

function showVideoListHowToUse() {
	var paginationDOM = $('.current_page #pagination_container');
	if (paginationDOM.length) {
		getTableRows('how_to_use', '', undefined, function(howToUseRows){
			if (howToUseRows != null && howToUseRows != undefined && howToUseRows.length > 0) {
				var howToUseData = howToUseRows[0];
				var isShowVideoListHowToUse = (howToUseData['video_list']?0:1);
			} else {
				var isShowVideoListHowToUse = 1;
			}
			if (isShowVideoListHowToUse) {
				var htuHTML = $('#how_to_use_video_list_template').html();
				var firstVideoThumbDOM = $('.video_list_thumb_all_container:first');
				var leftWidth = firstVideoThumbDOM.width();
				var leftHeight = firstVideoThumbDOM.height();
				var leftTop = parseInt((leftHeight / 2 - 50), 10);
				var leftTopDistance = firstVideoThumbDOM.offset().top;
				
				
				var firstVideoDetailDOM = $('.video_list_detail_container:first');
				var rightWidth = firstVideoDetailDOM.width();
				var rightHeight = firstVideoDetailDOM.height();
				var maxHeight = parseInt(deviceInfo.height / 2, 10);
				if (rightHeight > maxHeight) {
					var rightTop = parseInt((maxHeight / 2 - 50), 10);
				} else {
					var rightTop = parseInt((rightHeight / 2 - 50), 10);
				}
				var rightTopDistance = firstVideoDetailDOM.offset().top;
				
				var bottomFromTop = paginationDOM.offset().top;
				var bottomWidth = deviceInfo.width;
				var bottomHeight = paginationDOM.height();
				
				
				var tplObj = {
					left_width: leftWidth, 
					right_width: rightWidth, 
					left_height: leftHeight, 
					right_height: rightHeight, 
					left_top:leftTop, 
					right_top:rightTop, 
					left_top_distance: leftTopDistance, 
					right_top_distance: rightTopDistance, 
					bottom_top: bottomFromTop,
					bottom_width: bottomWidth,
					bottom_height: bottomHeight,
					full_height: deviceInfo.height,
					max_height: maxHeight
				};
				htuHTML = doRendTemplate(htuHTML, tplObj);
				$('body').prepend('<div class="how_to_use_bg" style="height:' + deviceInfo.height + 'px;"></div>');
				$('.how_to_use_bg').html('' + htuHTML + '');
				updateTable('how_to_use', '1', {video_list:1}, undefined);
			}
		});
	}
}

function showVideoDetailHowToUse(videoID) {
	//---------显示how_to_use---------\
	getTableRows('how_to_use', '', undefined, function(howToUseRows){
		if (howToUseRows != null && howToUseRows != undefined && howToUseRows.length > 0) {
			var howToUseData = howToUseRows[0];
			var showVideoLayerHowToUse = (howToUseData['video_layer']?0:1);
		} else {
			var showVideoLayerHowToUse = 1;
		}
		if (showVideoLayerHowToUse) {
			var htuHTML = $('#how_to_use_video_layer_template').html();
			var videoThumbListDOM = $('#video_layer_' + videoID + ' .video_thumb_list');
			var fromTopDistance = videoThumbListDOM.offset().top;
			if (fromTopDistance <= 0 || isNaN(fromTopDistance)) {
				fromTopDistance = Math.floor(deviceInfo.height / 2);
			}
			htuHTML = doRendTemplate(htuHTML, {top: fromTopDistance, full_height: deviceInfo.height});
			$('body').prepend('<div class="how_to_use_bg" style="height:' + deviceInfo.height + 'px;"></div>');
			$('.how_to_use_bg').html('' + htuHTML + '');
			updateTable('how_to_use', '1', {video_layer:1}, undefined);
		}
	});
	//-------------------------------/
}


function bindVideoPasswordToChildBrowser(ref, videoPassword) {
	if (isValidStr(videoPassword)) {
		ref.addEventListener('loadstop', function(event) {
			/*if (deviceInfo.device == 'android') {
				alert('文件提取密码为: ' + videoPassword);
			} else {*/
				var exeCode = "";
				exeCode += "var passwordHTML = \"<div style='font-size:12px; text-align:center; font-weight:bold; padding:6px; background:#ebebeb; border:1px grey solid;'>文件提取码为: " + videoPassword + "<br />系统在努力尝试自动输入提取码并提交</div>\";";
				exeCode += "$('body').append(passwordHTML);";
				exeCode += "var inputDOM = $('input[name=accessCode]');";
				exeCode += "if (inputDOM.length) {";
				exeCode += "	$('input[name=accessCode]').val('" + videoPassword + "');";
				exeCode += "	var submitDOM = $('#getfileBtn');";
				exeCode += "	if (submitDOM.length) {";
				exeCode += "		submitDOM.trigger('click');";
				exeCode += "		submitDOM.html('提交中...');";
				exeCode += "	}";
				exeCode += "}";
				
				ref.executeScript({code: exeCode});
			//}
		});
	}
}




function internetConnectionWarning(acceptCallback) {
	if (warningForInternetConnect) {
		if (internetConnect == '2g' || internetConnect == '3g' || internetConnect == '4g') {
			ft_confirm(usingLang.internet_connection_warning1 + internetConnect.toUpperCase() + usingLang.internet_connection_warning2, function(result){
				if (result == true) {
					warningForInternetConnect = 0;		//一次运行只提醒一次
					acceptCallback();
				}
			}, internetConnect.toUpperCase() + usingLang.internet_connection_warning3);
		} else {
			acceptCallback();
		}
	} else {
		acceptCallback();
	}
	
}


function sendVideoAccess(videoID, pageNo, jsonOBJ, countryCode) {
	//转移到服务器上了
}

function switchRepoSource(videoID, toCountryCode) {
	sendVideoAccess(videoID, undefined, undefined, toCountryCode);
}

function switchVideoPlaySource(url, tid, quality, btnDOM) {
	
}

function addButtonToVideoJS(myPlayer) {
	if ($('.vjs-ft-custom-goslow').length <= 0) {
		var buttonComponent = videojs.getComponent("Button");
		var customButton = videojs.extend(buttonComponent, {
			constructor: function(myPlayer, options) {
				buttonComponent.call(this, myPlayer, options);
			},
			handleClick: function() {
				//do something on click for example
				if (parseInt(myPlayer.player().playbackRate(), 10) === 1) {
					myPlayer.player().playbackRate(0.4);
					$('.vjs-ft-custom-goslow').removeClass('vjs-ft-custom-goslow').addClass('vjs-ft-custom-gonormal');
				} else {
					myPlayer.player().playbackRate(1);
					$('.vjs-ft-custom-gonormal').removeClass('vjs-ft-custom-gonormal').addClass('vjs-ft-custom-goslow');
				}
				
			},
			buildCSSClass: function() {
				return "vjs-ft-custom-goslow vjs-control vjs-button";
			}
		});
		videojs.registerComponent("customButton", customButton);
		myPlayer.getChild("controlBar").addChild("customButton", {});
	}
	
	if ($('.vjs-ft-custom-bw').length <= 0) {
		var buttonComponent = videojs.getComponent("Button");
		var customButton = videojs.extend(buttonComponent, {
			constructor: function(myPlayer, options) {
				buttonComponent.call(this, myPlayer, options);
			},
			handleClick: function() {
				//do something on click for example
				//alert('backward');
				myPlayer.currentTime(myPlayer.currentTime() - 10);
			},
			buildCSSClass: function() {
				return "vjs-ft-custom-bw vjs-control vjs-button";
			}
		});
		videojs.registerComponent("customButton", customButton);
		myPlayer.getChild("controlBar").addChild("customButton", {});
	}
	
	if ($('.vjs-ft-custom-ff').length <= 0) {
		var buttonComponent = videojs.getComponent("Button");
		var customButton = videojs.extend(buttonComponent, {
			constructor: function(myPlayer, options) {
				buttonComponent.call(this, myPlayer, options);
				//this.controlText("12");
			},
			handleClick: function() {
				//do something on click for example
				//alert('forward');
				myPlayer.currentTime(myPlayer.currentTime() + 10);
			},
			buildCSSClass: function() {
				return "vjs-ft-custom-ff vjs-control vjs-button";
			}
		});
		videojs.registerComponent("customButton", customButton);
		myPlayer.getChild("controlBar").addChild("customButton", {});
	}
	
}

function bindVideoPlayOrientation(playerID) {
	
}






function loadVideoPageAvatar(avatar) {
	//----------需要页面加载完成后才处理的程序------------\
	var localAvatarArr = new Array();
	localAvatarArr.push({
		selector: ".uploader_info_avatar", 
		url: avatar
	});
	renderLocalImage(localAvatarArr, "avatar", "background");
	//---------------------------------------------/
}

function renderPlayer(videoID, onPlayCallback) {
	
}

function getVideoSourceObj(tid, bitrates) {
	var sourceObjArr = new Array();
	if (bitrates != undefined && bitrates.length) {
		for (var i in bitrates) {
			var qualityLabel = getQualityLabel(bitrates[i].quality);
			var isDefault = false;
			var dimensionDesc = '';
			if (bitrates[i].quality == 'low') {
				isDefault = true;
				dimensionDesc = '320 x 180';
			} else if (bitrates[i].quality == 'med') {
				dimensionDesc = '640 x 360';
			} else if (bitrates[i].quality == 'high') {
				dimensionDesc = '1280 x 720';
			} else if (bitrates[i].quality == 'org') {
				dimensionDesc = usingLang.video_dimension_org;
			}
			sourceObjArr.push(
				{'id': tid, 'file': bitrates[i].http_url, 'quality': bitrates[i].quality, 'qualityLabel': qualityLabel, 'is_default': isDefault, 'size_bytes': bitrates[i].size_bytes, 'color_no': i, 'dimension_desc': dimensionDesc}
			);
		}
	}
	return sourceObjArr;
}

function getQualityLabel(shortName) {
	if (shortName == 'low') {
		return usingLang.video_quality_label_low;
	} else if (shortName == 'med') {
		return usingLang.video_quality_label_med;
	} else if (shortName == 'high') {
		return usingLang.video_quality_label_high;
	} else if (shortName == 'org') {
		return usingLang.video_quality_label_org;
	} else {
		return usingLang.video_quality_label_unknow;
	}
}



var resumeDownload;

function copyText(copyingText, callback) {
	if (copyingText == undefined) {
		bb_alert(usingLang.copy_text_empty);
	} else if (cordova.plugins == undefined || cordova.plugins.clipboard == undefined) {
		alert(usingLang.copy_text_error + copyingText);
	} else {
		cordova.plugins.clipboard.copy(copyingText, function(){
			callback(copyingText);
		});
	}
	
}

function checkMaxVideoDownloadingNum(statusSelector1, statusSelector2, tid, url, quality, justSave, pageNoForVideoDownload, videoJSON, resumeBytes, callback) {
	getTableRows('downloading_videos', undefined, undefined, function(downloadingVideoRows) {
		//--------同时只允许下载gMaxDownloadingNum部视频，而且不是续传-------\
		if (downloadingVideoRows != null && downloadingVideoRows.length) {
			var downloadingNumExceptThisOne = 0;
			for (var i in downloadingVideoRows) {
				if (parseInt(downloadingVideoRows[i].tid, 10) === parseInt(tid, 10) && downloadingVideoRows[i].quality == quality) {
					
				} else {
					downloadingNumExceptThisOne++;
				}
			}
			if (downloadingNumExceptThisOne >= gMaxDownloadingNum) {
				bb_alert(usingLang.video_download_max_reached1 + gMaxDownloadingNum + usingLang.video_download_max_reached2);
				callback(true);
			} else {
				callback(false, statusSelector1, statusSelector2, tid, url, quality, justSave, pageNoForVideoDownload, videoJSON, resumeBytes);
			}
		} else {
			callback(false, statusSelector1, statusSelector2, tid, url, quality, justSave, pageNoForVideoDownload, videoJSON, resumeBytes);
		}
		//--------------------------------------------------------------/
	});
}


function startVideoDownload(statusSelector1, statusSelector2, tid, url, quality, justSave, pageNoForVideoDownload, videoJSON, resumeBytes) {
	checkMaxVideoDownloadingNum(statusSelector1, statusSelector2, tid, url, quality, justSave, pageNoForVideoDownload, videoJSON, resumeBytes, function(isExceededMaxNum, statusSelector1, statusSelector2, tid, url, quality, justSave, pageNoForVideoDownload, videoJSON, resumeBytes){
		if (!isExceededMaxNum) {
			//------初始化chunkDownloadProgressOBJ-------\
			chunkDownloadProgressOBJ[tid + '_' + quality] = {};
			if (resumeBytes != undefined && parseInt(resumeBytes, 10) >= 0) {
				chunkDownloadProgressOBJ[tid + '_' + quality].total_loaded = parseInt(resumeBytes, 10);
			} else {
				chunkDownloadProgressOBJ[tid + '_' + quality].total_loaded = 0;
			}
			chunkDownloadProgressOBJ[tid + '_' + quality].bytes_speed = 0;
			chunkDownloadProgressOBJ[tid + '_' + quality].worker_num = 0;
			//------------------------------------------/
			
			renderVideoDownloadingStatus(tid, quality, $(statusSelector1), $(statusSelector2), 0);
			downloadSpeedOBJ[tid + '_' + quality] = {};
			downloadSpeedOBJ[tid + '_' + quality]['bytes_new'] = 0;
			downloadSpeedOBJ[tid + '_' + quality]['downloading_counter'] = 0;
			downloadSpeedOBJ[tid + '_' + quality]['bytes_before'] = 0;
			if (resumeBytes != undefined && parseInt(resumeBytes, 10) >= 0) {
				downloadSpeedOBJ[tid + '_' + quality]['bytes_new'] = parseInt(resumeBytes, 10);
				downloadSpeedOBJ[tid + '_' + quality]['bytes_before'] = parseInt(resumeBytes, 10);
			}
			downloadSpeedOBJ[tid + '_' + quality]['bytes_speed'] = 0;
			downloadSpeedOBJ[tid + '_' + quality]['bytes_left'] = 0;
			
			downloadSpeedOBJ[tid + '_' + quality]['time_left_sec'] = 0;
			downloadSpeedOBJ[tid + '_' + quality]['size_bytes'] = 0;
			if (videoJSON != undefined && parseInt(videoJSON.size_bytes, 10) > 0) {
				downloadSpeedOBJ[tid + '_' + quality]['size_bytes'] = parseInt(videoJSON.size_bytes, 10);
			}
			downloadSpeedOBJ[tid + '_' + quality]['loaded'] = 0;
			if (resumeBytes != undefined && parseInt(resumeBytes, 10) >= 0) {
				downloadSpeedOBJ[tid + '_' + quality]['loaded'] = parseInt(resumeBytes, 10);
			}
			//------每秒更新一次downloadSpeedOBJ------\
			downloadSpeedOBJ[tid + '_' + quality]['interval'] = setInterval(function() {
				var thisDownloadSpeedOBJ = downloadSpeedOBJ[tid + '_' + quality];
				//console.log('p:' + thisDownloadSpeedOBJ.percentage);
				if (parseFloat(thisDownloadSpeedOBJ.percentage) > 0) {
					if (thisDownloadSpeedOBJ.is_all_done == undefined || thisDownloadSpeedOBJ.is_all_done !== 1) {
						renderVideoDownloadingStatus(tid, quality, $(statusSelector1), $(statusSelector2), thisDownloadSpeedOBJ.percentage, undefined, thisDownloadSpeedOBJ.loaded, thisDownloadSpeedOBJ.size_bytes);		//tid, quality, toDOM1, toDOM2, percentage, text, loaded, totalBytes
						renderVideoDownloadingPage(videoJSON, quality, thisDownloadSpeedOBJ.percentage, thisDownloadSpeedOBJ.loaded, thisDownloadSpeedOBJ.size_bytes);
					} else {
						clearInterval(downloadSpeedOBJ[tid + '_' + quality]['interval']);
						clearInterval(downloadVideoInterval[tid + '_' + quality]);
					}
				}
				
				if (chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].bytes_speed > 0) {
					downloadSpeedOBJ[tid + '_' + quality]['bytes_speed'] = chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].bytes_speed;
				}
				//console.log('当前速度：' + downloadSpeedOBJ[tid + '_' + quality]['bytes_speed']);
				
				if (downloadSpeedOBJ[tid + '_' + quality]['bytes_speed'] > 0) {
					downloadSpeedOBJ[tid + '_' + quality]['time_left_sec'] = Math.ceil(downloadSpeedOBJ[tid + '_' + quality]['bytes_left'] / downloadSpeedOBJ[tid + '_' + quality]['bytes_speed']);
				} else {
					downloadSpeedOBJ[tid + '_' + quality]['time_left_sec'] = 0;
				}
				downloadSpeedOBJ[tid + '_' + quality]['bytes_before'] = downloadSpeedOBJ[tid + '_' + quality]['bytes_new'];
				chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].bytes_speed = 0;
			}, 1000);
			//-------------------------------------------/
			//------每秒更新一次downloading corner------\
			if (downloadingCornerInterval == undefined) {
				downloadingCornerInterval = setInterval(function(){
					renderVideoDownloadingCorner();
				}, 1000);
			}
			//----------------------------------------/
			if (pageNoForVideoDownload != undefined && videoJSON == undefined) {
				var videoJSON = findJSON(videoDataInMemory[pageNoForVideoDownload], tid);
			}
			//console.log(videoJSON);
			var thumb = getVideoThumb(videoJSON);
			
			processingVideoDownload(videoJSON, url, quality, function(fullPath, videoUrl) {
				//下载完成的事件
				//已经下载完成，所以删除正在下载的状态
				promptDeleteDownloadingVideo(tid, quality, false, false, function(){
					if (justSave == undefined || !justSave) {
						if (videoJSON.images != undefined && videoJSON.images.length) {
							var poster = videoJSON.images[0].mobPath;
							if (poster) {
								var imageFileName = poster.substr(poster.lastIndexOf('/') + 1);
								copyFile('gallery', imageFileName, 'video', function(newPath){
									addDownloadedVideo({tid:tid, quality:quality, file:fullPath, title:videoJSON.title, content:videoJSON.content, image:newPath}, function(newID){
										//--------检查哪些视频已经缓存过了, 给缓存过的视频打个标记---------\
										var checkVideoArr = new Array(videoJSON);
										addDownloadedStatusToVideoList(checkVideoArr);
										//-------------------------------------------------------/
										//alert('copy poster:' + tid + ' >' + videoJSON.title);
										updateNumOfDownloadVideoOnIndex();
									});
								}, poster);
							} else {
								addDownloadedVideo({tid:tid, quality:quality, file:fullPath, title:videoJSON.title, content:videoJSON.content, image:''}, function(newID){
									//--------检查哪些视频已经缓存过了, 给缓存过的视频打个标记---------\
									var checkVideoArr = new Array(videoJSON);
									addDownloadedStatusToVideoList(checkVideoArr);
									//-------------------------------------------------------/
									//alert('no poster:' + tid + ' >' + videoJSON.title);
									updateNumOfDownloadVideoOnIndex();
								});
							}
						}
					}
					$(statusSelector1 + ' .video_downloading_status_1').html(usingLang.download_status_done);
					if (justSave == undefined || !justSave) {
						$('#video_download_' + tid + ' .video_repo_download_btn[quality=' + quality + ']').prop("onclick", null).html(usingLang.download_status_new_text).unbind('click').bind('click', function(){
							switchVideoPlaySource(fullPath, tid, quality, $(this));
						});
					} else {
						$('#video_download_' + tid + ' .video_repo_download_btn[quality=' + quality + ']').prop("onclick", null).html(usingLang.download_status_done).unbind('click');
					}
					
					//------如果当前页面是下载列表页面，则对列表进行相应处理-----\
					var downloadVideoTabContainerDOM = $('.download_video_tab_container');
					if (downloadVideoTabContainerDOM.length) {
						var downloadedNumTextDOM = downloadVideoTabContainerDOM.find('.video_num_text');
						var downloadedNum = parseInt(downloadedNumTextDOM.text(), 10);
						if (downloadedNum >= 0) {
							downloadedNumTextDOM.text(downloadedNum + 1);
						}
						//------将视频添加到已下载列表里--------\
						var downloadedHTML = $('#downloaded_video_item_template').html();
						var downloadedVideoOBJ = {id:tid, title:videoJSON.title, fixed_image:thumb, image:thumb, file:fullPath, fixed_file:fullPath, quality:quality, quality_label:getQualityLabel(quality)};
						var downloadVideoOBJArr = new Array();
						downloadVideoOBJArr.push(downloadedVideoOBJ);
						var downloadedTPLOBJ = {list:downloadVideoOBJArr};
						var downloadedHTML = doRendTemplate(downloadedHTML, downloadedTPLOBJ);
						$('.downloaded_video_list_container').prepend(downloadedHTML);
						//----------------------------------/
					} else {
						bb_alert(usingLang.video_download_done);
					}
					//---------------------------------------------------/
				});
			}, function (thisVideoJSON, quality, totalBytes) {
				//下载过程中事件
				if (downloadSpeedOBJ[thisVideoJSON.id + '_' + quality] && downloadSpeedOBJ[thisVideoJSON.id + '_' + quality]['downloading_counter'] != undefined) {
					downloadSpeedOBJ[thisVideoJSON.id + '_' + quality]['downloading_counter']++;
					if (downloadSpeedOBJ[thisVideoJSON.id + '_' + quality]['downloading_counter'] % 150 === 0) {
						var loaded = chunkDownloadProgressOBJ[thisVideoJSON.id + '_' + quality].total_loaded;
						var percentage = loaded / totalBytes * 100;
						percentage = Math.round(percentage * 10) / 10;
						updateDownloadSpeedOBJ(thisVideoJSON.id, quality, loaded, percentage, totalBytes);
					}
				}
				
			}, justSave);
		}
	});
		
		
	
	
}

function renderVideoDownloadingCorner() {
	getTableRows('downloading_videos', undefined, undefined, function(downloadingVideoRows){
		if (downloadingVideoRows != null && downloadingVideoRows.length) {
			var downloadingCornerBtnDOM = $('#downloading_corner_btn');
			if ($('#downloading_video_container').length <= 0) {
				if (downloadingCornerBtnDOM.length <= 0) {
					var html = $('#downloading_corner_template').html();
					$('body').append(html);
					downloadingCornerBtnDOM = $('#downloading_corner_btn');
					downloadingCornerBtnDOM.bind('click', function(){
						getDownloadVideoPage('downloading');
					});
				}
				rightBottomCornerPos();
				
				//var totalBytesSpeed = 0;
				var totalSecLeft = 0;
				var downloadingNum = 0;
				for (var i in downloadingVideoRows) {
					var thisVideoID = downloadingVideoRows[i].tid;
					var thisQuality = downloadingVideoRows[i].quality;
					var thisDownloadSpeedOBJ = downloadSpeedOBJ[thisVideoID + '_' + thisQuality];
					if (thisDownloadSpeedOBJ != undefined) {
						//totalBytesSpeed += thisDownloadSpeedOBJ['bytes_speed'];
						totalSecLeft += thisDownloadSpeedOBJ['time_left_sec'];
						downloadingNum++;
					}
				}
				var downloadText = usingLang.video_download_corner1 + ' x ' + downloadingNum;
				//console.log(downloadText);
				//downloadText += '<br />' + Math.ceil(totalBytesSpeed / 1024) + 'KB/s';
				if (totalSecLeft > 0) {
					if (totalSecLeft < 60) {
						downloadText += '<br />' + usingLang.video_download_corner2 + totalSecLeft + usingLang.video_download_corner3;
					} else {
						downloadText += '<br />' + usingLang.video_download_corner2 + Math.floor(totalSecLeft / 60) + usingLang.video_download_corner4;
					}
				}
				downloadingCornerBtnDOM.find('#downloading_corner_btn_text').html(downloadText);
			} else {
				downloadingCornerBtnDOM.remove();
			}
		} else {
			clearInterval(downloadingCornerInterval);
		}
	});
}

function getVideoThumb(videoJSON) {
	if (videoJSON != undefined) {
		if (isValidStr(videoJSON.mPath)) {
			var thumb = videoJSON.mPath;
		} else if (videoJSON.images != undefined && videoJSON.images.length) {
			if (videoJSON.images[0].mPath.indexOf('/mip/') === -1) {
				var thumb = getThumbPath(videoJSON.images[0].mPath);
			} else {
				var thumb = videoJSON.images[0].mPath;
			}
		} else {
			var thumb = '';
		}
	} else {
		alert('程序错误，getVideoThumb没有传递videoJSON');
	}
	return thumb;
}

var inDownloadingVideoPage = 0;
//这个函数的执行频率很高，即在视频下载过程中会不停地执行。下载n部视频就会执行n倍的次数
function renderVideoDownloadingPage(videoJSON, quality, percentage, loaded, totalBytes) {
	if (videoJSON != undefined) {
		if (inDownloadingVideoPage) {
			var downloadingVideoContainerDOM = $('#downloading_video_container');
			if (downloadingVideoContainerDOM.length && downloadingVideoContainerDOM.is(":visible")) {
				var thisVideoDownloadingInfoDOM = downloadingVideoContainerDOM.find('#downloading_video_item_container_' + videoJSON.id);
				if (thisVideoDownloadingInfoDOM.length) {		//有下载视频的进度显示
					if (chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].pause == undefined || !chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].pause) {		//没有在暂停状态
						var downloadingStatusDesc = genDownloadingStatusDesc(videoJSON.id, quality, loaded, totalBytes);
						if (isValidStr(downloadingStatusDesc)) {
							var progressDOM = thisVideoDownloadingInfoDOM.find('.dvi_downloading_progress');
							var progressTextDOM = progressDOM.find('.dvi_downloading_progress_text');
							var progressMeterDOM = progressDOM.find('.dvi_downloading_progress_meter');
							var workerDesc = chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].worker_num + usingLang.download_status_num_thread;
							if (parseInt(percentage, 10) >= 100) {
								progressTextDOM.html(workerDesc + usingLang.download_status_stage4);
							} else if (parseInt(percentage, 10) >= 80) {
								progressTextDOM.html(workerDesc + usingLang.download_status_stage3 + percentage + '% ' + downloadingStatusDesc);
							} else if (parseInt(percentage, 10) >= 50) {
								progressTextDOM.html(workerDesc + usingLang.download_status_stage2 + percentage + '% ' + downloadingStatusDesc);
							} else {
								progressTextDOM.html(workerDesc + usingLang.download_status_stage1 + percentage + '% ' + downloadingStatusDesc);
							}
							
							progressMeterDOM.css('width', Math.floor(percentage) + '%');
						}
						thisVideoDownloadingInfoDOM.find('.dvi_pause').show();
						thisVideoDownloadingInfoDOM.find('.dvi_delete').hide();
						
					}
				} else {										//没有下载视频的进度显示，创建
					var thumb = getVideoThumb(videoJSON);
					var html = $('#downloading_video_item_template').html();
					var tplOBJ = {id:videoJSON.id, quality:quality, title:videoJSON.title, image:thumb, url:videoJSON.url};
					var html = doRendTemplate(html, tplOBJ);
					downloadingVideoContainerDOM.append(html);
				}
			}
		}
	}
}

function promptDeleteDownloadingVideo(videoID, quality, needConfirm, deleteCache, callback) {
	if (needConfirm) {
		ft_confirm(usingLang.video_download_cancel_confirm1, function(yesOrNo){
			if (yesOrNo) {
				processingDeleteDownloadingVideo(videoID, quality, deleteCache, callback);
			}
		}, usingLang.video_download_cancel_confirm2, undefined, 59);
	} else {
		processingDeleteDownloadingVideo(videoID, quality, deleteCache, callback);
	}
}

function pauseDownloadingVideo(videoID, quality) {
	var statusDOMOnVideoDetailPage = $('#video_download_' + videoID + ' .video_repo_download_status[quality=' + quality + ']');
	var statusDOMOnDownloadingPage = $('#downloading_video_item_container_' + videoID + ' .dvi_downloading_progress_text');
	var statusText = usingLang.download_status_pause;
	renderVideoDownloadingStatus(videoID, quality, statusDOMOnVideoDetailPage, undefined, undefined, statusText);
	statusDOMOnDownloadingPage.html(statusText);
	
	$('#downloading_video_item_container_' + videoID + ' .dvi_delete').show();
	$('#downloading_video_item_container_' + videoID + ' .dvi_pause').hide();
	
	downloadSpeedOBJ[videoID + '_' + quality] = null;
	delete downloadSpeedOBJ[videoID + '_' + quality];
	
	if (chunkDownloadProgressOBJ[videoID + '_' + quality] != undefined) {
		chunkDownloadProgressOBJ[videoID + '_' + quality].pause = 1;
	} else {
		chunkDownloadProgressOBJ[videoID + '_' + quality] = {pause:1};
	}
	
	clearInterval(downloadSpeedOBJ[videoID + '_' + quality]['interval']);
	clearInterval(downloadVideoInterval[videoID + '_' + quality]);
}

function processingDeleteDownloadingVideo(videoID, quality, deleteCache, callback) {
	getTableRows('downloading_videos', ' tid = ' + videoID + ' AND quality = "' + quality + '" ', undefined, function(downloadingVideoRows){
		if (downloadingVideoRows != null && downloadingVideoRows.length) {
			var thisDownloadingVideo = downloadingVideoRows[0];
			delTableRows('downloading_videos', ' tid = ' + videoID + ' AND quality = "' + quality + '" ', function() {
				if (downloadSpeedOBJ[videoID + '_' + quality] != undefined) {
					clearInterval(downloadSpeedOBJ[videoID + '_' + quality]['interval']);
					delete downloadSpeedOBJ[videoID + '_' + quality];		//这里要用delete而不能用= undefined 因为delete才会删除真正删除object，只有这样Object.keys.length才会更新
					//console.log(Object.keys(downloadSpeedOBJ));
				}
				
				//-------------------清除更新DOM------------------\
				updateNumOfDownloadVideoOnIndex();
				var downloadVideoTabContainerDOM = $('.download_video_tab_container');
				if (downloadVideoTabContainerDOM.length) {
					var videoItemContainerDOM = $('#downloading_video_item_container_' + videoID);
					if (videoItemContainerDOM.length) {
						var downloadingNumTextDOM = downloadVideoTabContainerDOM.find('.downloading_num_text');
						var downloadingNum = parseInt(downloadingNumTextDOM.text(), 10);
						if (downloadingNum > 0) {
							downloadingNumTextDOM.text(downloadingNum - 1);
						}
						videoItemContainerDOM.slideUp('fast', function(){
							$(this).remove();
						});
					}
				}
				var downloadingStatusOnVideoList = $('#video_list_item_' + videoID + ' .video_list_thumb_container .video_downloading_status_2');
				if (downloadingStatusOnVideoList.length) {
					downloadingStatusOnVideoList.remove();
				}
				//----------------------------------------------/
				
				if (deleteCache) {
					//----删除下载到一半的视频文件----\
					var filename = thisDownloadingVideo.url.substring(thisDownloadingVideo.url.lastIndexOf('/') + 1);
					var fullPath = deviceVideoFullPath + filename;
					window.resolveLocalFileSystemURL(fullPath, function (videoFileEntry) {
						videoFileEntry.remove(function(){}, function(){});
					});
					//----------------------------/
				}
				var ext = thisDownloadingVideo.url.split('.').pop();
				deleteChunkFileAndData(videoID, quality, ext);
				if (typeof callback == 'function') callback();
			});
		} else {
			if (typeof callback == 'function') callback();
		}
	});
}

var downloadedVideoCurrentPage = 1;
function getDownloadVideoPage(goToTab, append, videoID) {
	
}



function getFileSize(fullPath, passingOBJ, callback) {
	window.resolveLocalFileSystemURL(fullPath, function (fileEntry) {
		fileEntry.file(function(fileObj) {
			callback(fileObj.size, passingOBJ);
        }, function(){	//文件无法读取，返回false
	        callback(false, passingOBJ);
        });
	}, function() {		//文件不存在，返回null
		callback(null, passingOBJ);
	});
}

function renderDownloadedPageFreeSpaceMsg() {
	getFreeSpace(function(freeSpaceMB, freeSpace){
		freeSpaceGB = (freeSpaceMB < 1024?' < 1':Math.floor(freeSpaceMB / 1024));
		$('#downloaded_showing_free_space_gb').html(freeSpaceGB);
	});
}

function showVideoDelete() {
	$('.downloaded_video_item_delete_btn_container').show();
}

function showDownloadedVideoPlayer(id, fileURI, poster) {
	
	
}

function onDeleteVideoItem(id) {
	var thisInputDOM = $('#video_delete_' + id);
	var doDeleteBtnDOM = $('.downloaded_video_delete_confirm_btn');
	if (thisInputDOM.prop('checked')) {		//点击了当前checkbox, 显示删除确认按钮
		doDeleteBtnDOM.show();
	} else {			//取消了当前checkbox的check状态, 检查有没有其他check了的, 要是一个都没有了就隐藏确认按钮
		var allInputDOM = $('.downloaded_video_item_delete_btn');
		var hasOneChecked = false;
		allInputDOM.each(function(){
			if ($(this).prop('checked')) {
				doDeleteBtnDOM.show();
				hasOneChecked = true;
				return false;
			}
		});
		if (!hasOneChecked) {
			doDeleteBtnDOM.hide();
		}
	}
}

function doVideoDelete() {
	var allInputDOM = $('.downloaded_video_item_delete_btn:checked');
	if (allInputDOM.length) {
		var waitFor = 1;
		allInputDOM.each(function(){
			waitFor += 100;
			var thisInputDOM = $(this);
			setTimeout(function(){
				var localID = thisInputDOM.val();
				var serverID = thisInputDOM.attr('tid');
				var quality = thisInputDOM.attr('quality');
				getDownloadedVideo(undefined, serverID, undefined, undefined, function(videoRows) {
					if (videoRows != null && videoRows != undefined) {
						var videoFileFullPath;
						if (videoRows.length > 1) {			//当同一部视频的不同比特率存在的情况下
							for (var i in videoRows) {
								if (videoRows[i].quality == quality) {
									videoFileFullPath = fixIOSPathQuirk(videoRows[i].file);
								}
							}
						} else if (videoRows.length === 1) {	//当仅下载了单个比特率视频的情况下
							videoFileFullPath = fixIOSPathQuirk(videoRows[0].file);
							
							//-----------------删除缓存预览图文件---------------\
							var imageFileFullPath = fixIOSPathQuirk(videoRows[0].image);
							window.resolveLocalFileSystemURL(imageFileFullPath, function (imageFileEntry) {
								imageFileEntry.remove(function(){}, function(){});
							});
							//----------------------------------------------/
						}
						//-----------------删除缓存视频文件-----------------\
						window.resolveLocalFileSystemURL(videoFileFullPath, function (videoFileEntry) {
							videoFileEntry.remove(function(){}, function(){});
						});
						//-----------------------------------------------/
						deleteDownloadedVideo(localID, undefined, function(){
							updateNumOfDownloadVideoOnIndex();
						});	//删除数据库条目
						$('.downloaded_video_item_' + localID).remove();			//删除DOM
						
						
						
						renderDownloadedPageFreeSpaceMsg();
					}
				});
			}, waitFor);
			
		});
	} else {
		bb_alert(usingLang.downloaded_video_delete_choose_one);
	}
}

function updateDownloadSpeedOBJ(tid, quality, loaded, percentage, totalBytes) {		//这个函数必须在视频下载过程中一直执行，用于更新downloadSpeedOBJ的下载速度计算
	if (downloadSpeedOBJ[tid + '_' + quality] != undefined) {
		if (totalBytes != undefined) {
			downloadSpeedOBJ[tid + '_' + quality]['bytes_left'] = totalBytes - loaded;
			if (totalBytes > 0 && parseInt(downloadSpeedOBJ[tid + '_' + quality]['size_bytes'], 10) === 0) {
				downloadSpeedOBJ[tid + '_' + quality]['size_bytes'] = totalBytes;
			}
		}
		if (percentage != undefined) {
			downloadSpeedOBJ[tid + '_' + quality].percentage = percentage;
		}
		if (loaded != undefined) {
			downloadSpeedOBJ[tid + '_' + quality]['bytes_new'] = loaded;
		}
	}
}

function genDownloadingStatusDesc(tid, quality, loaded, totalBytes) {
	var downloadSpeedDesc = '';
	var timeLeftDesc = '';
	if (downloadSpeedOBJ[tid + '_' + quality] != undefined) {
		var thisDownloadSpeedOBJ = downloadSpeedOBJ[tid + '_' + quality];
		downloadSpeedDesc = Math.ceil(thisDownloadSpeedOBJ['bytes_speed'] / 1024) + 'KB/s';
		var thisSec = thisDownloadSpeedOBJ['time_left_sec'];
		if (thisSec != undefined && thisSec > 0) {
			if (thisSec < 60) {
				timeLeftDesc = ' ' + usingLang.video_download_time_left1 + thisSec + usingLang.video_download_time_left2;
			} else {
				timeLeftDesc = ' ' + usingLang.video_download_time_left1 + Math.floor(thisSec / 60) + usingLang.video_download_time_left3;
			}
		}
	}
	return downloadSpeedDesc + timeLeftDesc;
}

function renderVideoDownloadingStatus(tid, quality, toDOM1, toDOM2, percentage, text, loaded, totalBytes) {
	if (toDOM1 != undefined && toDOM1.length) {
		var statusDOM1 = toDOM1.find('.video_downloading_status_1');
		if (statusDOM1.length <= 0) {
			var html = '';
			html += '<div class="video_downloading_status_1"></div>';
			toDOM1.append(html);
			statusDOM1 = toDOM1.find('.video_downloading_status_1');
			statusDOM1.width(toDOM1.width());
			statusDOM1.height(toDOM1.height());
			statusDOM1.css('line-height', toDOM1.height() + 'px');
		}
		if (isValidStr(text)) {
			statusDOM1.html(text);
		} else {
			if (chunkDownloadProgressOBJ[tid + '_' + quality].pause == undefined || !chunkDownloadProgressOBJ[tid + '_' + quality].pause) {
				var downloadingStatusDesc = genDownloadingStatusDesc(tid, quality, loaded, totalBytes);
				var workerDesc = chunkDownloadProgressOBJ[tid + '_' + quality].worker_num + usingLang.download_status_num_thread;
				if (parseInt(percentage, 10) >= 100) {
					statusDOM1.html(workerDesc + usingLang.download_status_stage4);
				} else if (parseInt(percentage, 10) >= 80) {
					statusDOM1.html(workerDesc + usingLang.download_status_stage3 + percentage + '% ' + downloadingStatusDesc);
				} else if (parseInt(percentage, 10) >= 50) {
					statusDOM1.html(workerDesc + usingLang.download_status_stage2 + percentage + '% ' + downloadingStatusDesc);
				} else {
					statusDOM1.html(workerDesc + usingLang.download_status_stage1 + percentage + '% ' + downloadingStatusDesc);
				}
			}
		}
	}
	
	if (toDOM2 != undefined && toDOM2.length) {
		var statusDOM2 = toDOM2.find('.video_downloading_status_2');
		if (statusDOM2.length <= 0) {
			var html = '';
			html += '<div class="video_downloading_status_2"></div>';
			toDOM2.append(html);
			statusDOM2 = toDOM2.find('.video_downloading_status_2');
			statusDOM2.width(toDOM2.width());
			statusDOM2.height(toDOM2.height() - 4);
			statusDOM2.css('line-height', (toDOM2.height() - 4) + 'px');
		}
		if (isValidStr(text)) {
			statusDOM2.html(text);
		} else {
			if (chunkDownloadProgressOBJ[tid + '_' + quality].pause == undefined || !chunkDownloadProgressOBJ[tid + '_' + quality].pause) {
				var workerDesc = chunkDownloadProgressOBJ[tid + '_' + quality].worker_num + usingLang.download_status_num_thread;
				if (parseInt(percentage, 10) >= 100) {
					statusDOM2.html(workerDesc + usingLang.download_status_stage4);
				} else if (parseInt(percentage, 10) >= 80) {
					statusDOM2.html(workerDesc + usingLang.download_status_stage3 + percentage + '%');
				} else if (parseInt(percentage, 10) >= 50) {
					statusDOM2.html(workerDesc + usingLang.download_status_stage2 + percentage + '%');
				} else {
					statusDOM2.html(workerDesc + usingLang.download_status_stage1 + percentage + '%');
				}
			}
		}
	}
	
}

function processingVideoDownload(videoJSON, url, quality, successCallback, onprogressCallback, justSave) {
	checkVideoSaved(videoJSON.id, quality, 
		function() {
			//video saved callback
			//bb_alert('视频之前已经下载到缓存了, 请到首页的"下载视频"栏目查看');
			promptDeleteDownloadingVideo(videoJSON.id, quality, false, false, function(){
				getDownloadVideoPage('downloaded', undefined, videoJSON.id);
			});
		},
		function() {
			
			//断点续传
			var options = {};
			var thumb = getVideoThumb(videoJSON);
			var downloadingVideoItemContainerDOM = $('#downloading_video_item_container_' + videoJSON.id);
			if (downloadingVideoItemContainerDOM.length) {
				if (chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].pause == undefined || !chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].pause) {
					//-----一旦开始下载就不能再停止或删除这个下载-------\
					var downloadingVideoDelDOM = downloadingVideoItemContainerDOM.find('.dvi_delete');
					downloadingVideoDelDOM.hide();
					//-------------------------------------------/
				}
				
				var downloadingVideoPauseDOM = downloadingVideoItemContainerDOM.find('.dvi_pause');
				downloadingVideoPauseDOM.show();
			}
			//从这里开始下载了
			getTableRows('downloading_videos', ' tid = ' + videoJSON.id + ' AND quality = "' + quality + '" ', undefined, function(downloadingVideoRows){
				//--------没有downloading_videos数据，插入数据----------\
				if (downloadingVideoRows == null || downloadingVideoRows.length <= 0) {
					//将正在下载的视频数据放入本地数据库
					var updateData = {
						tid: videoJSON.id,
						quality: quality,
						title: videoJSON.title,
						content: videoJSON.content,
						thumb: thumb,
						url: url,
						size_bytes: 0,
						loaded_bytes: 0,
						percentage: 0
					};
					updateTable('downloading_videos', ' tid = ' + videoJSON.id + ' AND quality = "' + quality + '" ', updateData, undefined, function(){});
				}
				//--------------------------------------------------/
				if (parseInt(videoJSON.id, 10) > 0 && isValidStr(quality)) {
					updateNumOfDownloadVideoOnIndex();
					getReadyForChunkDownload(url, videoJSON, quality, function(joinedFileName){
						if (typeof successCallback == 'function') {
							var fullPath = deviceVideoFullPath + joinedFileName;
							successCallback(fullPath, url);
						}
					}, function(videoJSON, quality, totalBytes) {
						if (typeof onprogressCallback == 'function') {
							//console.log('q:' + quality + ', ' + 'p:' + percentage + ', l:' + loaded + ', ' + 't:' + totalBytes);
							onprogressCallback(videoJSON, quality, totalBytes);
						}
					});
				}
			});
		}
	);

}




function deleteChunkFileAndData(tid, quality, ext) {
	getChunkData(tid, quality, undefined, function(chunkData){
		if (chunkData) {
			for (var i in chunkData) {
				var thisChunkData = chunkData[i];
				var thisChunkFile = thisChunkData.tid + '_' + thisChunkData.quality + '_' + thisChunkData.byte_from + '_' + thisChunkData.byte_end + '.' + ext;
				//console.log('删除碎片文件' + thisChunkFile);
				window.resolveLocalFileSystemURL(deviceVideoFullPath + thisChunkFile, function (chunkFileEntry) {
					chunkFileEntry.remove(function(){}, function(){});
				});
			}
			//console.log('删除数据库 tid:' + tid + ', quality:' + quality);
			deleteChunkData(tid, quality);
		}
	});
}

function pickOneChunkToDownload(videoID, quality) {
	//console.log(gNextDownloadOBJ);
	//每个下载视频一个interval线程
	downloadVideoInterval[videoID + '_' + quality] = setInterval(function(){
		if (gNextDownloadOBJ) {
			var objKeysArr = Object.keys(gNextDownloadOBJ);
			if (objKeysArr.length) {
				for (var i in objKeysArr) {
					var chunkID = objKeysArr[i];
					var thisDownloadChunk = gNextDownloadOBJ[chunkID];
					if (thisDownloadChunk.downloading == undefined || !thisDownloadChunk.downloading) {
						gNextDownloadOBJ[chunkID].downloading = 1;
						continuousDownloadChunk(thisDownloadChunk.videoJSON, thisDownloadChunk.quality, thisDownloadChunk.byteTotal, thisDownloadChunk.url, thisDownloadChunk.nextLocalName, thisDownloadChunk.nextByteFrom, thisDownloadChunk.nextByteEnd, thisDownloadChunk.allCompletedCallback, thisDownloadChunk.onprogressCallback);
						break;
					}
				}
			}
		}
	}, 500);
}


function getReadyForChunkDownload(url, videoJSON, quality, successCallback, onprogressCallback) {
	var ext = url.split('.').pop();
	getRepoFileSize(url, function(byteTotal){
		var joinedFileName = videoJSON.id + '_' + quality + '.' + ext;
		getFileSize(deviceVideoFullPath + joinedFileName, undefined, function(localSize){
			if (localSize != null && localSize != false && byteTotal == localSize) {		//文件已存在并且大小一样
				deleteChunkFileAndData(videoJSON.id, quality, ext);
				if (typeof successCallback == 'function') successCallback(joinedFileName);
			} else {
				initChunkData(videoJSON.id, quality, byteTotal, function(notCompletedChunkData) {
					if (notCompletedChunkData != undefined && notCompletedChunkData.length) {		//还有没有下载完的碎片数据
						updateTable('downloading_videos', ' tid = ' + videoJSON.id + ' AND quality = "' + quality + '" ', {size_bytes:byteTotal});
						for (var i = 0; i < gChunkDownloadNum; i++) {
							var localName = videoJSON.id + '_' + quality + '_' + notCompletedChunkData[i].byte_from + '_' + notCompletedChunkData[i].byte_end + '.' + ext;
							var nextAllCompletedCallback = function(allDownloadCompleted){
								if (allDownloadCompleted) {
									deleteChunkFileAndData(videoJSON.id, quality, ext);
									successCallback(joinedFileName);
								}
							}
							var nextByteFrom = notCompletedChunkData[i].byte_from;
							var nextByteEnd = notCompletedChunkData[i].byte_end;
							gNextDownloadOBJ[videoJSON.id + '_' + quality + '_' + nextByteFrom + '_' + nextByteEnd] = {videoJSON:videoJSON, quality:quality, byteTotal:byteTotal, url:url, nextLocalName:localName, nextByteFrom:nextByteFrom, nextByteEnd:nextByteEnd, allCompletedCallback:nextAllCompletedCallback, onprogressCallback:onprogressCallback};
						}
						pickOneChunkToDownload(videoJSON.id, quality);
					} else {		//全部碎片下载完成，但是还没有拼起来
						removeFileTransferIFrame();
						joinChunk(videoJSON.id, quality, ext, byteTotal, function(joinDone){
							if (joinDone) {		//拼完了
								deleteChunkFileAndData(videoJSON.id, quality, ext);
								successCallback(joinedFileName);
							} else {			//连碎片数据都没有
								successCallback(false);
							}
						});
					}
					
				});
			}
		});
		
	});
	
}




function continuousDownloadChunk(videoJSON, quality, byteTotal, url, localName, byteFrom, byteEnd, allCompletedCallback, onprogressCallback) {
	//console.log('开始下载' + byteFrom + '到' + byteEnd);
	var ext = url.split('.').pop();
	updateVideoChunk(videoJSON.id, quality, byteTotal, byteFrom, byteEnd, 1, 0, function() {			//设置数据库条目为正在下载
		processingChunkDownload(videoJSON, quality, url, localName, byteFrom, byteEnd, byteTotal, function(fullPath, returnLocalName, returnByteFrom, returnByteEnd) {
			//console.log('更新下载完成状态' + returnByteFrom + '到' + returnByteEnd);
			updateVideoChunk(videoJSON.id, quality, byteTotal, returnByteFrom, returnByteEnd, 0, 1, function(){		//设置数据库条目为已经下载完成
				getChunkData(videoJSON.id, quality, ' AND downloaded = 1 ', function(downloadedChunkData){
					var fileSize = 0;
					if (downloadedChunkData) {
						for (var x in downloadedChunkData) {
							var thisDownloadedChunkData = downloadedChunkData[x];
							var thisChunkSizeBytes = parseInt(thisDownloadedChunkData.byte_end, 10) - parseInt(thisDownloadedChunkData.byte_from, 10) + 1;
							fileSize += thisChunkSizeBytes;
						}
					}
					var percentage = (parseInt(fileSize, 10) / parseInt(byteTotal, 10)) * 100;
					percentage = Math.round(percentage * 10) / 10;
					updateTable('downloading_videos', ' tid = ' + videoJSON.id + ' AND quality = "' + quality + '" ', {loaded_bytes:fileSize, percentage:percentage});
				});
				
				isChunkAllDone(videoJSON.id, quality, function(isAllDone){
					if (isAllDone) {
						downloadSpeedOBJ[videoJSON.id + '_' + quality].is_all_done = 1;
						joinChunk(videoJSON.id, quality, ext, byteTotal, function(joinDone){
							if (joinDone) {
								if (typeof allCompletedCallback == 'function') allCompletedCallback(true);
							} else {
								if (typeof allCompletedCallback == 'function') allCompletedCallback(false);
							}
						});
					} else {
						if (chunkDownloadProgressOBJ[videoJSON.id + '_' + quality] != undefined && chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].pause) {
							
						} else {
							//console.log('直到下载完' + returnLocalName + '的时候也没有全部完成');
							getNextDownloadableChunkData(videoJSON.id, quality, function(nextDownloadableChunkData){
								if (nextDownloadableChunkData) {
									var nextByteFrom = nextDownloadableChunkData.byte_from;
									var nextByteEnd = nextDownloadableChunkData.byte_end;
									var nextLocalName = videoJSON.id + '_' + quality + '_' + nextByteFrom + '_' + nextByteEnd + '.' + ext;
									
									gNextDownloadOBJ[videoJSON.id + '_' + quality + '_' + nextByteFrom + '_' + nextByteEnd] = {videoJSON:videoJSON, quality:quality, byteTotal:byteTotal, url:url, nextLocalName:nextLocalName, nextByteFrom:nextByteFrom, nextByteEnd:nextByteEnd, allCompletedCallback:allCompletedCallback, onprogressCallback:onprogressCallback};
								} else {
									if (typeof allCompletedCallback == 'function') allCompletedCallback(false);
								}
							});
						}
						
					}
				});
			});
		}, onprogressCallback);
	});
}

function joinChunk(tid, quality, ext, byteTotal, callback) {
	$('#downloading_video_item_container_' + tid + ' .dvi_delete').hide();
	$('#downloading_video_item_container_' + tid + ' .dvi_pause').hide();
	getChunkData(tid, quality, undefined, function(chunkData) {
		if (parseInt(joinChunkFlag[tid + '_' + quality], 10) !== 1) {
			joinChunkFlag[tid + '_' + quality] = 1;
			//console.log('开始合并碎片文件！');
			if (chunkData && chunkData != undefined && chunkData.length > 0) {
				var joinedFileName = tid + '_' + quality + '.' + ext;
				getFileSize(deviceVideoFullPath + joinedFileName, undefined, function(localSize){
					if (localSize != null && localSize != false && byteTotal == localSize) {
						//alert('碎片以前就合成好了');
						callback(true);
					} else {
						writeFile(joinedFileName, '', false, function(){
							var i = 0;
							appendAtoB(joinedFileName, i, chunkData, function(isAllCompleted){
								if (isAllCompleted) {
									callback(true);
								}
							});
						});
					}
				});
			} else {
				callback(false);
			}
		}
	});
}

function writeFile(fileName, dataObj, isAppend, callback) {
	window.resolveLocalFileSystemURL(deviceVideoFullPath, function (dirEntry) {
		dirEntry.getFile(fileName, {create: true, exclusive: false}, function(fileEntry) {
			fileEntry.createWriter(function (fileWriter) {
		        fileWriter.onwriteend = function() {
		            //console.log("Successful file write...");
		            callback();
		        };
		        fileWriter.onerror = function(e) {
		            console.log("Failed file write: " + e.toString());
		        };
		        if (isAppend) {
		            try {
			            console.log('Seek file position to ' + fileWriter.length);
		                fileWriter.seek(fileWriter.length);
		            }
		            catch (e) {
		                console.log("file doesn't exist!");
		            }
		        }
		        fileWriter.write(dataObj);
		    });
		});
		
	});
}

function appendAtoB(fileBPath, i, chunkData, callback) {		//把文件A的内容粘贴到B的尾巴位置
	var ext = fileBPath.split('.').pop();
	var tid = chunkData[i].tid;
	var quality = chunkData[i].quality;
	
	var fileA = tid + '_' + quality + '_' + chunkData[i].byte_from + '_' + chunkData[i].byte_end + '.' + ext;
	window.resolveLocalFileSystemURL(deviceVideoFullPath + fileA, function (fileAEntry) {	//准备读取碎片B
		fileAEntry.file(function (file) {		//读取碎片2的内容
			var reader = new FileReader();
			reader.onloadend = function() {		//碎片B读取完毕
		        var partAContent = this.result;
		        //console.log(partBContent);
		        writeFile(fileBPath, partAContent, true, function(){
			        fileAEntry = null;
					reader = null;
					partAContent = null;
					file = null;
					if ((i + 1) < chunkData.length) {
						var joinText = usingLang.download_status_appending + ' ' + i + '/' + chunkData.length + '';
						renderVideoDownloadingStatus(tid, quality, $('#video_download_' + tid + ' .video_repo_download_status[quality=' + quality + ']'), undefined, undefined, joinText);
						$('#downloading_video_item_container_' + tid + ' .dvi_downloading_progress_text').html(joinText);
						
						appendAtoB(fileBPath, (i + 1), chunkData, callback);
					} else {
						if (typeof callback == 'function') callback(true);
					}
		        });
		    };
			reader.readAsArrayBuffer(file);
		});
	});
	
}


function processingChunkDownload(videoJSON, quality, url, localName, fromByte, endByte, byteTotal, successCallback, onprogressCallback) {
	var ftID = videoJSON.id + '_' + quality + '_' + fromByte + '_' + endByte;
	var ftOBJForVideoDownload = new FileTransfer();
	var fullPath = deviceVideoFullPath + localName;
	var options = {};
	if (endByte >= byteTotal) {
		var endByteForRequest = '';
	} else {
		var endByteForRequest = endByte;
	}
	//console.log('>>>>>>>>>bytes=' + fromByte + '-' + endByteForRequest);
	options.headers = {'Range': 'bytes=' + fromByte + '-' + endByteForRequest, 'Cache-Control': 'no-cache'};
	if ((typeof onprogressCallback) == "function") {
		ftOBJForVideoDownload.onprogress = function(progressEvent) {
			if (progressEvent.lengthComputable) {
				onprogressCallback(videoJSON, quality, byteTotal);
			}
		};
	}
	
	var startMilliseconds = Date.now();
	if (chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].worker_num < gChunkDownloadNum) {
		chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].worker_num++;
	}
	ftOBJForVideoDownload.download(url, fullPath,
		function (entry) {
			chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].total_loaded += gChunkSize;
			//console.log('开始下载的时间是' + startMilliseconds + '，下载完成的时间是' + Date.now());
			var spentMilliseconds = Date.now() - startMilliseconds;
			var bytesSpeed = Math.ceil((gChunkSize / spentMilliseconds) * 1000);
			//console.log('下载一段用的速度是' + Math.ceil(bytesSpeed / 1024) + 'KBps');
			chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].bytes_speed += bytesSpeed;
			entry = null;
			
			ftOBJForVideoDownload = null;
			delete ftOBJForVideoDownload;
			
			gNextDownloadOBJ[ftID] = null;
			delete gNextDownloadOBJ[ftID];
			
			removeFileTransferIFrame();
			successCallback(fullPath, localName, fromByte, endByte);
		},
		function (error) {
			chunkDownloadProgressOBJ[videoJSON.id + '_' + quality].worker_num--;
			//alert('下载过程中有一个文件块可能因为网络连接原因中止了下载。其他下载中的文件块不受影响。您可以等待其他文件块下载完成后重新下载此部分。');
			processingChunkDownload(videoJSON, quality, url, localName, fromByte, endByte, byteTotal, successCallback, onprogressCallback)
		},
		true,
		options
	);
}

function removeFileTransferIFrame(deepClean) {
	//cordova的FileTransfer一个bug，文件传输完成后，它在document下创建的iframe没有被删除，当下载文件次数很多的时候容易出现内存溢出
	if ($('iframe').length) {
		$('iframe').attr('id', 'temp_ft_id');
		$('#temp_ft_id').attr('src', 'about:blank');
		$('#temp_ft_id').attr('src', function(i, val){
			return val;
		});
	    $('#temp_ft_id').remove();
	    if (deepClean) {
		    document.body.removeChild(execIframe);
			delete execIframe;
			execIframe = null;
	    }
	}
}


function rename(sourceFileFullPath, newFileName, callback) {
	getFileSize(sourceFileFullPath, undefined, function(fileSize) {
		if (fileSize != false && fileSize != null) {
			window.resolveLocalFileSystemURL(sourceFileFullPath, function (fileEntry) {
				var sourceFileName = sourceFileFullPath.substring(sourceFileFullPath.lastIndexOf('/') + 1);
				var folder = sourceFileFullPath.substr(0, sourceFileFullPath.indexOf(sourceFileName) - 1);
				window.resolveLocalFileSystemURL(folder, function (dirEntry) {
					fileEntry.moveTo(dirEntry, newFileName, function(){
						if (typeof callback == 'function') callback(true);
					}, function(){
						if (typeof callback == 'function') callback(false);
					});
				});
			});
		} else {
			if (typeof callback == 'function') callback(false);
		}
	});
}

function checkVideoSaved(tid, quality, savedCallback, notSavedCallback){
	getDownloadedVideo(undefined, tid, undefined, undefined, function(videos, num){
		if (num > 0) {
			var savedFlag = 0;
			for (var i in videos) {
				if (videos[i].quality == quality) {
					savedFlag = 1;
				}
			}
			if (savedFlag) {
				savedCallback();
			} else {
				notSavedCallback();
			}
		} else {
			notSavedCallback();
		}
	});
}

function video_navi(offset, videoID){
	if (offset > 0) {
		slideToLeft(undefined, function(moveDirection, showingDOM, slideDOM){
			afterVideoSlide(moveDirection, showingDOM, slideDOM);
		});
	} else {
		slideToRight(undefined, function(moveDirection, showingDOM, slideDOM){
			afterVideoSlide(moveDirection, showingDOM, slideDOM);
		});
	}
	
}


function hideWithVideoDetails() {			//当视频相册被关闭时要执行的额外代码
	$('#ft_slider').remove();
	
	hideVideoClose($('#video_details_close'));
	doMoveVideoHeadFoot('hide');
}

function showVideoContent(vID) {
	var videoJSON = findJSON(videoDataInMemory[currentPageNo], vID, undefined, 1);
	if (videoJSON != null && videoJSON != undefined) {
		if (isValidStr(videoJSON.content)) {
			var contentHTML = videoJSON.content;
			bb_layer(contentHTML, {layerId:"video_content", uniqueNumber:97});
		} else {
			bb_alert(usingLang.show_video_content_empty);
		}
	} else {
		bb_alert("出现错误: 视频信息丢失");
	}
}

function showVideoComment(vID) {
	var commentPageNo = 3;
	$('#video_details_close').trigger('click');
	goToPage(commentPageNo, usingLang.video_detail_comment_btn, false);
	getComments(vID, 1, function(){
		setContentPageScroll(commentPageNo);
	}, commentPageNo);
}



function rendVideoLayer(vID, videoJSON, options) {
	var tplHTML = $("#video_template").html();
	if (parseInt(videoJSON.price, 10) > 0) {
		videoJSON.gold_video = 1;
	} else if (parseInt(videoJSON.price_diamond, 10) > 0) {
		videoJSON.diamond_video = 1;
	} else {
		videoJSON.free_video = 1;
	}
	if (parseInt(videoJSON.is_original, 10) === 1) {
		videoJSON.is_original_for_tpl = 1;
	}
	var appendToSelector = '.ft_slider_cur_frame';
	var layerID = 'video_detail_' + vID;
	var layerUniqueNumber = 96;
	if (options != undefined && options.offset != undefined && options.offset != '') {		//读取offset偏移量的视频信息
		currentDOM = $('#ft_slider_container').find('.ft_slider_cur_frame');
		if (options.offset == 'left') {
			var leftDOM = currentDOM.prev();
			appendToSelector = '#' + leftDOM.attr('id');
			layerUniqueNumber = 95;
		} else {
			var rightDOM = currentDOM.next();
			appendToSelector = '#' + rightDOM.attr('id');
			layerUniqueNumber = 97;
		}
	}
	//---------------生成三张图的框架--------------\
	if (options != undefined && options.offset != 'left' && options.offset != 'right') {
		$('#ft_slider').remove();
		var moveRightOneSlideStyle = (isSupport3d?'-webkit-transform: translate3d(0px, 0px, 0px);':'-webkit-transform: translate(0px, 0px);');
		moveRightOneSlideStyle += ' -webkit-perspective: 1000; -webkit-backface-visibility: hidden;';
		
		var html = "";
		html += "<div id='ft_slider' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; overflow:hidden; position:absolute; top:0px; left:0px; z-index:10000;'>";
		html += "	<div id='ft_slider_container' style='" + moveRightOneSlideStyle + " position:relative; top:0px; left:0px; z-index:10001; width:" + (deviceInfo.width) + "px; height:" + $('body')[0].scrollHeight + "px'>";
		
		if (videoJSON.left != undefined) {
			//----因为该死的往前面加框会导致画面闪烁的问题, 只好一次性先往前面加19个框来暂时解决这个毛病------\
			for (var i = 20; i > 1; i--) {
				html += "	<div class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:-" + (i * deviceInfo.width) + "px; top:0px; z-index:10002;'></div>";
			}
			//------------------------------------------------------------------------------/
			html += "	<div id='ft_slider_" + videoJSON.left.id + "' videoID='" + videoJSON.left.id + "' class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:-" + deviceInfo.width + "px; top:0px; z-index:10002;'></div>";
		}
		
		html += "		<div id='ft_slider_" + vID + "' videoID='" + vID + "' class='ft_slider_frame ft_slider_cur_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:0px; top:0px; z-index:10002;'></div>";
		
		if (videoJSON.right != undefined) {
			html += "	<div id='ft_slider_" + videoJSON.right.id + "' videoID='" + videoJSON.right.id + "'  class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:" + deviceInfo.width + "px; top:0px; z-index:10002;'></div>";
		}
		
		
		html += "	</div>";
		html += "</div>"
		$('body').append(html);
		//alert(html);
	}
	//-----------------------------------------/
	var newSliderDOM = $("#ft_slider");
	//console.log(videoJSON);
	var parsedHTML = rendTemplate(tplHTML, videoJSON, {partial_source_id:"image_loading_template",partial_target_id:"image_loading_template_partial"});
	//console.log(parsedHTML);
	options.layer_width = deviceInfo.width;
	bb_layer(parsedHTML, {layerId:layerID, appendTo:appendToSelector, width:options.layer_width, height:options.layer_height, uniqueNumber:layerUniqueNumber, noFrame:true, closeId:'video_details_close'}, function(){
		hideWithVideoDetails();
	});
	var popupDOM = $("#" + layerID);
	//-------左边和右边的缓存------\
	if (options != undefined && (options.offset == 'left' || options.offset == 'right')) {
		cachePopupImage(vID, videoJSON.path, popupDOM);
	}
	//-------------------------/
	
	//-----------绑定手势滑动效果和把图片装进左右两边的框------------\
	if (options != undefined && options.offset != 'left' && options.offset != 'right') {
		iniSlide(undefined, function(moveDirection, showingDOM, slideDOM){
			afterVideoSlide(moveDirection, showingDOM, slideDOM);
		});
		if (videoJSON.left && videoJSON.left.images) {
			cookVideoJSON(videoJSON.left.id, function(thisVideoID, cookedVideoJSON){
				//left cached
				rendVideoLayer(thisVideoID, cookedVideoJSON, {offset:'left', layer_width:cookedVideoJSON.layer_width, layer_height:cookedVideoJSON.layer_height});
			}, function(thisVideoID, cookedVideoJSON){
				//left not cached
				rendVideoLayer(thisVideoID, cookedVideoJSON, {offset:'left', layer_width:cookedVideoJSON.layer_width, layer_height:cookedVideoJSON.layer_height});
			});
		}
		if (videoJSON.right && videoJSON.right.images) {
			cookVideoJSON(videoJSON.right.id, function(thisVideoID, cookedVideoJSON){
				//right cached
				rendVideoLayer(thisVideoID, cookedVideoJSON, {offset:'right', layer_width:cookedVideoJSON.layer_width, layer_height:cookedVideoJSON.layer_height});
			}, function(thisVideoID, cookedVideoJSON){
				//right not cached
				rendVideoLayer(thisVideoID, cookedVideoJSON, {offset:'right', layer_width:cookedVideoJSON.layer_width, layer_height:cookedVideoJSON.layer_height});
			});
		}
	}
	//------------------------------------------------------/
	
	
	if (options != undefined && options.offset != 'left' && options.offset != 'right') {
		//处理顶部信息栏和底部按钮组
		showHideVideoNavi(videoJSON);
		
		var closeDOM = $('#video_details_close');
		showVideoClose(closeDOM);
		
		newSliderDOM.on("click", ".ft_slider_frame", function(e){
			if ($(e.target).hasClass('ft_slider_frame')) {
				closeDOM.trigger('click');
			}
		});
		
		renderPreview(videoJSON);
		renderVideoHeadFoot(videoJSON);
		doMoveVideoHeadFoot('show');
	}
	
	
	return popupDOM;
}


function renderPreview(videoJSON) {
	if (parseInt(videoJSON.has_preview, 10) === 1) {
		if (isValidStr(videoJSON.preview_url)) {
			var mainDOM = $('#video_layer_' + videoJSON.id);
			var videoThumbListDOM = mainDOM.find('.video_thumb_list');
			if (videoThumbListDOM.find('.video_preview_button').length <= 0) {
				var toBeReplacedDOM = videoThumbListDOM.find('.video_thumb_item:first');
				var thisWidth = toBeReplacedDOM.width();
				if (thisWidth <= 0){
					thisWidth = 50;
				}
				var imgSrc = toBeReplacedDOM.find('img').attr('src');
				var html = '<div class="video_thumb_item video_preview_button" style="background:url(' + imgSrc + '); background-size:contain; background-position:center center; background-repeat: no-repeat; width:' + thisWidth + 'px; ">';
				html += '		<span class="video_preview_button_text" style="">' + usingLang.video_detail_watch_preview + '</span>';
				html +=	'	</div>';
				toBeReplacedDOM.replaceWith(html);
				if (imgSrc.indexOf('/mip/') !== -1) {
					imgSrc = imgSrc.replace('/mip/', '/iPhone/');
				}
				videoThumbListDOM.find('.video_preview_button').bind('click', function(){
					renderPreviewPlayer(videoJSON, imgSrc);
				});
				renderPreviewPlayer(videoJSON, imgSrc);
			}
		}
	}
}

var playingVideoJSON;
function renderPreviewPlayer(videoJSON, poster) {
	if (parseInt(videoJSON.has_preview, 10) === 1) {
		if (isValidStr(videoJSON.preview_url)) {
			var mainDOM = $('#video_layer_' + videoJSON.id);
			var videoLayerMainDOM = mainDOM.find('.video_layer_main');
			if (videoLayerMainDOM.find('video').length <= 0) {
				var playerWidth = deviceInfo.width;
				var playerHeight = videoLayerMainDOM.height();
				var htmlPlayer = '';
				htmlPlayer += '<video style="width: ' + playerWidth + 'px; height: ' + playerHeight + 'px;" id="preview_video_player_' + videoJSON.id + '" class="video-js vjs-big-play-centered" controls preload="auto" width="' + parseInt(playerWidth, 10) + '" height="' +  parseInt(playerHeight, 10) + '" poster="' + poster + '">';
				htmlPlayer += '<source src="' + videoJSON.preview_url + '" type="video/mp4" />';
				htmlPlayer += '</video>';
				videoLayerMainDOM.html(htmlPlayer);
				playingVideoJSON = videoJSON;
				document.getElementById('preview_video_player_' + videoJSON.id + '').addEventListener('ended', previewEnded, false);
			}
		}
	}
}

function previewEnded(e) {
	if (playingVideoJSON !== undefined) {
		var videoJSON = playingVideoJSON;
		document.getElementById('preview_video_player_' + videoJSON.id + '').webkitExitFullScreen();
		var videoPrice = parseInt(videoJSON.price, 10);
		var videoPriceDiamond = parseInt(videoJSON.price_diamond, 10);
		
		//------------有促销的视频价格显示--------------\
		var showVideoPrice = '';
		var realDiamondPrice = videoPriceDiamond;
		if (parseInt(videoJSON.is_discount, 10) === 1 && videoJSON.discount != undefined && parseInt(videoJSON.discount.discounting, 10) === 1) {
			showVideoPrice = "<span style='text-decoration: line-through;'>" + videoPriceDiamond + "</span> <span style='color:red;'>" + videoJSON.discount.price + "</span>" + usingLang.check_video_access_diamond;
		} else {
			showVideoPrice = "" + videoPriceDiamond + usingLang.check_video_access_diamond;
		}
		//------------------------------------------/
		
		var videoID = videoJSON.id;
		var message = '';
		if (isValidStr(videoJSON.contact) || isValidStr(videoJSON.repo_url)) {			//缓存里已经有了下载地址, 说明视频已经买过了
		
		} else {
			if (videoPrice <= 0 && realDiamondPrice <= 0) {										//免费视频
				
			} else if (myVideoIDArr.length && in_array(videoID, myVideoIDArr)){						//用户已购买
				
			} else if (videoPrice > 0 && myMoney >= videoPrice) {									//用户的金币够买视频
				message += "<span>" + usingLang.preview_ended_g_buy1 + videoPrice + usingLang.preview_ended_g_buy2 + myMoney + usingLang.preview_ended_g_buy3 + "</span>";
				ft_confirm(message, function(yesOrNo){
					if (yesOrNo) {
						sendVideoAccess(videoID, currentPageNo);
					}
				}, usingLang.preview_ended_g_buy4, undefined, 58);
			} else if (videoPrice > 0 && myMoney < videoPrice) {									//用户的金币不够买视频
				message += "<span>" + usingLang.preview_ended_g_not_enough1 + videoPrice + usingLang.preview_ended_g_not_enough2 + "</span>";
				ft_confirm(message, function(yesOrNo){
					if (yesOrNo) {
						$('#video_details_close').trigger('click');
						showBuyGoldPage("<span style='font-size:12px; color:red;'>" + usingLang.preview_ended_g_goto_topup1 + videoPrice + usingLang.preview_ended_g_goto_topup2 + "</span>");
					}
				}, usingLang.preview_ended_g_not_enough3, undefined, 58);
			} else if (realDiamondPrice > 0 && myDiamond >= realDiamondPrice) {					//用户的钻石够买钻石区视频
				message += "<span>" + usingLang.preview_ended_d_buy1 + showVideoPrice + usingLang.preview_ended_d_buy2 + myDiamond + usingLang.preview_ended_d_buy3 + "</span>";
				ft_confirm(message, function(yesOrNo){
					if (yesOrNo) {
						sendVideoAccess(videoID, currentPageNo);
					}
				}, usingLang.preview_ended_d_buy4, undefined, 58);
			} else if (realDiamondPrice > 0 && myDiamond < realDiamondPrice) {					//用户的钻石不够买钻石区视频
				message += "<span>" + usingLang.preview_ended_d_not_enough1 + showVideoPrice + usingLang.preview_ended_d_not_enough2 + "</span>";
				ft_confirm(message, function(yesOrNo){
					if (yesOrNo) {
						$('#video_details_close').trigger('click');
						showBuyDiamondPage("<span style='font-size:12px; color:red;'>" + usingLang.preview_ended_d_goto_topup1 + showVideoPrice + usingLang.preview_ended_d_goto_topup2 + "</span>");
					}
				}, usingLang.preview_ended_d_not_enough3, undefined, 58);
			}
		}
	} else {
		alert('程序错误: 没有playingVideoJSON实例');
	}
}

function afterVideoSlide(moveDirection, showingDOM, slideDOM) {
	//---------------滑动完成后执行的代码--------------------\
	oppsMoveDirection = (moveDirection == 'left'?'right':'left');
	var prevCurFrame = slideDOM.find('.ft_slider_cur_frame');
	prevCurFrame.removeClass('ft_slider_cur_frame');
	showingDOM.addClass('ft_slider_cur_frame');
	
	var showingVideoID = showingDOM.attr('videoID');
	var showingVideoJSON = findJSON(videoDataInMemory[currentPageNo], showingVideoID, 0, 1);
	renderPreview(showingVideoJSON);
	var addVideoID;
	if (moveDirection == 'left') {
		if (showingVideoJSON.right != undefined) {
			addVideoID = showingVideoJSON.right.id;
		}
	} else {
		if (showingVideoJSON.left != undefined) {
			addVideoID = showingVideoJSON.left.id;
		}
	}
	
	var addedTo;
	if (addVideoID != undefined) {
		if (moveDirection == 'left') {
			if (showingDOM.next().length <= 0) {			//避免重复插入
				var addHTML = "	<div id='ft_slider_" + addVideoID + "' videoID='" + addVideoID + "'  class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:" + (currentSlideNo * deviceInfo.width) + "px; top:0px; z-index:10002;'></div>";
				slideDOM.append(addHTML);
				addedTo = 'right';
			}
		} else {
			var addFrameDOM = showingDOM.prev();
			if (addFrameDOM.length <= 0) {			//避免重复插入, 从前面插入画面会有闪烁						
				var addHTML = "	<div id='ft_slider_" + addVideoID + "' videoID='" + addVideoID + "'  class='ft_slider_frame' style='width:" + deviceInfo.width + "px; height:" + $('body')[0].scrollHeight + "px; position:absolute; left:" + ((currentSlideNo - 2) * deviceInfo.width) + "px; top:0px; z-index:10002;'>&nbsp;</div>";
				slideDOM.prepend(addHTML);
			} else {
				addFrameDOM.attr("id", "ft_slider_" + addVideoID + "").attr("videoID", addVideoID);
			}
			
			addedTo = 'left';
		}
		
	}
	//-----------至此框架已经更新完毕了-----------------/
	
	//-----------开始往框架里添加新的内容-----------------\
	if (addedTo != undefined) {
		cookVideoJSON(addVideoID, 
		function(thisAddVideoID, cookedAddVideoJSON) {			//cached
			rendVideoLayer(thisAddVideoID, cookedAddVideoJSON, {offset:addedTo, layer_width:cookedAddVideoJSON.layer_width, layer_height:cookedAddVideoJSON.layer_height});
		}, 
		function(thisAddVideoID, cookedAddVideoJSON){			//photo not cached
			rendVideoLayer(thisAddVideoID, cookedAddVideoJSON, {offset:addedTo, layer_width:cookedAddVideoJSON.layer_width, layer_height:cookedAddVideoJSON.layer_height});
		});
	}
	//------------------------------------------------/
	
	//-----------更新目前显示图片的控制按钮, 比如图片浏览按钮, 标签按钮和标签更新等----------------\
	//--------更新上下部视频浏览按钮的显示----------\
	showHideVideoNavi(showingVideoJSON);
	//----------------------------------------/
	
	//-------更新当前顶部和底部菜单的事件和文字等------\
	renderVideoHeadFoot(showingVideoJSON);
	//-----------------------------------------/
	//--------------------------------------------------------------------------------/
	
	//------------检查是否看到倒数第二张图片了, 如果是则开始读入下一页---------------------\
	autoLoadNextVideoPage(showingVideoJSON, function(returnVideoJSON){
		if (returnVideoJSON.rPosition == 0) {
			showVideoDetail(returnVideoJSON.id);
		}
	});
	//--------------------------------------------------------------------------/
}

function autoLoadNextVideoPage(videoJSON, callback) {
	if (checkHasMore()) {
		if (videoJSON.rPosition != undefined && videoJSON.rPosition < 2) {
			getGalleryVideos('.current_page .more_form', undefined, function(){
				cookVideoJSON(videoJSON.id, 
				function(videoID, cookedVideoJSON){
					if (typeof callback == 'function') callback(cookedVideoJSON);
				}, 
				function(videoID, cookedVideoJSON){
					if (typeof callback == 'function') callback(cookedVideoJSON);
				});
				
			});
		} else {
			if (typeof callback == 'function') callback(videoJSON);
		}
	} else {
		if (typeof callback == 'function') callback(videoJSON);
	}
}



function showHideVideoNavi(videoJSON) {
	var footerDOM = $('#video_footer');
	var prevBtnDOM = footerDOM.find(".fni_prev").parent();
	var nextBtnDOM = footerDOM.find(".fni_next").parent();
		
	//-----init-----\
	prevBtnDOM.show().unbind('click');
	nextBtnDOM.show().unbind('click');
	//--------------/
	
	if (videoJSON.noLeft == 1) {
		prevBtnDOM.hide();
	} else {
		//--------绑定上下部视频按钮------------\
		prevBtnDOM.bind('click', function(){
			video_navi(-1, videoJSON.id);
		});
		//----------------------------------/
	}
	if (videoJSON.noRight == 1) {
		//console.log("noright");
		nextBtnDOM.hide();
	} else {
		//--------绑定上下部视频按钮------------\
		nextBtnDOM.bind('click', function(){
			video_navi(1, videoJSON.id);
		});
		//----------------------------------/
	}
	
}


function renderVideoHeadFoot(videoJSON) {		//渲染生成视频展示的顶部和底部栏
	var videoHeaderDOM = $('#video_header');
	var videoFooterDOM = $('#video_footer');
	var videoDOM = videoFooterDOM.find('.fni_video_icon').parent();
	//var contentDOM = videoFooterDOM.find('.fni_content_icon').parent();
	var commentDOM = videoFooterDOM.find('.fni_content_icon').parent();
	var favDOM = videoFooterDOM.find('.fni_fav_icon').parent();
	var reportDOM = videoFooterDOM.find('.fni_report_icon').parent();
	var tagDOM = videoFooterDOM.find('.fni_tag_icon').parent();
	var tagContainerDOM = videoFooterDOM.find('.fni_tag_container');
	
	//------显示图片顶部标题------\
	var headerHTML = videoJSON.title;
	if (videoJSON.content) {
		headerHTML += ' <span style="color:gray;">' + videoJSON.content + '</span>';
	}
	videoHeaderDOM.find('h2').show().html(headerHTML);
	
	//------------------------/
	//----显示/隐藏/重构底部按钮-----\
	videoDOM.show();
	if (myVideoIDArr.length && in_array(videoJSON.id, myVideoIDArr)) {
		videoDOM.find('.fni_icon img').attr('src', './images/common/play.png');
		videoDOM.find('.fni_txt').html(usingLang.video_detail_play_btn);
	} else {
		videoDOM.find('.fni_icon img').attr('src', './images/common/cart.png');
		videoDOM.find('.fni_txt').html(usingLang.video_detail_buy_btn);
	}
	if (videoJSON.cates && videoJSON.cates.length) {
		tagContainerDOM.show();
		var showTagNum = videoJSON.cates.length;
		if (showTagNum > 9) {
			showTagNum = 'N';
		}
		tagContainerDOM.find('.fni_tag').html(showTagNum);
	} else {
		tagContainerDOM.hide();
	}
	
	/*if (isValidStr(videoJSON.content)) {
		contentDOM.show();
	} else {
		contentDOM.hide();
	}*/
	if (parseInt(videoJSON.replyNum, 10) > 0) {
		commentDOM.show();
		commentDOM.find('.fni_txt').html(usingLang.video_detail_comment_btn + ' x <span class="fni_content_num">' +  videoJSON.replyNum + '</span>');
	} else {
		commentDOM.hide();
	}
	if (videoJSON.has_added_fav) {
		rendFavBtn(favDOM, true);
	} else {
		rendFavBtn(favDOM, false);
	}
	//----------------------/
	
	//-----------------------绑定按钮事件-----------------------\
	//---绑定视频事件---\
	videoDOM.unbind('click');
	if (in_array(videoJSON.id, myVideoIDArr)) {
		videoDOM.bind('click', function(){
			sendVideoAccess(videoJSON.id);
		});
	} else {
		videoDOM.bind('click', function(){
			checkVideoAccess(videoJSON.id);
		});
	}
	//---------------/
	//---绑定标签编辑---\
	tagDOM.find('.fni_txt').html(usingLang.tag);
	tagDOM.unbind('click').bind('click', function(){
		showEditTagLayer(videoJSON.id, true);
	});
	
	//---------------/
	//---绑定详细信息---\
	/*contentDOM.unbind('click');
	if (isValidStr(videoJSON.content)) {
		contentDOM.bind('click', function(){
			showVideoContent(videoJSON.id);
		});
	}*/
	
	commentDOM.unbind('click');
	if (parseInt(videoJSON.replyNum, 10) > 0) {
		commentDOM.bind('click', function(){
			showVideoComment(videoJSON.id);
		});
	}
	
	favDOM.unbind('click').bind('click', function(){
		if (videoJSON.has_added_fav) {
			removeVideoFromFav(videoJSON.id, mySetting.uid, favDOM);
		} else {
			addVideoToFav(videoJSON.id, mySetting.uid, favDOM);
		}
		
	});
	//---------------/
	//----绑定举报---\
	reportDOM.unbind('click').bind('click', function(){
		reportVideoIssue(videoJSON.id);
	});
	//-------------/
	//-------------------------------------------------------/
}

function addVideoToFav(videoID, uid, favDOM) {
	if (videoID == undefined || uid == undefined || uid == "null" || uid == null || uid == "undefined") {
		bb_alert(usingLang.need_login);
		return false;
	}
	loadUrl(activeURL + "/api/add_to_favorite.php?videoId=" + videoID, function(data){
		if (data.success) {
			favDOM.unbind('click').bind('click', function(){
				removeVideoFromFav(videoID, uid, favDOM);
			});
			if (favDOM.hasClass('video_detail_fav_not_added')) {			//视频播放页面的收藏按钮
				favDOM.html(usingLang.remove_fav);
				favDOM.removeClass('video_detail_fav_not_added').addClass('video_detail_fav_added');
			}
			
			rendFavBtn(favDOM, true);
			for (var i in videoDataInMemory[currentPageNo]) {
				if (videoDataInMemory[currentPageNo][i].id == videoID) {
					videoDataInMemory[currentPageNo][i].has_added_fav = 1;
				}
			}
		} else {
			bb_alert(data.error);
		}
	}, "post", true);
}

function removeVideoFromFav(videoID, uid, favDOM) {
	if (videoID == undefined || uid == undefined || uid == "null" || uid == null || uid == "undefined") {
		bb_alert(usingLang.need_login);
		return false;
	}
	loadUrl(activeURL + "/api/add_to_favorite.php?videoId=" + videoID + "", function(data){
		if (data.success) {
			favDOM.unbind('click').bind('click', function(){
				addVideoToFav(videoID, uid, favDOM);
			});
			if (favDOM.hasClass('video_detail_fav_added')) {			//视频播放页面的收藏按钮
				favDOM.html(usingLang.add_fav);
				favDOM.removeClass('video_detail_fav_added').addClass('video_detail_fav_not_added');
			}
			rendFavBtn(favDOM, false);
			for (var i in videoDataInMemory[currentPageNo]) {
				if (videoDataInMemory[currentPageNo][i].id == videoID) {
					videoDataInMemory[currentPageNo][i].has_added_fav = 0;
				}
			}
		} else {
			bb_alert(data.error);
		}
	}, "post", true);
}

function isVideoHeadFootShowing(videoHeaderDOM, videoFooterDOM) {
	var headerMovedPix = getTranslateY(videoHeaderDOM);
	var footerMovedPix = getTranslateY(videoFooterDOM);
	if (headerMovedPix > 0 && footerMovedPix < 0) {			//显示中
		return true;
	} else {
		return false;
	}
}

function doMoveVideoHeadFoot(act) {
	var videoHeaderDOM = $('#video_header');
	var videoFooterDOM = $('#video_footer');
	var videoCloseDOM = $('#video_details_close');
	if (act == undefined) {
		if (isVideoHeadFootShowing(videoHeaderDOM, videoFooterDOM)) {
			//隐藏顶部和底部菜单
			hideVideoHeadFoot(videoHeaderDOM, videoFooterDOM, videoCloseDOM);
		} else {
			showVideoHeadFoot(videoHeaderDOM, videoFooterDOM, videoCloseDOM);
		}
	} else {
		if (act == 'show') {			//强制显示
			showVideoHeadFoot(videoHeaderDOM, videoFooterDOM, videoCloseDOM);
		} else {						//强制隐藏
			hideVideoHeadFoot(videoHeaderDOM, videoFooterDOM, videoCloseDOM);
		}
	}
	
}

function showVideoHeadFoot(videoHeaderDOM, videoFooterDOM, videoCloseDOM) {
	videoHeaderDOM.removeClass('video_head_slide_out').addClass('video_head_slide_in').show();
	videoFooterDOM.removeClass('video_foot_slide_out').addClass('video_foot_slide_in');
	showVideoClose(videoCloseDOM);
}

function hideVideoHeadFoot(videoHeaderDOM, videoFooterDOM, videoCloseDOM) {
	videoHeaderDOM.removeClass('video_head_slide_in').addClass('video_head_slide_out').hide();
	videoFooterDOM.removeClass('video_foot_slide_in').addClass('video_foot_slide_out');
	hideVideoClose(videoCloseDOM);
}

function showVideoClose(videoCloseDOM) {
	videoCloseDOM.removeClass('video_close_slide_out').addClass('video_close_slide_in');
}
function hideVideoClose(videoCloseDOM) {
	videoCloseDOM.removeClass('video_close_slide_in').addClass('video_close_slide_out');
}


var tmp_comment_id = 0;


function delComment(commentID) {
	ft_confirm(usingLang.comment_del_confirm1, function(result){
		if (result) {
			$('.comment_item_' + commentID).remove();
			var postData = {comment_id: commentID};
			loadUrl(activeURL + "/api/video_comment.php?act=del", function(data){
				if (data.success) {
					
				} else if (data.error) {
					bb_alert(data.error);
				}
			}, "post", true, true, postData);
		}
	}, usingLang.comment_del_confirm2);
}

function addComment(id, content, username) {
	var html = $('#add_comment_item_template').html();
	var tplOBJ = {id:id, content:content, username:username};
	html = doRendTemplate(html, tplOBJ);
	$('.comment_body').prepend(html);
}

function getComments(videoID, goToPage, callback, appPageNo) {
	$('.comment_pagination').remove();
	$('.comment_item').remove();
	var loadingHTML = '<div class="comment_loading">' + usingLang.loading + '...</div>';
	$('.comment_body').prepend(loadingHTML);
	var postData = {video_id: videoID};
	loadUrl(activeURL + "/api/video_comment.php?act=get&page=" + goToPage, function(data){
		if (data.success) {
			var tplOBJ = {rowsperpage:data.rowsperpage, page:data.page, comment_video_id:videoID, prevPage:parseInt(data.page, 10) - 1, nextPage:parseInt(data.page, 10) + 1};
			if (data.comments != undefined && data.comments.length) {
				tplOBJ.comment_list = data.comments;
				if (data.hasMore != undefined) {
					tplOBJ.hasMore = 1;
				}
				if (data.hasPrev != undefined) {
					tplOBJ.hasPrev = 1;
				}
			}
			var html = $('#comment_item_template').html();
			html = doRendTemplate(html, tplOBJ);
			var commentBodyDOM = $('.comment_body');
			if (commentBodyDOM.length <= 0 && parseInt(appPageNo, 10) > 0) {
				$('.page_' + appPageNo + ' .page_main').html('<div class="comment_body"></div>');
				commentBodyDOM = $('.comment_body');
			}
			commentBodyDOM.find('.comment_loading').remove();
			commentBodyDOM.append(html);
		} else if (data.error) {
			bb_alert(data.error);
		}
		if (typeof callback == 'function') callback();
	}, "post", true, true, postData);
}

function upVideo(vid, upNum) {
	if (vid && parseInt(vid) > 0) {
		if (isNaN(parseInt(upNum, 10)) || parseInt(upNum, 10) <= 0 || upNum == undefined || upNum == null) upNum = 0;
		var cost = calcUpVideoCost(upNum);
		var next = upVideoNextLevelTimes(upNum);
		var nextCost = calcUpVideoCost(upNum + next);
		if (myMoney >= cost) {
			var content = '';
			if (upNum > 0) {
				content += usingLang.up_video_confirm1 + upNum + usingLang.up_video_confirm2;
			}
			content += usingLang.up_video_confirm3 + '<span style="color:#b4980c;">' + usingLang.up_video_confirm4 + cost + usingLang.up_video_confirm5 + '</span>' + usingLang.up_video_confirm6 + '<span style="color:red;">' + next + usingLang.up_video_confirm7 + '</span>' + usingLang.up_video_confirm8 + nextCost + usingLang.up_video_confirm9;
			ft_confirm(content, function(result) {
				if (result) {
					loadUrl(activeURL + '/api/add_video.php?up_video=1&video_id=' + vid, function(data){
						if (data.success) {
							bb_alert(usingLang.up_video_success);
						} else {
							bb_alert(data.error);
						}
					}, "get", true, false);
				}
			}, usingLang.up_video_confirm10);
		} else {
			bb_alert(usingLang.up_video_not_enough1 + cost + usingLang.up_video_not_enough2 + myMoney + usingLang.up_video_not_enough3);
		}
	}
}

function calcUpVideoCost(upNum) {
	var level = Math.ceil((upNum + 1) / upVideoLevel);
	var multiple = factorial(level);
	var cost = (multiple?upVideoCostGold * multiple:upVideoCostGold);
	return cost;
}
function upVideoNextLevelTimes(upNum) {		//距离增加消耗还有几次
	return upVideoLevel - upNum % upVideoLevel;
}
function factorial(num) {
	if (num === 0) {
		return 1;
	} else {
		return num * factorial(num - 1);
	}
}

function expandVideoContent(btnDOM) {
	var containerDOM = btnDOM.parent();
	//var prevContainerHeight = containerDOM.height();
	var totalHeight = containerDOM.find('.video_list_desc_content').outerHeight();
	
	//var toPageSelector = '.page_' + currentPageNo + ' > .page_main';
	//alert($(toPageSelector).height());
	containerDOM.css({
		// Set height to prevent instant jumpdown when max height is removed
		"height": btnDOM.height() + parseInt(containerDOM.css('max-height'), 10),
		"max-height": 9999
	}).animate({
		"height": totalHeight
	}, 500, function(){
		//alert(calcScrollableHeight($('.page_' + currentPageNo)));
		//var scrollHeight = calcScrollableHeight($('.page_' + currentPageNo));
		//var changedHeight = containerDOM.height() - prevContainerHeight;
		//if (changedHeight > 0) {
			//$(toPageSelector).css('height', (scrollHeight + changedHeight) + 'px');
			//$(toPageSelector).height(prevContainerHeight + changedHeight);
		//}
		//alert($(toPageSelector).height());
		
	});
	btnDOM.fadeOut();
	return false;
}

function calcVideoDescHeight(videoID) {
	//*获取左栏高度。再获取右栏的高度。如果左高度小于右高度，就显示readmore*/
	var leftColDOM = $('.video_list_item_col_left_' + videoID);
	var rightColDOM = $('.video_list_item_col_right_' + videoID);
	var leftHeight = leftColDOM.height();
	var rightHeight = rightColDOM.height();
	if (leftHeight < rightHeight) {
		var videoListDescMaxHeight = leftHeight;
		if (rightColDOM.find('.video_list_discount_line_tile').length) {
			videoListDescMaxHeight -= rightColDOM.find('.video_list_discount_line_tile').height();
		}
		if (rightColDOM.find('.video_list_title').length) {
			videoListDescMaxHeight -= rightColDOM.find('.video_list_title').height();
		}
		if (rightColDOM.find('.video_list_extra').length) {
			videoListDescMaxHeight -= rightColDOM.find('.video_list_extra').height();
		}
		
		rightColDOM.find('.video_list_desc').css('max-height', videoListDescMaxHeight + 'px').css('overflow', 'hidden');
		rightColDOM.find('.video_list_desc_readmore').show();
	}
}









